Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 131527 - New package: media-video/miro
Summary: New package: media-video/miro
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement with 7 votes (vote)
Assignee: Mounir Lamouri (volkmar) (RETIRED)
URL: http://www.getmiro.com/download/
Whiteboard: [sunrise-overlay]
Keywords: EBUILD, InOverlay, REVIEWED
: 193473 281966 (view as bug list)
Depends on: 138647
Blocks:
  Show dependency tree
 
Reported: 2006-04-27 19:21 UTC by Anton Bolshakov
Modified: 2011-03-16 15:00 UTC (History)
72 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Screeny of it working :) (06-04-29.00:40:42.png,367.05 KB, image/png)
2006-04-29 00:05 UTC, Jorge Vargas
Details
This is what I believe is a stable ebuild (democracyOverlay.tar.bz2,3.08 KB, patch)
2006-05-03 01:13 UTC, Jorge Vargas
Details | Diff
This is what I believe is a stable ebuild (democracyOverlay.tar.bz,20.00 KB, application/x-bzip)
2006-05-03 01:56 UTC, Jorge Vargas
Details
Fix 0.8.2 added missing dependancy on subversion (democracyOverlay.tar.gz,20.00 KB, application/x-gzip)
2006-05-14 18:17 UTC, Jorge Vargas
Details
Added ebuild for 0.8.4 (democracyOverlay.tar.bz2,5.08 KB, application/bzip2)
2006-06-21 22:09 UTC, Louis C.
Details
Added ebuild for 0.8.4.1 (democracyOverlay.tar.bz2,5.65 KB, application/bzip2)
2006-06-22 14:43 UTC, Louis C.
Details
democracy-0.8.4.1.ebuild (democracy-0.8.4.ebuild,1.56 KB, patch)
2006-07-02 01:51 UTC, Rick Harris
Details | Diff
democracy-0.8.4.1.ebuild (democracy-0.8.4.1.ebuild,2.17 KB, application/octet-stream)
2006-07-02 02:16 UTC, Rick Harris
Details
The modified firefox-patch ... (firefox-0.8.4.1.patch,2.19 KB, patch)
2006-07-02 09:11 UTC, Stefan Wimmer
Details | Diff
The error logfile (democracy-0.8.4.1.error,4.76 KB, text/plain)
2006-07-02 09:13 UTC, Stefan Wimmer
Details
working firefox-0.8.4.1 patch for 0.8.4.1 ebuild above (firefox-0.8.4.1.patch,2.20 KB, patch)
2006-07-04 22:34 UTC, michael philetus weller
Details | Diff
this patch is a port of the 0.8.4 from layman overlay, it should work although not for me. (democracy-0.8.5-firefox.patch,2.08 KB, patch)
2006-07-22 09:24 UTC, Jorge Vargas
Details | Diff
New democracy-firefox-0.8.5.patch (democracy-firefox-0.8.5.patch,1.80 KB, patch)
2006-07-28 19:35 UTC, Rick Harris
Details | Diff
This tar has been updated with all the lastest patches here, it should render any 0.8.5.* or 0.8.4.* instalation correctly (democracyUpTo0.8.5.3.tar.bz2,6.86 KB, application/x-bzip)
2006-08-16 22:33 UTC, Jorge Vargas
Details
This is an almost working ebuild please test it, just delete reference to nsIDOMHTMLElement.h in setup.py (democracy-0.9.0_rc0.ebuild,1.90 KB, application/octet-stream)
2006-09-05 21:20 UTC, Jorge Vargas
Details
full overlay updated to 0.9rc1 (democracy-0.9_rc1_overlay.bz2,10.43 KB, application/x-bzip)
2006-09-06 20:13 UTC, Jorge Vargas
Details
just the ebuild (democracy-0.9.0_rc1.ebuild,1.90 KB, application/octet-stream)
2006-09-06 20:14 UTC, Jorge Vargas
Details
Attempt at creating a patch to prevent Democracy from using installed xulrunner (Democracy-0.9.5-ignore-xulrunner.patch,833 bytes, text/plain)
2007-02-20 11:08 UTC, Cillian de Róiste
Details
Adds necko to include_dirs for nsIHttpChannel.h (necko-path.patch,525 bytes, patch)
2007-06-06 12:27 UTC, Jan Hendrik Grahl (RETIRED)
Details | Diff
democracy-0.9.6.ebuild (democracy-0.9.6.ebuild,2.47 KB, text/plain)
2007-06-07 00:19 UTC, Dan Davis
Details
miro-0.9.8.ebuild (miro-0.9.8.ebuild,2.43 KB, text/plain)
2007-07-20 00:10 UTC, Aneel
Details
miro-x11-necko.patch (miro-x11-necko.patch,863 bytes, patch)
2007-07-20 00:11 UTC, Aneel
Details | Diff
Updated ebuild (miro-0.9.8.1.ebuild,2.43 KB, text/plain)
2007-08-08 17:45 UTC, Viaken
Details
Patch to go with new ebuild. (Miro-0.9.8.1-x11.patch,517 bytes, patch)
2007-08-08 17:45 UTC, Viaken
Details | Diff
miro-necko.patch (miro-necko.patch,515 bytes, patch)
2007-08-22 10:26 UTC, Federico Ferri (RETIRED)
Details | Diff
miro-0.9.8.1-r1.ebuild USE ONLY IF miro-0.9.8.1.ebuild is not working for you (miro-0.9.8.1-r1.ebuild,2.42 KB, text/plain)
2007-08-22 16:25 UTC, Aneel
Details
miro-0.9.9.1.ebuild (miro-0.9.9.1.ebuild,2.42 KB, text/plain)
2007-09-16 02:03 UTC, Jan Hendrik Grahl (RETIRED)
Details
getlogin patch for miro-0.9.9.1.ebuild (getlogin.patch,639 bytes, patch)
2007-09-16 02:04 UTC, Jan Hendrik Grahl (RETIRED)
Details | Diff
x11 patch, version for miro-0.9.9.1 (Miro-0.9.9.1-x11.patch,505 bytes, text/plain)
2007-09-16 03:29 UTC, hmbr
Details
Another 0.9.9.1 ebuild (miro-0.9.9.1.ebuild,2.08 KB, text/plain)
2007-10-24 07:41 UTC, Nils Marving
Details
ebuild for miro-0.9.9.9_rc1 (miro-0.9.9.9_rc1.ebuild,1.24 KB, text/plain)
2007-10-30 15:35 UTC, A. Person
Details
Ebuild for miro-0.9.9.9 (miro-0.9.9.9.ebuild,1.26 KB, text/plain)
2007-11-08 15:40 UTC, Urban
Details
Ebuild for miro-1.0 (miro-1.0.ebuild,1.28 KB, text/plain)
2007-11-14 16:53 UTC, Urban
Details
some fixes to miro-1.0.ebuild (miro-boost-threads.patch,1.46 KB, patch)
2007-11-16 20:14 UTC, Damien Thébault
Details | Diff
Ebuild for miro-1.0 mentioned in comment #202 (miro-1.0.ebuild,1.31 KB, text/plain)
2007-11-18 10:16 UTC, Heiko Baums
Details
media-tv/miro-1.0.ebuild (miro-1.0.ebuild,1.51 KB, text/plain)
2007-12-14 20:29 UTC, Sergey Belyashov
Details
media-tv/miro-1.1.ebuild based on Sergey Belyashov's ebuild. (miro-1.1.ebuild,1.53 KB, text/plain)
2008-01-18 20:45 UTC, indarios
Details
miro-1.1.ebuild (miro-1.1.ebuild,1.70 KB, text/plain)
2008-01-19 22:43 UTC, Giacomo Perale
Details
Miro 1.1.1 ebuild with modified dep by georgia_tech_swagger (miro-1.1.1.ebuild,1.94 KB, text/plain)
2008-02-04 21:11 UTC, georgia_tech_swagger
Details
Miro 1.1.2 ebuild; - unnecessary xulrunner USE check in gnome-python-extras; +openssl version check (miro-1.1.2.ebuild,1.84 KB, text/plain)
2008-02-09 06:27 UTC, georgia_tech_swagger
Details
Corrected miro-1.1.2.ebuild (miro-1.1.2.ebuild,1.83 KB, text/plain)
2008-02-10 05:08 UTC, Heiko Baums
Details
Corrected ebuild again (miro-1.1.2.ebuild,1.56 KB, text/plain)
2008-02-10 05:38 UTC, Heiko Baums
Details
Corrected miro-1.1.2.ebuild (miro-1.1.2.ebuild,1.42 KB, text/plain)
2008-02-10 06:30 UTC, Heiko Baums
Details
miro-1.1.2.ebuild with a small change (miro-1.1.2.ebuild,1.42 KB, text/plain)
2008-02-10 08:08 UTC, Heiko Baums
Details
miro-1.1.2.ebuild (miro-1.1.2.ebuild,1.65 KB, text/plain)
2008-02-10 10:03 UTC, Thomas Kuther
Details
miro-1.1.2.ebuild (miro-1.1.2.ebuild,1.75 KB, text/plain)
2008-02-10 22:54 UTC, Heiko Baums
Details
miro-1.2.ebuild (miro-1.2.ebuild,1.75 KB, text/plain)
2008-03-21 23:17 UTC, Heiko Baums
Details
patched miro-1.2.ebuild (miro-1.2.ebuild,2.26 KB, text/plain)
2008-03-27 16:59 UTC, Tobias Schröpf
Details
miro-1.2.1.ebuild (miro-1.2.1.ebuild,1.99 KB, text/plain)
2008-03-29 19:34 UTC, Gilles Dartiguelongue
Details
miro-1.2.2.ebuild (miro-1.2.2.ebuild,1.99 KB, text/plain)
2008-03-29 23:30 UTC, Heiko Baums
Details
Patch for compile errors in MozillaBrowser.c (MozillaBrowser.patch,3.64 KB, patch)
2008-07-04 09:45 UTC, fatty
Details | Diff
Patch to force compilation against <xulrunner-1.9 (setup.py.patch,766 bytes, patch)
2008-07-04 09:47 UTC, fatty
Details | Diff
Archive containing miro-1.2.4.ebuild and my two patches (Miro-1.2.4-ebuild.tar.gz,2.05 KB, application/x-gtar)
2008-07-04 18:00 UTC, fatty
Details
Miro-1.2.6.ebuild.tar.gz (miro-1.2.6.ebuild.tar.gz,2.56 KB, application/octet-stream)
2008-09-26 15:03 UTC, Robert Golding
Details
1.2.6 ebuild with patches to compile under gcc-4.3 (miro-1.2.6-gcc43.ebuild.tar.bz2,3.60 KB, application/octet-stream)
2008-09-28 21:39 UTC, Sampson L.
Details
miro-1.2.8 ebuild working with xul-runner-1.9 (miro-1.2.8-r1.ebuild,2.29 KB, text/plain)
2008-12-30 10:29 UTC, François Bissey
Details
patch for boost-1.37 from fc10 (Miro-1.2.6-boost.patch,1.58 KB, patch)
2009-01-04 09:55 UTC, François Bissey
Details | Diff
miro built with gcc3.2 on amd64 (miro.png,458.29 KB, text/plain)
2009-01-04 23:45 UTC, wayne
Details
miro-2.0_rc2 ebuild (miro-2.0_rc2.ebuild,1.84 KB, text/plain)
2009-02-03 10:34 UTC, François Bissey
Details
updated miro-2.0_rc2 ebuild (miro-2.0_rc2-r1.ebuild,1.93 KB, text/plain)
2009-02-03 21:58 UTC, François Bissey
Details
fixes xulrunner and rb_libtorrent lines in the ebuild (miro-2.0_rc2-r1.ebuild,1.91 KB, text/plain)
2009-02-04 02:42 UTC, wayne
Details
adds the dependency patch from Francois Bissey and fixes xulrunner and rb_libtorrent dependencies (miro-2.0_rc2-r1.ebuild,1.91 KB, text/plain)
2009-02-04 03:29 UTC, wayne
Details
The rb_itorrent python check is only for 0.14.1 now (miro-2.0_rc2-r1.ebuild,1.96 KB, patch)
2009-02-05 04:14 UTC, wayne
Details | Diff
syntax fix for the rb_itorrent python check patch (miro-2.0_rc2-r1.ebuild,1.96 KB, patch)
2009-02-05 04:26 UTC, wayne
Details | Diff
various fixes (miro-2.0_rc2-r1.ebuild,1021 bytes, text/plain)
2009-02-07 07:20 UTC, thewtex
Details
yet more tweaking for this rc2 ebuild (miro-2.0_rc2-r1.ebuild,1.03 KB, text/plain)
2009-02-07 08:32 UTC, François Bissey
Details
Miro-2.0.1 Ebuild (miro-2.0.1.ebuild,1010 bytes, text/plain)
2009-02-12 03:15 UTC, Reuben Martin
Details
notify -> libnotify (miro-2.0.1.ebuild,1016 bytes, text/plain)
2009-02-13 03:03 UTC, Reuben Martin
Details
initial startup messages showing datbase upgrades (miro_startup_log,4.98 KB, text/plain)
2009-02-15 07:52 UTC, Steve Herber
Details
Here is my dump from miro --debug (error_report.txt,9.31 KB, text/plain)
2009-02-15 10:59 UTC, Jasper Jaklofsky
Details
ebuild based on a 2008 stage3 install (miro-2.0.1.ebuild,1.12 KB, text/plain)
2009-02-22 19:45 UTC, wayne
Details
Enjoy (miro-2.0.3.ebuild,1.12 KB, text/plain)
2009-03-24 05:31 UTC, wayne
Details
add missing dependency (bsddb3) (miro-2.0.3-r1.ebuild,1.13 KB, text/plain)
2009-04-06 21:27 UTC, Jeremy MANSON
Details
Vercion bump (miro-2.0.4.ebuild,1.14 KB, text/plain)
2009-04-29 21:20 UTC, wayne
Details
Vercion bump (miro-2.0.4.ebuild,1.14 KB, text/plain)
2009-04-29 21:21 UTC, wayne
Details
Adds support for gstreamer (miro-2.0.4.ebuild,1.35 KB, text/plain)
2009-05-23 14:06 UTC, wayne
Details
Mostly a dependency cleanup. (miro-2.0.4.ebuild,1.59 KB, text/plain)
2009-05-28 06:26 UTC, wayne
Details
fixes for changes made in protage tree sence my last sync (miro-2.0.4.ebuild,1.77 KB, text/plain)
2009-06-03 17:47 UTC, wayne
Details
fixes for changes made in protage tree sence my last sync (miro-2.0.4.ebuild,1.77 KB, text/plain)
2009-06-03 17:54 UTC, wayne
Details
Version bump with no changes. (miro-2.5.2.ebuild,1.77 KB, text/plain)
2009-08-04 03:43 UTC, wayne
Details
removed dev-python/bsddb3 dependency, included src_prepare(), src_compile() (miro-2.5.2.ebuild,2.11 KB, text/plain)
2009-08-18 21:05 UTC, Saphirus
Details
fixed minor typing error in dependencies (miro-2.5.2.ebuild,1.98 KB, text/plain)
2009-08-18 21:59 UTC, Saphirus
Details
added USE-flags for gstreamer plugins, fixed minor syntax errors (miro-2.5.2.ebuild,2.64 KB, text/plain)
2009-08-21 01:39 UTC, Saphirus
Details
Cleaned up gstreamer and xine dependency warning (miro-2.5.2.ebuild,2.88 KB, text/plain)
2009-08-21 04:38 UTC, wayne
Details
more gstremer fixes (miro-2.5.2.ebuild,2.65 KB, text/plain)
2009-08-24 00:57 UTC, Saphirus
Details
bothers xine-uses a whole lot less (miro-2.5.2.ebuild,2.38 KB, text/plain)
2009-08-24 05:55 UTC, Saphirus
Details
Smarter ebuild (miro-2.5.2.ebuild,2.59 KB, text/plain)
2009-08-25 02:16 UTC, wayne
Details
fix for pkg_setup() { (miro-2.5.2.ebuild,2.60 KB, text/plain)
2009-08-25 02:23 UTC, wayne
Details
wayne s version with working gstreamer (miro-2.5.2.ebuild,2.60 KB, text/plain)
2009-08-25 20:03 UTC, Florian Knodt
Details
Ebuild clean up (miro-2.5.2.ebuild,2.49 KB, text/plain)
2009-08-27 14:33 UTC, wayne
Details
gstreamer fix (miro-2.5.2.ebuild,2.48 KB, text/plain)
2009-08-28 02:39 UTC, wayne
Details
USE flag deps, default ebuild functions (miro-2.5.2.ebuild,2.09 KB, text/plain)
2009-08-28 16:39 UTC, thewtex
Details
more gstreamer fixes (miro-2.5.2.ebuild,2.48 KB, text/plain)
2009-08-30 22:17 UTC, wayne
Details
more choices for experienced gstreamer users (miro-2.5.2.ebuild,2.57 KB, text/plain)
2009-08-30 22:49 UTC, wayne
Details
pkg_postinst() { clean up (miro-2.5.2.ebuild,2.37 KB, text/plain)
2009-09-02 00:44 UTC, wayne
Details
fix python[sqlite] pysqlite conflict (miro-2.5.2.ebuild,2.12 KB, text/plain)
2009-09-10 07:17 UTC, thewtex
Details
miro 2.5.3 ebuild with some fixes (miro-2.5.3.ebuild,2.52 KB, text/plain)
2009-10-28 02:15 UTC, wayne
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Bolshakov 2006-04-27 19:21:50 UTC
New 'democracy' player has been released recently.
The ebuild for it would be appreciated
Comment 1 rabbitambulance 2006-04-28 15:13:10 UTC
Yea, I'd like to see this, too.
Comment 2 Mohamed Hazem 2006-04-28 17:11:00 UTC
Yes please.
Comment 3 Jorge Vargas 2006-04-29 00:00:32 UTC
I'm working on one. it's compiling I'm fixing some deps and working with upstream this may be ready for open testing in a couple of days.
Comment 4 Jorge Vargas 2006-04-29 00:05:54 UTC
Created attachment 85736 [details]
Screeny of it working :)

this was compile with my ebuild, so far I have seen one error with mozilla, and another with sound.

Ones I sort this out with upstream I can post it here for all of you to check.
Comment 5 Mohamed Hazem 2006-04-29 00:12:41 UTC
(In reply to comment #4)
> Created an attachment (id=85736) [edit]
> Screeny of it working :)
> 
> this was compile with my ebuild, so far I have seen one error with mozilla, and
> another with sound.
> 
> Ones I sort this out with upstream I can post it here for all of you to check.
> 

Good Job :-)
Willing to test though.
Comment 6 Jorge Vargas 2006-04-29 00:26:50 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > Created an attachment (id=85736) [edit]
> > Screeny of it working :)
> > 
> > this was compile with my ebuild, so far I have seen one error with mozilla, and
> > another with sound.
> > 
> > Ones I sort this out with upstream I can post it here for all of you to check.
> > 
> 
> Good Job :-)
> Willing to test though.
> 
I don't want to post buggy patches here check
http://forums.gentoo.org/viewtopic-p-3287935.html#3287935
Comment 7 Jorge Vargas 2006-05-03 01:13:00 UTC
Created attachment 86050 [details, diff]
This is what I believe is a stable ebuild

Please note
- There is a bug in democracy compiling agains firefox (reported)
- Sometimes went you hit video/quit it hangs, although clicking the X works fine
- Please test it and report any findings/errors.

This was half made by me and half by Matin Meyer (elreydetodo@gmail.com)
Comment 8 Jorge Vargas 2006-05-03 01:56:08 UTC
Created attachment 86052 [details]
This is what I believe is a stable ebuild

sorry I mess up with the mimetype.

Please note
- There is a bug in democracy compiling agains firefox (reported)
- Sometimes went you hit video/quit it hangs, although clicking the X works
fine
- Please test it and report any findings/errors.

This was half made by me and half by Matin Meyer (elreydetodo@gmail.com)
Comment 9 Vaclav Slavik 2006-05-04 01:17:31 UTC
Here's an ebuild that uses gecko-sdk:
http://gentoo.zugaina.org/media-video.html.en#democracy
Comment 10 Martin Meyer 2006-05-04 11:33:39 UTC
We tried that patch already.  It will fail if you don't have mozilla emerged.  The setup.py script will fail b/c gecko-sdk's pkg-config files are renamed to be gecko-sdk-*.pc instead of mozilla-*.pc.

We also tried patching those lines to look for the correct pkg-config entries but there were additional problems.  We compiled fine but when we went to run it we get this:

ImportError: libgtkembedmoz.so : cannot open shared object file: No such file or directory

We're still working on what causes that but if anyone has any ideas..?  We can't explain why it can't find that library (which is installed with mozilla, gecko-sdk AND mozilla-firefox).
Comment 11 Jorge Vargas 2006-05-04 12:26:27 UTC
(In reply to comment #9)
> Here's an ebuild that uses gecko-sdk:
> http://gentoo.zugaina.org/media-video.html.en#democracy
> 

I'm not sure where you got that but it seems like our original patch.

Anyway that is a hack since it forces hardcoded paths.

Our new set of patches (which are not included in the file here (since they don't work) actually use the pgk-config util (as it should)

Changing
mozilla_browser_options = parsePkgConfig("pkg-config" ,
         "gtk+-2.0 glib-2.0 pygtk-2.0 mozilla-gtkmozembed mozilla-xpcom")
to 

mozilla_browser_options = parsePkgConfig("pkg-config" ,
         "gtk+-2.0 glib-2.0 pygtk-2.0 gecko-sdk-gtkmozembed gecko-sdk-xpcom")

this is more clean :)
Comment 12 Anton Bolshakov 2006-05-06 19:20:47 UTC
I don't have gnome desktop and the democracy ebuild pulls 60 packages with a whole gnome stuff.
It's gnome-base/gnome-desktop, gnome-extra/nautilus-cd-burner, gnome-extra/evolution-data-server and more. The player definitely doesn't need it to run.
Is anyway to avoid it?
Comment 13 Jorge Vargas 2006-05-09 07:08:25 UTC
(In reply to comment #12)
> I don't have gnome desktop and the democracy ebuild pulls 60 packages with a
> whole gnome stuff.
> It's gnome-base/gnome-desktop, gnome-extra/nautilus-cd-burner,
> gnome-extra/evolution-data-server and more. The player definitely doesn't need
> it to run.
> Is anyway to avoid it?
> 
it's being said many times in the forum.
Research it's good for you
Comment 14 Anton Bolshakov 2006-05-09 19:36:10 UTC
ok, after a wasting time ;) research I have found the reason:
http://bugs.gentoo.org/show_bug.cgi?id=108479

with a workaround:
emerge -av gnome-python-extras

cheers.
Comment 15 David Grant 2006-05-13 19:48:44 UTC
It works. Awesome.
Comment 16 Jorge Vargas 2006-05-14 18:17:20 UTC
Created attachment 86784 [details]
Fix 0.8.2 added missing dependancy on subversion

Hi everyone I have fix the ebuild based on input from http://forums.gentoo.org/viewtopic-p-3302801.html#3297557 it turn out this was an old check they had to track bugs related to versions, this is gone in 0.8.3 but fixing it for it to work.

There is a goody 0.8.3rc1 is out although it's not working (at least on my machine) there is a new dep on dbus, why? well to check if there two instances cause it crash really nice if they are :) anyway this dep is really not working for me (got uptreams working on it) if you dare rename the ebuild, digest it, and try it out :)
Comment 17 Louis C. 2006-06-21 22:09:34 UTC
Created attachment 89777 [details]
Added ebuild for 0.8.4

I found 0.8.4 at ftp://ftp.osuosl.org/pub/pculture.org/democracy/src/, so I made an ebuild for it based on the other ones. I've attatched a new overlay file with this new ebuild, the 0.8.3 rc ebuild normal, and the modified patch to work with 0.8.4.
It all works fine on my athlon64, but use it at your own risk. This is my first time doing something like this :)
Comment 18 Jorge Vargas 2006-06-22 06:50:54 UTC
(In reply to comment #17)
> Created an attachment (id=89777) [edit]
> Added ebuild for 0.8.4
> 
> I found 0.8.4 at ftp://ftp.osuosl.org/pub/pculture.org/democracy/src/, so I
> made an ebuild for it based on the other ones. I've attatched a new overlay
> file with this new ebuild, the 0.8.3 rc ebuild normal, and the modified patch
> to work with 0.8.4.
> It all works fine on my athlon64, but use it at your own risk. This is my first
> time doing something like this :)
> 

Hey Louis, 
0.8.4 was released last weekend 
I had that upgrade on my todo list 
thanks for doing it.

for 0.8.3_rc1 i had a problem with dbus that's why I never posted 0.8.3, did you had any problems with this? I'll test ur ebuild tonight.
Comment 19 Jorge Vargas 2006-06-22 12:48:43 UTC
(In reply to comment #17)
> Created an attachment (id=89777) [edit]
> Added ebuild for 0.8.4
> 
> I found 0.8.4 at ftp://ftp.osuosl.org/pub/pculture.org/democracy/src/, so I
> made an ebuild for it based on the other ones. I've attatched a new overlay
> file with this new ebuild, the 0.8.3 rc ebuild normal, and the modified patch
> to work with 0.8.4.
> It all works fine on my athlon64, but use it at your own risk. This is my first
> time doing something like this :)
> 

I just got an email (from the democracy dev mailing list) and it says they just release the 0.8.4 (but the link points to 0.8.4.1) so it seems they skip 0.8.4 as a "official release" 
Comment 20 Louis C. 2006-06-22 14:30:28 UTC
(In reply to comment #18)
> (In reply to comment #17)
> > Created an attachment (id=89777) [edit]
> > Added ebuild for 0.8.4
> > 
> > I found 0.8.4 at ftp://ftp.osuosl.org/pub/pculture.org/democracy/src/, so I
> > made an ebuild for it based on the other ones. I've attatched a new overlay
> > file with this new ebuild, the 0.8.3 rc ebuild normal, and the modified patch
> > to work with 0.8.4.
> > It all works fine on my athlon64, but use it at your own risk. This is my first
> > time doing something like this :)
> > 
> 
> Hey Louis, 
> 0.8.4 was released last weekend 
> I had that upgrade on my todo list 
> thanks for doing it.
> 
> for 0.8.3_rc1 i had a problem with dbus that's why I never posted 0.8.3, did
> you had any problems with this? I'll test ur ebuild tonight.
> 
I had no problem with 0.8.3_rc1, it was just slow starting up, like 0.8.2

It looks like 0.8.4.1 is out now, so I'm going to see if I can get it to work...
Comment 21 Louis C. 2006-06-22 14:43:52 UTC
Created attachment 89850 [details]
Added ebuild for 0.8.4.1

Okay, 0.8.4.1 works. It's the same as the 0.8.4 ebuild and the patch except with different filenames.
Comment 22 Jorge Vargas 2006-06-22 21:43:23 UTC
(In reply to comment #21)
> Created an attachment (id=89850) [edit]
> Added ebuild for 0.8.4.1
> 
> Okay, 0.8.4.1 works. It's the same as the 0.8.4 ebuild and the patch except
> with different filenames.
> 

your upgrade is working great here thanks.

anyone else has test it?
Comment 23 Anton Bolshakov 2006-06-24 01:31:33 UTC
It's about time to submit it to the portage so more people can test it.
Comment 24 Stefan Schweizer (RETIRED) gentoo-dev 2006-06-24 07:36:52 UTC
I have added this to the sunrise overlay including an as-needed patch. I would like to use it with firefox when it compiles there.
Comment 25 Jorge Vargas 2006-06-24 07:48:44 UTC
(In reply to comment #23)
do you know a developer that will be interested in maintaining this? I'll try to catch the python folks...

(In reply to comment #24)
> I have added this to the sunrise overlay including an as-needed patch. I would
> like to use it with firefox when it compiles there.
> 

is that overlays.gentoo.org/proj/sunrise/

I did a search and found nothing.

about the firefox part i'm not sure how this can be solve I'll try to get the democracy team to work on it. I believe the gecko-engine they are using is not the same version as the one used to develop firefox and that's why it breaks
Comment 26 Stefan Schweizer (RETIRED) gentoo-dev 2006-06-24 09:49:27 UTC
You can find the ebuild here:
http://gentoo-sunrise.org/svn/reviewed/media-tv/democracy/democracy-0.8.4.1.ebuild

or easier access with layman:
emerge -va layman
echo "source /usr/portage/local/layman/make.conf" >> /etc/make.conf
layman -f -a sunrise
layman is preferred because you can easily update all your overlays with it:
layman -s ALL
Comment 27 Jorge Vargas 2006-06-24 10:17:18 UTC
(In reply to comment #26)
> You can find the ebuild here:
> http://gentoo-sunrise.org/svn/reviewed/media-tv/democracy/democracy-0.8.4.1.ebuild
> 
> or easier access with layman:
> emerge -va layman
> echo "source /usr/portage/local/layman/make.conf" >> /etc/make.conf
> layman -f -a sunrise
> layman is preferred because you can easily update all your overlays with it:
> layman -s ALL
> 

great thanks for making Louis rip off our work, you kill the ChangeLog and let Martin and I outside of it. way to go 

I have my own svn repo, although its not public I may as well publish it...
Comment 28 Stefan Schweizer (RETIRED) gentoo-dev 2006-06-24 10:32:59 UTC
  24 Jun 2006; Stefan Schweizer <genstef@gentoo.org> ChangeLog:
  New democracy ebuild thanks to Jorge Vargas for the initial ebuild, Martin
  Meyer and Anton for helping with improving it and Louis C. for bumping it in
  bug 131527

that way it is certainly more accurate. Sorry, I did miss that you originally submitted the ebuild :(. Have I forgotten to credit anyone?
Comment 29 Steffen 2006-06-26 09:26:44 UTC
Hello everybody,

I just tried emerging democracy-0.8.4.1 from gentoo-sunrise on ppc:
After keywording the ebuild for ppc, emerging worked with no problems... :)
Running it also works but downloading files not, but I fixed it!

When I opened it i noticed that the download demon failed:

...
DTV: Starting event loop thread
Traceback (most recent call last):
File "/usr/lib/python2.4/site-packages/democracy/dl_daemon/Democracy_Downloader.py", line 13, in ?
    from dl_daemon import download
  File "/usr/lib/python2.4/site-packages/democracy/dl_daemon/download.py", line 3, in ?
    import bsddb
ImportError: No module named bsddb
...

Thus I emerged dev-python/bsddb3, but I got the same error...
But changing line 3 in /usr/lib/python2.4/site-packages/democracy/dl_daemon/download.py to "import bsddb3" fixed everything (because we emerged bsddb3 and the site-package is called bsddb3 and not bsddb)!

Here is the new console output:
...
DTV: Starting event loop thread
*** Launching Democracy Downloader Daemon ****
*** Daemon ready ***
DTV: updating the Guide
...

Democracy runs without problems now! :)

Thus I would suggest the following:
1. Add the ~ppc keyword to the ebuild
2. Add dev-python/bsddb3 dependency
3. Patch the download.py file to inport bsddb3 and not bsddb

What do you think? Could someone please verify point two and three?

Thanks,

Steffen
Comment 30 Jorge Vargas 2006-06-26 10:34:11 UTC
(In reply to comment #29)
> Hello everybody,
> 
hi there 
> I just tried emerging democracy-0.8.4.1 from gentoo-sunrise on ppc:
> After keywording the ebuild for ppc, emerging worked with no problems... :)
> Running it also works but downloading files not, but I fixed it!
> 
> When I opened it i noticed that the download demon failed:
> 
> ...
> DTV: Starting event loop thread
> Traceback (most recent call last):
> File
> "/usr/lib/python2.4/site-packages/democracy/dl_daemon/Democracy_Downloader.py",
> line 13, in ?
>     from dl_daemon import download
>   File "/usr/lib/python2.4/site-packages/democracy/dl_daemon/download.py", line
> 3, in ?
>     import bsddb
> ImportError: No module named bsddb
> ...
> 
> Thus I emerged dev-python/bsddb3, but I got the same error...
> But changing line 3 in
> /usr/lib/python2.4/site-packages/democracy/dl_daemon/download.py to "import
> bsddb3" fixed everything (because we emerged bsddb3 and the site-package is
> called bsddb3 and not bsddb)!
> 
actually that shouldn't matter because their call is to http://docs.python.org/lib/module-bsddb.html
> Here is the new console output:
> ...
> DTV: Starting event loop thread
> *** Launching Democracy Downloader Daemon ****
> *** Daemon ready ***
> DTV: updating the Guide
> ...
> 
> Democracy runs without problems now! :)
> 
> Thus I would suggest the following:
> 1. Add the ~ppc keyword to the ebuild
> 2. Add dev-python/bsddb3 dependency
> 3. Patch the download.py file to inport bsddb3 and not bsddb
> 
I don't remenber ever instaling bsddb3 on my machine and the downloader works fine. (i'll check later today at home) could you investigate if your python instalation doesn't comes with that package? 

I did some searching and I think this is your problem the instructions for osx port say something with the same error 
https://develop.participatoryculture.org/projects/democracy/wiki/OSXBuildDocs

> What do you think? Could someone please verify point two and three?
I can't verify #2 since I don't have a ppc 
about #3 other then what I said above I think this should be reported as a bug to them to see how it is resolve. a external dependancy shouldn't be burried in code and should be added to setup.py 

> 
> Thanks,
> 
> Steffen
> 

Comment 31 Jorge Vargas 2006-06-26 10:50:17 UTC
(In reply to comment #26)
> You can find the ebuild here:
> http://gentoo-sunrise.org/svn/reviewed/media-tv/democracy/democracy-0.8.4.1.ebuild
> 
> or easier access with layman:
> emerge -va layman
> echo "source /usr/portage/local/layman/make.conf" >> /etc/make.conf
> layman -f -a sunrise
> layman is preferred because you can easily update all your overlays with it:
> layman -s ALL
> 

(In reply to comment #28)
>   24 Jun 2006; Stefan Schweizer <genstef@gentoo.org> ChangeLog:
>   New democracy ebuild thanks to Jorge Vargas for the initial ebuild, Martin
>   Meyer and Anton for helping with improving it and Louis C. for bumping it in
>   bug 131527
> 
> that way it is certainly more accurate. Sorry, I did miss that you originally
> submitted the ebuild :(. Have I forgotten to credit anyone?
> 

Actually the initial ebuild didn't compile and was made by Martin I change it so much that it didn't look like it then he contribute some stuff. 

anyway how am I suposed to sync my ebuild with yours will you give me commit access to your repo? or make urs proxy to my svn? 

on hte other hand I don't think it is a good idea to clean up the other 0.8.* ebuilds some people have them install and working.
Comment 32 Steffen 2006-06-26 11:18:13 UTC
(In reply to comment #30)
> > When I opened it i noticed that the download demon failed:
> > 
> > ...
> > DTV: Starting event loop thread
> > Traceback (most recent call last):
> > File
> > "/usr/lib/python2.4/site-packages/democracy/dl_daemon/Democracy_Downloader.py",
> > line 13, in ?
> >     from dl_daemon import download
> >   File "/usr/lib/python2.4/site-packages/democracy/dl_daemon/download.py", line
> > 3, in ?
> >     import bsddb
> > ImportError: No module named bsddb
> > ...
> > 
> > Thus I emerged dev-python/bsddb3, but I got the same error...
> > But changing line 3 in
> > /usr/lib/python2.4/site-packages/democracy/dl_daemon/download.py to "import
> > bsddb3" fixed everything (because we emerged bsddb3 and the site-package is
> > called bsddb3 and not bsddb)!
> > 

> actually that shouldn't matter because their call is to
> http://docs.python.org/lib/module-bsddb.html

I just got a tip from gentoo-dev genstef, i deinstalled bsddb3 and emerged python with berkdb USE:

[ebuild  N    ] sys-libs/db-4.3.29  USE="-bootstrap -doc -java -nocxx -tcltk" 5,960 kB
[ebuild   R   ] dev-lang/python-2.4.3-r1  USE="X berkdb* ncurses readline ssl -bootstrap -build -doc -gdbm -ipv6 -nocxx -tcltk -ucs2" 0 kB

Now Democracy works without the include change! :) thx genstef!

To sum it up:

1. ~ppc still seems a good idea, i have not found any issues (regarding ppc) yet!
2. Democracy needs python with berkdb support, how are we going to deal with that? A USE check in the ebuild, or just leave it like it currently is?

What do you think?

Thanks everybody,

Steffen
Comment 33 Jorge Vargas 2006-06-26 23:41:41 UTC
(In reply to comment #32)
> (In reply to comment #30)
> > > When I opened it i noticed that the download demon failed:
> > > 
> > > ...
> > > DTV: Starting event loop thread
> > > Traceback (most recent call last):
> > > File
> > > "/usr/lib/python2.4/site-packages/democracy/dl_daemon/Democracy_Downloader.py",
> > > line 13, in ?
> > >     from dl_daemon import download
> > >   File "/usr/lib/python2.4/site-packages/democracy/dl_daemon/download.py", line
> > > 3, in ?
> > >     import bsddb
> > > ImportError: No module named bsddb
> > > ...
> > > 
> > > Thus I emerged dev-python/bsddb3, but I got the same error...
> > > But changing line 3 in
> > > /usr/lib/python2.4/site-packages/democracy/dl_daemon/download.py to "import
> > > bsddb3" fixed everything (because we emerged bsddb3 and the site-package is
> > > called bsddb3 and not bsddb)!
> > > 
> 
> > actually that shouldn't matter because their call is to
> > http://docs.python.org/lib/module-bsddb.html
> 
> I just got a tip from gentoo-dev genstef, i deinstalled bsddb3 and emerged
> python with berkdb USE:
> 
> [ebuild  N    ] sys-libs/db-4.3.29  USE="-bootstrap -doc -java -nocxx -tcltk"
> 5,960 kB
> [ebuild   R   ] dev-lang/python-2.4.3-r1  USE="X berkdb* ncurses readline ssl
> -bootstrap -build -doc -gdbm -ipv6 -nocxx -tcltk -ucs2" 0 kB
> 
> Now Democracy works without the include change! :) thx genstef!
> 
> To sum it up:
> 
> 1. ~ppc still seems a good idea, i have not found any issues (regarding ppc)
> yet!
done
> 2. Democracy needs python with berkdb support, how are we going to deal with
> that? A USE check in the ebuild, or just leave it like it currently is?
> 
> What do you think?
> 
I'm not sure my python has it on by default so unless your arch disables it by default it was your install.

anyway this should solve it
13c13
< KEYWORDS="~x86 ~amd64"
---
> KEYWORDS="~x86 ~amd64 ~ppc"
41a42,47
> pkg_setup() {
>       if ! built_with_use python berkdb; then
>               eerror "You must build python with berkdb support"
>               die("Please re-emerge python with berkdb USE flag ON")
>       fi
> }
49c55
<       if ! built_with_use -a xine-lib aac ffmpeg mad asf flac sdl win32codecs; then
---
>       if ! built_with_use xine-lib aac ffmpeg mad asf flac sdl win32codecs; then

don't worry I have attach a file :)

> Thanks everybody,
> 
> Steffen
> 
Comment 34 Jorge Vargas 2006-06-26 23:53:04 UTC
(In reply to comment #33)
> 
> anyway this should solve it
> 13c13
> < KEYWORDS="~x86 ~amd64"
> ---
> > KEYWORDS="~x86 ~amd64 ~ppc"
> 41a42,47
> > pkg_setup() {
> >       if ! built_with_use python berkdb; then
> >               eerror "You must build python with berkdb support"
> >               die "Please re-emerge python with berkdb USE flag ON"
> >       fi
> > }
> 49c55
> <       if ! built_with_use -a xine-lib aac ffmpeg mad asf flac sdl
> win32codecs; then
> ---
> >       if ! built_with_use xine-lib aac ffmpeg mad asf flac sdl win32codecs; then
> 
> don't worry I have attach a file :)


ups sorry die has no ( ) damn high level languages :)
> 
> > Thanks everybody,
> > 
> > Steffen
> > 
> 

Comment 35 Steffen 2006-06-27 04:07:12 UTC
(In reply to comment #33)
> > 1. ~ppc still seems a good idea, i have not found any issues (regarding ppc)
> > yet!
> done

thanks, now we need the new ebuild (with the patch applied) in gentoo sunrise, I will contact genstef, maybe he can help me... :)

> > 2. Democracy needs python with berkdb support, how are we going to deal with
> > that? A USE check in the ebuild, or just leave it like it currently is?
> > 
> > What do you think?
> > 
> I'm not sure my python has it on by default so unless your arch disables it by
> default it was your install.
> 
> anyway this should solve it
> [...] PATCH [...]

You are right, I manually disabled it (-berkdb in my USE in make.conf), ppc default is ON. Anyway I think this check shouldn't hurt, and if someone has Democrqacy running and downloading doesn't work and no error is visible thats quite irritating...  ;-)

Thanks,

Steffen
Comment 36 Rick Harris 2006-06-30 19:41:42 UTC
(In reply to Comment #10)

The reason it cannot find libgtkembedmoz.so building against gecko-sdk or firefox is because Democracy uses the very hackish Python distutils to build itself.

Look through the output of the build after:
building 'democracy.MozillaBrowser' extension

Notice the following error when building MozillaBrowser.so:
i686-pc-linux-gnu-g++: unrecognized option `-R/usr/lib/gecko-sdk/lib'

This means that MozillaBrowser.so is built without a RPATH/RUNPATH.

Do `less /var/tmp/portage/democracy-0.8.4.1/work/Democracy-0.8.4.1/platform/gtk-x11/build/lib.linux-i686-2.4/democracy/MozillaBrowser.so`
then
`less /usr/lib/gecko-sdk/lib/libgtkembedmoz.so`
to see how a .so should look.

It works building against mozilla simply because emerging mozilla puts libgtkembedmoz.so in the system LDPATH via /etc/env.d/10mozilla

Having the ebuild create another entry in /etc/env.d/.. that puts either /usr/lib/mozilla-firefox or /usr/lib/gecko-sdk/lib in it depending on the USE flag, then running env-update can fix this, but is undesirable in my opinion as the system may then get confused when it sees multiple libraries with the same name.

See Bug# 138647, but here's the problem...

'-R' is a linker option that is not recognised by gcc, for it to be recognised it needs to be prefixed with '-Wl,' to let gcc know the following parameter is meant for the linker, not the compiler. So '-R' becomes '-Wl,-R'.

** Democracy's setup.py script invokes /usr/lib/python2.4/distutils/unixccompiler.py to build.
** /usr/lib/python2.4/distutils/unixccompiler.py fills the 'CC' executable variable by invoking /usr/lib/python2.4/distutils/sysconfig.py
** /usr/lib/python2.4/distutils/unixccompiler.py contains a condition that says:
        elif compiler[:3] == "gcc" or compiler[:3] == "g++":
            return "-Wl,-R" + dir
** /usr/lib/python2.4/distutils/sysconfig.py returns the 'CC' executable variable by reading from /usr/lib/python2.4/config/Makefile
** If your system is like many others, it will return something like 'CC=i686-pc-linux-gnu-gcc -pthread', will never == "gcc" and so the correct linker options will not be used.

A more suitable option would be to perform a regex search for the word "gcc" on the returned variable rather than expect the variable to be specific.

A quick search on Python's sourceforge bug tracker shows this unapplied patch submitted almost a year ago that does just this -> http://sourceforge.net/tracker/download.php?group_id=5470&atid=305470&file_id=144928&aid=1254718
Comment 37 Jorge Vargas 2006-06-30 20:25:31 UTC
(In reply to comment #36)
> (In reply to Comment #10)
> 
> The reason it cannot find libgtkembedmoz.so building against gecko-sdk or
> firefox is because Democracy uses the very hackish Python distutils to build
> itself.

disutils isn't hackish, it's integration with C is :)

> 
> Do `less
> /var/tmp/portage/democracy-0.8.4.1/work/Democracy-0.8.4.1/platform/gtk-x11/build/lib.linux-i686-2.4/democracy/MozillaBrowser.so`
> then
> `less /usr/lib/gecko-sdk/lib/libgtkembedmoz.so`
> to see how a .so should look.
> 
I see that the entry point is diferent

> Having the ebuild create another entry in /etc/env.d/.. that puts either
> /usr/lib/mozilla-firefox or /usr/lib/gecko-sdk/lib in it depending on the USE
> flag, then running env-update can fix this, but is undesirable in my opinion as
> the system may then get confused when it sees multiple libraries with the same
> name.
yes indeed, I believe that's the way each one {gecko,mozilla,firefox} creates it's own version of gtkmodembeded.
> 
> See Bug# 138647, but here's the problem...
> 
That makes a lot of sence
> 
> A quick search on Python's sourceforge bug tracker shows this unapplied patch
> submitted almost a year ago that does just this ->
> http://sourceforge.net/tracker/download.php?group_id=5470&atid=305470&file_id=144928&aid=1254718
> 

I'll send this to the distutils mailing list maybe someone overlook the patch, or they reply to another similar bug with a reason.

Thanks I will have never figure this out
Comment 38 Rick Harris 2006-07-02 01:51:14 UTC
Created attachment 90673 [details, diff]
democracy-0.8.4.1.ebuild

Been playing with this some more and have now got it working compiling against firefox, gecko-sdk and mozilla libraries.

The attached ebuild has been modified to include the patches shown below.
It adds in Java5 as a needed dependency.
The USE flag behaviour is modified so that only one USE flag out of the possible 'firefox', 'gecko-sdk' and 'mozilla' may be used.
If none are specified, the default is to use 'firefox' as it is possibly more likely to be installed than the other two alternatives.
Fixes the install of CREDITS, README, LAYOUT and license.txt documents.

The following ebuild and patches assume that you have already fixed your Python distutils installation so that the section in /usr/lib/python2.4/distutils/unixccompiler.py which reads:

        elif sys.platform[:7] == "irix646" or sys.platform[:6] == "osf1V5":
            return ["-rpath", dir]
        elif compiler[:3] == "gcc" or compiler[:3] == "g++":
            return "-Wl,-R" + dir
        else:
            return "-R" + dir

is changed to read:

        elif sys.platform[:7] == "irix646" or sys.platform[:6] == "osf1V5":
            return ["-rpath", dir]
        elif compiler.find("gcc") >= 0 or compiler.find("g++") >= 0:
            return "-Wl,-R" + dir
        else:
            return "-R" + dir



#### firefox-0.8.4.1.patch ####

diff -urN Democracy-0.8.4.1/platform/gtk-x11/frontend_implementation/MozillaBrowserXPCOM.h Democracy-0.8.4.1-patched/platform/gtk-x11/frontend_implementation/MozillaBrowserXPCOM.h
--- Democracy-0.8.4.1/platform/gtk-x11/frontend_implementation/MozillaBrowserXPCOM.h    2006-06-23 01:27:16.000000000 +0930
+++ Democracy-0.8.4.1-patched/platform/gtk-x11/frontend_implementation/MozillaBrowserXPCOM.h    2006-07-02 12:31:41.000000000 +0930
@@ -1,6 +1,9 @@
 #ifndef MOZILLA_BROWSER_XPCOM_H
 #define MOZILLA_BROWSER_XPCOM_H

+#ifndef MOZILLA_INTERNAL_API
+#define MOZILLA_INTERNAL_API
+
 #include <gtkmozembed.h>
 #include <nscore.h>

@@ -25,4 +28,6 @@
 }
 #endif

+#endif /* MOZILLA_INTERNAL_API */
+
 #endif /* MOZILLA_BROWSER_XPCOM_H */
diff -urN Democracy-0.8.4.1/platform/gtk-x11/setup.py Democracy-0.8.4.1-patched/platform/gtk-x11/setup.py
--- Democracy-0.8.4.1/platform/gtk-x11/setup.py 2006-06-23 01:27:16.000000000 +0930
+++ Democracy-0.8.4.1-patched/platform/gtk-x11/setup.py 2006-07-02 12:33:09.000000000 +0930
@@ -129,10 +129,11 @@

     if options_dict is None:
         options_dict = {
-            'include_dirs' : [],
+            'include_dirs' : ['/usr/lib/mozilla-firefox/include/webbrwsr',
+                              '/usr/lib/mozilla-firefox/include/dom',
+                              '/usr/lib/mozilla-firefox/include/uriloader'],
             'library_dirs' : [],
             'libraries' : [],
-            'extra_compile_args' : []
         }
     commandLine = "%s --cflags --libs %s" % (command, components)
     output = getCommandOutput(commandLine).strip()
@@ -144,8 +145,6 @@
             options_dict['library_dirs'].append(rest)
         elif prefix == '-l':
             options_dict['libraries'].append(rest)
-        else:
-            options_dict['extra_compile_args'].append(comp)
     return options_dict

 #### The fasttypes extension ####
@@ -157,8 +156,8 @@

 #### MozillaBrowser Extension ####
 mozilla_browser_options = parsePkgConfig("pkg-config" ,
-        "gtk+-2.0 glib-2.0 pygtk-2.0 mozilla-gtkmozembed mozilla-xpcom")
-mozilla_lib_path = parsePkgConfig('pkg-config', 'mozilla-gtkmozembed')['library_dirs']
+        "gtk+-2.0 glib-2.0 pygtk-2.0 firefox-gtkmozembed firefox-xpcom")
+mozilla_lib_path = parsePkgConfig('pkg-config', 'firefox-gtkmozembed')['library_dirs']
 mozilla_browser_ext = Extension("democracy.MozillaBrowser",
         [ os.path.join(frontend_implementation_dir,'MozillaBrowser.pyx'),
           os.path.join(frontend_implementation_dir,'MozillaBrowserXPCOM.cc'),



#### gecko-sdk-0.8.4.1.patch ####

diff -urN Democracy-0.8.4.1/platform/gtk-x11/setup.py Democracy-0.8.4.1-patched/platform/gtk-x11/setup.py
--- Democracy-0.8.4.1/platform/gtk-x11/setup.py 2006-06-23 01:27:16.000000000 +0930
+++ Democracy-0.8.4.1-patched/platform/gtk-x11/setup.py 2006-07-02 16:55:28.000000000 +0930
@@ -132,7 +132,6 @@
             'include_dirs' : [],
             'library_dirs' : [],
             'libraries' : [],
-            'extra_compile_args' : []
         }
     commandLine = "%s --cflags --libs %s" % (command, components)
     output = getCommandOutput(commandLine).strip()
@@ -144,8 +143,6 @@
             options_dict['library_dirs'].append(rest)
         elif prefix == '-l':
             options_dict['libraries'].append(rest)
-        else:
-            options_dict['extra_compile_args'].append(comp)
     return options_dict

 #### The fasttypes extension ####
@@ -157,8 +154,8 @@

 #### MozillaBrowser Extension ####
 mozilla_browser_options = parsePkgConfig("pkg-config" ,
-        "gtk+-2.0 glib-2.0 pygtk-2.0 mozilla-gtkmozembed mozilla-xpcom")
-mozilla_lib_path = parsePkgConfig('pkg-config', 'mozilla-gtkmozembed')['library_dirs']
+        "gtk+-2.0 glib-2.0 pygtk-2.0 gecko-sdk-gtkmozembed gecko-sdk-xpcom")
+mozilla_lib_path = parsePkgConfig('pkg-config', 'gecko-sdk-gtkmozembed')['library_dirs']
 mozilla_browser_ext = Extension("democracy.MozillaBrowser",
         [ os.path.join(frontend_implementation_dir,'MozillaBrowser.pyx'),
           os.path.join(frontend_implementation_dir,'MozillaBrowserXPCOM.cc'),



#### mozilla-0.8.4.1.patch ####

diff -urN Democracy-0.8.4.1/platform/gtk-x11/setup.py Democracy-0.8.4.1-patched/platform/gtk-x11/setup.py
--- Democracy-0.8.4.1/platform/gtk-x11/setup.py 2006-06-23 01:27:16.000000000 +0930
+++ Democracy-0.8.4.1-patched/platform/gtk-x11/setup.py 2006-07-02 16:10:31.000000000 +0930
@@ -129,10 +129,11 @@

     if options_dict is None:
         options_dict = {
-            'include_dirs' : [],
+            'include_dirs' : ['/usr/lib/mozilla/include/webbrwsr',
+                              '/usr/lib/mozilla/include/dom',
+                              '/usr/lib/mozilla/include/uriloader'],
             'library_dirs' : [],
             'libraries' : [],
-            'extra_compile_args' : []
         }
     commandLine = "%s --cflags --libs %s" % (command, components)
     output = getCommandOutput(commandLine).strip()
@@ -144,8 +145,6 @@
             options_dict['library_dirs'].append(rest)
         elif prefix == '-l':
             options_dict['libraries'].append(rest)
-        else:
-            options_dict['extra_compile_args'].append(comp)
     return options_dict

 #### The fasttypes extension ####
Comment 39 Rick Harris 2006-07-02 02:16:35 UTC
Created attachment 90676 [details]
democracy-0.8.4.1.ebuild

And here is the real ebuild, NOT democracy-0.8.4.ebuild as previously posted.
Comment 40 Stefan Wimmer 2006-07-02 09:10:36 UTC
(In reply to comment #39)
I tried the new ebuild with the modifications in                                                       
/usr/lib/python2.4/distutils/unixccompiler.py you suggest and with the                                 
patch you offer (I had to modify it because of bad linebreaks) but I                                   
can't get it compiled.                                                                                 
                                                                                                       
There is still something wrong with the patch file but I'm no expert at                                
all to see the error :-/ I'll attach the firefox-0.8.4.1.patch and the                                 
error message I get ...                                                                                
                                                                                                       
Greetz                                                                                                 
Stefan
Comment 41 Stefan Wimmer 2006-07-02 09:11:54 UTC
Created attachment 90698 [details, diff]
The modified firefox-patch ...
Comment 42 Stefan Wimmer 2006-07-02 09:13:00 UTC
Created attachment 90699 [details]
The error logfile
Comment 43 Stefan Schweizer (RETIRED) gentoo-dev 2006-07-02 09:18:06 UTC
You can find an half-working ebuild here:
http://gentoo-sunrise.org/svn/reviewed/media-tv/democracy/democracy-0.8.4.1.ebuild
http://gentoo-sunrise.org/svn/reviewed/media-tv/democracy/files/democracy-0.8.4.1-firefox.patch
http://gentoo-sunrise.org/svn/reviewed/media-tv/democracy/files/democracy-as-needed-libX11.patch
I do not recommend this ebuild though other than for testing, because I removed support for gecko-sdk/mozilla, because they are deprecated:
http://thread.gmane.org/gmane.linux.gentoo.devel/39923/focus=39923
Two problems I have with firefox though:
- you need the distutils.py patch
- it only works when run in /usr/lib/mozilla-firefox, otherwise it just segfaults.
Comment 44 Stefan Wimmer 2006-07-02 13:50:49 UTC
(In reply to comment #43)
I tried it and at least I was emerged completely and the beast is up and running now - thx for that! Now I only have problems with the app itself (timeouts) but it runs :)

Greetz
Stefan
Comment 45 Rick Harris 2006-07-03 04:09:50 UTC
(In reply to Comment #43)

>You can find an half-working ebuild here:
>http://gentoo-sunrise.org/svn/reviewed/media-tv/democracy/democracy-0.8.4.1.ebuild

* Java5 is a required dependency for many feeds, otherwise:
INTERNAL ERROR on Browser End: JavaPluginFactory5 init - no agent?

* x11-libs/libX11 seems redundant as >=dev-python/pygtk-2.0 pulls it in anyway via it's gtk+ dependency

>http://gentoo-sunrise.org/svn/reviewed/media-tv/democracy/files/democracy-0.8.4.1-firefox.patch
>http://gentoo-sunrise.org/svn/reviewed/media-tv/democracy/files/democracy-as-needed-libX11.patch

Not sure what this patch does, seems to work fine without it ...

>I do not recommend this ebuild though other than for testing, because I >removed support for gecko-sdk/mozilla, because they are deprecated:
>http://thread.gmane.org/gmane.linux.gentoo.devel/39923/focus=39923

Controversial ...

>Two problems I have with firefox though:
>- you need the distutils.py patch

This would now seem redundant as a result of removing mozilla and gecko-sdk.
/usr/lib/mozilla-firefox can now exist in the system's LDPATH via an /etc/env.d/10firefox entry without the possibility of confusion between mozilla or gecko-sdk libs (unless the user decides to package unmask or already has gecko-sdk and/or mozilla installed).

Although the patch ought to still be applied upstream and perhaps downstream in the interim on dev-lang/python so other packages do not suffer the same fate.

>- it only works when run in /usr/lib/mozilla-firefox, otherwise it just
segfaults.

I don't experience this at all, the application runs flawlessly from anywhere.
Or do you mean without the Python distutils patch applied ?
Comment 46 David Grant 2006-07-03 14:07:25 UTC
Worked fine for me when I was using 0.8.2 a few weeks ago. I get the following now when I try to start it:

-(~:$)-> democracyplayer
Traceback (most recent call last):
  File "/usr/bin/democracyplayer", line 77, in ?
    startapp()
  File "/usr/bin/democracyplayer", line 37, in startapp
    import singleclick
  File "/usr/lib/python2.4/site-packages/democracy/singleclick.py", line 18, in ?
    import app
  File "/usr/lib/python2.4/site-packages/democracy/app.py", line 435, in ?
    import frontend
  File "/usr/lib/python2.4/site-packages/democracy/frontend.py", line 14, in ?
    import MozillaBrowser
ImportError: /usr/lib/python2.4/site-packages/democracy/MozillaBrowser.so: undefined symbol: _ZN18nsAString_internalD2Ev
Comment 47 michael philetus weller 2006-07-04 22:34:34 UTC
Created attachment 90934 [details, diff]
working firefox-0.8.4.1 patch for 0.8.4.1 ebuild above

I generated a new patch with the same changes as the earlier one, but on the files from the latest democracy 0.8.4.1 tarball that the democracy-0.8.4.1.ebuild atttached above retrieves.

the democracy player works on my amd64 laptop now, built with the firefox use flag, and I didn't have to install mozilla or the gecko-sdk.
Comment 48 David Grant 2006-07-04 23:19:54 UTC
Can you add this to sunrise?
Comment 49 Stefan Schweizer (RETIRED) gentoo-dev 2006-07-05 00:26:04 UTC
This already is in sunrise. And I just added a check for the distutils patch to be applied as well as patching instructions.
Comment 50 David Grant 2006-07-05 20:50:50 UTC
0.8.2-r1 works great for me

0.8.4.1 segfaults:

-(~:$)-> democracyplayer
DTV: Starting up Democracy Player
DTV: Version:  0.8.4.1
DTV: Revision: unknown
DTV: Loading preferences...
DTV: Restoring database...
trying to convert database from old version
upgrading database to version 7
*** Conversion Successfull ***
DTV: Recomputing filters...
DTV: Spawning global feed dtv:manualFeed
DTV: Spawning global feed dtv:search
DTV: Spawning auto downloader...
DTV: Spawning idle notifier
DTV: idle notifier running
DTV: Displaying main frame...
DTV: Starting event loop thread
DTV: updating the Guide
*** Launching Democracy Downloader Daemon ****
*** Daemon ready ***
downloader: connection closed -- quitting
Shutting down downloaders...
Segmentation fault
Comment 51 Jorge Vargas 2006-07-22 09:21:41 UTC
hi there I'm upgrading the ebuild to 0.8.5 that was release yesterday and I'm having troubles getting the C code patch to work .

if I compile with the patch to MozillaBrowserXPCOM.h I'm getting this error.

Traceback (most recent call last):
  File "/usr/bin/democracyplayer", line 80, in ?
    startapp()
  File "/usr/bin/democracyplayer", line 37, in startapp
    import singleclick
  File "/usr/lib/python2.4/site-packages/democracy/singleclick.py", line 17, in ?
    import app
  File "/usr/lib/python2.4/site-packages/democracy/app.py", line 434, in ?
    import frontend
  File "/usr/lib/python2.4/site-packages/democracy/frontend.py", line 42, in ?
    import MozillaBrowser
ImportError: /usr/lib/python2.4/site-packages/democracy/MozillaBrowser.so: undefined symbol: addItemBefore

if I take that part out it seg fault, could the original author/someone with more C-fu then me take a look? 

I have attach the new patch, the ebuild is the same (except for the name and the call to the patch) 

the patch is almost the same but upstream changed the way they look for gtkmozembeded so I change the patch accordinly.
Comment 52 Jorge Vargas 2006-07-22 09:24:22 UTC
Created attachment 92500 [details, diff]
this patch is a port of the 0.8.4 from layman overlay, it should work although not for me.
Comment 53 Aneel 2006-07-24 10:07:37 UTC
(In reply to comment #51)
> hi there I'm upgrading the ebuild to 0.8.5 that was release yesterday and I'm
> having troubles getting the C code patch to work .
> 
> if I compile with the patch to MozillaBrowserXPCOM.h I'm getting this error.
> 
> Traceback (most recent call last):
>   File "/usr/bin/democracyplayer", line 80, in ?
>     startapp()
>   File "/usr/bin/democracyplayer", line 37, in startapp
>     import singleclick
>   File "/usr/lib/python2.4/site-packages/democracy/singleclick.py", line 17, in
> ?
>     import app
>   File "/usr/lib/python2.4/site-packages/democracy/app.py", line 434, in ?
>     import frontend
>   File "/usr/lib/python2.4/site-packages/democracy/frontend.py", line 42, in ?
>     import MozillaBrowser
> ImportError: /usr/lib/python2.4/site-packages/democracy/MozillaBrowser.so:
> undefined symbol: addItemBefore
> 
> if I take that part out it seg fault, could the original author/someone with
> more C-fu then me take a look? 
> 
> I have attach the new patch, the ebuild is the same (except for the name and
> the call to the patch) 
> 
> the patch is almost the same but upstream changed the way they look for
> gtkmozembeded so I change the patch accordinly.
> 

I get the exact same error. On a side note, I had to manually create the 10firefox file in /etc/env.d. Perhaps the democracy ebuild could eventually check for it and create it on its own?
Comment 54 Rick Harris 2006-07-28 19:35:49 UTC
Created attachment 92969 [details, diff]
New democracy-firefox-0.8.5.patch

> ImportError: /usr/lib/python2.4/site-packages/democracy/MozillaBrowser.so:
> undefined symbol: addItemBefore

In Democracy-0.8.5, #define MOZILLA_INTERNAL_API is no longer required for platform/gtk-x11/frontend_implementation/MozillaBrowserXPCOM.h

Works well, GUI still slightly buggy when resizing anything, but apart from that OK.
Comment 55 Aneel 2006-08-12 11:39:29 UTC
Democracy 0.8.5.3 has been released.  It is time for a version bump.
Comment 56 Louis C. 2006-08-12 13:13:53 UTC
(In reply to comment #55)
> Democracy 0.8.5.3 has been released.  It is time for a version bump.
> 

There's no tarball for it in the source directory of their ftp where they normally put releases:
ftp://ftp.osuosl.org/pub/pculture.org/democracy/src/
Comment 57 Aneel 2006-08-13 14:04:27 UTC
(In reply to comment #56)
> There's no tarball for it in the source directory of their ftp where they
> normally put releases:
> ftp://ftp.osuosl.org/pub/pculture.org/democracy/src/
> 
Yeah, I just noticed.  It seems that it is binary only at the present.

Comment 58 Aneel 2006-08-15 17:01:54 UTC
I have informed the Democracy team of this issue:

http://forum.getdemocracy.com/viewtopic.php?id=458

I have also provided the link for this bug so that the Democracy team might offer some insight and maybe implement some of the fixes upstream.
Comment 59 Greg Opperman 2006-08-16 10:58:27 UTC
(In reply to comment #58)
> I have informed the Democracy team of this issue:
> 
> http://forum.getdemocracy.com/viewtopic.php?id=458
> 
> I have also provided the link for this bug so that the Democracy team might
> offer some insight and maybe implement some of the fixes upstream.
> 

Hey Guys,

I just found out through the forums about this project. I went ahead and made you guys a 0.8.5.3 tarball:

http://ftp.osuosl.org/pub/pculture.org/democracy/src/Democracy-0.8.5.3.tar.gz

As an aside, we'd be more than happy to work more closely with you guys, and maybe even provide your e-builds on our site. If anybody wants to coordinate between this project and ours, shoot me an e-mail at oppy@pculture.org

Thanks again, and keep up the good work.
Comment 60 Aneel 2006-08-16 13:21:36 UTC
I don't think it is necessary to post a new ebuild.  Copying and renaming the 0.8.5 ebuild and the democracy-firefox-0.8.5.patch to democracy-firefox-0.8.5.3.patch will allow Democracy 0.8.5.3 to build cleanly.  Other than the same resizing issue and a crash whenever a video finishes playing, it seems to work well.
Comment 61 Jorge Vargas 2006-08-16 17:37:37 UTC
(In reply to comment #59)
> (In reply to comment #58)
> > I have informed the Democracy team of this issue:
> > 
> > http://forum.getdemocracy.com/viewtopic.php?id=458
> > 
> > I have also provided the link for this bug so that the Democracy team might
> > offer some insight and maybe implement some of the fixes upstream.
> > 
> 
> Hey Guys,
> 
> I just found out through the forums about this project. I went ahead and made
> you guys a 0.8.5.3 tarball:
> 
> http://ftp.osuosl.org/pub/pculture.org/democracy/src/Democracy-0.8.5.3.tar.gz
> 
thanks I have been around the devel mailing list for a while, and noone has offer this kind of help, thanks.

> As an aside, we'd be more than happy to work more closely with you guys, and
> maybe even provide your e-builds on our site. If anybody wants to coordinate
> between this project and ours, shoot me an e-mail at oppy@pculture.org

I'll love to have that in fact some changes to the code could help us get a better integration with gentoo. for example that nasty firefox patch that needs to be change every couple of releases.

As for the hosting our ebuild files are very small but lets coordinate that, so we can finally push this into the official gentoo tree.

I'll drop you an email. peace.

> 
> Thanks again, and keep up the good work.
> 
Comment 62 Jorge Vargas 2006-08-16 17:38:41 UTC
(In reply to comment #60)
> I don't think it is necessary to post a new ebuild.  Copying and renaming the
> 0.8.5 ebuild and the democracy-firefox-0.8.5.patch to
> democracy-firefox-0.8.5.3.patch will allow Democracy 0.8.5.3 to build cleanly. 
> Other than the same resizing issue and a crash whenever a video finishes
> playing, it seems to work well.
> 

actually it is, it's call a version bump. we need to get that one into sunrise...
Comment 63 Stefan Wimmer 2006-08-16 19:58:09 UTC
Hmm - I use the democracy-0.8.4.1.ebuild (attachment 90676 [details]) renamed to
democracy-0.8.5.3.ebuild and the democracy-firefox-0.8.5.patch
(attachment 92969 [details, diff]) renamed to firefox-0.8.5.3.ebuild and the emerge
works well. But when I start democracyplayer I get this error:

  Traceback (most recent call last):
  File "/usr/bin/democracyplayer", line 80, in ?
    startapp()
  File "/usr/bin/democracyplayer", line 37, in startapp
    import singleclick
  File "/usr/lib64/python2.4/site-packages/democracy/singleclick.py", line 17, in ?
    import app
  File "/usr/lib64/python2.4/site-packages/democracy/app.py", line 434, in ?
    import frontend
  File "/usr/lib64/python2.4/site-packages/democracy/frontend.py", line 42, in ?
    import MozillaBrowser
  ImportError: libgtkembedmoz.so: cannot open shared object file: No such file or directory

The file is located in /usr/lib64/mozilla-firefox/libgtkembedmoz.so though ...

Anyone else?
Comment 64 Jorge Vargas 2006-08-16 22:33:11 UTC
Created attachment 94428 [details]
This tar has been updated with all the lastest patches here, it should render any 0.8.5.* or 0.8.4.* instalation correctly

please try this one out :)
Comment 65 Stefan Wimmer 2006-08-17 01:54:11 UTC
(In reply to comment #64)
> Created an attachment (id=94428) [edit]
> This tar has been updated with all the lastest patches here, it should render
> any 0.8.5.* or 0.8.4.* instalation correctly
> 
> please try this one out :)
> 

Yep! This one does the job without a glitch :)

I suspect a python update (2.4.2 -> 2.4.3-r1) the culprit since I had to re-patch distutils/unixccompiler.py again to get the emerge done ... this ebuild had a warning that I had to patch, the old one did not do that :-/
Comment 66 Aneel 2006-08-17 09:42:15 UTC
(In reply to comment #64)
> Created an attachment (id=94428) [edit]
> This tar has been updated with all the lastest patches here, it should render
> any 0.8.5.* or 0.8.4.* instalation correctly
> 
> please try this one out :)
> 

I notice you changed the category from media-video to media-tv.  It seems that the media-tv category only contains programs related to TV capture.  Do you think that Democracy belongs there, too?
Comment 67 Stefan Schweizer (RETIRED) gentoo-dev 2006-08-17 09:52:14 UTC
democracy is an application to download movie clips from the Internet and watch them. I would see that as a form of television on demand.
TV capturing from the Internet if you want so.

Another thing is that media-tv/ is definitely more specific than media-video:
stefan@macbook /usr/portage $ ls media-video/* -d | wc -l
175
stefan@macbook /usr/portage $ ls media-tv/* -d | wc -l
28

Thus media-tv is in my opinion the right place to put it.
Comment 68 Aneel 2006-08-17 09:55:00 UTC
That's fine, then.  Just remember to unmerge the media-video copy before installing the media-tv ebuild.

Other than that, the overlay looks great.  This should hopefully clear up much confusion and allow more testers to get up to speed.  Thanks.
Comment 69 Jorge Vargas 2006-08-17 19:11:01 UTC
(In reply to comment #66)
> (In reply to comment #64)
> > Created an attachment (id=94428) [edit]
> > This tar has been updated with all the lastest patches here, it should render
> > any 0.8.5.* or 0.8.4.* instalation correctly
> > 
> > please try this one out :)
> > 
> 
> I notice you changed the category from media-video to media-tv.  It seems that
> the media-tv category only contains programs related to TV capture.  Do you
> think that Democracy belongs there, too?
> 
actually it wasn't me that was done by Stefan, and to be honest the media-video was given to me by Martin I never though about it so I didn't care :o)
Comment 70 Olivier Bilodeau 2006-08-22 10:36:02 UTC
Tried 0.8.4.1 with gentoo-sunrise overlay on amd64 and it works fine.

This is a great app that I hope will hit portage soon.
Comment 71 Markus Flaig 2006-08-28 12:24:30 UTC
i emerged 0.8.5.3 but democracyplayer wont start.

democracyplayer says:

DTV: Warning: could not import GTK (is DISPLAY set?)
Traceback (most recent call last):
  File "/usr/bin/democracyplayer", line 78, in ?
    startapp()
  File "/usr/bin/democracyplayer", line 43, in startapp
    app.main()
  File "/usr/lib/python2.4/site-packages/democracy/app.py", line 65, in main
    Controller().Run()
  File "/usr/lib/python2.4/site-packages/democracy/app.py", line 445, in __init__
    frontend.Application.__init__(self)
AttributeError: class Application has no attribute '__init__'


emerge --info says:

emerge --info
Portage 2.1-r2 (default-linux/x86/2005.1, gcc-3.4.6, glibc-2.3.6-r4, 2.6.17-gentoo i686)
=================================================================
System uname: 2.6.17-gentoo i686 Intel(R) Pentium(R) M processor 2.00GHz
Gentoo Base System version 1.12.4
app-admin/eselect-compiler: [Not Present]
dev-lang/python:     2.3.5, 2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium3"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2 -march=pentium3"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/portage-xgl"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X aac acpi alsa apache2 apm arts avi bash-completion berkdb bitmap-fonts bluetooth bzip2 cdr cli crypt cups dlloader dri dvb dvd dvdr dvdread eds emboss encode foomaticdb fortran gdbm gif gpm gstreamer gtk gtk2 hal hdaps icq imlib ipv6 irmc isdnlog java jpeg kde kdeenablefinal kdexdeltas libg++ libwww mad mikmod mmx motif mp3 mpeg ncurses nls ogg oggvorbis opengl oss pam pcre pdflib perl png ppds pppd python qt qt3 qt4 quicktime readline reflection samba sdl session spell spl sse ssl tcpd truetype truetype-fonts type1-fonts usb v4l vorbis wifi win32codecs xml2 xmms xorg xosd xv xvid zlib elibc_glibc input_devices_keyboard input_devices_mouse input_devices_synaptics kernel_linux userland_GNU video_cards_fglrx video_cards_vesa video_cards_fbdev"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 72 Aneel 2006-09-01 09:24:33 UTC
Have you emerged pygtk?
Comment 73 Jorge Vargas 2006-09-05 21:16:04 UTC
Hello everyone got great news.

I have been working with the democracy team in making it compile without patches on gentoo, and it's almost done.

only a minor fix is pending which is probably going in on 0.9.0rc1 which will probably be out tomorrow or thursday.

anyway if you want to play with the new version I'll attach the ebuild (i'm too lazy to do the patch file (just take out nsIDOMHTMLElement.h from the line in setup.py tha fails when it compiles)
Comment 74 Jorge Vargas 2006-09-05 21:20:00 UTC
Created attachment 96139 [details]
This is an almost working ebuild please test it, just delete reference to nsIDOMHTMLElement.h in setup.py
Comment 75 David Grant 2006-09-05 21:44:28 UTC
Thanks for your hard work Jorge.
Comment 76 Markus Flaig 2006-09-06 03:18:41 UTC
(In reply to comment #72)
> Have you emerged pygtk?

yes, i have pygtk emerged, i even remerged it.
Comment 77 Jorge Vargas 2006-09-06 20:13:21 UTC
Created attachment 96225 [details]
full overlay updated to 0.9rc1

the full overlay with portage metadata, old ones + patches (which are not neeed for 0.9+). if you want to help develop download this.
Comment 78 Jorge Vargas 2006-09-06 20:14:35 UTC
Created attachment 96226 [details]
just the ebuild

as of this release you can just drop the ebuild on your system and it will compile
Comment 79 Jorge Vargas 2006-09-06 20:21:14 UTC
Hello everyone today is a good day for the ebuild.

The final work was done on the trunk and now democracyplayer compiles without any problems.

I'm going to figure out how to commit this to sunrise now (yes I got user now, (thanks Stefan) but I need to "learn the process")

I'll like to thank Ben,Chris and Greg from democracy team for working with me on this now a new release will be piece of cake. 

oh by the way we are going to be on democracy download page for the first time on 0.9 yay!

peace (and sorry for 3 post one after the other)
Comment 80 Jorge Vargas 2006-09-07 15:06:35 UTC
ok commit to sunrise is not working.

from now on I'll probably release there and just post a comment here. unless someone has a problem with that :p
Comment 81 Stefan Wimmer 2006-09-07 15:46:12 UTC
As long as I can get an ebuild I'm content with it ;-)\nGreetz\nStefan
Comment 82 Aneel 2006-09-08 22:25:22 UTC
Way to go, Jorge!  Great job.

As of now the rc1 ebuild does not work, as the rc1 tgz has been replaced with the rc2 archive on the nightlies page.  A simple version bump fixes the problem.

On my first try, I did get the following error related to embedded html rendering:

Traceback (most recent call last):
  File "/usr/lib64/python2.4/site-packages/democracy/frontend_implementation/HTMLDisplay.py", line 172, in loadFinished
    func()
  File "/usr/lib64/python2.4/site-packages/democracy/frontend_implementation/HTMLDisplay.py", line 33, in <lambda>
    self.execAfterLoad(lambda: func(self, *args, **kwargs))
  File "/usr/lib64/python2.4/site-packages/democracy/frontend_implementation/HTMLDisplay.py", line 214, in addItemBefore
    self.mb.addItemBefore(xml, id)
  File "MozillaBrowser.pyx", line 86, in MozillaBrowser.MozillaBrowser.addItemBefore
MozillaBrowser.DOMError: error in addItemBefore

On my second try, though, it worked fine.
Comment 83 Stefan Schweizer (RETIRED) gentoo-dev 2006-09-08 23:57:40 UTC
http://www.gentoo-sunrise.org/svn/reviewed/media-tv/democracy

I bumped it to rc2 yesterday :)
Comment 84 Jorge Vargas 2006-09-11 16:37:48 UTC
(In reply to comment #83)
> http://www.gentoo-sunrise.org/svn/reviewed/media-tv/democracy
> 
> I bumped it to rc2 yesterday :)
> 

0.9 is out I did a small r1 which changes the SRC_URI to the ftp and not the nightlies, this should be the same code so there is no need to upgrade.
Comment 85 Jorge Vargas 2006-09-11 23:10:06 UTC
(In reply to comment #84)
> (In reply to comment #83)
> > http://www.gentoo-sunrise.org/svn/reviewed/media-tv/democracy
> > 
> > I bumped it to rc2 yesterday :)
> > 
> 
> 0.9 is out I did a small r1 which changes the SRC_URI to the ftp and not the
> nightlies, this should be the same code so there is no need to upgrade.
> 

http://www.getdemocracy.com/downloads/#linux  <-- check that out we are feature there :) now all we need is a developer to get this into the main tree 
Comment 86 Piotr Szymaniak 2006-10-19 11:15:41 UTC
maszyna ~ # eix democracy
* media-tv/democracy [1] 
     Available versions:  0.9.0.2
     Installed:           0.9.0.2

And when running:

Traceback (most recent call last):
  File "/usr/bin/democracyplayer", line 94, in ?
    startapp()
  File "/usr/bin/democracyplayer", line 43, in startapp
    import singleclick
  File "/usr/lib/python2.4/site-packages/democracy/singleclick.py", line 17, in ?
    import app
  File "/usr/lib/python2.4/site-packages/democracy/app.py", line 427, in ?
    import frontend
  File "/usr/lib/python2.4/site-packages/democracy/frontend.py", line 47, in ?
    from frontend_implementation.MainFrame import MainFrame, NullDisplay
  File "/usr/lib/python2.4/site-packages/democracy/frontend_implementation/MainFrame.py", line 17, in ?
    from frontend_implementation.HTMLDisplay import HTMLDisplay
  File "/usr/lib/python2.4/site-packages/democracy/frontend_implementation/HTMLDisplay.py", line 6, in ?
    import gtkmozembed
ImportError: No module named gtkmozembed
Comment 87 Michael Leuchtenburg 2006-10-19 21:02:35 UTC
After applying the patch to distutils/unixcompiler.py as requested, I get this error when building. Any thoughts on how to fix or work around this?

Compiling 'unittest/include' template to /var/tmp/portage/democracy-0.9.0.2/work/Democracy-0.9.0.2/resources/../portable/compiled_templates/unittest/include.py
Starting compile of unittest/include
Ending compile
Traceback (most recent call last):
  File "setup.py", line 175, in ?
    packages = getCommandOutput("pkg-config --list-all")
  File "setup.py", line 124, in getCommandOutput
    raise RuntimeError("%s outputted the following error:\n%s" % 
RuntimeError: pkg-config --list-all outputted the following error:
Package qt-mt was not found in the pkg-config search path.
Perhaps you should add the directory containing `qt-mt.pc'
to the PKG_CONFIG_PATH environment variable
Package 'qt-mt', required by 'avahi-qt3', not found


!!! ERROR: media-tv/democracy-0.9.0.2 failed.
Call stack:
  ebuild.sh, line 1539:   Called dyn_compile
  ebuild.sh, line 939:   Called src_compile
  ebuild.sh, line 1248:   Called distutils_src_compile
  distutils.eclass, line 38:   Called die


Portage 2.1-r1 (default-linux/x86/2006.0, gcc-3.3.6, glibc-2.3.5-r1, 2.6.16.4 i686)
=================================================================
System uname: 2.6.16.4 i686 Intel(R) Pentium(R) M processor 1000MHz
Gentoo Base System version 1.12.0
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.2.11
dev-lang/python:     2.3.5-r2, 2.4.2
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.11
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.12-r4
sys-devel/libtool:   1.5.18-r1
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium3 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/share/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2 -march=pentium3 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://mirror.datapipe.net/gentoo"
LANG="en_US.UTF-8"
LINGUAS="en"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/overlays/local /usr/portage/local/layman/sunrise /usr/portage/local/layman/gentopia"
SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
USE="x86 X a52 aac acpi aim alsa amr apache2 apm asf avahi avi berkdb bitmap-fonts bluetooth browserplugin bzip2 cairo cddb cdparanoia cdr cis cjk cli cracklib crypt cscope cups daap dbus dlloader dri dts dvd eds emboss encode esd ethereal firefox flac foomaticdb fortran gdbm gif gpm gstreamer gtk gtk2 hal imap imlib ipv6 isdnlog jabber joystick jpeg ldap libg++ libwww live lzo mad madwifi maildir matroska mbox mikmod mmx mng mod motif mozcalendar mozdevelop mozsvg mp3 mpeg musepack ncurses nls nptl offensive ofx ogg opengl oss pam pcmcia pcre pda perl png ppds pppd print python qt3 qt4 quicktime quotes readline real reflection rtc rtsp sdl session slang speex spell spl sse sse2 ssl synaptics tcpd theora truetype truetype-fonts type1-fonts udev unicode usb vidix vlm vorbis wifi win32codecs x264 xanim xml xmms xorg xosd xv xvid xvmc zlib elibc_glibc input_devices_evdev input_devices_keyboard input_devices_mouse input_devices_synaptics input_devices_joystick kernel_linux linguas_en userland_GNU video_cards_i810"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 88 Hinrik Örn Sigurðsson 2006-10-20 01:08:48 UTC
The ebuild fails if xine-lib wasn't built with ffmpeg in USE. xine-lib doesn't use that flag anymore...
Comment 89 Jorge Vargas 2006-10-20 09:20:24 UTC
(In reply to comment #86)
> maszyna ~ # eix democracy
>     import gtkmozembed
> ImportError: No module named gtkmozembed
> 
Can you run rev-dep-rebuild on your system that module is supposed to be install by dev-python/gnome-python-extras

Comment 90 Aneel 2006-10-21 20:07:30 UTC
Time to bump sunrise again; Democracy 0.9.1 has been released :-D
Comment 91 Jorge Vargas 2006-10-21 20:18:04 UTC
(In reply to comment #90)
> Time to bump sunrise again; Democracy 0.9.1 has been released :-D
> 

actually I have been sitting on the ebuild for 2 of the rc and the last stable I mess up my repo and I can't commit it, will be there tonight
Comment 92 Jorge Vargas 2006-10-21 20:20:06 UTC
(In reply to comment #88)
> The ebuild fails if xine-lib wasn't built with ffmpeg in USE. xine-lib doesn't
> use that flag anymore...
> 
actually that's a warning but your right that flag is no longer there I have taken it out of 0.9.1 thanks.
Comment 93 Jorge Vargas 2006-10-21 20:41:51 UTC
(In reply to comment #87)
/var/tmp/portage/democracy-0.9.0.2/work/Democracy-0.9.0.2/resources/../portable/compiled_templates/unittest/include.py
> Starting compile of unittest/include
> Ending compile
> Traceback (most recent call last):
>   File "setup.py", line 175, in ?
>     packages = getCommandOutput("pkg-config --list-all")
>   File "setup.py", line 124, in getCommandOutput
>     raise RuntimeError("%s outputted the following error:\n%s" % 
> RuntimeError: pkg-config --list-all outputted the following error:
> Package qt-mt was not found in the pkg-config search path.
> Perhaps you should add the directory containing `qt-mt.pc'
> to the PKG_CONFIG_PATH environment variable
> Package 'qt-mt', required by 'avahi-qt3', not found
> 
that doesn't makes any sense democracy is a GTK app.

Can you please run this on your console 
$ pkg-config --list-all 

(yes that's very hackish of them. its to find out agains which mozilla browser to compile.

elpargo@localhost ~ $ equery b /usr/qt/3/lib/pkgconfig/qt-mt.pc
[ Searching for file(s) /usr/qt/3/lib/pkgconfig/qt-mt.pc in *... ]
x11-libs/qt-3.3.6-r1 (/usr/qt/3/lib/pkgconfig/qt-mt.pc)

so I guess your qt is broken, please reemerge qt and try again.

I'll post a bug about this now I have a reason to complain :)

https://develop.participatoryculture.org/projects/democracy/ticket/4613

I believe you have some other program broken 

> 
Comment 94 Jorge Vargas 2006-10-21 21:22:24 UTC
(In reply to comment #90)
> Time to bump sunrise again; Democracy 0.9.1 has been released :-D
> 

ok it's done http://www.gentoo-sunrise.org/sunrise/changeset/1659
before tomorrow it will get to the main overlay so you can test it out.

by the way the bug with the flv videos is still present, I even try going to the masked xine-lib

and also they want to migrate to gstreamer (in fact the code is there but not enable) 
Comment 95 Aneel 2006-10-22 08:26:44 UTC
I just hope migrating to gstreamer does not break h.264/Quicktime decoding.
Comment 96 Raphael 2006-10-28 08:21:06 UTC
I just installed democracy and when I run it I get

 democracyplayer 
/usr/lib64/python2.4/site-packages/democracy/frontend_implementation/Application.py:27: GtkDeprecationWarning: gtk.threads_init is deprecated, use gtk.gdk.threads_init instead
  gtk.threads_init()
DTV: Starting up Democracy Player
DTV: Version:  0.9.1
DTV: Revision: unknown
DTV: Loading preferences...
DTV: Showing startup dialog...
Segmentation fault

How can I provide some useful debugging info?

Here is the output of 
 emerge --info

Portage 2.1.2_pre3-r9 (default-linux/amd64/2006.1/desktop, gcc-3.4.6, glibc-2.5-r0, 2.6.16-rc5 x86_64)
=================================================================
System uname: 2.6.16-rc5 x86_64 AMD Athlon(tm) 64 Processor 3000+
Gentoo Base System version 1.12.5
Last Sync: Thu, 26 Oct 2006 21:30:01 +0000
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.3.7, 2.0.30
dev-lang/python:     2.3.5-r3, 2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.60
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.14
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -O2"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-march=k8 -O2"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://gentoo.blueyonder.co.uk http://mirror.switch.ch/ftp/mirror/gentoo/ http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/  ftp://ftp.heanet.ie/pub/gentoo/ http://ftp.easynet.nl/mirror/gentoo/"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/portage/local/layman/sunrise"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="amd64 X Xaw3d a52 aac aalib alsa aotuv arts artworkextra berkdb bindinst bitmap-fonts bootsplash browserplugin cairo cli cracklib crypt cups dba dbus dlloader dri dts dv dvd dvdr dvdread eds elibc_glibc emboss encode esd fam fame fbcon fbdev firefox font-server fortran gd gdbm gif ginac gpm gs gstreamer gtk gtk2 hal icq imagemagick input_devices_keyboard input_devices_mouse ipv6 irc isdnlog jabber java jpeg kde kernel_linux ldap libg++ mad mikmod mozilla mp3 mpeg msn ncurses nls nptl nptlonly nsplugin offensive ogg oggvorbis opengl oss pam pcntl pcre pdf perl png posix ppds pppd python qhull qt3 qt4 quicktime readline realmedia reflection rss sdl session spell spl ssl subtitles svg tcpd theora truetype truetype-fonts type1-fonts udev unicode userland_GNU video_cards_fbdev video_cards_fglrx video_cards_vesa vorbis wmp wxgtk1 wxwindows xml xorg xv xvid yahoo zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS

Raphael
Comment 98 Aneel 2006-11-28 13:24:03 UTC
(In reply to comment #97)
> 0.9.2 is released.
> http://www.getdemocracy.com/news/2006/11/democracy-092-released-faster-and-smarter/
> 

Indeed, and it's time to update sunrise.  Speaking of which, 0.9.2 is supposed to fix the enormous memory usage that currently occurs; would this not be a good time to add democracy to portage?  It seems stable enough; I think the only impediment is the python patch (Python has to be repatched with every remerge/update).  Of course, we should thoroughly test it first, but overall it is getting better quickly.
Comment 99 Jorge Vargas 2006-11-28 15:50:03 UTC
(In reply to comment #98)
> (In reply to comment #97)
> > 0.9.2 is released.
> > http://www.getdemocracy.com/news/2006/11/democracy-092-released-faster-and-smarter/
> > 
> 
guys please don't post this kind of messages they just load bugzilla, I'm subscribed to the mailing list and the unofficial contact person for gentoo related stuff, the only reason I didn't updated it was because I didn't had the time.

> Indeed, and it's time to update sunrise.  Speaking of which, 0.9.2 is supposed
> to fix the enormous memory usage that currently occurs; would this not be a
> good time to add democracy to portage?  
I don't think it's ready for primetime, specially the ebuild. 

> It seems stable enough; I think the
> only impediment is the python patch (Python has to be repatched with every
> remerge/update).  Of course, we should thoroughly test it first, but overall it
> is getting better quickly.
> 
well for that to work it will need that patch added to the python ebuild, on the other hand someone on gentoo-mozilla-dev told me it can be overcome really easy but we need to find the time for him to show me.

On the other other hand there is gstreamer support which the ebuild doesn't use I need to learn how to enable it so I can add the useflags.

any help on those parts will be appreciated.
Comment 100 Mike Vanecek 2006-12-03 10:29:31 UTC
Latest Democracy ebuild from sunrise, latest python, gst-python, boost, etc, recommended entries in the make.conf for the xine-lib, successful build of Democracy with the python patch recommended and I'm getting this when trying to run Democracy:

terminate called after throwing an instance of 'boost::python::error_already_set'
Aborted

I'm not sure what additional info would be required - please let me know if you need more.

Mike
Comment 101 Beetle B. 2006-12-03 12:17:29 UTC
Starting compile of unittest/include-template
Ending compile
  compiling 'unittest/include-template' subtemplate
Starting compile of unittest/include-template
Ending compile
Ending compile
Package config error:
pkg-config --list-all outputted the following error:
Variable 'includedir' not defined in '/usr/lib/pkgconfig/libccext2.pc'


!!! ERROR: media-tv/democracy-0.9.2.1 failed.
Call stack:
  ebuild.sh, line 1546:   Called dyn_compile
  ebuild.sh, line 937:   Called src_compile
  ebuild.sh, line 1255:   Called distutils_src_compile
  distutils.eclass, line 38:   Called die

!!! compilation failed
!!! If you need support, post the topmost build error, and the call stack if relevant.

!!! This ebuild is from an overlay: '/usr/portage/local/layman/sunrise'
Comment 102 Stefan Schweizer (RETIRED) gentoo-dev 2006-12-03 12:32:42 UTC
what comoncp2 version is that?
Comment 103 Jorge Vargas 2006-12-03 13:16:20 UTC
(In reply to comment #101)
> Starting compile of unittest/include-template
> Ending compile
>   compiling 'unittest/include-template' subtemplate
> Starting compile of unittest/include-template
> Ending compile
> Ending compile
> Package config error:
> pkg-config --list-all outputted the following error:
> Variable 'includedir' not defined in '/usr/lib/pkgconfig/libccext2.pc'
> 
> 
> !!! ERROR: media-tv/democracy-0.9.2.1 failed.
> Call stack:
>   ebuild.sh, line 1546:   Called dyn_compile
>   ebuild.sh, line 937:   Called src_compile
>   ebuild.sh, line 1255:   Called distutils_src_compile
>   distutils.eclass, line 38:   Called die
> 
> !!! compilation failed
> !!! If you need support, post the topmost build error, and the call stack if
> relevant.
> 
> !!! This ebuild is from an overlay: '/usr/portage/local/layman/sunrise'
> 
This actually has nothing to do with democracy it's their hackish way of using pkg-config

if you run pkg-config --list-all you will see the same error, whatever package that put /usr/lib/pkgconfig/libccext2.pc in your system didn't deleted it which in turn is breaking pkg-config --list-all I have been trying to get them NOT to use that, i'll reopen the bug.
Comment 104 Jorge Vargas 2006-12-03 13:24:35 UTC
(In reply to comment #101)
> Starting compile of unittest/include-template
> Ending compile
>   compiling 'unittest/include-template' subtemplate
> Starting compile of unittest/include-template
> Ending compile
> Ending compile
> Package config error:
> pkg-config --list-all outputted the following error:
> Variable 'includedir' not defined in '/usr/lib/pkgconfig/libccext2.pc'
> 
> 
> !!! ERROR: media-tv/democracy-0.9.2.1 failed.
> Call stack:
>   ebuild.sh, line 1546:   Called dyn_compile
>   ebuild.sh, line 937:   Called src_compile
>   ebuild.sh, line 1255:   Called distutils_src_compile
>   distutils.eclass, line 38:   Called die
> 
> !!! compilation failed
> !!! If you need support, post the topmost build error, and the call stack if
> relevant.
> 
> !!! This ebuild is from an overlay: '/usr/portage/local/layman/sunrise'
> 
This actually has nothing to do with democracy it's their hackish way of using pkg-config

if you run pkg-config --list-all you will see the same error, whatever package that put /usr/lib/pkgconfig/libccext2.pc in your system didn't deleted it which in turn is breaking pkg-config --list-all I have been trying to get them NOT to use that, i'll reopen the bug.(In reply to comment #100)
> Latest Democracy ebuild from sunrise, latest python, gst-python, boost, etc,
> recommended entries in the make.conf for the xine-lib, successful build of
> Democracy with the python patch recommended and I'm getting this when trying to
> run Democracy:
> 
> terminate called after throwing an instance of
> 'boost::python::error_already_set'
> Aborted
> 
> I'm not sure what additional info would be required - please let me know if you
> need more.
> 
> Mike
> 
can you scan your portage logs for compile errors? also are you running ~arch? gnome 2.16? 
Comment 105 Mike Vanecek 2006-12-03 14:12:02 UTC
(In reply to comment #104)
> can you scan your portage logs for compile errors? also are you running ~arch?
> gnome 2.16? 
> 

Latest Gnome - 2.16. Yes, ~x86. A little bleeding edge, but have actually had very few problems.

Here's my emerge --info:

Portage 2.1.2_rc2-r4 (default-linux/x86/2006.0, gcc-3.4.6, glibc-2.4-r3, 2.6.16-gentoo-r10 i686)
=================================================================
System uname: 2.6.16-gentoo-r10 i686 Intel(R) Celeron(R) M processor         1.50GHz
Gentoo Base System version 1.6.14
Last Sync: Sun, 03 Dec 2006 18:30:01 +0000
dev-java/java-config: 1.3.7, 2.0.30
dev-lang/python:     2.4.4
dev-python/pycrypto: 2.0.1-r5
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.60
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.12-r6
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-Os -march=pentium-m -mtune=pentium-m -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-Os -march=pentium-m -mtune=pentium-m -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://gentoo.chem.wisc.edu/gentoo/ http://gentoo.osuosl.org/ http://mirror.datapipe.net/gentoo http://gentoo.mirrors.tds.net/gentoo http://gentoo.llarian.net/"
LINGUAS="en_US"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 3ds X a52 aac aalib acl acpi aim alsa aotuv apache2 apm ares artworkextra async autoipd automount avahi bash-completion bcmath bcp beagle berkdb bidi binfilter bishop3d bitmap-fonts bjam bl blender-game bonobo bookmarks boost branding bzip2 cairo canvas cdda cddb cdparanoia cdr cegui cg clamav clamd cli corba cpudetection cracklib crypt ctype cups curl custom-cflags daap dbus dedicated devil djbfft djvu dlloader dmi dri dts dv dvb dvd dvdr dvdread dvi dynagraph ecc edl effects elibc_glibc emboss encode esd evo examples exif expat extensions fam fbcon ffmpeg firefox flac flash font-server fontconfig foomaticdb fortran fpx ftp gd gdbm gif gimp gimpprint glitz glut gnome gnomedb gnutls gphoto2 gpm graphviz gs gstreamer gtk gtk2 gtkhtml guile gzip hal hddtemp howl-compat httpd i8x0 iconv idea idn ieee1394 imagemagick imlib inkjar innodb input_devices_joystick input_devices_keyboard input_devices_mouse input_devices_synaptics ipod ipv6 isdnlog jabber jack jack-tmpfs java jbig joystick jpeg jpeg2k kernel_linux lcms ldap libcaca libclamav libg++ libnotify libsamplerate libvisual libwww linguas_en_US live logrotate lzo lzw lzw-tiff mad mailwrapper matroska mdnsresponder-compat mhash mikmod mmap mmx mng mod modplug mono motif mozbranding mozcalendar mozdevelop mozsvg mozxmlterm mp3 mpeg mpi mpm-worker msdfs msn multitarget musepack musicbrainz mysql mysqli nas nautilus ncurses nfs ngui nls nptl nptlonly nsplugin numeric oav objc odbc ode offensive ogg ole openal openexr opengl oscar overlays pam pam_console parse-clocks pcre pdf perl php physfs plib plotutils plugin png portaudio ppds pppd profile pyste python quicktime quotas readline real reflection rle rtc rtsp samba scanner screen script sdl session shout skins slp smbox sndfile sox speex spell spl sse sse2 ssl stream svg svga svgz swat symlink syslog t1lib tagwriting tcltk tcpd tga theora threads tidy tiff tokenizer toolbar tools trayicon truetype truetype-fonts type1-fonts udev unicode upnp usb userland_GNU v4l vcd video_cards_fbdev video_cards_i810 video_cards_vesa vik vlm vorbis webservices widescreen win32codecs wmf wpd wv wxwindows xanim xine xml xmlreader xmlrpc xmlwriter xorg xosd xpm xprint xsl xv xvid xvmc yahoo yp zip zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS


The only thing I see in the /var/logs/emerge.log is:

1165173040: Started emerge on: Dec 03, 2006 13:10:40
1165173040:  *** emerge  democracy
1165173041:  >>> emerge (1 of 1) media-tv/democracy-0.9.2.1-r1 to /
1165173041:  === (1 of 1) Cleaning (media-tv/democracy-0.9.2.1-r1::/usr/portage/
local/layman/sunrise/media-tv/democracy/democracy-0.9.2.1-r1.ebuild)
1165173041:  === (1 of 1) Compiling/Merging (media-tv/democracy-0.9.2.1-r1::/usr
/portage/local/layman/sunrise/media-tv/democracy/democracy-0.9.2.1-r1.ebuild)
1165173109:  >>> AUTOCLEAN: media-tv/democracy
1165173114: === Unmerging... (media-tv/democracy-0.9.2.1)
1165173120:  >>> unmerge success: media-tv/democracy-0.9.2.1
1165173120:  === (1 of 1) Post-Build Cleaning (media-tv/democracy-0.9.2.1-r1::/u
sr/portage/local/layman/sunrise/media-tv/democracy/democracy-0.9.2.1-r1.ebuild)
1165173120:  ::: completed emerge (1 of 1) media-tv/democracy-0.9.2.1-r1 to /
1165173120:  *** Finished. Cleaning up...
1165173121:  *** exiting successfully.
1165173121:  *** terminating.

And running the command:
mikev@DellGentoo ~ $ democracyplayer   
terminate called after throwing an instance of 'boost::python::error_already_set'
Aborted

I also have experienced this identical problem on both this laptop and my workstation - I hope I'm not the only one to be having this problem.

Mahalo,
Mike
Comment 106 Beetle B. 2006-12-04 00:44:43 UTC
Thanks - I manually edited the offending file and fixed the includedir. Then pkg-config didn't complain. You're right - not an issue for democracyplayer (which is now working...)
Comment 107 Aneel 2006-12-17 11:38:44 UTC
Upon upgrading various packages such as gtk and alsa-lib, democracyplayer no longer starts for me.  I get a segfault right after "DTV: Finished startup sequence."  What version did the democracy team code against?  Perhaps I can try to downgrade.

My emerge --info:

Gentoo Base System version 1.12.6
Portage 2.1.1-r2 (default-linux/amd64/2006.1/desktop, gcc-3.4.6, glibc-2.4-r4, 2.6.17-ck1-r2 x86_64)
=================================================================
System uname: 2.6.17-ck1-r2 x86_64 AMD Athlon(tm) 64 Processor 3000+
Last Sync: Sun, 17 Dec 2006 08:01:01 +0000
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.3.7, 2.0.30
dev-lang/python:     2.3.5-r2, 2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.60
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r4
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-march=athlon64 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_US.UTF-8"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/overlays/unstable /usr/portage/local/layman/sunrise /usr/portage/local/layman/armagetron"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="amd64 X alsa alsa_cards_ca0106 alsa_cards_intel8x0 berkdb bitmap-fonts cairo cdr cjk cli cracklib crypt cups dbus dlloader dri dvd dvdr eds elibc_glibc emboss encode fam firefox fortran gdbm gif gnome gpm gstreamer gtk gtk2 iconv immqt-bc input_devices_keyboard input_devices_mouse ipv6 isdnlog jpeg kernel_linux libg++ mad mikmod mp3 mpeg ncurses nls nptl nptlonly ogg opengl oss pam pcre perl png ppds pppd python qt3 qt4 quicktime readline reflection sdl session spell spl ssl tcpd truetype truetype-fonts type1-fonts udev unicode userland_GNU video_cards_fbdev video_cards_nvidia video_cards_vesa vorbis xml xorg xv zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 108 A. Person 2006-12-19 09:11:07 UTC
Democracy has been refusing to start for me lately with a segfault, but I finally have it going again. If you have the same problem, downgrade the following:

pygtk
gnome-python
gtk+
gnome-vfs

If you want to emerge world after that without portage complaining, you'll need the following in /etc/portage/package.mask:

=dev-python/pygtk-2.10.3
=dev-python/gnome-python-2.16.2
=x11-libs/gtk+-2.10.6
=gnome-base/gnome-vfs-2.16.3
=gnome-base/gail-1.9.3
=gnome-base/libgnomeui-2.16.1
=app-emulation/emul-linux-x86-gtklibs-2.10.6.3
=gnome-base/eel-2.16.3
=gnome-base/nautilus-2.16.3
=gnome-extra/nautilus-cd-burner-2.16.2
=gnome-base/gnome-panel-2.16.2
Comment 109 Aneel 2006-12-19 10:15:09 UTC
What versions did you downgrade to?  Maybe we can block them in the ebuild?

This really is a bother, as it will break any of the new gnome 2.16 libraries and the programs that depend on them.  Hopefully the Democracy team will upgrade soon.
Comment 110 A. Person 2006-12-19 10:39:28 UTC
Please replace gnome-python in that first list with libgnomeui.

[ebuild   R   ] dev-python/pygtk-2.8.6  USE="opengl -doc" 0 kB
[ebuild   R   ] gnome-base/libgnomeui-2.14.1  USE="jpeg -debug -doc" 0 kB
[ebuild   R   ] x11-libs/gtk+-2.8.19  USE="X jpeg tiff -debug -doc -xinerama" 0 kB
[ebuild   R   ] gnome-base/gnome-vfs-2.14.2-r1  USE="gnutls hal ssl -avahi -debug -doc -ipv6 -samba" 0 kB
Comment 111 Jorge Vargas 2006-12-26 15:43:11 UTC
so at the moment democracy is broken with gnome2.16 (and/or it's dependencies) 

I'm not sure if it's an issue there or with the democracy tree and honestly I know very little about gtk to fix this, or even where to start looking. if anyone out there wants to take a shot at it please let me know and I can even get you svn access to democracy code (if you find a fix of course :)
Comment 112 Aneel 2007-01-06 16:28:11 UTC
Democracy 0.9.2.2 has been released.

ftp://ftp.osuosl.org/pub/pculture.org/democracy/src/

It seems like a minor bugfix release, so its doubtful that they've addressed this dependency issue.
Comment 113 A. Person 2007-01-06 16:32:09 UTC
Bug fixes sound good to me.  I've given up on democracy until about 5 particular ones are fixed.
Comment 114 Jorge Vargas 2007-01-06 22:21:54 UTC
(In reply to comment #112)
> Democracy 0.9.2.2 has been released.
> 
> ftp://ftp.osuosl.org/pub/pculture.org/democracy/src/
> 
> It seems like a minor bugfix release, so its doubtful that they've addressed
> this dependency issue.
doesn't seems that minor https://develop.participatoryculture.org/democracy/log/?action=stop_on_copy&rev=3835&stop_rev=3787&mode=follow_copy

now this feature only is worth the update https://develop.participatoryculture.org/democracy/changeset/3825

and it's much faster now.
Comment 115 Jorge Vargas 2007-01-06 22:26:06 UTC
(In reply to comment #111)
> so at the moment democracy is broken with gnome2.16 (and/or it's dependencies) 
> 
> I'm not sure if it's an issue there or with the democracy tree and honestly I
> know very little about gtk to fix this, or even where to start looking. if
> anyone out there wants to take a shot at it please let me know and I can even
> get you svn access to democracy code (if you find a fix of course :)
> 

ok I have done a couple of things 
- revdev-rebuild
- upgrade to dbus 1.0
- and democracy 0.9.2.2

I'm not sure which one of those 3 made it but I'm running democracy on gnome2..16


Comment 116 Aneel 2007-01-07 17:25:39 UTC
I just upgraded democracy, and it isn't working for me.  However, I'm running dbus 0.62, and all gnome libraries are built against that version.  Maybe we should ask what version the developers expect.
Comment 117 Aneel 2007-01-22 22:00:34 UTC
Hey Jorge, you were right: dbus 1.0.2 is the missing link.  It has been marked stable in portage now and after upgrading and running revdep-rebuild, democracy works again!  This is probably what has been causing all of the segfaults and it should definitely go in the ebuild.
Comment 118 A. Person 2007-02-06 20:41:25 UTC
0.9.5 RC0 has been out for about a week now.  Apparently: "There’s a lot of new stuff."
Comment 119 Aneel 2007-02-11 00:51:45 UTC
They don't seem to have released a source tarball for 0.9.5 yet. Once they do, sunrise can be updated.
Comment 120 Jason Oliveira 2007-02-14 04:42:40 UTC
0.9.5 has been released.
renaming 0.9.2.2 ebuild worked just fine.
Comment 121 Cillian de Róiste 2007-02-16 20:03:07 UTC
I'm using dbus-1.0.2 (on amd64) but am still getting a segfault. I have tried the latest source release by downloading it directly but what follows relates to the current 9.2.2 ebuild in sunrise

The window appears and it dies pretty quickly. When I run it with strace as a normal user, just before it dies it shows the following errors:
open("/usr/lib64/xulrunner/components/xpti.dat.tmp", O_WRONLY|O_CREAT|O_TRUNC, 0666) = -1 EACCES (Permission denied)
open("/usr/lib64/xulrunner/components/compreg.dat.tmp", O_WRONLY|O_CREAT|O_TRUNC, 0664) = -1 EACCES (Permission denied)

Also it might be significant that it looks like it has just loaded mplayerplug-in.xpt (successfully apparently?)

I have also tried starting it as root but then it hangs with the following output from strace:
futex(0xd67a40, FUTEX_WAIT, 2, NULL
this is a few lines after some reference to dbus.

Please let me know if it be useful to attach the full strace or some other debug output.

emerge --info

Portage 2.1.2-r9 (default-linux/amd64/2006.1/desktop, gcc-4.1.1, glibc-2.5-r0, 2.6.19-suspend2-r2 x86_64)
=================================================================
System uname: 2.6.19-suspend2-r2 x86_64 AMD Turion(tm) 64 X2 Mobile Technology TL-52
Gentoo Base System release 1.12.9
Timestamp of tree: Thu, 15 Feb 2007 22:59:01 +0000
dev-java/java-config: 1.3.7, 2.0.31
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.14
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-march=athlon64 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://ftp.linux.ee/pub/gentoo/distfiles/ http://www.mirrorservice.org/sites/www.ibiblio.org/gentoo/ http://gentoo.mirror.solnet.ch http://ftp.du.se/pub/os/gentoo http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/"
LANG="en_GB.utf8"
LC_ALL="en_GB.utf8"
LINGUAS="en ga"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/portage/local/layman/sunrise"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X aalib acpi aiglx alsa amd64 apache2 apm arts avi berkdb bitmap-fonts branding cairo cdr cli cracklib crypt cups dbus dlloader dri dv dvd dvdr eds emboss encode esd fam fftw firefox fortran gdbm gif gimpprint glitz gnome gpm gstreamer gtk gtk2 gtkhtml gvim hal iconv ipv6 isdnlog jack java jpeg kde lcms ldap libg++ lm_sensors mad midi mikmod mng mono mozdevelop mp3 mpeg ncurses nls nptl nptlonly nsplugin nvidia ogg opengl oss pam pcre pdf pdflib perl pmu png ppds pppd python qt3 qt3support qt4 quicktime readline reflection samba sdl sensord session smp spell spl ssl svg tcpd theora tiff truetype truetype-fonts type1-fonts udev unicode vim vorbis wmf xml xorg xv zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en ga" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 122 Aneel 2007-02-18 16:33:41 UTC
See if merging net-libs/xulrunner helps.  The website says that democracy is built off of that, but for some reason it works fine for me without that runtime installed.  If this works for you, then we should add it as a dependency.
Comment 123 Cillian de Róiste 2007-02-19 14:47:33 UTC
Aneel! Thank you! Why didn't I think of that!? It was the other way around though. I guess when democracy is being built it checks to see if xulrunner is already installed and uses it if it is.

I had the following xulrunner installed:
net-libs/xulrunner-1.8.0.4  USE="gnome ipv6 java -debug -xinerama -xprint" (with ~amd64)
I unmerged xulrunner and tried to run democracy and it failed immediately, then I emerged democracy again and now it works fine. After that I emerged xulrunner again and they both seem to be happy with that. I guess some kind of patch would be the best thing. I can have a shot at figuring out where this happens and post the results here.
Comment 124 Maxxer 2007-02-19 16:39:51 UTC
I get the following error, trying to compile on my amd64.

[after few seconds...]

  compiling 'unittest/include-template' subtemplate
Starting compile of unittest/include-template
Ending compile
Ending compile
Package config error:
pkg-config --list-all outputted the following error:
Failed to open '/usr/lib64/pkgconfig/evolution-shell.pc': No such file or directory


!!! ERROR: media-tv/democracy-0.9.2.2 failed.
Call stack:
  ebuild.sh, line 1614:   Called dyn_compile
  ebuild.sh, line 971:   Called qa_call 'src_compile'
  environment, line 3692:   Called src_compile
  ebuild.sh, line 1304:   Called distutils_src_compile
  distutils.eclass, line 38:   Called die
Comment 125 Maxxer 2007-02-20 09:43:29 UTC
(In reply to comment #124)
> I get the following error, trying to compile on my amd64.

my fault, sorry
Comment 126 Cillian de Róiste 2007-02-20 11:08:29 UTC
Created attachment 110720 [details]
Attempt at creating a patch to prevent Democracy from using installed xulrunner

This is just a patch on the current Democracy 0.9.5 source to stop it from using xulrunner if it is installed on the system, as this caused Democracy to crash for me. Feedback/criticism appreciated
Comment 127 Jorge Vargas 2007-02-21 02:33:11 UTC
(In reply to comment #125)
> (In reply to comment #124)
> > I get the following error, trying to compile on my amd64.
> 
> my fault, sorry
> 
yes that's an issue with your pkg-config, and it's democracy's fault because it uses a very hackish way to figure that out, I had a half working patch but I haven't had time to commit it and now I really don't know cause my gentoo broke and I had to install some-other-linux.
Comment 128 Jorge Vargas 2007-02-21 02:39:14 UTC
(In reply to comment #126)
> Created an attachment (id=110720) [edit]
> Attempt at creating a patch to prevent Democracy from using installed xulrunner
> 
well your patch is just taking the functionality out which is not good and I'm pretty sure it works with XUL (the windows binaries and I belive OSX are build like that)

> This is just a patch on the current Democracy 0.9.5 source to stop it from
> using xulrunner if it is installed on the system, as this caused Democracy to
> crash for me. Feedback/criticism appreciated
> 
The real problem is how the setup.py tries to automagically figure out everything what really needs to be done is make distutils take in a config option like the configure script in autotools, but I don't know that much about distutils to know how to do that. But again it should work with XUL.

(In reply to comment #126)
> Created an attachment (id=110720) [edit]
> Attempt at creating a patch to prevent Democracy from using installed xulrunner
> 
> This is just a patch on the current Democracy 0.9.5 source to stop it from
> using xulrunner if it is installed on the system, as this caused Democracy to
> crash for me. Feedback/criticism appreciated
> 

Comment 129 Cillian de Róiste 2007-02-21 10:38:35 UTC
> The real problem is how the setup.py tries to automagically figure out
> everything what really needs to be done is make distutils take in a config
> option like the configure script in autotools, but I don't know that much about
> distutils to know how to do that. But again it should work with XUL.
> 
Thanks, I'll bet it has something to do with how xulrunner handles plugins since there is some reference to mplayerplug-in.xpt shortly before the crash. It may be a symptom of a more general xulrunner bug or something. I'll try to look into it a  bit more. 
Comment 130 Aneel 2007-02-24 17:59:07 UTC
I posted in the Democracy board about the xulrunner dependency, but no one responded to my inquiry.

Also, a new bugfix release, 0.9.5.1, has been released.
Comment 131 Mark 2007-03-20 19:42:56 UTC
emergeing democracy went off without a hitch but whenever I run democracyplayer I get the following error

INFO     Starting up Democracy Player
INFO     Version:  0.9.5.1
INFO     Revision: unknown
INFO     Loading preferences...
INFO     Restoring database...
INFO     Recomputing filters...
INFO     Spawning global feed dtv:manualFeed
INFO     Spawning global feed dtv:search
INFO     Spawning global feed dtv:searchDownloads
INFO     Creating channel tab order
INFO     Creating playlist tab order
INFO     Spawning Channel Guide...
INFO     *** Launching Democracy Downloader Daemon ****
INFO     Spawning global feed dtv:directoryfeed
INFO     Spawning auto downloader...
INFO     Displaying main frame...
INFO     Creating video display...
INFO     Setting VolumeLevel to 1.0
TIMING   Icon clear: 0.001
INFO     Starting event loop thread
INFO     Finished startup sequence
INFO     Setting VolumeLevel to 1.0
INFO     ['/home/mark/Movies/Democracy']
INFO     updating the Guide
INFO     *** Daemon ready ***
INFO     loaded renderer 'xinerenderer'
TIMING   gtkAsyncMethod: <function initRenderers at 0x84df80c> took too long: 1.189
WARNING  downloader: connection closed -- quitting
INFO     Shutting down downloaders...
Segmentation fault


Thanks
Comment 132 Aneel 2007-03-21 22:46:39 UTC
Make sure all of your gtk-based libraries and programs are built off of dbus-1.0.2.  In fact, the democracy ebuild needs to be bumped and updated to include this.  If you have already upgraded to dbus-1.0.2, do a revdep-rebuild, and rebuild pygtk and democracy anyway after that.  Unfortunately democracy is a real bitch when it comes to dependencies; any version mismatch in its very long dependency hierarchy will produce segfaults.  You just have to be thorough.  Good luck.
Comment 133 Aneel 2007-04-07 01:13:56 UTC
Can someone with sunrise access please bump the ebuild?  Democracy is now at 0.9.5.3, and I think the repository is very much out of date.  Let's not leave Gentoo users hanging.
Comment 134 Jorge Vargas 2007-04-07 01:57:40 UTC
(In reply to comment #133)
> Can someone with sunrise access please bump the ebuild?  Democracy is now at
> 0.9.5.3, and I think the repository is very much out of date.  Let's not leave
> Gentoo users hanging.
> 

hi guys I'm still around but I have no gentoo :) my desktop broke it is not fix, but I just haven't had time to reinstall gentoo.

I still have access to sunrise, I have tried several time to ask someone on IRC to upgrade it for me, as you can tell no luck.

That said if someone can post here an up to date ebuild I can try to setup my svn access (not sure if sunrise-commit will complain), and commit that ebuild or if your interested we can meet on IRC and I'll ask the guys in sunrise to give you commit access to my ebuild.
Comment 135 Robert Smol 2007-05-23 12:48:26 UTC
Hi,
I think I have the overlay from sunrise, democracyplayer compiles fine but during startup:
rsmol@czchown05602 ~ $ democracyplayer 
/usr/lib/python2.4/site-packages/dbus_bindings.py:1: DeprecationWarning: The dbus_bindings module is not public API and will go away soon.

Most uses of dbus_bindings are applications catching the exception
dbus.dbus_bindings.DBusException. You should use dbus.DBusException
instead (this is compatible with all dbus-python versions since 0.40.2).

If you need additional public API, please contact the maintainers via
<dbus@lists.freedesktop.org>.

  from dbus.dbus_bindings import *
Traceback (most recent call last):
  File "/usr/bin/democracyplayer", line 89, in ?
    onetime.OneTime()
  File "/usr/lib/python2.4/site-packages/democracy/onetime.py", line 106, in __init__
    dbus.service.Object.__init__(self, bus_name, '/org/participatoryculture/dtv/OneTime')
  File "//usr/lib/python2.4/site-packages/dbus/service.py", line 421, in __init__
    self._connection._register_object_path(object_path, self._message_cb, self._unregister_cb)
AttributeError: 'BusNameFlags' object has no attribute '_register_object_path'
Exception exceptions.NameError: "global name 'dbus_bindings' is not defined" in <bound method BusNameFlags.__del__ of <dbus.service.BusName org.participatoryculture.dtv.onetime on <dbus.Bus on SESSION at -0x485a5554> at -0x48597654>> ignored

Any idea, how to fix this?
Comment 136 Jan Hendrik Grahl (RETIRED) gentoo-dev 2007-06-06 12:27:48 UTC
Created attachment 121332 [details, diff]
Adds necko to include_dirs for nsIHttpChannel.h

I took the sunrise 0.9.5 ebuild today and renamed it to 0.9.6, which didn't built because democracy couldn't find nsIHttpChannel.h, which is in /usr/lib/mozilla-firefox/include/necko/. A one-line patch (attachment follows) for setup.py adds necko to the list of include_dirs and it builds and runs fine on my machine.
Comment 137 Dan Davis 2007-06-07 00:19:38 UTC
Created attachment 121366 [details]
democracy-0.9.6.ebuild

This an ebuild for 0.9.6 based upon the 0.9.5.1 ebuild in sunrise. It uses the include/necko patch from Jan Hendrik Grahl... I named it mozilla-necko.patch. Also, added dev-python/pysqlite to the dependencies as my install attempt was complaining of a missing sqlite3 module.

So far it seems pretty stable. I am having color issues when playing back WMVs that I do not have when playing them in mplayer. Not sure where that issue is coming from.


--- democracy-0.9.5.1.ebuild    2007-06-06 20:12:26.000000000 -0400
+++ democracy-0.9.6.ebuild      2007-06-06 13:02:30.000000000 -0400
@@ -18,6 +18,7 @@
                media-libs/xine-lib
                dev-libs/boost
                >=dev-python/pygtk-2.0
+               dev-python/pysqlite
                dev-python/gnome-python-extras
                www-client/mozilla-firefox
                x11-libs/libX11
@@ -59,6 +60,7 @@
        unpack ${A}
        cd "${S}"
        epatch "${FILESDIR}"/democracy-as-needed-libX11.patch
+       epatch "${FILESDIR}"/mozilla-necko.patch
 }

 pkg_postinst(){
Comment 138 Patrizio Bassi 2007-06-07 15:45:59 UTC
let's include in portage :)
Comment 139 Pacho Ramos gentoo-dev 2007-06-23 22:01:26 UTC
(In reply to comment #36)
> A quick search on Python's sourceforge bug tracker shows this unapplied patch
> submitted almost a year ago that does just this ->
> http://sourceforge.net/tracker/download.php?group_id=5470&atid=305470&file_id=144928&aid=1254718
> 

May be, you should open a bug report suggesting applying this patch in Gentoo's python :-/
Comment 140 Petteri Räty (RETIRED) gentoo-dev 2007-06-23 22:12:00 UTC
(In reply to comment #139)
> 
> May be, you should open a bug report suggesting applying this patch in Gentoo's
> python :-/
> 

Already done and applied. 

https://bugs.gentoo.org/show_bug.cgi?id=138647#c6
Comment 141 Pacho Ramos gentoo-dev 2007-06-24 13:46:36 UTC
Thanks for information :-)
Comment 142 Nick Rout 2007-07-18 21:35:13 UTC
Worth noting that "Democracy TV" has changed its name to "Miro" - http://www.getmiro.com/ and see the usual off topic discussion here: http://slashdot.org/article.pl?sid=07/07/18/1323206&from=rss
Comment 143 Alan Cramer 2007-07-19 22:50:58 UTC
Anyone already have changed the ebuild to work with miro?  If not, I may give this a go tonight...
Comment 144 Aneel 2007-07-20 00:10:06 UTC
Created attachment 125404 [details]
miro-0.9.8.ebuild

miro-0.9.8.ebuild, pretty much a bump of democracy-0.9.6.ebuild with a couple of changes:

media-libs/libfame added as a dependency (see https://develop.participatoryculture.org/trac/democracy/wiki/LinuxNotes)

Patches had to be redone for the name switch.  Use with miro-x11-necko.patch.
Comment 145 Aneel 2007-07-20 00:11:47 UTC
Created attachment 125406 [details, diff]
miro-x11-necko.patch

Goes with miro-0.9.8.ebuild, pretty much the same changes as patches democracy-as-needed-libX11.patch and mozilla-necko.patch.  Please note:  the mozilla-necko.patch seems to have been implemented upstream but not in miro-0.9.8.  Subsequent releases may not need this patch.
Comment 146 Viaken 2007-08-08 17:45:03 UTC
Created attachment 127304 [details]
Updated ebuild
Comment 147 Viaken 2007-08-08 17:45:59 UTC
Created attachment 127306 [details, diff]
Patch to go with new ebuild.

You were right. The necko portion of that patch wasn't necissary, but x11 still needed to be added to the xine component section.
Comment 148 Erik Strack 2007-08-12 02:09:20 UTC
(In reply to comment #146)
> Created an attachment (id=127304) [edit]
> Updated ebuild
> 

From my system, it appears we need to add pysqlite as a dependency.

Thanks for the ebuild and best regards!
Comment 149 Markus Rathgeb 2007-08-12 09:09:45 UTC
> From my system, it appears we need to add pysqlite as a dependency.

Use the current miro ebuild. That contains the dependency.
Comment 150 Markus Rathgeb 2007-08-12 17:49:20 UTC
Why do you marked the two things obsolete? I installed miro on 2007-08-10 and the ebuild of Viaken did not work (because of the ${S}). Also the patch miro-0.9.8.ebuild was needed ("Patch to go with new ebuild" was not working because of the necko thing).
I am using ~x86.
Comment 151 Aneel 2007-08-13 16:08:07 UTC
(In reply to comment #150)
> Why do you marked the two things obsolete? I installed miro on 2007-08-10 and
> the ebuild of Viaken did not work (because of the ${S}). Also the patch
> miro-0.9.8.ebuild was needed ("Patch to go with new ebuild" was not working
> because of the necko thing).
> I am using ~x86.
> 

The "Patch to go with new ebuild" goes with "Updated ebuild." The necko portions are no longer necessary as they were added upstream as of miro-0.9.8.1. I marked the miro-x11-necko.patch obsolete because of this change, and I marked miro-0.9.8.ebuild osolete because I figured the new ebuild had replaced it.
Comment 152 Markus Rathgeb 2007-08-13 16:57:23 UTC
Perhabps Viaken is able to rename "Updated ebuild" to "miro-0.9.8.1.ebuild". I named it "miro-0.9.8.ebuild" - so I think that was 'my' mistake.
(Also rename "Patch to go with new ebuild." to "Miro-0.9.8.1-x11.patch".)
Comment 153 A. Person 2007-08-15 13:41:34 UTC
Should the latest ebuild here work on amd64?  I'm getting:

$ miro
Traceback (most recent call last):
File "/usr/bin/miro.real", line 106, in ?
startapp()
File "/usr/bin/miro.real", line 54, in startapp
import singleclick
File "/usr/lib64/python2.4/site-packages/miro/singleclick.py", line 34, in ?
import app
File "/usr/lib64/python2.4/site-packages/miro/app.py", line 44, in ?
import storedatabase
File "/usr/lib64/python2.4/site-packages/miro/storedatabase.py",
line 57, in ?
import bsddb.db
File "/usr/lib/python2.4/bsddb/__init__.py", line 47, in ?
import _bsddb
ImportError: libdb-4.2.so: cannot open shared object file: No such file or directory

BTW, are there any alternatives to miro at this point?  I switched from democracy to PenguinTV a while ago because the interface is much better, but it's so buggy I can't take it any more.
Comment 154 Aneel 2007-08-15 21:16:40 UTC
(In reply to comment #153)
> Should the latest ebuild here work on amd64?  I'm getting:
> 

> ImportError: libdb-4.2.so: cannot open shared object file: No such file or
> directory

AMD64 here; no problems. Do you have sys-libs/db installed/up-to-date?
Comment 155 A. Person 2007-08-15 21:44:57 UTC
> > Should the latest ebuild here work on amd64?  I'm getting:
> > 
> 
> > ImportError: libdb-4.2.so: cannot open shared object file: No such file or
> > directory
> 
> AMD64 here; no problems. Do you have sys-libs/db installed/up-to-date?

I have this:

# emerge -pv db
[ebuild   R   ] sys-libs/db-4.5.20_p2  USE="java -bootstrap -doc -nocxx -tcl -test" 0 kB 

# equery belongs libdb-4.2.so
app-emulation/emul-linux-x86-baselibs-10.2 (/usr/lib32/libdb-4.2.so)

# emerge -pv emul-linux-x86-baselibs
[ebuild   R   ] app-emulation/emul-linux-x86-baselibs-10.2

Any suggestions would be very much appreciated.
Comment 156 A. Person 2007-08-16 15:23:35 UTC
Could my problem be caused by having democracy and miro installed at the same time?
Comment 157 A. Person 2007-08-17 16:03:20 UTC
I emerged db-4.2* into a new slot and it works now.
Comment 158 Peter Gantner (a.k.a. nephros) 2007-08-19 10:56:02 UTC
at least on my system here (portage 2.1.3.4), line 39 of miro-0.9.8.1.ebuild should read:

- S="${WORKDIR}/Miro-2007-07-24/platform/gtk-x11"
+ S="${WORKDIR}/Miro-${PV}/platform/gtk-x11"
Comment 159 A. Person 2007-08-21 16:54:27 UTC
Shouldn't the ebuild depend on sys-libs/db-4.2*?
Comment 160 eric barons 2007-08-21 19:22:48 UTC
Hi, i have a problem for compiling miro i use updated ebuild and patch to go with.

building 'miro.MozillaBrowser' extension
creating build/temp.linux-i686-2.4/var/tmp/portage/media-tv/miro-0.9.8.1/work/Miro-0.9.8.1/platform
creating build/temp.linux-i686-2.4/var/tmp/portage/media-tv/miro-0.9.8.1/work/Miro-0.9.8.1/platform/gtk-x11
creating build/temp.linux-i686-2.4/var/tmp/portage/media-tv/miro-0.9.8.1/work/Miro-0.9.8.1/platform/gtk-x11/frontend_implementation
i686-pc-linux-gnu-gcc -pthread -fno-strict-aliasing -DNDEBUG -march=pentium3 -O2 -pipe -fomit-frame-pointer -fPIC -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pygtk-2.0 -I/usr/lib/mozilla-firefox/include/gtkembedmoz -I/usr/lib/mozilla-firefox/include -I/usr/lib/mozilla-firefox/include/xpcom -I/usr/lib/mozilla-firefox/include/string -I/usr/include/nspr -I/usr/lib/mozilla-firefox/include/dom -I/usr/lib/mozilla-firefox/include/gfx -I/usr/lib/mozilla-firefox/include/widget -I/usr/lib/mozilla-firefox/include/commandhandler -I/usr/lib/mozilla-firefox/include/uriloader -I/usr/lib/mozilla-firefox/include/webbrwsr -I/usr/include/python2.4 -c /var/tmp/portage/media-tv/miro-0.9.8.1/work/Miro-0.9.8.1/platform/gtk-x11/frontend_implementation/MozillaBrowser.c -o build/temp.linux-i686-2.4/var/tmp/portage/media-tv/miro-0.9.8.1/work/Miro-0.9.8.1/platform/gtk-x11/frontend_implementation/MozillaBrowser.o -DPNG_NO_MMX_CODE -Wl,-R/usr/lib/mozilla-firefox -Wl,-R/usr/lib/nspr
Dans le fichier inclus à partir de /usr/include/nspr/prtypes.h:58,
          à partir de /usr/lib/mozilla-firefox/include/xpcom/nscore.h:51,
          à partir de /usr/lib/mozilla-firefox/include/xpcom/nsError.h:42,
          à partir de /var/tmp/portage/media-tv/miro-0.9.8.1/work/Miro-0.9.8.1/platform/gtk-x11/frontend_implementation/MozillaBrowser.c:15:
/usr/include/nspr/prcpucfg.h:654:1: attention : « HAVE_LONG_LONG » redéfini
Dans le fichier inclus à partir de /usr/include/python2.4/Python.h:13,
          à partir de /var/tmp/portage/media-tv/miro-0.9.8.1/work/Miro-0.9.8.1/platform/gtk-x11/frontend_implementation/MozillaBrowser.c:3:
/usr/include/python2.4/pyconfig.h:287:1: attention : ceci est la localisation d'une précédente définition
i686-pc-linux-gnu-gcc: -R/usr/lib/mozilla-firefox: fichier d'entrée d'édition de liens n'est pas utilisé parce l'édition de lien n'a pas été faite
i686-pc-linux-gnu-gcc: -R/usr/lib/nspr: fichier d'entrée d'édition de liens n'est pas utilisé parce l'édition de lien n'a pas été faite
i686-pc-linux-gnu-gcc -pthread -fno-strict-aliasing -DNDEBUG -march=pentium3 -O2 -pipe -fomit-frame-pointer -fPIC -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pygtk-2.0 -I/usr/lib/mozilla-firefox/include/gtkembedmoz -I/usr/lib/mozilla-firefox/include -I/usr/lib/mozilla-firefox/include/xpcom -I/usr/lib/mozilla-firefox/include/string -I/usr/include/nspr -I/usr/lib/mozilla-firefox/include/dom -I/usr/lib/mozilla-firefox/include/gfx -I/usr/lib/mozilla-firefox/include/widget -I/usr/lib/mozilla-firefox/include/commandhandler -I/usr/lib/mozilla-firefox/include/uriloader -I/usr/lib/mozilla-firefox/include/webbrwsr -I/usr/include/python2.4 -c /var/tmp/portage/media-tv/miro-0.9.8.1/work/Miro-0.9.8.1/platform/gtk-x11/frontend_implementation/MozillaBrowserXPCOM.cc -o build/temp.linux-i686-2.4/var/tmp/portage/media-tv/miro-0.9.8.1/work/Miro-0.9.8.1/platform/gtk-x11/frontend_implementation/MozillaBrowserXPCOM.o -DPNG_NO_MMX_CODE -Wl,-R/usr/lib/mozilla-firefox -Wl,-R/usr/lib/nspr
i686-pc-linux-gnu-gcc: -R/usr/lib/mozilla-firefox: fichier d'entrée d'édition de liens n'est pas utilisé parce l'édition de lien n'a pas été faite
i686-pc-linux-gnu-gcc: -R/usr/lib/nspr: fichier d'entrée d'édition de liens n'est pas utilisé parce l'édition de lien n'a pas été faite
i686-pc-linux-gnu-gcc -pthread -fno-strict-aliasing -DNDEBUG -march=pentium3 -O2 -pipe -fomit-frame-pointer -fPIC -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pygtk-2.0 -I/usr/lib/mozilla-firefox/include/gtkembedmoz -I/usr/lib/mozilla-firefox/include -I/usr/lib/mozilla-firefox/include/xpcom -I/usr/lib/mozilla-firefox/include/string -I/usr/include/nspr -I/usr/lib/mozilla-firefox/include/dom -I/usr/lib/mozilla-firefox/include/gfx -I/usr/lib/mozilla-firefox/include/widget -I/usr/lib/mozilla-firefox/include/commandhandler -I/usr/lib/mozilla-firefox/include/uriloader -I/usr/lib/mozilla-firefox/include/webbrwsr -I/usr/include/python2.4 -c /var/tmp/portage/media-tv/miro-0.9.8.1/work/Miro-0.9.8.1/platform/gtk-x11/frontend_implementation/HttpObserver.cc -o build/temp.linux-i686-2.4/var/tmp/portage/media-tv/miro-0.9.8.1/work/Miro-0.9.8.1/platform/gtk-x11/frontend_implementation/HttpObserver.o -DPNG_NO_MMX_CODE -Wl,-R/usr/lib/mozilla-firefox -Wl,-R/usr/lib/nspr
/var/tmp/portage/media-tv/miro-0.9.8.1/work/Miro-0.9.8.1/platform/gtk-x11/frontend_implementation/HttpObserver.cc:19:28: erreur: nsIHttpChannel.h : Aucun fichier ou répertoire de ce type
/var/tmp/portage/media-tv/miro-0.9.8.1/work/Miro-0.9.8.1/platform/gtk-x11/frontend_implementation/HttpObserver.cc: In member function 'virtual nsresult HttpObserver::Observe(nsISupports*, const char*, const PRUnichar*)':
/var/tmp/portage/media-tv/miro-0.9.8.1/work/Miro-0.9.8.1/platform/gtk-x11/frontend_implementation/HttpObserver.cc:48: erreur: 'nsIHttpChannel' was not declared in this scope
/var/tmp/portage/media-tv/miro-0.9.8.1/work/Miro-0.9.8.1/platform/gtk-x11/frontend_implementation/HttpObserver.cc:48: erreur: patron de l'argument 1 est invalide
/var/tmp/portage/media-tv/miro-0.9.8.1/work/Miro-0.9.8.1/platform/gtk-x11/frontend_implementation/HttpObserver.cc:48: erreur: invalid type in declaration before '(' token
/var/tmp/portage/media-tv/miro-0.9.8.1/work/Miro-0.9.8.1/platform/gtk-x11/frontend_implementation/HttpObserver.cc:48: erreur: cannot convert 'nsQueryInterfaceWithError' to 'int' in initialization
/var/tmp/portage/media-tv/miro-0.9.8.1/work/Miro-0.9.8.1/platform/gtk-x11/frontend_implementation/HttpObserver.cc:50: erreur: base operand of '->' is not a pointer
error: command 'i686-pc-linux-gnu-gcc' failed with exit status 1

for firefox:

Installed versions:  2.0.0.6(14:57:15 16.08.2007)(-bindist -debug -filepicker -gnome ipv6 -java _TW -mozdevelop -moznopango -restrict-javascript [...] -xforms -xinerama -xprint)

for nspr

 Installed versions:  4.6.7(07:52:46 10.07.2007)(-debug ipv6)



thanks by advance

regards
Comment 161 Aneel 2007-08-22 00:52:40 UTC
Seeing as how it died while building the embedded browser extension, you may want to try rebuilding gtkmozembed (emerge dev-python/gnome-python-extras) while making sure that it is being built with the firefox use flag. If that doesn't work, try using revdep-rebuild to make sure there are no inconsistent dependencies. Good luck.
Comment 162 Federico Ferri (RETIRED) gentoo-dev 2007-08-22 10:26:16 UTC
Created attachment 128851 [details, diff]
miro-necko.patch

(In reply to comment #160)
> Hi, i have a problem for compiling miro i use updated ebuild and patch to go
> with.
> 
[...]
/var/tmp/portage/media-tv/miro-0.9.8.1/work/Miro-0.9.8.1/platform/gtk-x11/frontend_implementation/HttpObserver.cc:19:28:
> erreur: nsIHttpChannel.h : Aucun fichier ou répertoire de ce type

it seems the miro-necko.patch (miro-x11-necho.patch minus the x11 patch) is still needed to build -0.9.8.1

(at least it worked for me. I have dev-python/gnome-python-extras-2.14.2 built with USE="X firefox")
Comment 163 Federico Ferri (RETIRED) gentoo-dev 2007-08-22 10:33:22 UTC
I have a problem (even with latest - 0.9.8.1): as soon as miro starts and loads the "MIRO Guide" page, it crashes, with the following error in console:

/usr/bin/python: symbol lookup error: /opt/sun-jdk-1.5.0.12/jre/plugin/i386/ns7/libjavaplugin_oji.so: undefined symbol: PR_NewMonitor
WARNING  downloader: connection closed -- quitting
INFO     Shutting down downloaders...

(if I quickly select another view which is not gecko at startup, everything is quite fine instead - at least it doesn't crash)

any clue?
Comment 164 Peter Gantner (a.k.a. nephros) 2007-08-22 12:59:27 UTC
(In reply to comment #162)
> Created an attachment (id=128851) [edit]
> miro-necko.patch
I can confirm that this patch is needed with the current 0.9.8.1 ebuild and that it enables this to compile, at least on my system.

Before this would error as described in comments #160.
firefox useflag for dev-python/gnome-python-extras does seem unrelated to that error, it was set all the time (didn't test unsetting it though).

I do here from a fellow gentoo user that he installed miro with the same ebuild but did not need the patch. Something is fishy.



Comment 165 Aneel 2007-08-22 16:07:08 UTC
Something is definitely wrong here. Miro-0.9.8.1 should not need the necko patch; it is already there in Miro-2007-07-24/platform/gtk-x11/setup.py. 

I think I have found the problem. The source tarball for Miro-0.9.8.1 has been changed upstream. It looks like the original release of Miro-0.9.8.1 was a svn snapshot, labeled "Miro-2007-07-24." They reverted the source to an older version and rereleased the Miro-0.9.8.1 tarball. I don't think this change is posted anywhere on their blog or forums. In fact, the platform/gtk-x11/setup.py in their repository still has the necko change present. In other words, this may be an unintentional goof-up on their part. Nevertheless, miro needs the miro-x11-necko.patch again, but like this time we may be able to drop it upon the next release.

I am going to post on their message board and ask them not to change the source tarballs without specifying that they have revised the source.
Comment 166 Aneel 2007-08-22 16:25:27 UTC
Created attachment 128883 [details]
miro-0.9.8.1-r1.ebuild USE ONLY IF miro-0.9.8.1.ebuild is not working for you

This ebuild is intended to be used only with the rereleased Miro-0.9.8.1.tar.gz, which contains the reverted "Miro-0.9.8.1" distribution (any users using the tarball which contains the newer Miro-2007-07-24 snapshot should not update to this ebuild).
Comment 167 Andriy Baranskyy 2007-09-06 14:52:03 UTC
I've got exactly the same problem
(In reply to comment #163)
> I have a problem (even with latest - 0.9.8.1): as soon as miro starts and loads
> the "MIRO Guide" page, it crashes, with the following error in console:
> 
> /usr/bin/python: symbol lookup error:
> /opt/sun-jdk-1.5.0.12/jre/plugin/i386/ns7/libjavaplugin_oji.so: undefined
> symbol: PR_NewMonitor
> WARNING  downloader: connection closed -- quitting
> INFO     Shutting down downloaders...
> 
> (if I quickly select another view which is not gecko at startup, everything is
> quite fine instead - at least it doesn't crash)
> 
> any clue?
> 

Comment 168 A. Person 2007-09-07 00:50:37 UTC
Anyone have miro working on 0.9.9.1?  I'm getting the following which I think means the source layout has changed:

>>> Compiling source in /var/tmp/portage/media-tv/miro-0.9.9.1 ...
python: can't open file 'setup.py': [Errno 2] No such file or directory
Comment 169 arthur 2007-09-09 17:44:19 UTC
this is the error i get when i try to install from the udpated ebuild:
>>> Starting src_unpack
>>> Unpacking Miro-0.9.8.1.tar.gz to /var/tmp/paludis/media-tv/miro-0.9.8.1/work
tar zxf /var/tmp/distfiles/Miro-0.9.8.1.tar.gz --no-same-owner

 * Cannot find $EPATCH_SOURCE!  Value for $EPATCH_SOURCE is:
 *
 *   /var/paludis/repositories/xeffects/media-tv/miro/files/Miro-0.9.8.1-x11.patch
 *   ( Miro-0.9.8.1-x11.patch )


 where is that patch .. where can i find it?
Comment 170 arthur 2007-09-09 18:16:18 UTC
i used the necko patch cause the updated patch didn't work and installed miro. 
now when i run it i get: 

Traceback (most recent call last):
  File "/usr/bin/miro", line 13, in <module>
    import pygtk
ImportError: No module named pygtk

I have reinstalled and reinstalled pygtk but no resoults. why is this :( pls help

Comment 171 Jan Hendrik Grahl (RETIRED) gentoo-dev 2007-09-16 02:03:19 UTC
Created attachment 131025 [details]
miro-0.9.9.1.ebuild

On my system the call os.getlogin() resulted in an "error: No such file or directory" right after copying miro.1.gz. If you had a similar problem, try this ebuild. The necko patch seems to be no longer necessary. 

To the previous poster: Have you tried python-updater?
Comment 172 Jan Hendrik Grahl (RETIRED) gentoo-dev 2007-09-16 02:04:31 UTC
Created attachment 131026 [details, diff]
getlogin patch for miro-0.9.9.1.ebuild
Comment 173 hmbr 2007-09-16 03:25:15 UTC
> 
> On my system the call os.getlogin() resulted in an "error: No such file or
> directory" right after copying miro.1.gz. If you had a similar problem, try
> this ebuild. The necko patch seems to be no longer necessary. 
r?
I installed miro today and I needed the x11 patch
Comment 174 hmbr 2007-09-16 03:29:23 UTC
Created attachment 131028 [details]
x11 patch, version for miro-0.9.9.1

Without the patch, the miro closed when I tried see a video.
Comment 175 Jakub Moc (RETIRED) gentoo-dev 2007-09-23 06:02:25 UTC
*** Bug 193473 has been marked as a duplicate of this bug. ***
Comment 176 A. Person 2007-09-25 18:50:02 UTC
I'm using the latest ebuild from this bug and the login and x11 patches but miro segfaults while it is loading:

INFO     loaded renderer 'xinerenderer'
TIMING   gtkSyncMethod: <function getDisplay at 0x2ab9972295f0> took too long: 1.002
[mpeg4 @ 0x2ab99de2c470]warning: first frame is no keyframe
/usr/bin/miro: line 2: 11793 Segmentation fault      LD_LIBRARY_PATH=/usr/lib64/mozilla-firefox miro.real $@

Is anyone else getting that?  Any ideas?
Comment 177 Jakub Moc (RETIRED) gentoo-dev 2007-09-25 19:03:58 UTC
People please move the work to sunrise overlay, this bug is *extremely* messy.
Comment 178 A. Person 2007-09-25 20:03:11 UTC
Is miro actually in sunrise?  It sounds like it from this:

http://www.getmiro.com/download/gentoo.php

but those instructions don't actually work.  There does seem to be an old version of democracy in there.  Can someone bring sunrise up to speed?
Comment 179 Jakub Moc (RETIRED) gentoo-dev 2007-09-25 20:17:28 UTC
(In reply to comment #178)
> Is miro actually in sunrise?  

http://overlays.gentoo.org/svn/proj/sunrise/reviewed/media-tv/democracy/

> but those instructions don't actually work.  There does seem to be an old
> version of democracy in there.  Can someone bring sunrise up to speed?

Yes, you or anyone contributing on this bug can, instead of attaching the stuff here.

http://overlays.gentoo.org/proj/sunrise/wiki/HowToCommit

Comment 180 A. Person 2007-09-25 21:08:19 UTC
It won't be me, miro is currently segfaulting here.
Comment 181 Jorge Vargas 2007-09-29 04:14:32 UTC
(In reply to comment #177)
> People please move the work to sunrise overlay, this bug is *extremely* messy.
> 
just as a history note, the sunrise overlay was my ebuild, I keep them both in sync for a while until I moved everything to sunrise and then I stop using gentoo. From the emails I have received people keep updating this page instead of the sunrise overlay, if anyone wants to maintain that just hop into #gentoo-sunrise, I'm sure they will let you access if you show(ed) some interest in this package. 
Comment 182 A. Person 2007-10-21 17:42:48 UTC
I'm willing to try and get this into sunrise.  Does anyone have 0.9.9.1 working?  If so, did you use the last ebuild posted to this bug with no patches?
Comment 183 A. Person 2007-10-23 17:35:07 UTC
I guess this mean it isn't working for anyone?
Comment 184 Nils Marving 2007-10-24 07:41:54 UTC
Created attachment 134207 [details]
Another 0.9.9.1 ebuild

I don't know about the ebuild mentioned here, I've got the second miro-0.9.9.1.ebuild attached from some guy, and it works without a patch on my ~amd64
Comment 185 georgia_tech_swagger 2007-10-25 08:32:48 UTC
It's working for me.   But not without several pitfalls.

For the LONGEST time I had recent versions of xine-lib masked, as updating would break some of my MythTV related software.   Miro would segfault, and video playback would be glitchy ... looking almost like a very very poorly encoded DivX movie.  I upgraded xine-lib recently ... no more broken MythTV apps, and no more segfaulting or glitchy Miro.   

Well.... ALMOST.   Miro would then segfault ... rendering something on the Miro main page that's Java.   It would specifically mention the Java plugin just before segfaulting.  Miro uses embedded Firefox to render that main page, so that's where it pulls in the Java plugin.   But here's the bizarre catch ... it only segfaults on Java 1.5 and 1.6.   So I pulled the rug out from Miro, and forced it to use the symlink in java-config to the 1.4 JRE.... now it's working justtttttt fine.... has been for a couple of weeks now.

And yes, I find Miro so incredibly insanely useful I actually put up with the crazy buggy versions floating around god knows what which overlays .... until I tried the 0.9.9.1 ebuild here (from 9/16) ... and then went on a manhunt to eliminate everything crashing it.  :D

Let's please get this into portage folks!
Comment 186 A. Person 2007-10-30 15:35:41 UTC
Created attachment 134719 [details]
ebuild for miro-0.9.9.9_rc1
Comment 187 A. Person 2007-10-30 15:38:04 UTC
I've attached an ebuild for miro-0.9.9.9_rc1 which is adapted from uzytkownik's ebuild.  I'm willing to maintain this in sunrise but I'm getting no response from #gentoo-sunrise.  Please review the ebuild as it is my first one and let me know how I should proceed.

BTW, this version feels a lot more stable and faster.  It also requires no patches.
Comment 188 A. Person 2007-10-30 17:21:37 UTC
I'm now getting the ebuild cleaned up for inclusion in sunrise.  It should be ready this week.
Comment 189 Colin Kiegel 2007-11-01 15:30:40 UTC
There is a MISSING DEPENDENCY on dev-python/pysqlite in miro-0.9.9.9_rc1.ebuild.
Comment 190 Urban 2007-11-08 15:40:09 UTC
Created attachment 135498 [details]
Ebuild for miro-0.9.9.9

Created ebuild for version 0.9.9.9 of miro.
Added dependence for pysqlite.

In the wbuild the dependences version are missing.
Comment 191 Andree Chea 2007-11-11 06:01:07 UTC
I was able to install and successfully run Miro 0.9.9.9 in ~amd64 (attachment 135498 [details] by Urban (#190)), but I had to disable collision-protect first in order for portage to overwrite some files from 0.9.9.1.

My question is about sys-libs/db:  is there a way for miro not to be dependent on db-4.2?  I recently did a depclean which removed db-4.2 only to find out that miro needed it again.  If it's not possible, shouldn't it be listed as a dependency in miro's ebuild?
Comment 192 Henrique Rodrigues 2007-11-13 23:15:24 UTC
Miro 1.0 is out in the wild.
Comment 193 Sylvain BERTRAND 2007-11-14 07:17:44 UTC
Yay!
Comment 194 Urban 2007-11-14 16:53:41 UTC
Created attachment 135971 [details]
Ebuild for miro-1.0

Ebuild for media-tv/miro-1.0

Added dependency for "<sys-libs/db-4.5" (with version 4.5 there is a problem with python module _bsddb [see http://bugs.gentoo.org/show_bug.cgi?id=179377]).

If miro don't start after emerging (with a python error "ImportError: No module named _bsddb"), you have to re-emerge python, because with the version 4.5 of db, python don't build the bsddb module. (I think it's a dependency probleme on python ebuild)
Comment 195 Hanno Böck gentoo-dev 2007-11-14 17:50:24 UTC
>Added dependency for "<sys-libs/db-4.5" (with version 4.5 there is a problem
>with python module _bsddb [see
> http://bugs.gentoo.org/show_bug.cgi?id=179377]).

That is a really bad idea, cause it'll create an up/downgrade-loop. This issue is fixed within python 2.5 (which hopefully will go into stable some not so distant day) and that's the way it should be fixed. I don't know if anyone will fix it in python 2.4, I don't think it's neccessary.
Comment 196 Urban 2007-11-15 08:26:31 UTC
(In reply to comment #195)
> >Added dependency for "<sys-libs/db-4.5" (with version 4.5 there is a problem
> >with python module _bsddb [see
> > http://bugs.gentoo.org/show_bug.cgi?id=179377]).
> 
> That is a really bad idea, cause it'll create an up/downgrade-loop. This issue
> is fixed within python 2.5 (which hopefully will go into stable some not so
> distant day) and that's the way it should be fixed. I don't know if anyone will
> fix it in python 2.4, I don't think it's neccessary.
> 

It's not a up/downgrade loop: versions 4.4 and 4.5 are slotted and you can install both on your system.
Comment 197 Alexander Appel 2007-11-15 21:46:29 UTC
got some error on running miro-1.0...
---------------------------------------
$ miro
/usr/lib64/mozilla-firefox
Traceback (most recent call last):
  File "/usr/bin/miro.real", line 24, in <module>
    import gtcache
  File "/usr/lib64/python2.5/site-packages/miro/gtcache.py", line 22, in <module>
    import config
  File "/usr/lib64/python2.5/site-packages/miro/config.py", line 25, in <module>
    import eventloop
  File "/usr/lib64/python2.5/site-packages/miro/eventloop.py", line 34, in <module>
    import database
  File "database.pyx", line 31, in database
ImportError: /usr/lib/libboost_python.so.1.33.1: undefined symbol: Py_InitModule4
Comment 198 Heiko Baums 2007-11-16 01:36:30 UTC
First, the dependency <sys-libs/db-4.5 is not necessary. As Hanno Boeck has written this issue doesn't exist anymore in python-2.5. So this dependency should be just sys-libs/db.

Second, for me miro-1.0 doesn't compile on ~x86 but `emerge miro` doesn't stop and finishes as if there were no errors. But `equery files miro` doesn't list any installed files. At least there is no binary installed.

I'm getting these error messages:

creating build/lib.linux-i686-2.5/miro/dl_daemon/privacreating build/lib.linux-i686-2.5/miro/dl_daemon/private
copying /var/tmp/portage/media-tv/miro-1.0/work/Miro-1.0/portable/dl_daemon/private/httpauth.py -> build/lib.linux-i686-2.5/miro/dl_daemon/private
copying /var/tmp/portage/media-tv/miro-1.0/work/Miro-1.0/portable/dl_daemon/private/resources.py -> build/lib.linux-i686-2.5/miro/dl_daemon/private
copying /var/tmp/portage/media-tv/miro-1.0/work/Miro-1.0/portable/dl_daemon/private/config.py -> build/lib.linux-i686-2.5/miro/dl_daemon/private
copying /var/tmp/portage/media-tv/miro-1.0/work/Miro-1.0/portable/dl_daemon/private/__init__.py -> build/lib.linux-i686-2.5/miro/dl_daemon/private
running build_ext
building 'miro.fasttypes' extension
Traceback (most recent call last):
  File "./Miro-1.0/platform/gtk-x11/setup.py", line 562, in <module>
    'install_data': install_data,
  File "/usr/lib/python2.5/distutils/core.py", line 151, in setup
    dist.run_commands()
  File "/usr/lib/python2.5/distutils/dist.py", line 974, in run_commands
    self.run_command(cmd)
  File "/usr/lib/python2.5/distutils/dist.py", line 994, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.5/distutils/command/build.py", line 112, in run
    self.run_command(cmd_name)
  File "/usr/lib/python2.5/distutils/cmd.py", line 333, in run_command
    self.distribution.run_command(command)
  File "/usr/lib/python2.5/distutils/dist.py", line 994, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.5/distutils/command/build_ext.py", line 290, in run
    self.build_extensions()
  File "/usr/lib/python2.5/site-packages/Pyrex/Distutils/build_ext.py", line 82, in build_extensions
    self.build_extension(ext)
  File "/usr/lib/python2.5/distutils/command/build_ext.py", line 481, in build_extension
    depends=ext.depends)
  File "/usr/lib/python2.5/distutils/ccompiler.py", line 689, in compile
    depends, extra_postargs)
  File "/usr/lib/python2.5/distutils/ccompiler.py", line 371, in _setup_compile
    output_dir=outdir)
  File "/usr/lib/python2.5/distutils/ccompiler.py", line 980, in object_filenames
    for src_name in source_filenames:
TypeError: 'NoneType' object is not iterable
>>> Source compiled.
>>> Test phase [not enabled]: media-tv/miro-1.0

>>> Install miro-1.0 into /var/tmp/portage/media-tv/miro-1.0/image/ category media-tv
Using the Xine driver hack. If you experience trouble playing video,
   try setting USE_XINE_HACK to False in setup.py.
running install
running build
running build_py
copying /var/tmp/portage/media-tv/miro-1.0/work/Miro-1.0/portable/dl_daemon/daemon.py -> build/lib.linux-i686-2.5/miro/dl_daemon
running build_ext
building 'miro.fasttypes' extension
Traceback (most recent call last):
  File "./Miro-1.0/platform/gtk-x11/setup.py", line 562, in <module>
    'install_data': install_data,
  File "/usr/lib/python2.5/distutils/core.py", line 151, in setup
    dist.run_commands()
  File "/usr/lib/python2.5/distutils/dist.py", line 974, in run_commands
    self.run_command(cmd)
  File "/usr/lib/python2.5/distutils/dist.py", line 994, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.5/distutils/command/install.py", line 506, in run
    self.run_command('build')
  File "/usr/lib/python2.5/distutils/cmd.py", line 333, in run_command
    self.distribution.run_command(command)
  File "/usr/lib/python2.5/distutils/dist.py", line 994, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.5/distutils/command/build.py", line 112, in run
    self.run_command(cmd_name)
  File "/usr/lib/python2.5/distutils/cmd.py", line 333, in run_command
    self.distribution.run_command(command)
  File "/usr/lib/python2.5/distutils/dist.py", line 994, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.5/distutils/command/build_ext.py", line 290, in run
    self.build_extensions()
  File "/usr/lib/python2.5/site-packages/Pyrex/Distutils/build_ext.py", line 82, in build_extensions
    self.build_extension(ext)
  File "/usr/lib/python2.5/distutils/command/build_ext.py", line 481, in build_extension
    depends=ext.depends)
  File "/usr/lib/python2.5/distutils/ccompiler.py", line 689, in compile
    depends, extra_postargs)
  File "/usr/lib/python2.5/distutils/ccompiler.py", line 371, in _setup_compile
    output_dir=outdir)
  File "/usr/lib/python2.5/distutils/ccompiler.py", line 980, in object_filenames
    for src_name in source_filenames:
TypeError: 'NoneType' object is not iterable
>>> Completed installing miro-1.0 into /var/tmp/portage/media-tv/miro-1.0/image/

* checking 0 files for package collisions
>>> Merging media-tv/miro-1.0 to /te
copying /var/tmp/portage/media-tv/miro-1.0/work/Miro-1.0/portable/dl_daemon/private/httpauth.py -> build/lib.linux-i686-2.5/miro/dl_daemon/private
copying /var/tmp/portage/media-tv/miro-1.0/work/Miro-1.0/portable/dl_daemon/private/resources.py -> build/lib.linux-i686-2.5/miro/dl_daemon/private
copying /var/tmp/portage/media-tv/miro-1.0/work/Miro-1.0/portable/dl_daemon/private/config.py -> build/lib.linux-i686-2.5/miro/dl_daemon/private
copying /var/tmp/portage/media-tv/miro-1.0/work/Miro-1.0/portable/dl_daemon/private/__init__.py -> build/lib.linux-i686-2.5/miro/dl_daemon/private
running build_ext
building 'miro.fasttypes' extension
Traceback (most recent call last):
  File "./Miro-1.0/platform/gtk-x11/setup.py", line 562, in <module>
    'install_data': install_data,
  File "/usr/lib/python2.5/distutils/core.py", line 151, in setup
    dist.run_commands()
  File "/usr/lib/python2.5/distutils/dist.py", line 974, in run_commands
    self.run_command(cmd)
  File "/usr/lib/python2.5/distutils/dist.py", line 994, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.5/distutils/command/build.py", line 112, in run
    self.run_command(cmd_name)
  File "/usr/lib/python2.5/distutils/cmd.py", line 333, in run_command
    self.distribution.run_command(command)
  File "/usr/lib/python2.5/distutils/dist.py", line 994, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.5/distutils/command/build_ext.py", line 290, in run
    self.build_extensions()
  File "/usr/lib/python2.5/site-packages/Pyrex/Distutils/build_ext.py", line 82, in build_extensions
    self.build_extension(ext)
  File "/usr/lib/python2.5/distutils/command/build_ext.py", line 481, in build_extension
    depends=ext.depends)
  File "/usr/lib/python2.5/distutils/ccompiler.py", line 689, in compile
    depends, extra_postargs)
  File "/usr/lib/python2.5/distutils/ccompiler.py", line 371, in _setup_compile
    output_dir=outdir)
  File "/usr/lib/python2.5/distutils/ccompiler.py", line 980, in object_filenames
    for src_name in source_filenames:
TypeError: 'NoneType' object is not iterable
>>> Source compiled.
>>> Test phase [not enabled]: media-tv/miro-1.0

>>> Install miro-1.0 into /var/tmp/portage/media-tv/miro-1.0/image/ category media-tv
Using the Xine driver hack. If you experience trouble playing video,
   try setting USE_XINE_HACK to False in setup.py.
running install
running build
running build_py
copying /var/tmp/portage/media-tv/miro-1.0/work/Miro-1.0/portable/dl_daemon/daemon.py -> build/lib.linux-i686-2.5/miro/dl_daemon
running build_ext
building 'miro.fasttypes' extension
Traceback (most recent call last):
  File "./Miro-1.0/platform/gtk-x11/setup.py", line 562, in <module>
    'install_data': install_data,
  File "/usr/lib/python2.5/distutils/core.py", line 151, in setup
    dist.run_commands()
  File "/usr/lib/python2.5/distutils/dist.py", line 974, in run_commands
    self.run_command(cmd)
  File "/usr/lib/python2.5/distutils/dist.py", line 994, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.5/distutils/command/install.py", line 506, in run
    self.run_command('build')
  File "/usr/lib/python2.5/distutils/cmd.py", line 333, in run_command
    self.distribution.run_command(command)
  File "/usr/lib/python2.5/distutils/dist.py", line 994, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.5/distutils/command/build.py", line 112, in run
    self.run_command(cmd_name)
  File "/usr/lib/python2.5/distutils/cmd.py", line 333, in run_command
    self.distribution.run_command(command)
  File "/usr/lib/python2.5/distutils/dist.py", line 994, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.5/distutils/command/build_ext.py", line 290, in run
    self.build_extensions()
  File "/usr/lib/python2.5/site-packages/Pyrex/Distutils/build_ext.py", line 82, in build_extensions
    self.build_extension(ext)
  File "/usr/lib/python2.5/distutils/command/build_ext.py", line 481, in build_extension
    depends=ext.depends)
  File "/usr/lib/python2.5/distutils/ccompiler.py", line 689, in compile
    depends, extra_postargs)
  File "/usr/lib/python2.5/distutils/ccompiler.py", line 371, in _setup_compile
    output_dir=outdir)
  File "/usr/lib/python2.5/distutils/ccompiler.py", line 980, in object_filenames
    for src_name in source_filenames:
TypeError: 'NoneType' object is not iterable
>>> Completed installing miro-1.0 into /var/tmp/portage/media-tv/miro-1.0/image/

* checking 0 files for package collisions
>>> Merging media-tv/miro-1.0 to /


And this is my `emerge --info`:

Portage 2.1.3.19 (default-linux/x86/2007.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.23-gentoo i686)
=================================================================
System uname: 2.6.23-gentoo i686 AMD Athlon(tm) XP 1600+
Timestamp of tree: Fri, 16 Nov 2007 00:30:09 +0000
app-shells/bash:     3.2_p17-r1
dev-java/java-config: 1.3.7, 2.1.2-r1
dev-lang/python:     2.5.1-r3
sys-apps/baselayout: 1.12.10-r5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.23
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon-xp -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/applications/kde /usr/kde/3.5/share/config /usr/kde/3.5/share/services/searchproviders /usr/kde/3.5/shutdown /usr/share/applications /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=athlon-xp -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo http://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/"
LANG="de_DE.UTF-8"
LINGUAS="de"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise /usr/portage/local/private"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac aalib accessibility acl alsa amr amrnb amrwb apache2 apm arts asf audiofile authfile avi berkdb bitmap-fonts bluetooth bzip2 cairo caps cdda cddb cdparanoia cdr chardet clamav cli cracklib crypt ctype cups curl d dbus dga directfb divx dri dv dvb dvd dvdnav dvdr dvdread eds emboss encode expat extrafilters fam fame fbcon ffmpeg firefox flac fltk foomaticdb fortran ftp gcj gd gdbm gif gimp glib glitz gmedia gmp gnutls gpm graphviz gs gstreamer gtk gtk2 gtkhtml hddtemp iconv idn ilbc imagemagick imlib inkjar ipv6 irmc isdnlog jack jack-tmpfs jackmidi jce jpeg kde kdepim kerberos ladspa lame lcms ldap libnotify libsamplerate lirc live lm_sensors logrotate lzo mad mbox mbrola md5sum midi mikmod mjpeg mmx mmxext mng modplug motif mozilla mp2 mp3 mp4 mpeg mplayer mudflap musepack musicbrainz mysql mysqli nas ncurses network nls nptl nptlonly nsplugin objc objc++ objc-gc offensive ofx ogg opengl openmp osc oss pam pcre pdf perl php plugin png ppds pppd print python qt3 qt3support qt4 quicktime quotes rar readline real realmedia reflection rtc rtsp scanner sdl session shout sndfile speex spell spl sse ssl svg tcl tcltk tcpd tetex themes theora threads threadsafe tidy tiff tk tokenizer tools truetype truetype-fonts type1-fonts unicode usb utempter v4l v4l2 vdr vidix visualization vlm vorbis win32codecs wma wmf wmp x264 x86 xcomposite xine xiph xml xorg xpm xv xvid xvmc yv12 zip zlib" ALSA_CARDS="ice1712" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" LIRC_DEVICES="devinput" USERLAND="GNU" VIDEO_CARDS="nvidia v4l"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 199 Jan Hendrik Grahl (RETIRED) gentoo-dev 2007-11-16 14:18:59 UTC
(In reply to comment #198)
> TypeError: 'NoneType' object is not iterable
Also reported here: http://bugzilla.pculture.org/show_bug.cgi?id=9221
Comment 200 Damien Thébault 2007-11-16 20:14:15 UTC
Created attachment 136108 [details, diff]
some fixes to miro-1.0.ebuild

I tried to install miro, but  it was complaining that boost_python wasn't installed. That's because I installed boost with "threadsonly".
This patch fix this.

I added ``|| die "some_message"'' to the setup.py calls too.
And I think that using /usr/lib*/python*/site-packages/miro/mozsetup.py for the message might be good.

One last note : I must run miro with :
 $ LD_PRELOAD=/usr/lib/libX11.so miro
else, I get this message :
[...]
INFO     initRenderers: couldn't load xinerenderer: /usr/lib/python2.4/site-packages/miro/xine.so: undefined symbol: XOpenDisplay
[...]
And many things don't work.
Comment 201 Maciej Piechotka 2007-11-16 22:20:01 UTC
Ebuild fails with boost 1.34 in the same way as with previous with threadsonly (which use flag it does not have) - both when patched and not patched.
Comment 202 Heiko Baums 2007-11-18 10:11:14 UTC
As mentioned in upstream bug http://bugzilla.pculture.org/show_bug.cgi?id=9221 Miro compiles with Pyrex 0.9.5.1a. So masking Pyrex 0.9.6.3 helped to fix my bug in comment #198.

(In reply to comment #200)
> Created an attachment (id=136108) [edit]
> some fixes to miro-1.0.ebuild
> 
> I tried to install miro, but  it was complaining that boost_python wasn't
> installed. That's because I installed boost with "threadsonly".
> This patch fix this.
> 
> I added ``|| die "some_message"'' to the setup.py calls too.
> And I think that using /usr/lib*/python*/site-packages/miro/mozsetup.py for the
> message might be good.

I've tried to install Miro on my ~x86 box with your patched ebuild but it fails because there's no USE flag threadsonly in dev-libs/boost-1.34.1.

I've got these error messages:

>>> Unpacking Miro-1.0.tar.gz to /var/tmp/portage/media-tv/miro-1.0/work
 *
 * ERROR: media-tv/miro-1.0 failed.
 * Call stack:
 *         ebuild.sh, line 1701:  Called dyn_unpack
 *         ebuild.sh, line  817:  Called qa_call 'src_unpack'
 *         ebuild.sh, line   44:  Called src_unpack
 *   miro-1.0.ebuild, line   34:  Called built_with_use 'dev-libs/boost' 'threadsonly'
 *     eutils.eclass, line 1696:  Called die
 * The specific snippet of code:
 *                                      die)   die "$PKG does not actually support the $1 USE flag!";;
 *  The die message:
 *   dev-libs/boost-1.34.1 does not actually support the threadsonly USE flag!
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-tv/miro-1.0/temp/build.log'.
 *

So I removed you src_unpack() section but left the other changes in your ebuild. With this ebuild Miro 1.0 compiled without any problems and also seems to run without any problems.

> One last note : I must run miro with :
>  $ LD_PRELOAD=/usr/lib/libX11.so miro
> else, I get this message :
> [...]
> INFO     initRenderers: couldn't load xinerenderer:
> /usr/lib/python2.4/site-packages/miro/xine.so: undefined symbol: XOpenDisplay
> [...]
> And many things don't work.

I don't have such problems here but I haven't tested Miro 1.0 completely. I started it, configured it and downloaded and watched one video of one of the example channels and had no problems.

I'll attach the ebuild I used to install Miro.
Comment 203 Heiko Baums 2007-11-18 10:16:11 UTC
Created attachment 136228 [details]
Ebuild for miro-1.0 mentioned in comment #202

This ebuild works on my ~x86 box.
Comment 204 frank 2007-11-19 03:36:59 UTC
it compiles fine on amd64 but it's crashing just after execution:

/usr/lib64/mozilla-firefox
INFO     Starting up Miro
INFO     Version:    1.0
INFO     Revision:   unknown
INFO     Builder:    root@mescalito
INFO     Build Time: 1195180475.8
INFO     Loading preferences...
INFO     Starting event loop thread
INFO     Restoring database...
INFO     Connecting to /home/skunk/.miro/sqlitedb
INFO     failed() called; generating crash report.
INFO     ----- CRASH REPORT (DANGER CAN HAPPEN) -----
INFO     App:        Miro
Publisher:  Participatory Culture Foundation
Platform:   gtk-x11
Python:     2.5.1 (r251:54863, Nov 15 2007, 01:07:13)  [GCC 4.1.2 (Gentoo 4.1.2 p1.0.1)]
Py Path:    ['/usr/lib64/python2.5/site-packages/miro', '/usr/bin', '/usr/lib64/portage/pym', '/usr/lib64/python25.zip', '/usr/lib64/python2.5', '/usr/lib64/python2.5/plat-linux2', '/usr/lib64/python2.5/lib-tk', '/usr/lib64/python2.5/lib-dynload', '/usr/lib64/python2.5/site-packages', '/usr/lib64/python2.5/site-packages/Numeric', '/usr/lib64/python2.5/site-packages/gtk-2.0']
Version:    1.0
Serial:     20071112000
Revision:   unknown
Builder:    root@mescalito
Build Time: 1195180475.8
Time:       Mon Nov 19 04:30:53 2007
When:       while finishing starting up

Exception
---------
Traceback (most recent call last):
  File "usr/lib64/python2.5/site-packages/miro/app.py", line 111, in wrapped
    func(*args, **kwargs)
  File "usr/lib64/python2.5/site-packages/miro/app.py", line 697, in checkMoviesDirectoryGone
    if not self.moviesDirectoryGone():
  File "usr/lib64/python2.5/site-packages/miro/app.py", line 900, in moviesDirectoryGone
    for downloader in views.remoteDownloads:
  File "database.pyx", line 531, in database.DynamicDatabase.next
TypeError: exceptions must be strings, classes, or instances, not type

Call stack
----------
  File "/usr/lib64/python2.5/threading.py", line 460, in __bootstrap
    self.run()
  File "/usr/lib64/python2.5/threading.py", line 440, in run
    self.__target(*self.__args, **self.__kwargs)
  File "usr/lib64/python2.5/site-packages/miro/eventloop.py", line 275, in loop
    self.urgentQueue.processIdles()
  File "usr/lib64/python2.5/site-packages/miro/eventloop.py", line 144, in processIdles
    self.processNextIdle()
  File "usr/lib64/python2.5/site-packages/miro/eventloop.py", line 134, in processNextIdle
    dc.dispatch()
  File "usr/lib64/python2.5/site-packages/miro/eventloop.py", line 66, in dispatch
    util.trapCall(when, self.function, *self.args, **self.kwargs)
  File "usr/lib64/python2.5/site-packages/miro/app.py", line 113, in wrapped
    util.failedExn("while finishing starting up")
  File "usr/lib64/python2.5/site-packages/miro/util.py", line 147, in failedExn
    failed(when, withExn = True, **kwargs)

Threads
-------
Current: Event Loop
Active:
 - MainThread
 - ThreadPool - 0 [Daemon]
 - ThreadPool - 2 [Daemon]
 - Event Loop
 - ThreadPool - 1 [Daemon]

INFO     ----- END OF CRASH REPORT -----

just me or a known x86_64 issue?
Comment 205 Jukka Palko 2007-11-20 10:23:40 UTC
Getting exactly the same as in comment 204 on amd64.
Comment 206 m0sia 2007-11-20 14:10:37 UTC
I'm getting following error, while compiling:
lementation/HttpObserver.o -Wl,-rpath,/usr/lib/mozilla -DNS_I_SERVICE_MANAGER_UTILS=1
i686-pc-linux-gnu-gcc: -rpath: linker input file unused because linking not done
i686-pc-linux-gnu-gcc: /usr/lib/mozilla: linker input file unused because linking not done
/var/tmp/portage/media-tv/miro-1.0/work/Miro-1.0/platform/gtk-x11/frontend_implementation/HttpObserver.cc: In member function `virtual nsresult HttpObserver::Observe(nsISupports*, const char*, const PRUnichar*)':
/var/tmp/portage/media-tv/miro-1.0/work/Miro-1.0/platform/gtk-x11/frontend_implementation/HttpObserver.cc:68: error: no matching function for call to `nsDependentCString::nsDependentCString()'
/usr/lib/mozilla/include/string/nsTDependentString.h:53: note: candidates are: nsDependentCString::nsDependentCString(const nsDependentCString&)
/usr/lib/mozilla/include/string/nsTDependentString.h:136: note:                 nsDependentCString::nsDependentCString(const nsACString&)
/usr/lib/mozilla/include/string/nsTDependentString.h:135: note:                 nsDependentCString::nsDependentCString(const nsCSubstringTuple&)
/usr/lib/mozilla/include/string/nsTDependentString.h:96: note:                 nsDependentCString::nsDependentCString(const nsCSubstring&)
/usr/lib/mozilla/include/string/nsTDependentString.h:89: note:                 nsDependentCString::nsDependentCString(const char*)
/usr/lib/mozilla/include/string/nsTDependentString.h:82: note:                 nsDependentCString::nsDependentCString(const char*, PRUint32)
/usr/lib/mozilla/include/string/nsTDependentString.h:76: note:                 nsDependentCString::nsDependentCString(const char*, const char*)
/var/tmp/portage/media-tv/miro-1.0/work/Miro-1.0/platform/gtk-x11/frontend_implementation/HttpObserver.cc:68: error: no matching function for call to `nsDependentCString::nsDependentCString()'
/usr/lib/mozilla/include/string/nsTDependentString.h:53: note: candidates are: nsDependentCString::nsDependentCString(const nsDependentCString&)
/usr/lib/mozilla/include/string/nsTDependentString.h:136: note:                 nsDependentCString::nsDependentCString(const nsACString&)
/usr/lib/mozilla/include/string/nsTDependentString.h:135: note:                 nsDependentCString::nsDependentCString(const nsCSubstringTuple&)
/usr/lib/mozilla/include/string/nsTDependentString.h:96: note:                 nsDependentCString::nsDependentCString(const nsCSubstring&)
/usr/lib/mozilla/include/string/nsTDependentString.h:89: note:                 nsDependentCString::nsDependentCString(const char*)
/usr/lib/mozilla/include/string/nsTDependentString.h:82: note:                 nsDependentCString::nsDependentCString(const char*, PRUint32)
/usr/lib/mozilla/include/string/nsTDependentString.h:76: note:                 nsDependentCString::nsDependentCString(const char*, const char*)
error: command 'i686-pc-linux-gnu-gcc' failed with exit status 1


www-client/mozilla-1.7.13
Comment 207 Robert A. 2007-11-23 21:30:21 UTC
(In reply to comment #204)
> just me or a known x86_64 issue?

same here on x86 32bit.

Comment 208 pwiddy 2007-12-03 20:48:15 UTC
Same error here for me on ppc.
Comment 209 pwiddy 2007-12-03 20:48:23 UTC
Same error here for me on ppc.
Comment 210 Sergey Belyashov 2007-12-14 20:29:23 UTC
Created attachment 138503 [details]
media-tv/miro-1.0.ebuild

miro needs to be dev-lang/python built with berkdb USE-flag. I add this checking.
I remove dependency of subversion (why it needed?) and db (db should be provided by python).
Comment 211 Andree Chea 2007-12-16 16:55:09 UTC
With school finals finally over, I tried attachment 138503 [details] and expected an error, but it actually compiled and executed correctly with no crashes in ~amd64!

I don't want to test the changes in 138503 though... I'm running Python 2.4.4 with db 4.2.52_p4-r2 (4.5 is in a different slot, but not compiled "into" python), and mozilla-firefox-2.0.0.11.  In the interest of fixing this python/db error until python 2.5 becomes stable, if db-4.5 is fixed for python 2.5, and db-4.5 still doesn't work for python 2.4, then is it a good idea for python 2.4 to check for <db-4.5, but pythons above don't?  Like (pseudocode):

if (python)
    if (python_version < 2.5)
        depend <db-4.5

Is this possible/good idea?  Lastly, what's the status on getting miro into sunrise?
Comment 212 Patrizio Bassi 2008-01-12 12:09:23 UTC
any eta to add this to portage?
Comment 213 jcat 2008-01-17 16:42:10 UTC
FYI  I couldn't get 1.0 to work on my x86 system, it emerge fine but I got an error on startup similar to the _64 errors above.  I renamed the most recent ebuild to 1.1 to try the latest release, and now it runs fine.

I'm using python 2.5 with testing versions of pyrex and boost:

dev-libs/boost-1.34.1-r1
dev-python/pyrex-0.9.6.4

media-tv/miro-1.1


Cheers,
jcat
Comment 214 Jan Kohlhof 2008-01-17 18:48:17 UTC
(In reply to comment #204)
i had the same problem and after some research i found out that I had the wrong pyrex version installed. Install (>?)pyrex-0.9.5.1a and do not forget to *delete the pyrex generated c files* in portable (i think its database.c, pyrex will print a signature with version info at the beginning of the files). then rebuild the project and enjoy :).
Comment 215 Jukka Palko 2008-01-18 09:07:48 UTC
Unmasking dev-libs/boost-1.34.1-r1 and dev-python/pyrex-0.9.6.4 and renaming the 1.0 ebuild to 1.1 worked nicely for me too.

Now just enjoying using it.
Comment 216 indarios 2008-01-18 20:45:40 UTC
Created attachment 141238 [details]
media-tv/miro-1.1.ebuild based on Sergey Belyashov's ebuild.
Comment 217 Giacomo Perale 2008-01-19 22:43:24 UTC
Created attachment 141335 [details]
miro-1.1.ebuild

Ebuild based on the previous one. Changed '=' in '>=', fixed DEPEND to require pysqlite only with python 2.4 and not with python 2.5. Program compiles and work without dev-util/devhelp, so I suppose that it is only required for the documentation, moved under 'doc' useflag.
Comment 218 A. Person 2008-01-23 03:25:30 UTC
The latest ebuild here works great for me on amd64.  C'mon devs.  You can do it!
Comment 219 Fabio Erculiani 2008-01-24 21:27:14 UTC
Missing net-libs/xulrunner to DEPEND. actually, it is a RDEPEND.
Comment 220 indarios 2008-01-25 18:58:57 UTC
(In reply to comment #218)
> The latest ebuild here works great for me on amd64.  C'mon devs.  You can do
> it!
> 

But does not work here, and other amd64 users are having the same problem.
Comment 221 georgia_tech_swagger 2008-01-27 21:30:31 UTC
Latest ebuild does not work for me... video playback of all video files I have (.m4v, .mov H.264, .divx, .avi) is hosed.   I get the visualization system you get when you play a .mp3 file.

And unfortunately, when I try to downgrade, Miro complains the database is from a "future version" and won't load.   Anybody have a fix for this nightmare?

>:-|
Comment 222 Andree Chea 2008-01-27 23:32:33 UTC
(In reply to comment #221)

What version is your xine-lib?  I'm on amd64 and had problems with (stable) xine-lib 1.1.9.1 and miro 1.0; it would play fine, but crash right after the video stopped.  I then masked 1.1.9.1 in package.mask and downgraded to 1.1.8 and haven't had the problem yet.  Maybe I had to recompile miro after the xine-lib update?  By the way, I haven't tried miro 1.1 (no time for unmasking and revdep-ing yet), so YMMV.

Comment 223 georgia_tech_swagger 2008-01-28 03:41:25 UTC
(In reply to comment #222)

Winner winner chicken dinner!   Anything higher than 1.1.8 breaks video playback.
Comment 224 georgia_tech_swagger 2008-02-04 19:03:55 UTC
I just did a reinstall on my desktop, and guess what segfaults upon startup again?

I tried xulrunner.
I tried xine-lib-1.1.8 and 1.1.10
I tried creating an ebuild for miro 1.1.1
I tried boost 1.3.4-r1 and 1.3.4-r2

I will keep trying to switch up dependencies .... but this is getting f***ing ridiculous.   Maybe we should create a binary miro that has binary deps built in?  It seems like miro breaks as easily as a balsa wood chair.
Comment 225 georgia_tech_swagger 2008-02-04 21:11:12 UTC
Created attachment 142679 [details]
Miro 1.1.1 ebuild with modified dep by georgia_tech_swagger

I figured it out.   Rebuilding gnome-python-extras with xulrunner USE flag fixed the segfaulting.

I added that requirement to an updated 1.1.1 ebuild.
Comment 226 manuels 2008-02-06 20:50:58 UTC
(In reply to comment #211)

> I don't want to test the changes in 138503 though... I'm running Python 2.4.4
> with db 4.2.52_p4-r2 (4.5 is in a different slot, but not compiled "into"
> python), and mozilla-firefox-2.0.0.11.  In the interest of fixing this
> python/db error until python 2.5 becomes stable, if db-4.5 is fixed for python
> 2.5, and db-4.5 still doesn't work for python 2.4, then is it a good idea for
> python 2.4 to check for <db-4.5, but pythons above don't?  [...]
Same problem here:
- amd64 machine
- python-2.4.4-r6 installed
- db-4.5 installed
But I needed to install db-4.3 (not db-4.2) (refered to the ldd error miro dumped).
Comment 227 manuels 2008-02-06 21:25:52 UTC
adding something like

make_desktop_entry ${PN} "Miro" /usr/share/pixmaps/miro-128x128.png

to src_install() would be great. But I'm not quite sure I the icon path is really universal and which group could be added as 4th argument to make_desktop_entry.
This is not very important but a nice improval.
Comment 228 georgia_tech_swagger 2008-02-08 21:42:50 UTC
Ugh!   It's now segfaulting again, and I haven't changed anything.

I even tried making a new ebuild for 1.1.2.

Can somebody who still has a fully working Miro please post their:
- USE flags
- Versions for all major deps
Comment 229 A. Person 2008-02-08 21:52:32 UTC
Mine has been working 100% on amd64 for quite a while.  Post a few commands you'd like me to run and I'll post the output.
Comment 230 georgia_tech_swagger 2008-02-08 22:07:47 UTC
(In reply to comment #229)
> Mine has been working 100% on amd64 for quite a while.  Post a few commands
> you'd like me to run and I'll post the output.
> 

# emerge --info

# emerge -vp --oneshot nss boost gnome-python-extras dbus-python pyrex xine-lib libfame
Comment 231 A. Person 2008-02-08 22:21:15 UTC
# emerge --info && emerge -vp --oneshot nss boost gnome-python-extras dbus-python pyrex xine-lib libfamePortage 2.1.3.19 (default-linux/amd64/2007.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.23-hardened-r4 x86_64)
=================================================================
System uname: 2.6.23-hardened-r4 x86_64 AMD Athlon(tm) 64 X2 Dual Core Processor 4000+
Timestamp of tree: Fri, 08 Feb 2008 15:46:01 +0000
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p17-r1
dev-java/java-config: 1.3.7, 2.0.33-r1
dev-lang/python:     2.4.4-r6
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.10-r5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS=""
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LINGUAS="en"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/musicbrainz /usr/portage/local/layman/nx /usr/portage/local/layman/sunrise /usr/portage/local/layman/gnome-experimental /usr/local/portage"
SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 bash-completion berkdb bitmap-fonts bzip2 cairo caps cdda cddb cdparanoia cdr cli cracklib crypt dbus divx dri dts dvd dvdr dvdread emboss encode esd evo fam firefox flac fortran gif gmedia gnutls gpm gstreamer gtk gtkhtml hal hardened iconv imlib isdnlog java jpeg kde lcms libsexy mad madwifi matroska md5sum midi mikmod mmx mng mod mono mp3 mpeg mudflap musicbrainz ncurses normalize nptl nptlonly nsplugin nvidia ogg opengl openmp oss pam pcre pdf perl pic png pppd python qt3 qt3support qt4 quicktime readline realmedia reflection rtc sdl sdl-image serpentine server session speex spell spl sqlite sse sse2 ssl streamripper svg tagwriting tcpd theora tiff toolbar truetype truetype-fonts type1-fonts unicode vcd vim-with-x vlm vorbis wmp wxwindows x264 xforms xml xorg xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] dev-python/pyrex-0.9.6.4  USE="-examples" 0 kB 
[ebuild   R   ] dev-libs/nss-3.11.7  USE="-utils" 3,644 kB 
[ebuild   R   ] dev-libs/boost-1.34.1-r2  USE="-debug -doc -icu -pyste -tools" 0 kB 
[ebuild   R   ] dev-python/gnome-python-extras-2.14.2-r1  USE="X firefox -debug -doc -seamonkey -xulrunner" 344 kB 
[ebuild   R   ] media-libs/xine-lib-1.1.10  USE="X a52 aac alsa dts dvd esd flac gtk mad mng modplug musepack opengl oss real sdl speex theora truetype v4l vcd vorbis xcb xv xvmc -aalib (-altivec) -arts -debug -directfb -dxr3 -fbcon -gnome -imagemagick -ipv6 -jack -libcaca -mmap -nls -pulseaudio -samba (-vidix) -wavpack (-win32codecs) -xinerama" 0 kB 
[ebuild   R   ] media-libs/libfame-0.9.1-r1  USE="(-mmx)" 296 kB 
[ebuild   R   ] dev-python/dbus-python-0.80.2  USE="-test" 443 kB 

Total: 7 packages (7 reinstalls), Size of downloads: 4,726 kB
Comment 232 georgia_tech_swagger 2008-02-09 03:40:13 UTC
(In reply to comment #231)

Pretty much the same as you there.

How about:

# emerge -vp --oneshot xulrunner mozilla-firefox miro
Comment 233 georgia_tech_swagger 2008-02-09 06:25:17 UTC
Glory!   Glory!!

I downloaded Miro 1.1.2 and used their debug script.   I kept segfaulting out like so:

dev-libs/openssl-0.9.8g:
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb51f7b90 (LWP 3159)]
0xb7aaa074 in ?? () from /usr/lib/libssl.so.0.9.8

dev-libs/openssl-0.9.8f:
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb625eb90 (LWP 21521)]
0xb7b0d120 in remove_session_lock () from /usr/lib/libssl.so.0.9.8

dev-libs/openssl-0.9.8e-r3:
IT WORKSSSSSSS!!!!!!   

I am attaching a modified ebuild of Miro 1.1.2 that errors out if you have openssl-0.9.8f or greater.   I didn't test the unstable openssl ... and since Miro works for me now, I'm not effing going to!   

Comment 234 georgia_tech_swagger 2008-02-09 06:27:01 UTC
Created attachment 143021 [details]
Miro 1.1.2 ebuild; - unnecessary xulrunner USE check in gnome-python-extras; +openssl version check

It works!  Miro works!   *sob*
Comment 235 orgoz2 2008-02-09 20:35:00 UTC
This version is a more stable for me (no more crashes) but I have no image when playing video (the sound is ok).
Comment 236 manuels 2008-02-09 20:40:14 UTC
(In reply to comment #235)
> This version is a more stable for me (no more crashes) but I have no image when
> playing video (the sound is ok).

Are you running an amd64 system? then media-libs/win32codecs is not installed and you might not have a codec for this video.
Comment 237 georgia_tech_swagger 2008-02-10 00:22:58 UTC
(In reply to comment #235)
> This version is a more stable for me (no more crashes) but I have no image when
> playing video (the sound is ok).
> 

Please post output of:

# emerge --info
# emerge -vp --oneshot xine-libs
Comment 238 orgoz2 2008-02-10 01:53:39 UTC
I am running an x86 system.

This is my emerge --info :

Portage 2.1.3.19 (default-linux/x86/2007.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.24-gentoo i686)
=================================================================
System uname: 2.6.24-gentoo i686 Intel(R) Pentium(R) 4 CPU 2.60GHz
Timestamp of tree: Tue, 05 Feb 2008 22:17:01 +0000
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p17-r1
dev-java/java-config: 1.3.7, 2.1.4
dev-lang/python:     2.4.4-r6
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.10-r5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium4 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/4.0/env /usr/kde/4.0/share/config /usr/kde/4.0/shutdown /usr/kde/svn/env /usr/kde/svn/share/config /usr/kde/svn/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=pentium4 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.ovh.net/gentoo-distfiles/ ftp://mirror.ovh.net/gentoo-distfiles/ http://gentoo.modulix.net/gentoo/ http://ftp.club-internet.fr/pub/mirrors/gentoo "
LANG="fr_FR@euro"
LC_ALL="fr_FR.UTF-8"
LINGUAS="fr fr_FR"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/home/portage/temp"
PORTDIR="/usr/portage/official"
PORTDIR_OVERLAY="/usr/portage/overlays/sunrise /usr/portage/overlays/kde /usr/portage/overlays/gentopia /usr/portage/overlays"
SYNC="rsync://88.191.40.249/gentoo-portage"
USE="X a52 aac accessibility acl acpi alsa amrnb apache2 bitmap-fonts bzip2 cairo caps cdaudio cdr cli clucene cracklib dbus dri dts dvd dvdr dvdread eds emboss encode esd evo fam ffmpeg firefox fortran gdbm gif glitz gnome gpm gstreamer gtk gtk2 hal howl iconv imap inotify isdnlog jabber jpeg kde libdvdread libnotify libsexy mad midi mikmod mmx mp3 mpeg mudflap musepack musicbrainz ncurses nls no-seamonkey nptl nptlonly nsplugin ogg opengl openmp oss pam pcre pdf perl png pppd python qt qt3 qt3support qt4 quicktime rar readline reflection sdl session spell spl sse sse2 ssl startup-notification svg tcpd tiff truetype truetype-fonts type1-fonts unicode usb vorbis win32codecs x264 x86 xine xkb xml xorg xscreensaver xv zip zlib zsh-completion" ALSA_CARDS="cmipci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="joystick keyboard mouse" KERNEL="linux" LINGUAS="fr fr_FR" USERLAND="GNU" VIDEO_CARDS="radeon fglrx vesa fbdev"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS



And this is my emerge -vp --oneshot xine-lib (in fact my paludis -pi xine-lib) :

* media-libs/xine-lib :1 [R 1.1.10] <target>
    X a52 aac -aalib alsa (-altivec) -arts -debug -directfb dts dvd -dxr3 esd -fbcon flac gnome gtk -imagemagick -ipv6 -jack -libcaca mad -mmap -mng modplug musepack nls opengl oss -pulseaudio -real -samba sdl -speex theora truetype v4l -vcd -vidix vorbis -wavpack win32codecs xcb -xinerama xv -xvmc

Total: 1 package (1 rebuild)
Comment 239 georgia_tech_swagger 2008-02-10 02:22:08 UTC
(In reply to comment #238)

Looks sane.   Same version of xine-lib I have ... pretty close to my USE flags as well.   A few things:

- If you're running paludis 2.6x, have you tried running reconcilio?

- Is video playback botched on just some video casts, or all of them?
--- If all of yours are the same format, try subscribing to some of the various format feeds for video netcasts at revision3.com

- Does running miro like the following fix your problems?:
miro --xine-driver=opengl
miro --xine-driver=sdl

Comment 240 Heiko Baums 2008-02-10 04:22:36 UTC
With my miro-1.0.ebuild I hadn't had any problems. With georgia_tech_swagger's miro_1.1.2.ebuild it compiles without any problem but it doesn't start.

I'm getting these error messages when starting miro:

/usr/lib/mozilla-firefox
Traceback (most recent call last):
  File "/usr/bin/miro.real", line 129, in <module>
    startapp()
  File "/usr/bin/miro.real", line 59, in startapp
    import app
  File "/usr/lib/python2.5/site-packages/miro/app.py", line 51, in <module>
    import databaseupgrade
  File "/usr/lib/python2.5/site-packages/miro/databaseupgrade.py", line 39, in <module>
    from storedatabase import SavableObject
  File "/usr/lib/python2.5/site-packages/miro/storedatabase.py", line 78, in <module>
    import sqlite3 as sql
  File "/usr/lib/python2.5/sqlite3/__init__.py", line 24, in <module>
    from dbapi2 import *
  File "/usr/lib/python2.5/sqlite3/dbapi2.py", line 27, in <module>
    from _sqlite3 import *
ImportError: No module named _sqlite3


This is my emerge --info:

Portage 2.1.4.1 (default-linux/x86/2007.0/desktop, gcc-4.1.2, glibc-2.7-r1, 2.6.23-gentoo-r3 i686)
=================================================================
System uname: 2.6.23-gentoo-r3 i686 AMD Athlon(tm) XP 1600+
Timestamp of tree: Sun, 10 Feb 2008 03:00:01 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.3
dev-lang/python:     2.5.1-r5
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon-xp -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/applications/kde /usr/kde/3.5/share/config /usr/kde/3.5/share/services/searchproviders /usr/kde/3.5/shutdown /usr/share/applications /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=athlon-xp -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo http://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/"
LANG="de_DE.UTF-8"
LINGUAS="de"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise /usr/portage/local/private"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac aalib accessibility acl aften alsa apache2 apm arts asf audiofile authfile avi berkdb bitmap-fonts bluetooth bzip2 cairo caps cdda cddb cdparanoia cdr chardet clamav cli cracklib crypt css ctype cups curl d dbus dga divx dri dv dvb dvd dvdnav dvdr dvdread eds emboss encode espeak expat extrafilters fam fame fbcon fbcondecor festival ffmpeg firefox flac fltk fontconfig foomaticdb fortran ftp gcj gd gdbm gif gimp glib glitz gmedia gmp gnutls gpm graphviz gs gstreamer gtk gtkhtml gucharmap hddtemp iconv idn ilbc imagemagick imlib inkjar ipv6 irmc isdnlog jack jack-tmpfs jackmidi jce jpeg kde kdepim kerberos ladspa lame lcms libnotify libsamplerate lirc live lm_sensors logrotate lzo mad mbox mbrola md5sum midi mikmod mjpeg mmx mmxext mng modplug motif mozilla mp2 mp3 mp4 mpeg mplayer mudflap musepack musicbrainz mysql mysqli nas ncurses network nls nptl nptlonly nsplugin objc objc++ objc-gc offensive ofx ogg opengl openmp osc oss pam pcre pdf perl php plugin png ppds pppd print python qt3 qt3support qt4 quicktime quotes rar readline real realmedia reflection rtc rtsp scanner sdl session shout sndfile speex spell spl sse ssl svg tcl tcltk tcpd tetex themes theora threads threadsafe tidy tiff tk tokenizer tools truetype truetype-fonts type1-fonts unicode usb utempter v4l v4l2 vcd vdr vidix visualization vlm vorbis win32codecs wma wmf wmp x264 x86 xcomposite xine xiph xml xorg xpm xv xvid xvmc yv12 zip zlib" ALSA_CARDS="ice1712" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" LIRC_DEVICES="devinput" USERLAND="GNU" VIDEO_CARDS="nvidia v4l"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 241 Heiko Baums 2008-02-10 05:08:56 UTC
Created attachment 143084 [details]
Corrected miro-1.1.2.ebuild

I've corrected the dependencies in the ebuild.
Comment 242 Heiko Baums 2008-02-10 05:12:57 UTC
In the new miro-1.1.2.ebuild I've changed the dependencies for python and pysqlite. Now it works again and starts without the error messages from my comment #240.
Comment 243 Heiko Baums 2008-02-10 05:38:15 UTC
Created attachment 143091 [details]
Corrected ebuild again

Now I removed the python/pysqlite part in pkg_setup() for these reasons:

1. It doesn't really work at least when upgrading from earlier miro versions because in earlier miro version pysqlite-2 was installed as a dependency and is only removed after upgrading by running `emerge --depclean` which causes the error messages I mentioned before.

2. This section is obsolete anyway with my dependency changes.

3. Forcing the user to reemerge a package with an optional feature (python with sqlite in this case) is not quite nice and emerging pysqlite-2 takes less time than reemerging python with USE=sqlite. And pysqlite is installed anyway if earlier versions of miro were installed before.
Comment 244 Heiko Baums 2008-02-10 06:30:52 UTC
Created attachment 143096 [details]
Corrected miro-1.1.2.ebuild

I've changed the miro-1.1.2.ebuild once again.

This time I added sys-libs/db as a dependency again and also removed the python/berkdb part of pkg_setup() for the same reasons I removed the pysqlite stuff and because reemerging python with USE="berkdb" does nothing else than emerging sys-libs/db as a dependency. So this can better be done by setting sys-libs/db as a dependency of miro directly.

And stopping emerge unnecessarily by such die commands is also not really nice and userfriendly. Just think about long `emerge -uDN world`s which run over night maybe together with a kde or openoffice update. And in the middle of the world update it stops because the miro ebuild forces the user to reemerge other packages with USE flags, the user don't really want to set, just to install dependencies which can be installed also directly by the miro ebuild. I'd really be angry because it takes far to much time which I possibly don't have.

I've also put the openssl warning into the post_install section and changed the eerror to ewarn because it can be better read by the user if it's printed at the end of the installation, it's not that important and because I'm not getting segfaults with openssl-0.9.8g.
Comment 245 georgia_tech_swagger 2008-02-10 06:55:02 UTC
Your new ebuild requires python 2.5 ... is that *really* necessary?   Running unstable versions of Python on a distro with a python based package manager scares the hell outta me.   I think that requirement should be removed, in favor if the conditional setup like it was before.
Comment 246 Heiko Baums 2008-02-10 07:56:06 UTC
(In reply to comment #245)
> Your new ebuild requires python 2.5 ... is that *really* necessary?   Running
> unstable versions of Python on a distro with a python based package manager
> scares the hell outta me.   I think that requirement should be removed, in
> favor if the conditional setup like it was before.

I don't know if but I don't think that it's necessary. I kept the version number from your ebuild. I only removed the brackets and the or symbol ||.

I of course can change the version number to >=dev-lang/python-2.4. According to upstream's development site (https://develop.participatoryculture.org/trac/democracy/wiki/GTKX11BuildDocs#Installingprerequisites) python-2.4 is sufficient.

But the conditional setup like in your ebuild doesn't work and leads to the error messages I posted in comment #240.
Comment 247 Heiko Baums 2008-02-10 08:08:47 UTC
Created attachment 143098 [details]
miro-1.1.2.ebuild with a small change

Changed the python dependency from >=dev-lang/python-2.5 to >=dev-lang/python-2.4.
Comment 248 Thomas Kuther 2008-02-10 10:03:01 UTC
Created attachment 143103 [details]
miro-1.1.2.ebuild

Updated ebuild:
* use ${MY_P}
* use distutils.eclass + remove unneeded src_compile/install()
Comment 249 orgoz2 2008-02-10 14:22:37 UTC
(In reply to comment #239)
> (In reply to comment #238)
> 
> Looks sane.   Same version of xine-lib I have ... pretty close to my USE flags
> as well.   A few things:
> 
> - If you're running paludis 2.6x, have you tried running reconcilio?
> 
> - Is video playback botched on just some video casts, or all of them?
> --- If all of yours are the same format, try subscribing to some of the various
> format feeds for video netcasts at revision3.com
> 
> - Does running miro like the following fix your problems?:
> miro --xine-driver=opengl
> miro --xine-driver=sdl
> 

Great ! reconcilio did the trick ! Thank you :-)
Comment 250 Heiko Baums 2008-02-10 14:37:23 UTC
(In reply to comment #248)
> Created an attachment (id=143103) [edit]
> miro-1.1.2.ebuild
> 
> Updated ebuild:
> * use ${MY_P}
> * use distutils.eclass + remove unneeded src_compile/install()

Oh no, not the pkg_setup() stuff again!
Please remove this section again.

I don't know if your ebuild really works but, please, read my other comments for the reasons.

It's really not necessary, not userfriendly and stops unnecessarily long world updates.
Comment 251 Heiko Baums 2008-02-10 21:21:49 UTC
I found out that at least python with USE="berkdb" is necessary. I'm sorry.
But I'm not quite sure if python with USE="sqlite" is really necessary. It can be that it makes miro a bit faster but I'm not sure.

But must the pkg_setup() with the die commands really be in the ebuild? Are these python dependencies really build time dependencies or is it sufficient if python is reemerged with these both USE flags after emerging miro?

If this is the case then pkg_setup(), especially the die commands, should be indeed removed from the ebuild and the appropriate warnings should be added as eerrors to the pkg_postinst() like e.g.:

eerror "To get miro working you must reemerge python with USE="berkdb sqlite""

This would be much more userfriendly and less time consuming especially during a long `emerge -uDN world`.
Comment 252 Heiko Baums 2008-02-10 22:54:36 UTC
Created attachment 143168 [details]
miro-1.1.2.ebuild

Changed tom's miro-1.1.2.ebuild by removing the pkg_setup() section, adding these contents to the pkg_postinst() section and removing the die commands.

I think that python's berkdb and sqlite flags are only runtime but not buildtime dependencies. So it's sufficient to reemerge python after emerging miro.

Are you really sure that it happens that miro segfaults with >openssl-0.9.8f?
For me it doesn't segfault with openssl-0.9.8g. Maybe this warning should be changed from

if has_version ">=dev-libs/openssl-0.9.8f" ; then
     ewarn ""
     ewarn "Versions of openssl >= 0.9.8f can cause Miro segfaulting"
     ewarn ""

to

if has_version "=dev-libs/openssl-0.9.8f" ; then
     ewarn ""
     ewarn "Versions of openssl = 0.9.8f can cause Miro segfaulting"
     ewarn ""
Comment 253 Steven Elling 2008-02-26 07:03:27 UTC
The miro 1.1.2 ebuild produces the following error for me and does not work:

~ $> miro
/usr/lib/mozilla-firefox
INFO     Starting up Miro
INFO     Version:    1.1.2
INFO     Revision:   https://svn.participatoryculture.org/svn/dtv/tags/Miro-1.1.2/tv/resources - 6194
INFO     Builder:    root@host
INFO     Build Time: 1203141868.11
INFO     Loading preferences...
INFO     Starting event loop thread
INFO     Restoring database...
INFO     Connecting to /home/user/.miro/sqlitedb
TIMING   Database load slow: 0.087
INFO     Spawning global feed dtv:manualFeed
INFO     Spawning global feed dtv:singleFeed
INFO     Spawning global feed dtv:search
INFO     Spawning global feed dtv:searchDownloads
INFO     Creating channel tab order
INFO     Creating playlist tab order
INFO     *** Launching Downloader Daemon ****
INFO     Spawning Miro Guide...
INFO     Spawning global feed dtv:directoryfeed
INFO     Spawning auto downloader...
INFO     Displaying main frame...
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/miro/dl_daemon/Democracy_Downloader.py", line 96, in ?
    launch()
  File "/usr/lib/python2.4/site-packages/miro/dl_daemon/Democracy_Downloader.py", line 68, in launch
    from dl_daemon import download
  File "/usr/lib/python2.4/site-packages/miro/dl_daemon/download.py", line 13, in ?
    import libtorrent as lt
ImportError: /usr/lib/python2.4/site-packages/miro/libtorrent.so: undefined symbol: DH_generate_key
INFO     Creating video display...
WARNING  Menu item action "RenameVideo" not implemented
WARNING  Menu item action "FastForward" not implemented
WARNING  Menu item action "Rewind" not implemented
WARNING  Menu item action "UpVolume" not implemented
WARNING  Menu item action "DownVolume" not implemented
INFO     initRenderers: couldn't load xinerenderer: /usr/lib/python2.4/site-packages/miro/xine.so: undefined symbol: XOpenDisplay
ERROR    Exception in a gtkAsyncMethod:
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/miro/frontend_implementation/gtk_queue.py", line 160, in _idle
    callback (*args, **kwargs)
  File "/usr/lib/python2.4/site-packages/miro/frontend_implementation/VideoDisplay.py", line 93, in initRenderers
    self.widget.add (self.renderers[0].widget)
IndexError: list index out of range
-----

I have the following packages installed:

dev-libs/openssl-0.9.8g
x11-libs/libX11-1.1.3


Hrm, perhaps a python rebuild is in order.
Comment 254 Heiko Baums 2008-02-26 08:24:38 UTC
(In reply to comment #253)
> Hrm, perhaps a python rebuild is in order.

This is also my first guess.

Have you emerged python-2.4 with USE="berkdb"?

If no, please, reemerge python-2.4 with this USE flag set.

If yes, could you, please, update to python-2.5? From upstream's website it should also work with python-2.4 but I think it's worth a try. At least for me it works with python-2.5 but I haven't tested it with python-2.4.

And remember setting USE="berkdb sqlite" for python-2.5.
Comment 255 G. Gibson 2008-02-27 11:06:34 UTC
(In reply to comment #254)

Sorry to break in here.  I am really trying to get the ebuild for this.  I've set layman to get sunrise ... but I don't even see miro in the tree.  Is it in already and I'm not doing something right?  I -s'd layman and all that: no miro, just an ebuild that points to old broken democracy player urls.
Comment 256 Heiko Baums 2008-02-27 12:06:08 UTC
(In reply to comment #255)
I'm not a maintainer of the sunrise overlay but the ebuild is not yet in this overlay. You have to copy one of the miro-1.1.2.ebuild's attached to this bug to media-tv/miro in your own local overlay and emerge it from there.
Comment 257 Jorge Vargas 2008-02-27 14:12:51 UTC
(In reply to comment #256)
> (In reply to comment #255)
> I'm not a maintainer of the sunrise overlay but the ebuild is not yet in this
> overlay. You have to copy one of the miro-1.1.2.ebuild's attached to this bug
> to media-tv/miro in your own local overlay and emerge it from there.
> 
Hi, I created the original sunrise ebuild, but after I stop using gentoo at my personal computer I didn't had the means to keep maintaining it. The ebuild there is really old, back to when the player was call democracy, if someone is interested in maintaining it in sunrise check out, #gentoo-sunrise on irc.freenode.net. 

As I said I have been monitoring the ebuild ever since I wrote the original but I'm no longer able to maintain it. 
Comment 258 Stephen Bridges 2008-02-29 23:05:54 UTC
(In reply to comment #252)
> Created an attachment (id=143168) [edit]
> miro-1.1.2.ebuild

I tried this one, and got a poppler error:

Package config error:
pkg-config --list-all outputted the following error:
Package 'poppler-glib' requires 'poppler = 0.6.2' but version of poppler is 0.6.3

I did indeed have poppler-0.6.3 and poppler-bindings-0.6.3.  I assume that's just my system SNAFU rather than an ebuild dependency missing but I thought I'd mention it.  Other than that, works fine on amd64 here.
Comment 259 Heiko Baums 2008-03-01 00:09:29 UTC
(In reply to comment #258)
> I tried this one, and got a poppler error:
> 
> Package config error:
> pkg-config --list-all outputted the following error:
> Package 'poppler-glib' requires 'poppler = 0.6.2' but version of poppler is
> 0.6.3

poppler is not a direct dependency of miro and pkgconfig. But there is no package poppler-glib in the portage tree. I have poppler-0.6.3 and poppler-bindings-0.6.3 installed and don't have any problems. The package poppler-bindings seems to contain libpoppler-glib.
Comment 260 Bill Comisky 2008-03-06 17:58:52 UTC
(In reply to comment #206)
> I'm getting following error, while compiling:
> lementation/HttpObserver.o -Wl,-rpath,/usr/lib/mozilla
> -DNS_I_SERVICE_MANAGER_UTILS=1
>

...
 
/var/tmp/portage/media-tv/miro-1.0/work/Miro-1.0/platform/gtk-x11/frontend_implementation/HttpObserver.cc:68:
> error: no matching function for call to
> `nsDependentCString::nsDependentCString()'
> /usr/lib/mozilla/include/string/nsTDependentString.h:53: note: candidates are:
> nsDependentCString::nsDependentCString(const nsDependentCString&)
> /usr/lib/mozilla/include/string/nsTDependentString.h:136: note:                
> nsDependentCString::nsDependentCString(const nsACString&)
> /usr/lib/mozilla/include/string/nsTDependentString.h:135: note:                
> nsDependentCString::nsDependentCString(const nsCSubstringTuple&)
> /usr/lib/mozilla/include/string/nsTDependentString.h:96: note:                
> nsDependentCString::nsDependentCString(const nsCSubstring&)
> /usr/lib/mozilla/include/string/nsTDependentString.h:89: note:                
> nsDependentCString::nsDependentCString(const char*)
> /usr/lib/mozilla/include/string/nsTDependentString.h:82: note:                
> nsDependentCString::nsDependentCString(const char*, PRUint32)
> /usr/lib/mozilla/include/string/nsTDependentString.h:76: note:                
> nsDependentCString::nsDependentCString(const char*, const char*)
> 

FYI, I was getting this error too on AMD64 using the 1.1.2 ebuild until I re-emerged dev-python/gnome-python-extras with the xulrunner USE flag.

Bill
Comment 261 Jan Hendrik Grahl (RETIRED) gentoo-dev 2008-03-21 06:04:14 UTC
Miro 1.2 works fine for me but seems to need the additional dependency of lapack-atlas. 
Comment 262 Stephen Bridges 2008-03-21 14:45:46 UTC
1.2 also compiled for me.  However 1.1.2 had stopped working (presumably due to openssl which kills it somehow).  I've downgraded to openssl-0.9.8e but neither version works.  I assume I need to recompile firefox with it?
Comment 263 Heiko Baums 2008-03-21 23:13:24 UTC
(In reply to comment #261)
> Miro 1.2 works fine for me but seems to need the additional dependency of
> lapack-atlas. 

I can't find any missing dependencies. I'm getting neither a compile nor a runtime error without lapack-atlas. Maybe it's a missing dependency for another package with a special USE flag?
Comment 264 Heiko Baums 2008-03-21 23:17:16 UTC
Created attachment 146803 [details]
miro-1.2.ebuild
Comment 265 G. Gibson 2008-03-24 03:32:00 UTC
(In reply to comment #264)
> Created an attachment (id=146803) [edit]
> miro-1.2.ebuild
> 

Do you have a Manifest file as well?
Comment 266 Heiko Baums 2008-03-24 04:10:28 UTC
(In reply to comment #265)
> Do you have a Manifest file as well?

Just save the ebuild to your local portage overlay into the directory media-tv, cd to this directory and run `ebuild miro-1.2.ebuild digest`.
Comment 267 G. Gibson 2008-03-24 21:16:16 UTC
(In reply to comment #266)
> (In reply to comment #265)
> > Do you have a Manifest file as well?
> 
> Just save the ebuild to your local portage overlay into the directory media-tv,
> cd to this directory and run `ebuild miro-1.2.ebuild digest`.
> 

This builds quite well, I think you should lobby for inclusion in sunrise.  The old Democracy Player won't even fetch its tar balls anymore.  Good work! :)

Comment 268 Greg Fitzgerald 2008-03-24 21:39:54 UTC
I'm using The miro-1.1.2 ebuild which works great for me on amd64 stable. I have miro-1.2 in my overlay but I'm not going to use it till python-2.5 goes stable. Do not want to keyword that on my box. 
Comment 269 Heiko Baums 2008-03-24 22:55:54 UTC
(In reply to comment #267)
> This builds quite well, I think you should lobby for inclusion in sunrise.  The
> old Democracy Player won't even fetch its tar balls anymore.  Good work! :)

If you mean me, then I should tell you, that I'm not the original author of this ebuild. I just made a few, small changes at the ebuild.

Regarding inclusion in sunrise, you should read comment #257. ;-)
Comment 270 Heiko Baums 2008-03-24 22:58:47 UTC
(In reply to comment #268)
> I'm using The miro-1.1.2 ebuild which works great for me on amd64 stable. I
> have miro-1.2 in my overlay but I'm not going to use it till python-2.5 goes
> stable. Do not want to keyword that on my box. 

I haven't tested it, yet, but miro-1.2 should also work with python-2.4.
Comment 271 Greg Fitzgerald 2008-03-24 23:02:13 UTC
(In reply to comment #270)
> (In reply to comment #268)
> > I'm using The miro-1.1.2 ebuild which works great for me on amd64 stable. I
> > have miro-1.2 in my overlay but I'm not going to use it till python-2.5 goes
> > stable. Do not want to keyword that on my box. 
> 
> I haven't tested it, yet, but miro-1.2 should also work with python-2.4.
> 

I'll give it a test then. I just remember reading over the ebuild before hand and seeing in it's current state it required python-2.5 and assumed newer versions did require it. I'll give it a shot and if it's true then that should get bumped back to python-2.4 in the 1.2 ebuild. Nice work guys.
Comment 272 Greg Fitzgerald 2008-03-24 23:16:19 UTC
Sorry for the comment spam, but yeah I guess I did not read it over well and mistakenly thought it was python-2.5 only. So ignore just about everything I said. Miro-1.2 is working great on amd64 stable as well. Great work.
Comment 273 Tobias Schröpf 2008-03-27 12:26:16 UTC
Thanks for the ebuilds!

When I tried to emerge miro with your miro-1.2.ebuild, attached at the top of this page, miro's configure-script exits with the following error message:

Can't find xulrunner-xpcom, mozilla-xpcom or firefox-xpcom

Of course emerge -av xulrunner fixed the problem (at least it's compiling right now)...

So is this a broken dependency of your ebuild?

Will your ebuilds make it into the official portage tree? 
Comment 274 Heiko Baums 2008-03-27 13:28:59 UTC
(In reply to comment #273)
> When I tried to emerge miro with your miro-1.2.ebuild, attached at the top of
> this page, miro's configure-script exits with the following error message:
> 
> Can't find xulrunner-xpcom, mozilla-xpcom or firefox-xpcom
> 
> Of course emerge -av xulrunner fixed the problem (at least it's compiling right
> now)...
> 
> So is this a broken dependency of your ebuild?

I don't think so, because I don't have xulrunner installed, and haven't set USE="xulrunner". And I don't get these errors.

But I have an xpcom directory in my mozilla-firefox installation.

If you have xulrunner in your USE flags, then it possibly could be a dependency issue with gnome-python-extras, which is the only dependency of miro, that has the xulrunner USE flag. But I'm absolutely not sure in this point.
Comment 275 Heiko Baums 2008-03-27 13:37:08 UTC
It can also be an issue with python or a bug in miro itself.
I just found this bug report at the miro bugzilla: http://bugzilla.pculture.org/show_bug.cgi?id=8263
Comment 276 Tobias Schröpf 2008-03-27 13:50:28 UTC
Thanks for your help,

I tracked down the Problem to the gnome-python-extras USE-Flags...

Now that my miro finished compilation, when i try to launch it, it says:
    ImportError: No module named gtkmozembed

reviewing the dev-python/gnome-python-extras ebuilds, I found out that either of the (xulrunner,firefox,seamonkey) USE-Flags does two things that are necessary for miro to run:

1.: of course it pulls in the necessary packages (xulrunner etc)
2.: it enables '--with-gtkmozembed='-Support for gnome-python-extras

I've written a patch for the miro-ebuild, to check if gnome-python-extras was built with either of the use-flags.

I will post this patch, as soon as miro finished building and runs correctly.


Comment 277 Heiko Baums 2008-03-27 14:02:45 UTC
Well, xulrunner is definitively not needed, but as you mentioned the gnome-python-extras USE flags, I also checked my gnome-python-extras installation and must admit, that I installed it with USE="X firefox", but without the other USE flags.
Comment 278 Heiko Baums 2008-03-27 14:04:30 UTC
(In reply to comment #276)
> I will post this patch, as soon as miro finished building and runs correctly.

Oh, please, post the complete ebuild, not only the patch. It's easier to download for users. ;-)
Comment 279 Tobias Schröpf 2008-03-27 15:44:54 UTC
You're right, xulrunner isn't needed!

But you need AT LEAST ONE OF xulrunner, firefox or seamonkey USE-Flags for gnome-python-extras, and these USE flags will pull in either the xulrunner, firefox or seamonkey package. Additionally the flags will cause gnome-python-extras to be built with either --with-gtkmozembed=xulrunner, --with-gtkmozembed=firefox or --with-gtkmozembed=seamonkey.

If none of these three USE Flags is set, --with-gtkmozembed won't be enabled for gnome-python-extras, and no xulrunner, firefox OR seamonkey will be installed, and that's what happend when I tried to install miro-1.2 ...

Your setup works because you have firefox installed and gnome-python-extras was built with firefox USE flag.

(In reply to comment #277)
> Well, xulrunner is definitively not needed, but as you mentioned the
> gnome-python-extras USE flags, I also checked my gnome-python-extras
> installation and must admit, that I installed it with USE="X firefox", but
> without the other USE flags.
> 

Comment 280 Tobias Schröpf 2008-03-27 16:59:25 UTC
Created attachment 147454 [details]
patched miro-1.2.ebuild

So heres my patched version of the miro ebuild. I hope it also works for you...
Comment 281 G. Gibson 2008-03-27 19:47:31 UTC
(In reply to comment #280)
> Created an attachment (id=147454) [edit]
> patched miro-1.2.ebuild
> 
> So heres my patched version of the miro ebuild. I hope it also works for you...
> 

I noticed that I do NOT get ssl segfaults when gnome-python-extras is built w/ only firefox, but I do get segfaults with ff+xulrunner in that package. fyi.
Comment 282 kevin.riddl 2008-03-29 16:18:48 UTC
Emerging miro-1.2 works great on AMD64, but I noticed that the file to add the user preference for increased font size is gone in this version. Any idea where to do this now? It was /usr/lib64/python2.4/site-packages/miro/mozsetup.py as stated in postinst.
Comment 283 Gilles Dartiguelongue gentoo-dev 2008-03-29 19:34:59 UTC
Created attachment 147643 [details]
miro-1.2.1.ebuild

ok, let's try to clean this mess. Here is an ebuild for 1.2.1.

 * moved checks in pkg_setup again, I'm sorry this is the way you'll find in 99% ebuilds, dying isn't nice but at least it will prevent you from installing a broken program only to find out when you start it (and that will teach you not to change use flags every 5 minutes ;)).
 * removed libfame, couldn't find a reference to it in the sources.
 * removed xulrunner, gecko engine presence and its deps (nss, openssl) is already pulled in by gnome-python-extras anyway.
 * removed devhelp because I couldn't find any reference to it (again)

Some stuff that needs checking:
 * adding a conditional dep on python-notify ? (there is an import somewhere in the code but I couldn't see it while using the application
 * looks like it can use gstreamer but then why keep xine ? Are both needed ?

Complaints:
 * doesn't run properly (can't dl) with LDFLAGS="-Wl,--as-needed"
 * why oh why upstream can't tell properly which deps they use, which are conditional and which aren't...

I only have a xulrunner box at hand so if xulrunner is really needed even if you have USE="firefox" on g-p-e, I think it's worth reporting as a bug upstream and/or restrict to ebuild to using xulrunner only.
Comment 284 Gilles Dartiguelongue gentoo-dev 2008-03-29 19:36:49 UTC
oh and the thing doesn't seem to brake anymore with recent openssl version hence the check was removed.
Comment 285 Tobias Schröpf 2008-03-29 19:53:37 UTC
(In reply to comment #283)
> I only have a xulrunner box at hand so if xulrunner is really needed even if
> you have USE="firefox" on g-p-e, I think it's worth reporting as a bug upstream
> and/or restrict to ebuild to using xulrunner only.
> 

you need USE='xulrunner' OR USE='firefox' OR USE='seamonkey' set for gnome-python-extras.
I don't know how it behaves if two or all three USE-flags are set, but I'm sure at least one of these USE-Flags is needed.
Comment 286 Heiko Baums 2008-03-29 23:25:39 UTC
(In reply to comment #283)
>  * moved checks in pkg_setup again, I'm sorry this is the way you'll find in
> 99% ebuilds, dying isn't nice but at least it will prevent you from installing
> a broken program only to find out when you start it (and that will teach you
> not to change use flags every 5 minutes ;)).

Isn't there a way to put these checks to DEPEND and/or RDEPEND, so that these dependencies are reinstalled automatically with the necessary USE flags set?

I seem to recall something like this.

At least this would be the most user-friendly alternative.
Comment 287 Heiko Baums 2008-03-29 23:30:41 UTC
Created attachment 147665 [details]
miro-1.2.2.ebuild

Miro 1.2.2 is out. Just renamed Gilles Dartiguelongue's ebuild.
Comment 288 Heiko Baums 2008-03-29 23:33:14 UTC
Comment on attachment 147665 [details]
miro-1.2.2.ebuild

Sorry, I was too rash. Only the Redmond version is updated to 1.2.2 (yet).
Comment 289 Gilles Dartiguelongue gentoo-dev 2008-03-29 23:52:31 UTC
(In reply to comment #286)
> Isn't there a way to put these checks to DEPEND and/or RDEPEND, so that these
> dependencies are reinstalled automatically with the necessary USE flags set?
> 
that would be use deps which won't be supported by portage in the foreseeable future. Unless you are mixing with default IUSE of EAPI 1 but since there is no use flags here, it wouldn't change anything :)
Comment 290 georgia_tech_swagger 2008-04-17 02:15:54 UTC
Please do NOT remove the openssl warning.   I just tried 1.2.1, and it segfaults with:

openssl 0.9.8f 
openssl 0.9.8g 

But works great with

openssl 0.9.8e-r3
Comment 291 Julien 2008-04-28 19:27:55 UTC
1.2.3 is out and the 1.2.1 fails to compile on my ~amd64.
Comment 292 Benjamin Lannoy 2008-04-29 00:06:59 UTC
Yes, it seems to be a bug with GCC 4.3.

I have found a patch here [1], but I'm not enough competent to adapt it for Gentoo and Miro 1.2.3. Sorry. :/

[1] http://bugzilla.pculture.org/show_bug.cgi?id=9691
Comment 293 fatty 2008-06-23 14:32:38 UTC
Version 1.2.4 is out.
Comment 294 A. Person 2008-06-23 14:51:01 UTC
Anyone gotten it to compile?  1.2.4 fails for me with:

In file included from /usr/include/nspr/prtypes.h:58,
                 from /usr/lib64/mozilla-firefox/include/xpcom/nscore.h:51,
                 from /usr/lib64/mozilla-firefox/include/xpcom/nsError.h:42,
                 from /var/tmp/portage/media-tv/miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:31:
/usr/include/nspr/prcpucfg.h:654:1: warning: "HAVE_LONG_LONG" redefined
In file included from /usr/include/python2.4/Python.h:13,
                 from /var/tmp/portage/media-tv/miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:4:
/usr/include/python2.4/pyconfig.h:287:1: warning: this is the location of the previous definition
/var/tmp/portage/media-tv/miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c: In function 'void log_warning(char*)':
/var/tmp/portage/media-tv/miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:246: error: invalid conversion from 'long int' to 'PyGILState_STATE'
/var/tmp/portage/media-tv/miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c: In function 'gint __pyx_f_8platform_9frontends_4html_14MozillaBrowser_new_window_cb(GtkMozEmbed*, GtkMozEmbed**, guint, PyObject*)':
/var/tmp/portage/media-tv/miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:1435: error: cannot convert 'GtkWidget*' to 'GtkMozEmbed*' in assignment
/var/tmp/portage/media-tv/miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:1438: error: cannot convert 'GtkWidget*' to 'GtkContainer*' for argument '1' to 'void gtk_container_add(GtkContainer*, GtkWidget*)'
error: command 'x86_64-pc-linux-gnu-g++' failed with exit status 1
Comment 295 fatty 2008-06-23 15:09:43 UTC
I have also problems compiling it. But my error looks different:

building 'miro.platform.MozillaBrowser' extension
creating build/temp.linux-i686-2.4/var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform
creating build/temp.linux-i686-2.4/var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11
creating build/temp.linux-i686-2.4/var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform
creating build/temp.linux-i686-2.4/var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends
creating build/temp.linux-i686-2.4/var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html
i686-pc-linux-gnu-g++ -pthread -fno-strict-aliasing -DNDEBUG -mtune=athlon-xp -march=athlon-xp -O3 -pipe -fomit-frame-pointer -mtune=athlon-xp -march=athlon-xp -O3 -pipe -fomit-frame-pointer -fPIC -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/pygtk-2.0 -I/usr/include/xulrunner-1.9/unstable -I/usr/include/nspr -I/usr/include/nspr -I/usr/include/python2.4 -c -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/pygtk-2.0 -I/usr/include/xulrunner-1.9/unstable -I/usr/include/nspr -I/usr/include/nspr -I/usr/include/python2.4 -c /var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c -o build/temp.linux-i686-2.4/var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.o -D_REENTRANT -fshort-wchar -Wl,-R/usr/lib/nspr -DPCF_USING_XULRUNNER19=1
In file included from /usr/include/xulrunner-1.9/unstable/nsError.h:42,
                 from /var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:31:
/usr/include/xulrunner-1.9/unstable/nscore.h:117:1: warning: "NS_HIDDEN" redefined
In file included from /var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowserIncludes.h:33,
                 from /var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:30:
/usr/include/xulrunner-1.9/unstable/gtkmozembed.h:57:1: warning: this is the location of the previous definition
In file included from /usr/include/xulrunner-1.9/unstable/nsError.h:42,
                 from /var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:31:
/usr/include/xulrunner-1.9/unstable/nscore.h:206:1: warning: "NS_IMPORT_" redefined
In file included from /var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowserIncludes.h:33,
                 from /var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:30:
/usr/include/xulrunner-1.9/unstable/gtkmozembed.h:64:1: warning: this is the location of the previous definition
In file included from /usr/include/xulrunner-1.9/unstable/nsError.h:42,
                 from /var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:31:
/usr/include/xulrunner-1.9/unstable/nscore.h:208:1: warning: "NS_EXPORT_" redefined
In file included from /var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowserIncludes.h:33,
                 from /var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:30:
/usr/include/xulrunner-1.9/unstable/gtkmozembed.h:63:1: warning: this is the location of the previous definition
/var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c: In function 'void log_warning(char*)':
/var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:133: error: invalid conversion from 'long int' to 'PyGILState_STATE'
/var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c: In function 'int __pyx_f_14MozillaBrowser_14MozillaBrowser___init__(PyObject*, PyObject*, PyObject*)':
/var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:352: error: invalid conversion from 'void*' to 'void (*)()'
/var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:352: error:   initializing argument 3 of 'gulong g_signal_connect_data(void*, const gchar*, void (*)(), void*, void (*)(void*, GClosure*), GConnectFlags)'
/var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:355: error: invalid conversion from 'void*' to 'void (*)()'
/var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:355: error:   initializing argument 3 of 'gulong g_signal_connect_data(void*, const gchar*, void (*)(), void*, void (*)(void*, GClosure*), GConnectFlags)'
/var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:358: error: invalid conversion from 'void*' to 'void (*)()'
/var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:358: error:   initializing argument 3 of 'gulong g_signal_connect_data(void*, const gchar*, void (*)(), void*, void (*)(void*, GClosure*), GConnectFlags)'
/var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c: In function 'gint __pyx_f_14MozillaBrowser_new_window_cb(GtkMozEmbed*, GtkMozEmbed**, guint, PyObject*)':
/var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:1405: error: cannot convert 'GtkWidget*' to 'GtkMozEmbed*' in assignment
/var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:1408: error: cannot convert 'GtkWidget*' to 'GtkContainer*' for argument '1' to 'void gtk_container_add(GtkContainer*, GtkWidget*)'
/var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:1411: error: invalid conversion from 'void*' to 'void (*)()'
/var/tmp/paludis/media-tv-miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:1411: error:   initializing argument 3 of 'gulong g_signal_connect_data(void*, const gchar*, void (*)(), void*, void (*)(void*, GClosure*), GConnectFlags)'
error: command 'i686-pc-linux-gnu-g++' failed with exit status 1

!!! ERROR in media-tv/miro-1.2.4:
!!! In distutils_src_compile at line 1356
!!! compilation failed
Comment 296 Beetle B. 2008-06-24 21:38:49 UTC
Renamed 1.2.1 ebuild to 1.2.4.

Compiles, but segfaults.

(Don't know if it's related, but 1.2.1 runs - however, recently it stopped showing the GUI - still downloads stuff, though).

Here's the output on the console when I run 1.2.4:

INFO     Starting up Miro
INFO     OS:         Linux
INFO     Version:    1.2.4
INFO     Revision:   https://svn.participatoryculture.org/svn/dtv/tags/Miro-1.2.4/tv/resources - 7072
INFO     Builder:    root@my_compname
INFO     Build Time: 1214343198.09
INFO     Starting event loop thread
INFO     Restoring database...
INFO     Connecting to /home/username/.miro/sqlitedb
TIMING   Database load slow: 27.090
TIMING   idle (finish startup) too slow (31.104 secs)
TIMING   idle (finish startup) cumulative is too slow (31.104 secs)
INFO     Spawning auto downloader...
INFO     *** Launching Downloader Daemon ****
WARNING  removing orphaned downloader: http://video.google.com/videofile/2345574092245133104.flv?docid=2345574092245133104&itag=5
WARNING  removing orphaned downloader: http://video.google.com/videofile/7779109104794278715.flv?docid=7779109104794278715&itag=5
TIMING   Icon clear: 0.273
INFO     Starting movie data updates
TIMING   idle (finalizing startup) too slow (4.736 secs)
INFO     Displaying main frame...
INFO     Creating video display...
WARNING  Menu item action "RenameVideo" not implemented
WARNING  Menu item action "FastForward" not implemented
WARNING  Menu item action "Rewind" not implemented
WARNING  Menu item action "UpVolume" not implemented
WARNING  Menu item action "DownVolume" not implemented
INFO     Finished startup sequence
TIMING   idle (finishStartup() (using asUrgent)) too slow (1.132 secs)
TIMING   gtkAsyncMethod: <function _gtkInit at 0x86c0aac> took too long: 1.398
INFO     loaded renderer 'xinerenderer'
TIMING   gtkAsyncMethod: <function initRenderers at 0x86af924> took too long: 2.579
WARNING  Error setting up HTTP observer
Segmentation fault
Comment 297 Patrizio Bassi 2008-06-24 21:46:30 UTC
renamed the 1.2.1 to 1.2.4 doesn't compile for me.
missing deps in the ebuild?


Compiling 'unittest/replace-with-variable' template to /mnt/Dati/Gentoo/tmp/portage/media-tv/miro-1.2.4/work/Miro-1.2.4/resources/../portable/frontends
/html/compiled_templates/unittest/replace_with_variable.py
Starting compile of unittest/replace-with-variable
Ending compile
Libraries mt
Package config error:
pkg-config --list-all outputted the following error:
Package ming was not found in the pkg-config search path.
Perhaps you should add the directory containing `ming.pc'
to the PKG_CONFIG_PATH environment variable
Package 'ming', required by 'Autotrace', not found
Comment 298 Roger 2008-06-26 04:58:51 UTC
Just tried emerging miro-1.2.1 and it fails with:

Can't find xulrunner-xpcom, mozilla-xpcom or firefox-xpcom
 * 
 * ERROR: media-tv/miro-1.2.1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2698:  Called distutils_src_compile
 *             environment, line  902:  Called die
 * The specific snippet of code:
 *       ${python} setup.py build "$@" || die "compilation failed"
 *  The die message:
 *   compilation failed
 * 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-tv/miro-1.2.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-tv/miro-1.2.1/temp/environment'.
 * This ebuild is from an overlay: '/usr/local/portage/'

Possible cause might be because I'm using firefox-3.0 which requires an updated xulrunner-1.9-r2
Comment 299 Andree Chea 2008-07-02 19:04:07 UTC
(In reply to comment #296)
> Renamed 1.2.1 ebuild to 1.2.4.
> 
> Compiles, but segfaults.
> 
> (Don't know if it's related, but 1.2.1 runs - however, recently it stopped
> showing the GUI - still downloads stuff, though).
> 
> Here's the output on the console when I run 1.2.4:
> 

What versions of xulrunner and firefox do you have installed, or did have installed when you compiled 1.2.4?  I'm getting the same errors when building Miro 1.2.4 (just renamed 1.2.1 ebuild) as comment #295 by Stephan.  My problems started when in preparation for firefox 3, I read that apps like vlc and openoffice still depend on firefox 2.  So, I switched useflags from firefox to xulrunner (1.8.1.14).  I'm not sure, but I'm speculating that this "messed up" gtkembedmoz for firefox, which causes miro 1.2.1 to segfault (since it was using firefox's gtkembedmoz at the time).  Miro-1.2.1 on my system at that time was segfaulting with:

WARNING  Error setting up HTTP observer
/usr/lib64/python2.4/site-packages/miro/platform/frontends/html/MainFrame.py:376: GtkWarning: gtk_type_unique: assertion `g_type_from_name (gtkinfo->type_name) == 0' failed
  displayBox.add(newDisplay.getWidget(area))

** (miro.real:20698): CRITICAL **: void gtk_moz_embed_get_nsIWebBrowser(GtkMozEmbed*, nsIWebBrowser**): assertion `GTK_IS_MOZ_EMBED(embed)' failed
/usr/bin/miro: line 2: 20698 Segmentation fault      LD_LIBRARY_PATH=/usr/lib64/mozilla-firefox miro.real "$@"

Where in your system does miro check for gtkembedmoz?  What's the output of these commands?

locate gtkembedmoz.so
cat /usr/bin/miro
grep mozilla /usr/share/miro/resources/app.config

They used to point to mozilla (as seen in the miro-1.2.1 segfault above), so I edited /usr/bin/miro to point to xulrunner-1.8.1.14 (/usr/lib64/xulrunner).  Miro 1.2.1 no longer segfaulted, but the screens were blank (I could only see the menus and buttons, but still downloads, like you).  Various posts by 'pturner7' on various forums led me to edit mozillaLibPath in app.config and miro-1.2.1 worked!  Now, I had to unmask various packages for firefox 3 (=net-libs/xulrunner-1.9-r2, =dev-libs/nspr-4.7.1, =dev-libs/nss-3.12).  It was after I installed firefox 3 when I tried to emerge miro-1.2.4 and got the same MozillaBrowser.c/xulrunner-1.9 errors as comment #295.  I wish I emerged before this mess (xulrunner-1.8/xulrunner-1.9/firefox-3) to see if 1.2.4 emerges with firefox 2, but alas; maybe someone else can though :).

Three more things:

1)  I learned the hard way (by segfault) that xulrunner-1.8 (and maybe gnome-python-extras ?) needs to be compiled against the stable versions of dev-libs/nspr and dev-libs/nss (4.6.8 and 3.11.9, respectively), or miro-1.2.1 will segfault again.  This means temporarily unmerging the unstable versions.  On a revdep-rebuild, it'll show that xulrunner-1.8 has a broken dependency with one of them, but I'm ignoring that for now.  Maybe this can be fixed if both the unstable and stable versions were installed at the same time?

2)  I checked and noticed that MozillaBrowser.c isn't included in the download, but generated by a dependency/program called pyrex; maybe that's our problem?  I don't have time now to check though.

3) Miro-1.2.1 no longer compiles for me, I'm getting errors with MozillaBrowser.c too.  Oh well, at least I already have a compiled version:

building 'miro.platform.MozillaBrowser' extension
x86_64-pc-linux-gnu-g++ -pthread -fPIC -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/pygtk-2.0 -I/usr/lib64/xulrunner/include/gtkembedmoz -I/usr/lib64/xulrunner/include -I/usr/lib64/xulrunner/include/xpcom -I/usr/lib64/xulrunner/include/string -I/usr/include/nspr -I/usr/lib64/xulrunner/include/dom -I/usr/lib64/xulrunner/include/gfx -I/usr/lib64/xulrunner/include/widget -I/usr/lib64/xulrunner/include/commandhandler -I/usr/lib64/xulrunner/include/uriloader -I/usr/lib64/xulrunner/include/webbrwsr -I/usr/lib64/xulrunner/include/necko -I/usr/lib64/xulrunner/include/windowwatcher -I/usr/include/python2.4 -c -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/pygtk-2.0 -I/usr/lib64/xulrunner/include/gtkembedmoz -I/usr/lib64/xulrunner/include -I/usr/lib64/xulrunner/include/xpcom -I/usr/lib64/xulrunner/include/string -I/usr/include/nspr -I/usr/lib64/xulrunner/include/dom -I/usr/lib64/xulrunner/include/gfx -I/usr/lib64/xulrunner/include/widget -I/usr/lib64/xulrunner/include/commandhandler -I/usr/lib64/xulrunner/include/uriloader -I/usr/lib64/xulrunner/include/webbrwsr -I/usr/lib64/xulrunner/include/necko -I/usr/lib64/xulrunner/include/windowwatcher -I/usr/include/python2.4 -c /tmp/Miro-1.2.1/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c -o build/temp.linux-x86_64-2.4/tmp/Miro-1.2.1/platform/gtk-x11/platform/frontends/html/MozillaBrowser.o -D_REENTRANT -Wl,-R/usr/lib64/xulrunner -Wl,-R/usr/lib64/nspr
/tmp/Miro-1.2.1/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c: In function 'void log_warning(char*)':
/tmp/Miro-1.2.1/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:139: error: invalid conversion from 'long int' to 'PyGILState_STATE'
/tmp/Miro-1.2.1/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c: In function 'int __pyx_f_14MozillaBrowser_14MozillaBrowser___init__(PyObject*, PyObject*, PyObject*)':
/tmp/Miro-1.2.1/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:234: error: invalid conversion from 'void*' to 'void (*)()'
/tmp/Miro-1.2.1/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:234: error:   initializing argument 3 of 'gulong g_signal_connect_data(void*, const gchar*, void (*)(), void*, void (*)(void*, GClosure*), GConnectFlags)'
/tmp/Miro-1.2.1/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:237: error: invalid conversion from 'void*' to 'void (*)()'
/tmp/Miro-1.2.1/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:237: error:   initializing argument 3 of 'gulong g_signal_connect_data(void*, const gchar*, void (*)(), void*, void (*)(void*, GClosure*), GConnectFlags)'
/tmp/Miro-1.2.1/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:240: error: invalid conversion from 'void*' to 'void (*)()'
/tmp/Miro-1.2.1/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:240: error:   initializing argument 3 of 'gulong g_signal_connect_data(void*, const gchar*, void (*)(), void*, void (*)(void*, GClosure*), GConnectFlags)'
/tmp/Miro-1.2.1/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c: In function 'gint __pyx_f_14MozillaBrowser_new_window_cb(GtkMozEmbed*, GtkMozEmbed**, guint, PyObject*)':
/tmp/Miro-1.2.1/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:1311: error: cannot convert 'GtkWidget*' to 'GtkMozEmbed*' in assignment
/tmp/Miro-1.2.1/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:1314: error: cannot convert 'GtkWidget*' to 'GtkContainer*' for argument '1' to 'void gtk_container_add(GtkContainer*, GtkWidget*)'
/tmp/Miro-1.2.1/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:1317: error: invalid conversion from 'void*' to 'void (*)()'
/tmp/Miro-1.2.1/platform/gtk-x11/platform/frontends/html/MozillaBrowser.c:1317: error:   initializing argument 3 of 'gulong g_signal_connect_data(void*, const gchar*, void (*)(), void*, void (*)(void*, GClosure*), GConnectFlags)'
error: command 'x86_64-pc-linux-gnu-g++' failed with exit status 1
Comment 300 fatty 2008-07-03 10:17:15 UTC
Finally I got Miro 1.2.4 compiled. But I had to change MozillaBrowser.c manually to use explicit type conversions. I don't know how to do that inside of an ebuild.
As in #233 from Andree I agree in point 2, that my first problem has its root in pyrex.

Now I have the "new" problem, that Miro's startup gets interrupted by an ImportError from libxpcom.so

I filed two new bugs in Miro's bugtracker, if you want to contribute to this problem, feel free to look at http://bugzilla.pculture.org/show_bug.cgi?id=10195 and http://bugzilla.pculture.org/show_bug.cgi?id=10196
Comment 301 thewtex 2008-07-04 01:47:46 UTC
(In reply to comment #300)
> Finally I got Miro 1.2.4 compiled. But I had to change MozillaBrowser.c
> manually to use explicit type conversions. I don't know how to do that inside
> of an ebuild.

Nice work.  to get it in the ebuild, do a 

diff -u MozillaBrowser.c.old MozillaBrowser.c.new > miro-mozilla-browser.patch

post the patch here ;-)
then apply the patch in the ebuild in the src_unpack() section with 

epatch ${FILESDIR}/miro-mozilla-browser.patch

epatch requires 'inherit eutils' in the ebuild.

> Now I have the "new" problem, that Miro's startup gets interrupted by an
> ImportError from libxpcom.so

Have you tried different versions of xulrunner? 
Comment 302 Andree Chea 2008-07-04 07:30:31 UTC
(In reply to comment #301)
> (In reply to comment #300)
> > Finally I got Miro 1.2.4 compiled. But I had to change MozillaBrowser.c
> > manually to use explicit type conversions. I don't know how to do that inside
> > of an ebuild.
> 
> Nice work.  to get it in the ebuild, do a 
> 
> diff -u MozillaBrowser.c.old MozillaBrowser.c.new > miro-mozilla-browser.patch
> 
> post the patch here ;-)
> then apply the patch in the ebuild in the src_unpack() section with 
> 
> epatch ${FILESDIR}/miro-mozilla-browser.patch
> 
> epatch requires 'inherit eutils' in the ebuild.
> 

Awesome, good to know it's compiling, but I'm not sure if the patch'll work for the rest of us.  It depends on if the .c file or the .pyx file was edited.  Because if the .c file was edited, I suspect that epatch will probably error with "file not found" or such because at src_unpack{}, MozillaBrowser.c doesn't exist, but if the .pyx file was edited, then epatch won't complain since it exists at src_unpack{}, and all is well.  It doesn't hurt to try though :)  Is it possible to patch after MozillaBroswer.c is generated but before it's compiled?  

> > Now I have the "new" problem, that Miro's startup gets interrupted by an
> > ImportError from libxpcom.so
> 
> Have you tried different versions of xulrunner? 
> 

Yeah, I agree that versions could be a problem, esp if he has more than one installed and miro loads the wrong one.  Where does miro look for libxpcom.so?  Specifically, check /usr/bin/miro and app.config.  I appear to have three libxpcom.so from the output of locate: /usr/lib64/xulrunner, /usr/lib64/xulrunner-1.9, and /usr/lib64/xulrunner-1.9/sdk/lib.  I don't know what the sdk/lib one is for, though, but check if miro loads the correct version of xulrunner that it was compiled against (/usr/lib64/xulrunner is 1.8, I believe).
Comment 303 fatty 2008-07-04 09:42:03 UTC
Yeah, now I got Miro running :)

All I had to do was forcing Miro to compile against xulrunner-1.8 instead of xulrunner-1.9, I'll add a patch for setup.py to this bugreport.
But I warn you, it's not more than a dirty hack. I think it would be much better if it was fixed upstream.
Comment 304 fatty 2008-07-04 09:45:37 UTC
Created attachment 159508 [details, diff]
Patch for compile errors in MozillaBrowser.c

That's my edited MozillaBrowser.c, but I don't know how to patch it only after generation with pyrex. Maybe there's somebody who knows to fix pyrex itself?
Comment 305 fatty 2008-07-04 09:47:06 UTC
Created attachment 159512 [details, diff]
Patch to force compilation against <xulrunner-1.9

xulrunner-1.9 seems to prevent Miro from running, so I decided to force xulrunner-1.8 instead.
Comment 306 fatty 2008-07-04 18:00:55 UTC
Created attachment 159550 [details]
Archive containing miro-1.2.4.ebuild and my two patches
Comment 307 Andree Chea 2008-07-04 23:49:12 UTC
Confirmed that 1.2.4 compiles and runs here on amd64 too!  And you also found a way to patch the .c file, though I also agree after reading your changes that upstream is where this should be fixed, not here.  I wonder what version of pyrex they use.  Nevertheless, good work. :)
Comment 308 Ludovic Gasc (GMLudo) 2008-07-12 12:31:24 UTC
It works correctly on my Gentoo 2008.0.

You could integrate this ebuild inside main portage tree.
Comment 309 A. Person 2008-07-12 14:10:49 UTC
I get the following with the latest ebuild here:

`.gnu.linkonce.t._ZN4asio19asio_handler_invokeINS_6detail16resolver_serviceINS_2ip3tcpEE21resolve_query_handlerIN5boost3_bi6bind_tIvNS7_4_mfi3mf3IvN10libtorrent11http_streamERKNS_10error_codeENS3_23basic_resolver_iteratorIS4_EENS7_10shared_ptrINS7_8functionIFvSG_ESaIvEEEEEEENS8_5list4INS8_5valueIPSD_EEPFNS7_3argILi1EEEvEPFNSU_ILi2EEEvENSR_ISO_EEEEEEEEEEvT_z' referenced in section `.gnu.linkonce.r._ZN4asio19asio_handler_invokeINS_6detail16resolver_serviceINS_2ip3tcpEE21resolve_query_handlerIN5boost3_bi6bind_tIvNS7_4_mfi3mf3IvN10libtorrent11http_streamERKNS_10error_codeENS3_23basic_resolver_iteratorIS4_EENS7_10shared_ptrINS7_8functionIFvSG_ESaIvEEEEEEENS8_5list4INS8_5valueIPSD_EEPFNS7_3argILi1EEEvEPFNSU_ILi2EEEvENSR_ISO_EEEEEEEEEEvT_z' of build/temp.linux-x86_64-2.4/var/tmp/portage/media-tv/miro-1.2.4/work/Miro-1.2.4/portable/libtorrent/src/peer_connection.o: defined in discarded section `.gnu.linkonce.t._ZN4asio19asio_handler_invokeINS_6detail16resolver_serviceINS_2ip3tcpEE21resolve_query_handlerIN5boost3_bi6bind_tIvNS7_4_mfi3mf3IvN10libtorrent11http_streamERKNS_10error_codeENS3_23basic_resolver_iteratorIS4_EENS7_10shared_ptrINS7_8functionIFvSG_ESaIvEEEEEEENS8_5list4INS8_5valueIPSD_EEPFNS7_3argILi1EEEvEPFNSU_ILi2EEEvENSR_ISO_EEEEEEEEEEvT_z' of build/temp.linux-x86_64-2.4/var/tmp/portage/media-tv/miro-1.2.4/work/Miro-1.2.4/portable/libtorrent/src/peer_connection.o
collect2: ld returned 1 exit status
Comment 310 Beetle B. 2008-07-12 18:51:08 UTC
Don't know if it will help, but here's the bug report where they discuss XULRunner 1.9:

http://bugzilla.pculture.org/show_bug.cgi?id=9692
Comment 311 A. Person 2008-07-13 00:04:21 UTC
I'm unsure of what to do here.  Please let me know if you have any ideas.
Comment 312 nutznboltz 2008-07-21 12:38:29 UTC
Missing dependency: gtkmozembed

$ miro
Traceback (most recent call last):
  File "/usr/bin/miro.real", line 135, in <module>
    startapp()
  File "/usr/bin/miro.real", line 95, in startapp
    startup()
  File "/usr/bin/miro.real", line 31, in startup
    from miro.platform.frontends.html.Application import Application
  File "/usr/lib64/python2.5/site-packages/miro/platform/frontends/html/Application.py", line 33, in <module>
    from miro.frontends.html.main import HTMLApplication
  File "/usr/lib64/python2.5/site-packages/miro/frontends/html/main.py", line 40, in <module>
    from miro.frontends.html import templatedisplay
  File "/usr/lib64/python2.5/site-packages/miro/frontends/html/templatedisplay.py", line 42, in <module>
    from miro.platform.frontends.html.HTMLDisplay import HTMLDisplay
  File "/usr/lib64/python2.5/site-packages/miro/platform/frontends/html/HTMLDisplay.py", line 33, in <module>
    import gtkmozembed
ImportError: No module named gtkmozembed

Yes, I know enough to emerge gtkmozembed but it should be in the ebuild.
Comment 313 Jorge Vargas 2008-07-21 21:52:03 UTC
(In reply to comment #312)
> Missing dependency: gtkmozembed
> 

Umm this is interesting, Did they finally spin of gtkmozembeded outside of gnome-python-extras ? if so that dependency should be switch since gnome-python-extras is a huge package and miro only uses the gtk mozilla bindings.
Comment 314 A. Person 2008-07-22 01:56:19 UTC
nutznboltz, re-emerge gnome-python-extras.  I had the same error and that fixed it.

By the way, I have miro-1.2.4 running for the first time.  Here's my magic combo:

package.keywords:
media-tv/miro
>=dev-python/pyrex-0.9.6.4
>=dev-libs/nspr-4.7.1
>=dev-libs/nss-3.12

package.use:
dev-python/gnome-python-extras xulrunner
dev-libs/gdl gnome

Still won't compile on my laptop but I have the feeling it's because of its hardened profile.
Comment 315 nutznboltz 2008-07-22 03:18:11 UTC
Thanks, it's working for me too now.

Channels -> New Search Channel -> Search All: Edie Sedgewick -> 64 items
Comment 316 François Bissey 2008-07-22 04:09:55 UTC
Bit of a problem with it. It seems to run alright, it search and shows
channels ok _BUT_ it doesn't download any videos proper. I queue things
and they are shown in the download queue but no download is taking place.

Launching from the command line I spotted this:
INFO     Spawning auto downloader...
INFO     *** Launching Downloader Daemon ****
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/miro/dl_daemon/Democracy_Downloader.py", line 105, in <module>
    launch()
  File "/usr/lib/python2.5/site-packages/miro/dl_daemon/Democracy_Downloader.py", line 77, in launch
    from miro.dl_daemon import download
  File "/usr/lib/python2.5/site-packages/miro/dl_daemon/download.py", line 12, in <module>
    import miro.libtorrent as lt
ImportError: /usr/lib/python2.5/site-packages/miro/libtorrent.so: undefined symbol: DH_generate_key
TIMING   Icon clear: 1.291
--------
which I think may be the problem. Any Ideas?
Comment 317 thewtex 2008-07-22 04:34:25 UTC
(In reply to comment #316)

> symbol: DH_generate_key
> TIMING   Icon clear: 1.291
> --------
> which I think may be the problem. Any Ideas?
> 

linux # ldd /usr/lib64/python2.5/site-packages/miro/libtorrent.so
        linux-vdso.so.1 =>  (0x00007fffab3fe000)
        libboost_python.so => /usr/lib/libboost_python.so (0x00007f43a2998000)
        libboost_filesystem-mt.so => /usr/lib/libboost_filesystem-mt.so (0x00007f43a278b000)
        libboost_date_time-mt.so => /usr/lib/libboost_date_time-mt.so (0x00007f43a2578000)
        libboost_thread-mt.so => /usr/lib/libboost_thread-mt.so (0x00007f43a236b000)
        libz.so.1 => /lib/libz.so.1 (0x00007f43a2156000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x00007f43a1f3a000)
        libssl.so.0.9.8 => /usr/lib/libssl.so.0.9.8 (0x00007f43a1cea000)
        libpython2.5.so.1.0 => /usr/lib/libpython2.5.so.1.0 (0x00007f43a199a000)
        libstdc++.so.6 => /usr/lib/gcc/x86_64-pc-linux-gnu/4.2.4/libstdc++.so.6 (0x00007f43a169a000)
        libm.so.6 => /lib/libm.so.6 (0x00007f43a141b000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00007f43a120d000)
        libc.so.6 => /lib/libc.so.6 (0x00007f43a0ecb000)
        libutil.so.1 => /lib/libutil.so.1 (0x00007f43a0cc8000)
        libdl.so.2 => /lib/libdl.so.2 (0x00007f43a0ac4000)
        librt.so.1 => /lib/librt.so.1 (0x00007f43a08ba000)
        /lib64/ld-linux-x86-64.so.2 (0x00007f43a328d000)
        libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0x00007f43a0691000)
        libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0x00007f43a0400000)
        libcom_err.so.2 => /lib/libcom_err.so.2 (0x00007f43a01fc000)
        libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0x00007f439ffd8000)
        libresolv.so.2 => /lib/libresolv.so.2 (0x00007f439fdc5000)
        libcrypto.so.0.9.8 => /usr/lib/libcrypto.so.0.9.8 (0x00007f439fa4e000)
        libkrb5support.so.0 => /usr/lib64/libkrb5support.so.0 (0x00007f439f846000)
 linux # nm -CD /usr/lib/libcrypto.so.0.9.8 | grep DH_generate_key
00000000000b2100 T DH_generate_key

so maybe try reinstalling openssl

Comment 318 nutznboltz 2008-07-22 11:54:34 UTC
on my working system:

$ strings -  /usr/lib/libssl.so | grep DH_generate_key
DH_generate_key

$ grep -ic ssl /etc/make.conf
0

(that implies no USE= flags for OpenSSL are set)

dev-libs/openssl-0.9.8g-r2 is installed
Comment 319 François Bissey 2008-07-22 12:03:01 UTC
ldd /usr/lib/python2.5/site-packages/miro/libtorrent.so
        linux-gate.so.1 =>  (0xb7f8a000)
        libboost_python.so => /usr/lib/libboost_python.so (0xb7ad0000)
        libboost_filesystem-mt.so => /usr/lib/libboost_filesystem-mt.so (0xb7ac3000)
        libboost_thread-mt.so => /usr/lib/libboost_thread-mt.so (0xb7ab6000)
        libz.so.1 => /lib/libz.so.1 (0xb7aa3000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xb7a8c000)
        libpython2.5.so.1.0 => /usr/lib/libpython2.5.so.1.0 (0xb796b000)
        libstdc++.so.6 => /usr/lib/gcc/i686-pc-linux-gnu/4.2.4/libstdc++.so.6 (0xb787e000)
        libgcc_s.so.1 => /usr/lib/gcc/i686-pc-linux-gnu/4.2.4/libgcc_s.so.1 (0xb7872000)
        libc.so.6 => /lib/libc.so.6 (0xb7720000)
        libutil.so.1 => /lib/libutil.so.1 (0xb771c000)
        libdl.so.2 => /lib/libdl.so.2 (0xb7718000)
        librt.so.1 => /lib/librt.so.1 (0xb770e000)
        /lib/ld-linux.so.2 (0x80000000)
        libm.so.6 => /lib/libm.so.6 (0xb76e7000)

------------------
No trace of openssl in there so that is really the problem.
I suspect a '-Wl,--as-needed' problem. Will test later.
Comment 320 A. Person 2008-07-22 16:07:46 UTC
Is the automatic thumbnail preview working for anyone in a recent version?  Mine used to work, I loved it, but they stopped working a few versions back.
Comment 321 François Bissey 2008-07-23 00:14:23 UTC
As suspected it is not -Wl,--as-needed safe. The order of the library
flags is probably wrong when linking. I cannot really fix it but after
making an exception for miro in /etc/portage/env it works :) 
Comment 322 nutznboltz 2008-07-23 11:46:26 UTC
$ ldd /usr/lib/python2.5/site-packages/miro/libtorrent.so | grep ssl
	libssl.so.0.9.8 => /usr/lib/libssl.so.0.9.8 (0x00007fc0a9c66000)
Comment 323 A. Person 2008-08-17 01:16:14 UTC
Anybody tried 1.2.6?
Comment 324 Jens Mueller 2008-08-21 21:40:21 UTC
1.2.4 compiles for me on amd64, but fails to start:

$ miro
Traceback (most recent call last):
  File "/usr/bin/miro.real", line 27, in <module>
    from miro import singleclick
  File "/usr/lib64/python2.5/site-packages/miro/singleclick.py", line 50, in <module>
    from miro import item
  File "/usr/lib64/python2.5/site-packages/miro/item.py", line 48, in <module>
    from miro.database import DDBObject, defaultDatabase, ObjectNotFoundError
  File "database.pyx", line 46, in portable.database
ImportError: /usr/lib/libboost_python.so: undefined symbol: Py_InitModule4
Comment 325 Jens Mueller 2008-08-21 22:38:28 UTC
Ok, I updated to Boost 1.35, now it works. The dependency should be corrected.
Comment 326 A. Person 2008-08-22 14:47:48 UTC
1.2.6 works for me.
Comment 327 Jens Mueller 2008-08-23 22:08:05 UTC
1.2.6 WFM on amd64
Comment 328 peak eyed 2008-08-25 19:37:14 UTC
1.2.6 works for me too. I had to use gcc3 for it to work.

Comment 329 Jens Mueller 2008-08-25 19:41:57 UTC
Hmm ... 4.2.3 worked fine for me.
Comment 330 peak eyed 2008-08-28 14:11:33 UTC
I didn't try 4.2.3. I have 4.3.1 and 3.3.6. Of which gcc4 didn't work.
Comment 331 Jens Mueller 2008-08-28 19:42:08 UTC
What exactly does "didn't work" mean?
Comment 332 peak eyed 2008-08-29 00:39:38 UTC
Here is the output showing the failure on gcc4.3.1. I don't know if this is related to gcc though. I can provide other details if needed.

`.L93387' referenced in section `.rodata' of build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/src/kademlia/dht_tracker.o: defined in discarded section `.gnu.linkonce.t._ZN4asio6detail10socket_ops24translate_addrinfo_errorEi' of build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/src/kademlia/dht_tracker.o
`.L93393' referenced in section `.rodata' of build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/src/kademlia/dht_tracker.o: defined in discarded section `.gnu.linkonce.t._ZN4asio6detail10socket_ops24translate_addrinfo_errorEi' of build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/src/kademlia/dht_tracker.o
`.L93397' referenced in section `.rodata' of build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/src/kademlia/dht_tracker.o: defined in discarded section `.gnu.linkonce.t._ZN4asio6detail10socket_ops24translate_addrinfo_errorEi' of build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/src/kademlia/dht_tracker.o
`.L93401' referenced in section `.rodata' of build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/src/kademlia/dht_tracker.o: defined in discarded section `.gnu.linkonce.t._ZN4asio6detail10socket_ops24translate_addrinfo_errorEi' of build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/src/kademlia/dht_tracker.o
`.L93383' referenced in section `.rodata' of build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/src/kademlia/dht_tracker.o: defined in discarded section `.gnu.linkonce.t._ZN4asio6detail10socket_ops24translate_addrinfo_errorEi' of build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/src/kademlia/dht_tracker.o
`.L93379' referenced in section `.rodata' of build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/src/kademlia/dht_tracker.o: defined in discarded section `.gnu.linkonce.t._ZN4asio6detail10socket_ops24translate_addrinfo_errorEi' of build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/src/kademlia/dht_tracker.o
`.L93371' referenced in section `.rodata' of build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/src/kademlia/dht_tracker.o: defined in discarded section `.gnu.linkonce.t._ZN4asio6detail10socket_ops24translate_addrinfo_errorEi' of build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/src/kademlia/dht_tracker.o
`.L93375' referenced in section `.rodata' of build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/src/kademlia/dht_tracker.o: defined in discarded section `.gnu.linkonce.t._ZN4asio6detail10socket_ops24translate_addrinfo_errorEi' of build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/src/kademlia/dht_tracker.o
`.L93369' referenced in section `.rodata' of build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/src/kademlia/dht_tracker.o: defined in discarded section `.gnu.linkonce.t._ZN4asio6detail10socket_ops24translate_addrinfo_errorEi' of build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/src/kademlia/dht_tracker.o
collect2: ld returned 1 exit status
error: command 'i686-pc-linux-gnu-g++' failed with exit status 1
 *
 * ERROR: media-tv/miro-1.2.6 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2719:  Called distutils_src_compile
 *             environment, line  920:  Called die
 * The specific snippet of code:
 *       ${python} setup.py build "$@" || die "compilation failed"
 *  The die message:
 *   compilation failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/log/portage/media-tv:miro-1.2.6:20080828-214518.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-tv/miro-1.2.6/temp/environment'.
 * This ebuild is from an overlay: '/usr/local/portage/'
 *
Comment 333 A. Person 2008-08-29 01:04:57 UTC
I get what looks like a similar error on my laptop.  Are you running a hardened profile?

`.gnu.linkonce.t._ZN4asio19asio_handler_invokeINS_6detail16resolver_serviceINS_2ip3tcpEE21resolve_query_handlerIN5boost3_bi6bind_tIvNS7_4_mfi3mf3IvN10libtorrent11http_streamERKNS_10error_codeENS3_23basic_resolver_iteratorIS4_EENS7_10shared_ptrINS7_8functionIFvSG_ESaIvEEEEEEENS8_5list4INS8_5valueIPSD_EEPFNS7_3argILi1EEEvEPFNSU_ILi2EEEvENSR_ISO_EEEEEEEEEEvT_z' referenced in section `.gnu.linkonce.r._ZN4asio19asio_handler_invokeINS_6detail16resolver_serviceINS_2ip3tcpEE21resolve_query_handlerIN5boost3_bi6bind_tIvNS7_4_mfi3mf3IvN10libtorrent11http_streamERKNS_10error_codeENS3_23basic_resolver_iteratorIS4_EENS7_10shared_ptrINS7_8functionIFvSG_ESaIvEEEEEEENS8_5list4INS8_5valueIPSD_EEPFNS7_3argILi1EEEvEPFNSU_ILi2EEEvENSR_ISO_EEEEEEEEEEvT_z' of build/temp.linux-x86_64-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/src/peer_connection.o: defined in discarded section `.gnu.linkonce.t._ZN4asio19asio_handler_invokeINS_6detail16resolver_serviceINS_2ip3tcpEE21resolve_query_handlerIN5boost3_bi6bind_tIvNS7_4_mfi3mf3IvN10libtorrent11http_streamERKNS_10error_codeENS3_23basic_resolver_iteratorIS4_EENS7_10shared_ptrINS7_8functionIFvSG_ESaIvEEEEEEENS8_5list4INS8_5valueIPSD_EEPFNS7_3argILi1EEEvEPFNSU_ILi2EEEvENSR_ISO_EEEEEEEEEEvT_z' of build/temp.linux-x86_64-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/src/peer_connection.o
collect2: ld returned 1 exit status
error: command 'x86_64-pc-linux-gnu-g++' failed with exit status 1
Comment 334 peak eyed 2008-08-29 01:24:54 UTC
No. I'm not running hardened profile. 
BTW, I reemerged gcc-4.2.3 and I was able merge succcesfully with 4.2.3.
Still has problem with 4.3.1. Here is the message I'm getting now with 4.3.1.

i686-pc-linux-gnu-g++ -pthread -shared -Wl,-O1 -O2 -march=pentium4 -fomit-frame-pointer -pipe build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/platform/frontends/html/MozillaBrowser.o build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/platform/frontends/html/MozillaBrowserXPCOM.o build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/platform/frontends/html/HttpObserver.o build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/platform/frontends/html/PromptService.o build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/platform/frontends/html/DragAndDrop.o build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/platform/frontends/html/XPCOMUtil.o -L/usr/lib/xulrunner -L/usr/lib/nspr -L/usr/lib -Wl,-R/usr/lib/xulrunner -Wl,-R/usr/lib/nspr -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgmodule-2.0 -lgobject-2.0 -lglib-2.0 -lgtkembedmoz -lxpcom -lplds4 -lplc4 -lnspr4 -lpthread -ldl -lpython2.5 -o build/lib.linux-i686-2.5/miro/platform/MozillaBrowser.so
pyrexc /var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/xine/xine.pyx --> /var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/xine/xine.c
/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/xine/xine.pyx:87:4: Warning: __new__ method of extension type will change semantics in a future version of Pyrex. Use __cinit__ instead.
building 'miro.xine' extension
creating build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/xine
i686-pc-linux-gnu-gcc -pthread -fno-strict-aliasing -O2 -march=pentium4 -fomit-frame-pointer -pipe -fPIC -DINCLUDE_XINE_DRIVER_HACK=1 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/python2.5 -c -DINCLUDE_XINE_DRIVER_HACK=1 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/python2.5 -c /var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/xine/xine.c -o build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/xine/xine.o -pthread -pthread
/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/xine/xine.c: In function '__pyx_f_4xine_4Xine___new__':
/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/xine/xine.c:98: warning: passing argument 1 of 'xineCreate' from incompatible pointer type
i686-pc-linux-gnu-gcc -pthread -fno-strict-aliasing -O2 -march=pentium4 -fomit-frame-pointer -pipe -fPIC -DINCLUDE_XINE_DRIVER_HACK=1 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/python2.5 -c -DINCLUDE_XINE_DRIVER_HACK=1 -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/python2.5 -c /var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/xine/xine_impl.c -o build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/xine/xine_impl.o -pthread -pthread
i686-pc-linux-gnu-gcc -pthread -shared -Wl,-O1 -O2 -march=pentium4 -fomit-frame-pointer -pipe build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/xine/xine.o build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/xine/xine_impl.o -L/usr/lib -lxine -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lgthread-2.0 -lrt -lglib-2.0 -lpython2.5 -o build/lib.linux-i686-2.5/miro/xine.so
pyrexc /var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/platform/frontends/html/xlibhelper.pyx --> /var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/platform/frontends/html/xlibhelper.c
building 'miro.platform.xlibhelper' extension
i686-pc-linux-gnu-gcc -pthread -fno-strict-aliasing -O2 -march=pentium4 -fomit-frame-pointer -pipe -fPIC -I/usr/include/python2.5 -c -I/usr/include/python2.5 -c /var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/platform/frontends/html/xlibhelper.c -o build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/platform/frontends/html/xlibhelper.o
i686-pc-linux-gnu-gcc -pthread -shared -Wl,-O1 -O2 -march=pentium4 -fomit-frame-pointer -pipe build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/platform/gtk-x11/platform/frontends/html/xlibhelper.o -L/usr/X11R6/lib -L/usr/lib -lX11 -lpython2.5 -o build/lib.linux-i686-2.5/miro/platform/xlibhelper.so
building 'miro.libtorrent' extension
creating build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent
creating build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/bindings
creating build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/bindings/python
creating build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/bindings/python/src
creating build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/src
creating build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/src/kademlia
i686-pc-linux-gnu-g++ -pthread -DNDEBUG -O2 -march=pentium4 -fomit-frame-pointer -pipe -fPIC -I/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/include -I/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/include/libtorrent -I/usr/include/python2.5 -c -I/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/include -I/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/include/libtorrent -I/usr/include/python2.5 -c /var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/bindings/python/src/fingerprint.cpp -o build/temp.linux-i686-2.5/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/bindings/python/src/fingerprint.o -Wno-missing-braces -DHAVE_INCLUDE_LIBTORRENT_ASIO____ASIO_HPP=1 -DHAVE_INCLUDE_LIBTORRENT_ASIO_SSL_STREAM_HPP=1 -DHAVE_INCLUDE_LIBTORRENT_ASIO_IP_TCP_HPP=1 -DHAVE_PTHREAD=1 -DTORRENT_USE_OPENSSL=1 -DHAVE_SSL=1 -DNDEBUG=1 -O2
In file included from /var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/include/libtorrent/fingerprint.hpp:40,
                 from /var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/bindings/python/src/fingerprint.cpp:6:
/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/include/libtorrent/peer_id.hpp: In constructor 'libtorrent::big_number::big_number(const std::string&)':
/var/tmp/portage/media-tv/miro-1.2.6/work/Miro-1.2.6/portable/libtorrent/include/libtorrent/peer_id.hpp:63: error: 'memcpy' is not a member of 'std'
error: command 'i686-pc-linux-gnu-g++' failed with exit status 1
 *
 * ERROR: media-tv/miro-1.2.6 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2719:  Called distutils_src_compile
 *             environment, line  920:  Called die
 * The specific snippet of code:
 *       ${python} setup.py build "$@" || die "compilation failed"
 *  The die message:
 *   compilation failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/log/portage/media-tv:miro-1.2.6:20080829-012102.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-tv/miro-1.2.6/temp/environment'.
 * This ebuild is from an overlay: '/usr/local/portage/'
 *
Comment 335 jsado_sc3 2008-08-29 15:15:17 UTC
The latest ebuild 1.2.4 does not compile for me:

> emerge -v miro

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] media-tv/miro-1.2.4  0 kB [1]

Total: 1 package (1 new), Size of downloads: 0 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/local/portage

>>> Verifying ebuild Manifests...

>>> Emerging (1 of 1) media-tv/miro-1.2.4 to /
 * Miro-1.2.4.tar.gz RMD160 SHA1 SHA256 size ;-) ...                                             [ ok ]
 * checking ebuild checksums ;-) ...                                                             [ ok ]
 * checking auxfile checksums ;-) ...                                                            [ ok ]
 * checking miscfile checksums ;-) ...                                                           [ ok ]
 * checking Miro-1.2.4.tar.gz ;-) ...                                                            [ ok ]
>>> Unpacking source...
>>> Unpacking Miro-1.2.4.tar.gz to /var/tmp/portage/media-tv/miro-1.2.4/work
 * Applying setup.py.patch ...                                                                   [ ok ]
/var/tmp/portage/media-tv/miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11/platform/frontends/html/MozillaBrowser.pyx:142:4: Warning: __new__ method of extension type will change semantics in a future version of Pyrex. Use __cinit__ instead.
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/media-tv/miro-1.2.4/work/Miro-1.2.4/platform/gtk-x11 ...
Attempting to detect your system information
32bit x86 system detected
Linux operating system detected
Compiling 'channelfoldertab' template to /var/tmp/portage/media-tv/miro-1.2.4/work/Miro-1.2.4/resources/../portable/frontends/html/compiled_templates/channelfoldertab.py
Traceback (most recent call last):
  File "setup.py", line 131, in <module>
    template_compiler.compileAllTemplates(root_dir)
  File "/var/tmp/portage/media-tv/miro-1.2.4/work/Miro-1.2.4/portable/frontends/html/template_compiler.py", line 251, in compileAllTemplates
    compileTemplates()
  File "/var/tmp/portage/media-tv/miro-1.2.4/work/Miro-1.2.4/portable/frontends/html/template_compiler.py", line 278, in compileTemplates
    (tcc, handle) = compileTemplate(sourceFile)
  File "/var/tmp/portage/media-tv/miro-1.2.4/work/Miro-1.2.4/portable/frontends/html/template_compiler.py", line 200, in compileTemplate
    p = sax.make_parser()
  File "/usr/lib/python2.5/xml/sax/__init__.py", line 93, in make_parser
    raise SAXReaderNotAvailable("No parsers found", None)
xml.sax._exceptions.SAXReaderNotAvailable: No parsers found
 * 
 * ERROR: media-tv/miro-1.2.4 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2707:  Called distutils_src_compile
 *             environment, line  902:  Called die
 * The specific snippet of code:
 *       ${python} setup.py build "$@" || die "compilation failed"
 *  The die message:
 *   compilation failed
 * 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-tv/miro-1.2.4/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-tv/miro-1.2.4/temp/environment'.
 * This ebuild is from an overlay: '/usr/local/portage/'
 * 

> emerge --info
Portage 2.1.4.4 (default-linux/x86/2007.0/desktop, gcc-4.1.2, glibc-2.5-r4, 2.6.14-gentoo-r2 i686)
=================================================================
System uname: 2.6.14-gentoo-r2 i686 Transmeta Efficeon(tm) Processor TM8000
Timestamp of tree: Thu, 28 Aug 2008 23:15:01 +0000
app-shells/bash:     3.2_p17-r1
dev-java/java-config: 1.3.7, 2.0.33-r1
dev-lang/python:     2.3.5-r3, 2.4.4-r4, 2.5.2-r6
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.9-r2
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.23b
virtual/os-headers:  2.6.21
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium3 -msse2 -Os -pipe -falign-functions=0 -falign-jumps=0 -falign-loops=0"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-march=pentium3 -msse2 -Os -pipe -falign-functions=0 -falign-jumps=0 -falign-loops=0"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer sandbox sfperms splitdebug strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_EXTRA_OPTS="--timeout=300"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa apm audiofile avi berkdb bonobo bzlib cairo cddb cdr cli cpdflib cracklib crypt cscope css dbus dga dio directfb divx4linux doc dri dts dv dvb dvd dvdr dvdread eds emboss encode evo exif fam fbcon ffmpeg fftw firefox flac fortran ftp gb gd gdbm gif gpm gstreamer gtk gtk2 gtkhtml hal iconv icq imagemagick imap imlib isdnlog jack jpeg kdehiddenvisibility kerberos ladcca lcms ldap lesstif libwww mad midi mikmod mime mmx mmxext mng modplug mp3 mpeg mudflap musepack musicbrainz mysql ncurses nis nptl nptlonly nsplugin offensive ogg oggvorbis opengl openmp pam pcmcia pcre pda pdf pdflib perl png pnp posix pppd qt3 qt3support qt4 quicktime radeon readline reflection sdl session sndfile speex spell spl sse sse2 ssl svg sysvipc taglib tagwriting tcpd tga theora tidy tiff timidity truetype tta unicode usb vcd vim-with-x vorbis wavpack win32codecs wma x86 xine xml xorg xpm xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse synaptics wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="radeon"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS
Comment 336 jsado_sc3 2008-08-31 15:05:04 UTC
I was able to get past the compilation problem by updating pyxml. I was at 0.8.4, but now am at 0.8.4-r1. So I think a build-time dependency of >=pyxml-0.8.4-r1 is needed.
Comment 337 jsado_sc3 2008-08-31 16:33:30 UTC
Miro is crashing for me just like #163. How do I change the view from gecko? This is the first time I have ever gotten Miro to even open up, so I don't know where this option is.

INFO     Starting up Miro
INFO     OS:         Linux
INFO     Version:    1.2.4
INFO     Revision:   https://svn.participatoryculture.org/svn/dtv/tags/Miro-1.2.4/tv/resources - 7072
INFO     Builder:    root@bit
INFO     Build Time: 1220197030.07
INFO     Starting event loop thread
INFO     Restoring database...
INFO     Connecting to /import/lightcycle/home/jlm/.miro/sqlitedb
TIMING   Database load slow: 1.483
TIMING   idle (finish startup) too slow (2.736 secs)
INFO     Spawning auto downloader...
INFO     *** Launching Downloader Daemon ****
TIMING   Icon clear: 0.315
INFO     Starting movie data updates
TIMING   idle (finalizing startup) too slow (0.990 secs)
INFO     Displaying main frame...
INFO     Creating video display...
INFO     Finished startup sequence
TIMING   idle (finishStartup() (using asUrgent)) too slow (1.032 secs)
WARNING  Menu item action "RenameVideo" not implemented
WARNING  Menu item action "FastForward" not implemented
WARNING  Menu item action "Rewind" not implemented
WARNING  Menu item action "UpVolume" not implemented
WARNING  Menu item action "DownVolume" not implemented
TIMING   gtkAsyncMethod: <function _gtkInit at 0x84f180c> took too long: 1.377
INFO     loaded renderer 'xinerenderer'
TIMING   gtkAsyncMethod: <function initRenderers at 0x84b3bc4> took too long: 3.919
WARNING  Error setting up drag and drop dummy element
INFO     got file:///tmp/tmpvA1XiX.html
TIMING   gtkAsyncMethod: <function selectDisplay at 0x84f1994> took too long: 2.972
TIMING   gtkSyncMethod: <function getDisplay at 0x84f1a04> took too long: 7.865
INFO     First URL is https://www.miroguide.com/
TIMING   idle (select initial tab) too slow (7.888 secs)
TIMING   idle (select initial tab) cumulative is too slow (7.888 secs)
INFO     Checking for updates...
INFO     *** Daemon ready ***
INFO     Up to date.
TIMING   feed update for: http://richie-b.blip.tv/posts/?skin=rss too slow (1.061 secs)
TIMING   idle (Thread Pool Callback (Feedparser callback - http://richie-b.blip.tv/posts/?skin=rss)) too slow (1.074 secs)
TIMING   WARNING: Calling <function <lambda> at 0x8966e2c> on HTTPClient: http://p.images.blip.tv/RichieB-wellingtonBotanicalGardens639.png too slow (1.250 secs)
INFO     got file:///tmp/tmp9_p9Og.html
INFO     First URL is https://www.miroguide.com/
TIMING   WARNING: Calling <function <lambda> at 0x96dab1c> on HTTPClient: http://p.images.blip.tv/RichieB-fantailPiwakawaka527.png too slow (1.032 secs)
INFO     got file:///usr/share/miro/resources/html/guide-navigation.html
INFO     First URL is https://www.miroguide.com/
INFO     got about:blank
INFO     First URL is https://www.miroguide.com/
WARNING  Error resizing /import/lightcycle/home/jlm/.miro/icon-cache/RichieB-norwester222-310.93892853.jpg to 108x81:
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/miro/imageresize.py", line 60, in multiResizeImage
    resizeImage(source_filename, resizedPath, width, height)
  File "/usr/lib/python2.5/site-packages/miro/platform/utils.py", line 248, in resizeImage
    ignore_stderr=True)
  File "/usr/lib/python2.5/site-packages/miro/util.py", line 513, in call_command
    stdout, stderr = pipe.communicate()
  File "/usr/lib/python2.5/subprocess.py", line 668, in communicate
    return self._communicate(input)
  File "/usr/lib/python2.5/subprocess.py", line 1150, in _communicate
    rlist, wlist, xlist = select.select(read_set, write_set, [])
error: (4, 'Interrupted system call')

WARNING  Error resizing /import/lightcycle/home/jlm/.miro/icon-cache/RichieB-norwester222-310.93892853.jpg to 226x170:
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/miro/imageresize.py", line 60, in multiResizeImage
    resizeImage(source_filename, resizedPath, width, height)
  File "/usr/lib/python2.5/site-packages/miro/platform/utils.py", line 248, in resizeImage
    ignore_stderr=True)
  File "/usr/lib/python2.5/site-packages/miro/util.py", line 513, in call_command
    stdout, stderr = pipe.communicate()
  File "/usr/lib/python2.5/subprocess.py", line 668, in communicate
    return self._communicate(input)
  File "/usr/lib/python2.5/subprocess.py", line 1150, in _communicate
    rlist, wlist, xlist = select.select(read_set, write_set, [])
error: (4, 'Interrupted system call')

WARNING  Error resizing /import/lightcycle/home/jlm/.miro/icon-cache/RichieB-possumDestroyedTawaTreesAndFallenBeeches440-616.79764032.jpg to 108x81:
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/miro/imageresize.py", line 60, in multiResizeImage
    resizeImage(source_filename, resizedPath, width, height)
  File "/usr/lib/python2.5/site-packages/miro/platform/utils.py", line 248, in resizeImage
    ignore_stderr=True)
  File "/usr/lib/python2.5/site-packages/miro/util.py", line 513, in call_command
    stdout, stderr = pipe.communicate()
  File "/usr/lib/python2.5/subprocess.py", line 668, in communicate
    return self._communicate(input)
  File "/usr/lib/python2.5/subprocess.py", line 1150, in _communicate
    rlist, wlist, xlist = select.select(read_set, write_set, [])
error: (4, 'Interrupted system call')

TIMING   WARNING: Calling <function <lambda> at 0x96dac6c> on HTTPClient: http://p.images.blip.tv/RichieB-possumDestroyedTawaTreesAndFallenBeeches440-616.jpg too slow (1.657 secs)
INFO     got https://www.miroguide.com/
INFO     First URL is https://www.miroguide.com/
TIMING   WARNING: Calling <function <lambda> at 0x96da374> on HTTPClient: http://p.images.blip.tv/RichieB-twoKereru2778.jpg too slow (1.580 secs)
/usr/bin/python: symbol lookup error: /opt/sun-jre-bin-1.5.0.12/plugin/i386/ns7/libjavaplugin_oji.so: undefined symbol: PR_NewMonitor
WARNING  downloader: connection closed -- quitting
INFO     Shutting down downloaders...

(In reply to comment #163)
> I have a problem (even with latest - 0.9.8.1): as soon as miro starts and loads
> the "MIRO Guide" page, it crashes, with the following error in console:
> 
> /usr/bin/python: symbol lookup error:
> /opt/sun-jdk-1.5.0.12/jre/plugin/i386/ns7/libjavaplugin_oji.so: undefined
> symbol: PR_NewMonitor
> WARNING  downloader: connection closed -- quitting
> INFO     Shutting down downloaders...
> 
> (if I quickly select another view which is not gecko at startup, everything is
> quite fine instead - at least it doesn't crash)
> 
> any clue?
> 

Comment 338 jsado_sc3 2008-08-31 22:22:22 UTC
After looking at this page:

http://ubuntuforums.org/showthread.php?t=588617

I determined that the problem appears to be the Java Firefox plugin. I don't think the java-config is able to disable or change the plugin, so I just did this to remove it:

rm /usr/lib/nsbrowser/plugins/javaplugin.so

From the web page above, I believe that this problem does not happen with the Java7 plugin, but I see that Gentoo only has Java6. Hopefully this is only a temporary workaround until we get Java7.
Comment 339 Karl Zollner 2008-09-02 03:50:27 UTC
(In reply to comment #297)
> renamed the 1.2.1 to 1.2.4 doesn't compile for me.
> missing deps in the ebuild?
> 
> 
> Compiling 'unittest/replace-with-variable' template to
> /mnt/Dati/Gentoo/tmp/portage/media-tv/miro-1.2.4/work/Miro-1.2.4/resources/../portable/frontends
> /html/compiled_templates/unittest/replace_with_variable.py
> Starting compile of unittest/replace-with-variable
> Ending compile
> Libraries mt
> Package config error:
> pkg-config --list-all outputted the following error:
> Package ming was not found in the pkg-config search path.
> Perhaps you should add the directory containing `ming.pc'
> to the PKG_CONFIG_PATH environment variable
> Package 'ming', required by 'Autotrace', not found
> 

this is *not* an optimal solution but when I did a qlist of ming, which was already installed on my system (media-libs/ming-0.4.0_rc1) I found that the pkgconfig was named libming.oc

So being the lazy type I just copied:
/usr/lib64/pkgconfig/libming.pc 
to
/usr/lib64/pkgconfig/ming.pc 

and it works ;)
Comment 340 Francisco José Cañizares Santofimia 2008-09-02 10:19:14 UTC
(In reply to comment #339)
> So being the lazy type I just copied:
> /usr/lib64/pkgconfig/libming.pc 
> to
> /usr/lib64/pkgconfig/ming.pc 
> 
> and it works ;)
> 

I think it would be better to make a link (ln -s) to  libming.pc instead of copying it, so this would be better when ming updates.
Comment 341 D. Stiefe1maier 2008-09-18 23:52:15 UTC
I just tried to emerge democracy for the first time and it failed to emerge
dev-python/dbus-python-0.71 with
 "ImportError: No module named Pyrex.Distutils"
This is actually a downgrade, I have 0.80.2 installed
So I was wondering if democracy has to depend on that older version?
Would it be possible to bump this?
Comment 342 J M W 2008-09-24 02:15:06 UTC
I couldn't get miro to even start up until I emerged gconf-python. This should be an rdepend in the miro ebuild.
Comment 343 J M W 2008-09-25 19:18:14 UTC
According to what I've read on the miro site, miro  built against xulrunner-1.9 doesn't have the problem with the java plugin. I tried it, and didn't get the java plugin problem anymore, but instead it started complaining about 'libxpcom_core.so'. After examining the output of 'strace -f miro' I was able to determine where it was looking for the library, and create a symlink there. Then a minute after starting miro I got this:

/usr/lib/python2.5/site-packages/miro/platform/frontends/html/HTMLDisplay.py:155: Warning: cannot register existing type `GtkMozEmbed'
  self.mb = MozillaBrowser()

** (miro.real:5740): CRITICAL **: void gtk_moz_embed_get_nsIWebBrowser(GtkMozEmbed*, nsIWebBrowser**): assertion `GTK_IS_MOZ_EMBED(embed)' failed
/usr/bin/miro: line 2:  5740 Segmentation fault      miro.real "$@"

I think this may be another problem with the libraries. The packages page on the miro website says that setup.py doesn't know where to look for libraries on a Gentoo system - this may not apply (as much) to miro linked against xulrunner-1.8. I tried looking through setup.py to find the problem, but it was too difficult for me. Anyone else want to try patching setup.py to find the right library paths?
Comment 344 Robert Golding 2008-09-26 15:03:44 UTC
Created attachment 166518 [details]
Miro-1.2.6.ebuild.tar.gz

I wish I could remember where I found this but have been very sick lately and some of my net surfing is a vague blur ... however, here is Miro-1.2.6 and I have installed it on my machine which flatly refused to install all the ebuilds already here, up to, and including, 1.2.4!

This version, damn I wish I could remember where I found it (any and all history is turned off on my systems), installed without a hiccup  :-)
Comment 345 Sampson L. 2008-09-28 21:39:58 UTC
Created attachment 166717 [details]
1.2.6 ebuild with patches to compile under gcc-4.3

This archive was modified from the previous attachment to allow it to compile under gcc-4.3.

However, it errors out when I try to run it:

Traceback (most recent call last):
  File "/usr/bin/miro.real", line 135, in <module>
    startapp()
  File "/usr/bin/miro.real", line 95, in startapp
    startup()
  File "/usr/bin/miro.real", line 31, in startup
    from miro.platform.frontends.html.Application import Application
  File "/usr/lib64/python2.5/site-packages/miro/platform/frontends/html/Application.py", line 33, in <module>
    from miro.frontends.html.main import HTMLApplication
  File "/usr/lib64/python2.5/site-packages/miro/frontends/html/main.py", line 40, in <module>
    from miro.frontends.html import templatedisplay
  File "/usr/lib64/python2.5/site-packages/miro/frontends/html/templatedisplay.py", line 42, in <module>
    from miro.platform.frontends.html.HTMLDisplay import HTMLDisplay
  File "/usr/lib64/python2.5/site-packages/miro/platform/frontends/html/HTMLDisplay.py", line 37, in <module>
    from miro.platform.MozillaBrowser import MozillaBrowser
ImportError: /usr/lib64/python2.5/site-packages/miro/platform/MozillaBrowser.so: undefined symbol: freeString
Comment 346 Robert Golding 2008-09-29 03:12:58 UTC
Here is my 'emerge --info'
I notice I'm using gcc-4.1.2, but most of my "system/world" is "x86", with very few "~x86"

Is it worth going to gcc-4.3 now, or wait until gcc-4.3 is 'stable'?

one rob # emerge --info
Portage 2.1.4.4 (default/linux/x86/2008.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.27-rc7 i686)
=================================================================
System uname: 2.6.27-rc7 i686 AMD Athlon(tm) 64 X2 Dual Core Processor 5600+
Timestamp of tree: Thu, 25 Sep 2008 18:00:01 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.4.4-r13, 2.5.2-r7
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.26
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -pipe -fomit-frame-pointer -falign-functions=64"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=athlon64 -O2 -pipe -fomit-frame-pointer -falign-functions=64"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.isp.net.au/ftp/pub/gentoo http://ftp.swin.edu.au/gentoo http://distfiles.gentoo.org http://gentoo.osuosl.org http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LANG="en_AU.UTF-8"
LC_ALL="en_AU.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en en_AU"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/voyageur /usr/portage/local/layman/desktop-effects /usr/portage/local/robert"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac aalib acl acpi additions aften aim akamaru alsa arts asf audacious audiofile auto-completion automount avi bash-completion bashlogger berkdb bitmap-fonts bittorrent bluetooth bonobo branding browserplugin bzip2 bzlib cairo cdparanoia cdr cli corba cracklib crypt cups dca directfb directv disk-partition dlloader dri dv dvd dvdr dvdread eds elf emboss encode epson esd fam fbcon ffmpeg firefox flac fontconfig fortran freetype games gdbm gif gimp glitz gnome gphoto2 gpm grub gstreamer gtk gtk2 hal iconv icq imlib imlib2 inotify ipfilter iproute2 isdnlog java javascript jpeg kde ldap libg++ lm_sensors mad midi mikmod mjpeg mmx mmxext mp3 mpeg mpg mplayer mudflap ncurses nls nptl nptlonly nsplugin nvidia offensive ogg opengl openmp oss pam pcre pdf pdflib perl png ppds pppd print python qt3 qt4 quicktime readline real reflection remote sane scanner sdl session smp spell spl sse ssl svg svga sysfs tcpd tga tiff totem truetype truetype-fonts type1-fonts udev unicode usb v4l v4l2 vcd vorbis win32codecs wmf wmv x86 xine xml xorg xsane xulrunner xv xvid zlib" ALSA_CARDS="emu10k1 ac97" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="canon ricoh samsung" DVB_CARDS="ttpci" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_AU" LIRC_DEVICES="usb" USERLAND="GNU" VIDEO_CARDS="nvidia nv v4l vesa fbdev"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPT
Comment 347 nutznboltz 2008-10-06 12:06:39 UTC
I ran out of time investigating this morning but I found maybe a clue.

on gentoo where the freeString bug occurs:

$ equery files miro | fgrep .so | while read f; do echo $f ;strings $f | grep freeString; done
/usr/lib/python2.5/site-packages/miro/database.so
/usr/lib/python2.5/site-packages/miro/fasttypes.so
/usr/lib/python2.5/site-packages/miro/libtorrent.so
/usr/lib/python2.5/site-packages/miro/platform/MozillaBrowser.so
freeString
_Z10freeStringPc
/usr/lib/python2.5/site-packages/miro/platform/xlibhelper.so
/usr/lib/python2.5/site-packages/miro/sorts.so
/usr/lib/python2.5/site-packages/miro/xine.so

but on a working ubnutu miro "_Z10freeStringPc" never appears in the output of this test, only "freeString" does.
Comment 348 Beetle B. 2008-11-04 02:45:55 UTC
I'm running 1.2.6

Recently, feeds from Youtube and Google Video stopped downloading - just gives an error when I try.

Is anyone else seeing this behavior? I'm wondering if this is something that Youtube has changed on their side.
Comment 349 Jasper Jaklofsky 2008-11-05 18:49:12 UTC
(In reply to comment #348)
> I'm running 1.2.6
> 
> Recently, feeds from Youtube and Google Video stopped downloading - just gives
> an error when I try.
> 
> Is anyone else seeing this behavior? I'm wondering if this is something that
> Youtube has changed on their side.
> 

Hi,

this is a youtube change in it's API or os. You can read more here:http://www.getmiro.com/blog/2008/10/youtube-issues/
Comment 350 georgia_tech_swagger 2008-11-09 22:50:01 UTC
(In reply to comment #349)
> (In reply to comment #348)
> > I'm running 1.2.6
> > 
> > Recently, feeds from Youtube and Google Video stopped downloading - just gives
> > an error when I try.
> > 
> > Is anyone else seeing this behavior? I'm wondering if this is something that
> > Youtube has changed on their side.
> > 
> 
> Hi,
> 
> this is a youtube change in it's API or os. You can read more
> here:http://www.getmiro.com/blog/2008/10/youtube-issues/
> 

This was fixed with the 1.2.8 release of Miro.   And jeeeeez I can't believe this still isn't in portage.  >.<
Comment 351 Beetle B. 2008-11-10 00:51:40 UTC
Whichever of the two 1.2.6 ebuilds that worked for me (can't remember), worked for 1.2.8 as well.
Comment 352 Fabio Bonfante 2008-11-10 00:58:05 UTC
For me too (tested on amd64). Really no mantainers for this wonderful app?
Comment 353 Stephen Bridges 2008-11-16 19:12:17 UTC
(In reply to comment #345)
> Created an attachment (id=166717) [edit]
> 1.2.6 ebuild with patches to compile under gcc-4.3

> ImportError:
> /usr/lib64/python2.5/site-packages/miro/platform/MozillaBrowser.so: undefined
> symbol: freeString

I've just tried the gcc4.3 build for miro 1.2.6, and have the same problem.  AMD6.4 unstable running here.  I also had problems with -lffi but that was due to pygobject evidently not updated in a while.  I also removed --as-needed for this test in /etc/portage/env.
Comment 354 Robert Golding 2008-11-17 21:33:11 UTC
(In reply to comment #351)
> Whichever of the two 1.2.6 ebuilds that worked for me (can't remember), worked
> for 1.2.8 as well.
> 

Where do I find 1.2.8 please?
Comment 355 Heiko Baums 2008-11-18 01:45:04 UTC
(In reply to comment #354)
> Where do I find 1.2.8 please?

Just download the ebuild for 1.2.6 and rename it to 1.2.8.

If you're not using gcc-4.3, then you should download the first ebuild without the gcc-4.3 patch. See comment #347.
Comment 356 Jasper Jaklofsky 2008-11-18 22:57:57 UTC
(In reply to comment #354)
> (In reply to comment #351)
> > Whichever of the two 1.2.6 ebuilds that worked for me (can't remember), worked
> > for 1.2.8 as well.
> > 
> 
> Where do I find 1.2.8 please?
> 
Hi,

I just downloaded the development subversion of miro. After some changes in setup.py it runs fine.
Comment 357 wayne 2008-11-19 01:17:09 UTC
no luck with 1.2.8 + gcc-4.3 patch it builds but will not run.

File "/usr/bin/miro.real", line 135, in <module>
    startapp()
  File "/usr/bin/miro.real", line 95, in startapp
    startup()
  File "/usr/bin/miro.real", line 31, in startup
    from miro.platform.frontends.html.Application import Application
  File "//usr/lib64/python2.5/site-packages/miro/platform/frontends/html/Application.py", line 33, in <module>
    from miro.frontends.html.main import HTMLApplication
  File "//usr/lib64/python2.5/site-packages/miro/frontends/html/main.py", line 40, in <module>
    from miro.frontends.html import templatedisplay
  File "//usr/lib64/python2.5/site-packages/miro/frontends/html/templatedisplay.py", line 42, in <module>
    from miro.platform.frontends.html.HTMLDisplay import HTMLDisplay
  File "//usr/lib64/python2.5/site-packages/miro/platform/frontends/html/HTMLDisplay.py", line 37, in <module>
    from miro.platform.MozillaBrowser import MozillaBrowser
ImportError: /usr/lib64/python2.5/site-packages/miro/platform/MozillaBrowser.so: undefinedsymbol: freeString


 
Comment 358 wayne 2008-12-24 19:34:16 UTC
grep -R miro /usr/portage/local/layman/sunrise/

returns nothing :( 
Comment 359 wayne 2008-12-24 21:56:52 UTC
Any one want to help with an overlay for miro. sunrise-overlay miro is bs, an in no such ebuild. I am willing to build a website for the project, build the first ebuild, and host all distfiles and patches needed to make the ebuilds work.

enyawix@gmail.com
Comment 360 Avuton Olrich 2008-12-24 22:02:28 UTC
(In reply to comment #359)
> Any one want to help with an overlay for miro. sunrise-overlay miro is bs, an
> in no such ebuild. I am willing to build a website for the project, build the
> first ebuild, and host all distfiles and patches needed to make the ebuilds
> work.

No reason to build a website for this. Goto repo.or.cz and register a git tree, push your ebuild to it in a manner that can be picked up as an overlay. Code talks.

Comment 361 Hans Kwint 2008-12-26 22:13:26 UTC
It seems python-gnome-extra recently changed between
2.19.1-r2 and 2.19.1-r3;
it changed quite a lot as a result of some splitup.

I tried to sort it out and find out what Miro needs and what it doesn't, but not much success. I'm a bit lost as to what Miro needs (DEPEND and RDPEND).

I have been able to cleanly build Miro 1.2.8 using the miro-1.2.6.ebuild;
exchanging '1.2.6' in the ebuild name for '1.2.8', and in the dependencies:
-python-gnome-extras just for python-gnome
and adding
-mozembed python

However, Miro dies after the 'first configuration run':

Traceback (most recent call last):
  File "/usr/bin/miro.real", line 27, in <module>
    from miro import singleclick
  File "//usr/lib/python2.5/site-packages/miro/singleclick.py", line 50, in <module>
    from miro import item
  File "//usr/lib/python2.5/site-packages/miro/item.py", line 48, in <module>
    from miro.database import DDBObject, defaultDatabase, ObjectNotFoundError
  File "database.pyx", line 46, in portable.database
ImportError: /usr/lib/python2.5/site-packages/miro/fasttypes.so: undefined symbol: _ZN5boost6python9converter8registry6insertEPFPvP7_objectEPFvS5_PNS1_30rvalue_from_python_stage1_dataEENS0_9type_infoEPFPK11_typeobjectvE

I found out the Miro page for packagers lists Debian dependencies and I will try to sort those out; unless anyone can tell me what the dependencies for Miro realy are.
Comment 362 François Bissey 2008-12-27 08:44:37 UTC
(In reply to comment #361)
> It seems python-gnome-extra recently changed between
> 2.19.1-r2 and 2.19.1-r3;
> it changed quite a lot as a result of some splitup.
> 
> I tried to sort it out and find out what Miro needs and what it doesn't, but
> not much success. I'm a bit lost as to what Miro needs (DEPEND and RDPEND).
> 
> I have been able to cleanly build Miro 1.2.8 using the miro-1.2.6.ebuild;
> exchanging '1.2.6' in the ebuild name for '1.2.8', and in the dependencies:
> -python-gnome-extras just for python-gnome
> and adding
> -mozembed python
> 
> However, Miro dies after the 'first configuration run':
> 
> Traceback (most recent call last):
>   File "/usr/bin/miro.real", line 27, in <module>
>     from miro import singleclick
>   File "//usr/lib/python2.5/site-packages/miro/singleclick.py", line 50, in
> <module>
>     from miro import item
>   File "//usr/lib/python2.5/site-packages/miro/item.py", line 48, in <module>
>     from miro.database import DDBObject, defaultDatabase, ObjectNotFoundError
>   File "database.pyx", line 46, in portable.database
> ImportError: /usr/lib/python2.5/site-packages/miro/fasttypes.so: undefined
> symbol:
> _ZN5boost6python9converter8registry6insertEPFPvP7_objectEPFvS5_PNS1_30rvalue_from_python_stage1_dataEENS0_9type_infoEPFPK11_typeobjectvE
> 
> I found out the Miro page for packagers lists Debian dependencies and I will
> try to sort those out; unless anyone can tell me what the dependencies for Miro
> realy are.
> 
Actually I was going to post something about that. So far python-gnome-extra
gives us gtkmozembed.so which cause the problems between xulrunner-1.8 and 1.9.
python-gnome-extra build against xulrunner-1.8 (provided it is enabled with 
the xulrunner use flag). The new split package
dev-python/gtkmozembed-python-2.19.1-r11 is build against xulrunner-1.9
and could solve the problems mentioned in comments #343 
I haven't tried yet to make the appropriate changes in setup.py myself.
I also have to check the gcc-4.3 patch as I have switched recently.
Comment 363 Jorge Vargas 2008-12-29 15:38:24 UTC
(In reply to comment #359)
> Any one want to help with an overlay for miro. sunrise-overlay miro is bs, an
> in no such ebuild. I am willing to build a website for the project, build the
> first ebuild, and host all distfiles and patches needed to make the ebuilds
> work.
> 
> enyawix@gmail.com
> 

Hello I'm the original author of this ebuild and it's sunrise counter part, Sunrise it's "BS" it's just that no one here (bug report) ever bothered to talk to them to take maintenance of the package, if any of you will like to drop by #gentoo-sunrise on freenode, I'm sure they will gladly accept you as maintainer, Also I really don't think a single package is worth an overlay.

In case you where wondering, I stop maintaining this because I'm not using gentoo anymore.
Comment 364 Hans Kwint 2008-12-29 20:52:18 UTC
Two day ago I managed to build Miro 1.2.8 using the following deps; which I extracted from the Miro-dev packagers site by translating Debian deps to Gentoo deps:

RDEPEND=">=dev-python/pygtk-2.10
        || ( >=dev-lang/python-2.4.4
             >=dev-python/pysqlite-2 )
        >=dev-libs/boost-1.33.1-r1
        >=dev-python/gnome-python-extras-2.19.1-r3
        dev-python/dbus-python
        <net-libs/xulrunner-1.9
        >=dev-python/pyrex-0.9.4.1
        >=media-libs/xine-lib-1.0.3-r2"

DEPEND="${RDEPEND}
        sys-devel/gettext
        dev-util/pkgconfig
        >=dev-libs/openssl-0.9.8c-r2
        >=app-admin/chrpath-0.13
        >media-gfx/imagemagick-6.2.5.5
        >=x11-libs/libX11-1.0.3-r2
        >=x11-libs/libXmu-1.0.2
        >=x11-libs/libXv-1.0.2
        >=dev-python/dbus-python-0.80.2
        >=dev-python/libbonobo-python-2.22.1
        dev-python/gnome-vfs-python
        dev-python/gconf-python
        dev-python/libgnome-python
        >=dev-python/gst-python-0.10.5
        >=dev-python/pygobject-2.10.1
        >=dev-python/pysqlite-2.3.3"

Probably a lot of these are 'double dependencies', but at least it worked, provided I commented out

 #confutils_require_built_with_any dev-python/gnome-python-extras xulrunn     
er firefox seamonkey

to make portage ignore that gnome-python-extras-2.19.1-r3 doesn't have USEflags at this time.

$miro --sync --frontend=cli now works,

however this is what happens when trying to run the graphical frontend:

location: /usr/lib/xulrunner-1.9/libxpcom.so 
before 3
INFO     Starting up Miro
INFO     OS:         Linux
INFO     Version:    1.2.8
INFO     Revision:   https://svn.participatoryculture.org/svn/dtv/tags/Miro-1.2.8/tv/resources - 8366
INFO     Builder:    root@Ghans
INFO     Build Time: 1230341253.7
INFO     Starting event loop thread
INFO     Restoring database...
INFO     Connecting to /home/kwint/.miro/sqlitedb
TIMING   Database load slow: 0.724
TIMING   idle (finish startup) too slow (1.201 secs)
INFO     Spawning auto downloader...
INFO     *** Launching Downloader Daemon ****
TIMING   Icon clear: 0.012
INFO     Starting movie data updates
INFO     Displaying main frame...
WARNING  Menu item action "RenameVideo" not implemented
WARNING  Menu item action "FastForward" not implemented
WARNING  Menu item action "Rewind" not implemented
WARNING  Menu item action "UpVolume" not implemented
WARNING  Menu item action "DownVolume" not implemented
WARNING  Volume changed before videoDisplay created
INFO     Creating video display...
WARNING  Display updated before video display was created
INFO     Finished startup sequence
INFO     loaded renderer 'xinerenderer'
TIMING   gtkAsyncMethod: <function initRenderers at 0x92a641c> took too long: 1.082
WARNING  Error setting up HTTP observer
/usr/bin/miro: line 2:  9398 Segmentation fault      LD_LIBRARY_PATH=/usr/lib/xulrunner miro.real "$@"

I don't know what's going wrong here; I can't find out using strace either;

last strace lines:

WARNING  Error setting up HTTP observer
[{WIFSIGNALED(s) && WTERMSIG(s) == SIGSEGV}], 0) = 9426
fstat64(2, {st_mode=S_IFCHR|0620, st_rdev=makedev(136, 1), ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7fd7000
write(2, "/usr/bin/miro: line 2:  9426 Segm"..., 103/usr/bin/miro: line 2:  9426 Segmentation fault      LD_LIBRARY_PATH=/usr/lib/xulrunner miro.real "$@"
) = 103
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
waitpid(-1, 0xbfcd4588, WNOHANG)        = -1 ECHILD (No child processes)
sigreturn()                             = ? (mask now [])
rt_sigaction(SIGINT, {SIG_DFL, [], 0}, {0x8080210, [], 0}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, ""..., 60)                    = 0
exit_group(139)

These are the relevant strace -f lines (I saw someone above use it, so I figured out it might be useful):

[pid  9453] stat64("/usr/lib/xulrunner-1.9/res/charsetData.properties", {st_mode=S_IFREG|0644, st_size=9551, ...}) = 0
[pid  9453] open("/usr/lib/xulrunner-1.9/res/charsetData.properties", O_RDONLY|O_LARGEFILE) = 35
[pid  9453] read(35, "# ***** BEGIN LICENSE BLOCK *****"..., 8192) = 8192
[pid  9453] read(35, "ujr\nx-mac-gurmukhi.LangGroup     "..., 8192) = 1359
[pid  9453] read(35, ""..., 8192)       = 0
[pid  9453] close(35)                   = 0
[pid  9453] uname({sys="Linux", node="Ghans", ...}) = 0
[pid  9453] --- SIGSEGV (Segmentation fault) @ 0 (0) ---
[pid  9453] unlink("/home/kwint/.miro/mozilla/lock") = 0
[pid  9453] rt_sigaction(SIGSEGV, {SIG_DFL, [], 0}, NULL, 8) = 0
[pid  9453] rt_sigprocmask(SIG_UNBLOCK, [SEGV], NULL, 8) = 0
[pid  9453] tgkill(9453, 9453, SIGSEGV) = 0
[pid  9453] --- SIGSEGV (Segmentation fault) @ 0 (0) ---

I might try to fiddle with 'setup.py' but I'm merely a simple user, not a dev, debugger or whatever, so I don't know exactly how to do this.

Also, it might be interesting to note I have both xulrunner-1.8.1-19 and 1.9.0.5 installed.

So can somebody tell what and how to edit in setup.py, or how to compile python-gnome-extras against xulrunner-1.8?
Comment 365 Hans Kwint 2008-12-29 20:55:08 UTC
>So can somebody tell what and how to edit in setup.py, or how to compile
>python-gnome-extras against xulrunner-1.8?

I'm sorry, the latter should be xulrunner-1.9; since I assume 'everything' should be compiled against 1.9.
Comment 366 A. Person 2008-12-30 02:17:07 UTC
On a related note, I'd sure like to use penguintv since it uses GTK but the bugs.gentoo.org ebuild is broken.
Comment 367 wayne 2008-12-30 05:08:08 UTC
Hans Kwint What version did you start from? The miro-1.2.6-gcc43.ebuild.tar.bz2 has a setup.py / xulrunner-1.9 patch. The build dies while building miro.platform.MozillaBrowser' extension but I have firefox 3.0.5.

I hosted my logs http://enyawix.selfip.net/miro/

I think the dependencies are wrong on the ebuild. I installed dev-python/gtkmozembed-python-2.19.1-r11 [ Masked ] to see what would happen



 
Comment 368 François Bissey 2008-12-30 10:24:37 UTC
I now have a working miro using xul-runner-1.9 but not gcc-4.3 yet.
I am posting the ebuild shortly if people want to have a look.
With gcc-4.3 it compiles fine but doesn't run. I get the freeString
problem but I think I have narrowed down the origin of that one.
freeString is actually a function defined in 
platform/gtk-x11/platform/frontends/html/MozillaBrowserXPCOM.cc
and gives a C interface a C++ xul-runner function.
Why it isn't linked properly is a bit of a mystery.
Comment 369 François Bissey 2008-12-30 10:29:30 UTC
Created attachment 176853 [details]
miro-1.2.8 ebuild working with xul-runner-1.9

It needs the MozillaBrowser.sed file from the 1.2.6 ebuild, on the other
hand the patch to setup.py is not needed anymore.
If anyone knows a bit of pyrex the MozillaBrowser.sed file should probably
be replaced by a proper patch to the pyrex source if that is possible.
Comment 370 Randy Johnson 2008-12-30 12:37:27 UTC
dev-python/gconf-python appears to be a required dep. Another victim of the split python-gnome-extra?
Comment 371 François Bissey 2008-12-30 19:25:47 UTC
(In reply to comment #370)
> dev-python/gconf-python appears to be a required dep. Another victim of the
> split python-gnome-extra?
> 

It does not appear to be required on my system. miro works without it here.
May be it is needed by something else on your system.
Comment 372 Hans Kwint 2009-01-02 21:16:15 UTC
1.2.8-r1 worksforme
Comment 373 Stephen Bridges 2009-01-02 21:43:47 UTC
(In reply to comment #372)
> 1.2.8-r1 worksforme

Unfortunately not for me.  Obviously it didn't get far with gcc 4.3, so I tried with 4.1.2 (and boost 1.37) and got the following.  Could be the hard-masked boost I'm using though?

x86_64-pc-linux-gnu-g++ -pthread -DNDEBUG -march=athlon64 -O2 -pipe -fPIC -I/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include -I/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent -I/usr/include/python2.5 -c -I/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include -I/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent -I/usr/include/python2.5 -c /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/disk_io_thread.cpp -o build/temp.linux-x86_64-2.5/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/disk_io_thread.o -Wno-missing-braces -DHAVE_INCLUDE_LIBTORRENT_ASIO____ASIO_HPP=1 -DHAVE_INCLUDE_LIBTORRENT_ASIO_SSL_STREAM_HPP=1 -DHAVE_INCLUDE_LIBTORRENT_ASIO_IP_TCP_HPP=1 -DHAVE_PTHREAD=1 -DTORRENT_USE_OPENSSL=1 -DHAVE_SSL=1 -DNDEBUG=1 -O2 -DAMD64                                                                 
/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/disk_io_thread.hpp:128: error: 'condition' in namespace 'boost' does not name a type                                                                            
/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/disk_io_thread.cpp: In destructor 'libtorrent::disk_io_thread::~disk_io_thread()':        
/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/disk_io_thread.cpp:67: error: 'm_signal' was not declared in this scope                   
/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/disk_io_thread.cpp: In member function 'void libtorrent::disk_io_thread::stop(boost::intrusive_ptr<libtorrent::piece_manager>)':                                               
/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/disk_io_thread.cpp:119: error: 'm_signal' was not declared in this scope                  
/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/disk_io_thread.cpp: In member function 'void libtorrent::disk_io_thread::add_job(const libtorrent::disk_io_job&, const boost::function<void ()(int, const libtorrent::disk_io_job&)>&)':                                                                            
/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/disk_io_thread.cpp:204: error: 'm_signal' was not declared in this scope                  
/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/disk_io_thread.cpp: In member function 'void libtorrent::disk_io_thread::operator()()':   
/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/disk_io_thread.cpp:238: error: 'm_signal' was not declared in this scope
error: command 'x86_64-pc-linux-gnu-g++' failed with exit status 1
Comment 374 Erik Hahn 2009-01-02 22:26:38 UTC
Ebuild has been commited to Sunrise, to be available for public checkout
as soon as it's reviewed:
http://overlays.gentoo.org/svn/proj/sunrise/sunrise/media-tv/miro/miro-1.2.8.ebuild
Comment 375 François Bissey 2009-01-03 10:22:39 UTC
(In reply to comment #373)
> (In reply to comment #372)
> > 1.2.8-r1 worksforme
> 
> Unfortunately not for me.  Obviously it didn't get far with gcc 4.3, so I tried
> with 4.1.2 (and boost 1.37) and got the following.  Could be the hard-masked
> boost I'm using though?
> 
> x86_64-pc-linux-gnu-g++ -pthread -DNDEBUG -march=athlon64 -O2 -pipe -fPIC
> -I/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include
> -I/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent
> -I/usr/include/python2.5 -c
> -I/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include
> -I/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent
> -I/usr/include/python2.5 -c
> /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/disk_io_thread.cpp
> -o
> build/temp.linux-x86_64-2.5/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/disk_io_thread.o
> -Wno-missing-braces -DHAVE_INCLUDE_LIBTORRENT_ASIO____ASIO_HPP=1
> -DHAVE_INCLUDE_LIBTORRENT_ASIO_SSL_STREAM_HPP=1
> -DHAVE_INCLUDE_LIBTORRENT_ASIO_IP_TCP_HPP=1 -DHAVE_PTHREAD=1
> -DTORRENT_USE_OPENSSL=1 -DHAVE_SSL=1 -DNDEBUG=1 -O2 -DAMD64                     
> /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/disk_io_thread.hpp:128:
> error: 'condition' in namespace 'boost' does not name a type                    
> /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/disk_io_thread.cpp:
> In destructor 'libtorrent::disk_io_thread::~disk_io_thread()':        
> /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/disk_io_thread.cpp:67:
> error: 'm_signal' was not declared in this scope                   
> /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/disk_io_thread.cpp:
> In member function 'void
> libtorrent::disk_io_thread::stop(boost::intrusive_ptr<libtorrent::piece_manager>)': 
> /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/disk_io_thread.cpp:119:
> error: 'm_signal' was not declared in this scope                  
> /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/disk_io_thread.cpp:
> In member function 'void libtorrent::disk_io_thread::add_job(const
> libtorrent::disk_io_job&, const boost::function<void ()(int, const
> libtorrent::disk_io_job&)>&)':                                                  
> /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/disk_io_thread.cpp:204:
> error: 'm_signal' was not declared in this scope                  
> /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/disk_io_thread.cpp:
> In member function 'void libtorrent::disk_io_thread::operator()()':   
> /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/disk_io_thread.cpp:238:
> error: 'm_signal' was not declared in this scope
> error: command 'x86_64-pc-linux-gnu-g++' failed with exit status 1
> 
Could be. I notice your problem is during the build of rb-libtorrent.
One thing on the TODO list would be to use the version in portage but I guess that's for latter.
Now a short examination of the rb-libtorrent-0.13 ebuild reveals
that boost should be build with threads. This is not checked in the
current miro ebuild. Could you check how you build boost and see if it
is your problem?
Comment 376 Stephen Bridges 2009-01-03 15:52:30 UTC
(In reply to comment #375)

> Could be. I notice your problem is during the build of rb-libtorrent.
> One thing on the TODO list would be to use the version in portage but I guess
> that's for latter.
> Now a short examination of the rb-libtorrent-0.13 ebuild reveals
> that boost should be build with threads. This is not checked in the
> current miro ebuild. Could you check how you build boost and see if it
> is your problem?
> 

dev-libs/boost-1.37.0  USE="doc tools -debug -expat -icu -mpi"

I have all the /usr/lib64/libboost*-mt.so libraries, so the multithreaded libs are available.

Comment 377 Stephen Bridges 2009-01-03 16:20:46 UTC
(In reply to comment #376)

rb_libtorrent-0.13 doesn't compile against boost 1.37 with the same error, so I think the ebuild should require a lower version.
Comment 378 François Bissey 2009-01-04 09:55:09 UTC
Created attachment 177317 [details, diff]
patch for boost-1.37 from fc10

You could try to add this patch to the ebuild:
cd "${S}"
epatch epatch ${FILESDIR}/Miro-1.2.6-boost.patch

somewhere in src_unpack
It apparently solves the problem on fedora Core.

I don't think we should limit the version of boost. If a later 
version of rb-libtorrent compiles with boost-1.37 _and_ is compatible
with miro you should use that if possible.
But we have to find how to split rb-libtorrent first.
It is done in the nighties for miro-2, I hope it will also be
gcc-4.3 safe out of the box. Anyone interested in trying ebuilds
from nighties? May want to read that first:
http://pculture.org/nightlies/
Comment 379 wayne 2009-01-04 22:02:22 UTC
Miro Source (2009-01-03) works! "no patches no hacking"
I just built it with gcc version 4.3.2 64bit

http://pculture.org/nightlies/Miro-2009-01-03.tar.gz

Using built-in specs.
Target: x86_64-pc-linux-gnu
Configured with: /var/tmp/portage/sys-devel/gcc-4.3.2/work/gcc-4.3.2/configure --prefix=/usr --bindir=/usr/x86_64-pc-linux-gnu/gcc-bin/4.3.2 --includedir=/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/include --datadir=/usr/share/gcc-data/x86_64-pc-linux-gnu/4.3.2 --mandir=/usr/share/gcc-data/x86_64-pc-linux-gnu/4.3.2/man --infodir=/usr/share/gcc-data/x86_64-pc-linux-gnu/4.3.2/info --with-gxx-include-dir=/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/include/g++-v4 --host=x86_64-pc-linux-gnu --build=x86_64-pc-linux-gnu --disable-altivec --enable-nls --without-included-gettext --with-system-zlib --disable-checking --disable-werror --enable-secureplt --enable-multilib --enable-libmudflap --disable-libssp --enable-cld --disable-libgcj --enable-languages=c,c++,treelang,fortran --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu --with-bugurl=http://bugs.gentoo.org/ --with-pkgversion='Gentoo 4.3.2 p1.0'
Thread model: posix
gcc version 4.3.2 (Gentoo 4.3.2 p1.0)




Comment 380 Jens Mueller 2009-01-04 23:19:19 UTC
Does not work for me on amd64:

In file included from /mnt/sda5/usr-tmp-portage/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/fingerprint.hpp:39,
                 from /mnt/sda5/usr-tmp-portage/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/bindings/python/src/fingerprint.cpp:5:
/mnt/sda5/usr-tmp-portage/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/peer_id.hpp: In constructor »libtorrent::big_number::big_number(const std::string&)«:
/mnt/sda5/usr-tmp-portage/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/peer_id.hpp:63: Fehler: »memcpy« ist kein Element von »std«
error: command 'x86_64-pc-linux-gnu-g++' failed with exit status 1
 *
 * ERROR: media-tv/miro-1.2.8-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2822:  Called distutils_src_compile
 *             environment, line  956:  Called die
 * The specific snippet of code:
 *       ${python} setup.py build "$@" || die "compilation failed"
 *  The die message:
 *   compilation failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/mnt/sda5/usr-tmp-portage/portage/media-tv/miro-1.2.8-r1/temp/build.log'.
 * The ebuild environment file is located at '/mnt/sda5/usr-tmp-portage/portage/media-tv/miro-1.2.8-r1/temp/environment'.
 * This ebuild is from an overlay: '/usr/local/portage/'
 *

>>> Failed to emerge media-tv/miro-1.2.8-r1, Log file:


# emerge --info
Portage 2.1.6.4 (default/linux/amd64/2008.0, gcc-4.3.2, glibc-2.7-r2, 2.6.27-gentoo-r7 x86_64)
=================================================================
System uname: Linux-2.6.27-gentoo-r7-x86_64-AMD_Athlon-tm-_64_Processor_3200+-with-glibc2.2.5
Timestamp of tree: Sat, 03 Jan 2009 21:45:02 +0000
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7-r1, 2.1.6-r1
dev-lang/python:     2.4.4-r9, 2.5.2-r7
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.2
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.3.0-r1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -O2"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/NX/etc /usr/NX/home /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/bind /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=k8 -O2"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.osuosl.org/  http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp://130.59.10.34/mirror/gentoo/ http://130.59.10.35/mirror/gentoo/"
LANG="de_DE.utf-8"
LC_ALL="de_DE.utf-8"
LDFLAGS="-Wl,-O1"
LINGUAS="de cz it fr en zh_CN zh_TW"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/mnt/sda5/usr-tmp-portage"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/overlays/matsuu/secondlife"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="X aac aalib accessibility acl alsa amd64 arts audiofile bash-completion berkdb bzip2 cairo cdr cjk cli cracklib crypt css cups dbus dri dvd dvdr encode exif ffmpeg flac fortran gdbm geoip gnome gpm gtk gtk2 iconv immqt-bc ipv6 isdnlog java jpeg jpeg2k kde ldap lirc matroska midi mmx mozilla mp3 mplayer mtp mudflap multilib musicbrainz mysql ncurses nls nptl nptlonly nsplugin ogg opengl openmp oss pam pango pcre pdf perl png pppd python qt qt3 qt4 quicktime rar readline realmedia reflection samba sasl sdl session spl sse sse2 ssl svg sysfs tcpd theora tiff truetype type1 unicode v4l v4l2 vorbis xcb xinerama xorg xosd xprint xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de cz it fr en zh_CN zh_TW" USERLAND="GNU" VIDEO_CARDS="nvidia vga vesa fbdev"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 381 Jens Mueller 2009-01-04 23:23:50 UTC
In English:

In file included from /mnt/sda5/usr-tmp-portage/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/fingerprint.hpp:39,
                 from /mnt/sda5/usr-tmp-portage/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/bindings/python/src/fingerprint.cpp:5:
/mnt/sda5/usr-tmp-portage/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/peer_id.hpp: In constructor 'libtorrent::big_number::big_number(const std::string&)':
/mnt/sda5/usr-tmp-portage/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/peer_id.hpp:63: error: 'memcpy' is not a member of 'std'
error: command 'x86_64-pc-linux-gnu-g++' failed with exit status 1
Comment 382 François Bissey 2009-01-04 23:31:04 UTC
(In reply to comment #381)
> In English:
> 
> In file included from
> /mnt/sda5/usr-tmp-portage/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/fingerprint.hpp:39,
>                  from
> /mnt/sda5/usr-tmp-portage/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/bindings/python/src/fingerprint.cpp:5:
> /mnt/sda5/usr-tmp-portage/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/peer_id.hpp:
> In constructor 'libtorrent::big_number::big_number(const std::string&)':
> /mnt/sda5/usr-tmp-portage/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/peer_id.hpp:63:
> error: 'memcpy' is not a member of 'std'
> error: command 'x86_64-pc-linux-gnu-g++' failed with exit status 1
> 

That ebuild doesn't work with gcc-4.3, that's what is happening.
If you want to build with gcc-4.3 also include the appropriate patch
from miro-1.2.6-gcc43.ebuild.tar.bz2 in the attachments.
It will then compile but you may encounter the freeString problem.
That problem has vanished mysteriously for me, I think I know why
but report only when I am sure. 
Comment 383 Jens Mueller 2009-01-04 23:33:02 UTC
Oh sorry, I read comment #379 too fast ...
Comment 384 François Bissey 2009-01-04 23:37:00 UTC
(In reply to comment #383)
> Oh sorry, I read comment #379 too fast ...
> 

I am not completly sure but the freeString problem may have gone after I removed
xulrunner-1.8 from my system and rebuild miro with my mod and the gcc-4.3 patch 
Anyone want to check it?
Comment 385 wayne 2009-01-04 23:45:54 UTC
Created attachment 177425 [details]
miro built with gcc3.2 on amd64

RE:------- Comment  #380 From Jens Mueller  2009-01-04 23:19:19 0000   -------

"Does not work for me on amd64:"

I built the latest beta not using the ebuild.

http://pculture.org/nightlies/Miro-2009-01-03.tar.gz

I am trying to hack the ebuild to use the Miro-2009-01-03 source.
Comment 386 A. Person 2009-01-16 02:10:40 UTC
Has anyone tried a 2.0 version?  Is it much better?
Comment 387 A. Person 2009-01-16 19:11:39 UTC
I just switched from miro-1.2.8 in my local overlay (ebuild taken from this bug report) to miro-1.2.8 in sunrise and I had to remove:

dev-python/gnome-python
dev-python/gnome-python-extras

and install:

dev-python/gnome-python-base
dev-python/gnome-python-extras-base
dev-python/gconf-python
dev-python/gtkmozembed-python
dev-python/gnome-vfs-python

Are we sure this is necessary?  miro was working fine before these changes.

I also discovered a new miro dependency after some help from the miro chat room.  imagemagick is required to generate preview thumbnails and it's a very cool feature.

Lastly, has anyone tried the Nvidia VDPAU accelerated xine-lib with miro?  There are ebuilds here:

http://www.kosunen.fi/gentoo/xine-vdpau/media-libs/xine-lib/

linked to from here:

http://forums.gentoo.org/viewtopic-t-508174-postdays-0-postorder-asc-start-675.html

I don't have it accelerating myself.
Comment 388 François Bissey 2009-01-16 21:31:57 UTC
(In reply to comment #387)
> I just switched from miro-1.2.8 in my local overlay (ebuild taken from this bug
> report) to miro-1.2.8 in sunrise and I had to remove:
> 
> dev-python/gnome-python
> dev-python/gnome-python-extras
> 
> and install:
> 
> dev-python/gnome-python-base
> dev-python/gnome-python-extras-base
> dev-python/gconf-python
> dev-python/gtkmozembed-python
> dev-python/gnome-vfs-python
> 
> Are we sure this is necessary?  miro was working fine before these changes.
> 
Let's address some of those. gnome-python-extras is going to be split in the 
near future apparently. Not sure about gnome-python but from the presence
of something called gnome-python-base it looks like it is going to go that way
too.
The switch to gtkmozembed-python was necessary to switch to xulrunner-1.9,
version 1.8 is at the end of its life and isn't supported anymore upstream.
I don't know why the person uploading the ebuild insisted on adding
gconf-python and gnome-vfs-python I don't have those in my 1.2.8-r1 ebuild
or on my system and I am not sure what I am missing if anything.
It works absolutely fine without it, I am wondering if the person just pulled
everything that was in the old gnome-python-extras for safety. If the people 
using gnome need it then make it a gnome dependency please.

Will have to include imagemagick though from what you said. 
Comment 389 A. Person 2009-01-21 01:27:07 UTC
wayne, I'm hearing the nightly miro is a huge step up.  Do you like it?
Comment 390 wayne 2009-01-21 02:47:25 UTC
The nightly miro is great. I can not say enough good things about it. A nightly build is what should go into portage. This must be the best thing since The Gimp and Apache.
Comment 391 A. Person 2009-01-21 15:40:21 UTC
Any luck hacking the ebuild?
Comment 392 wayne 2009-01-30 16:28:20 UTC
I was never able to install the beta to the main system. I am running it from $HOME. we should just test 2.0 beta. that way the gentoo developers will not have any bugs to fix.
Comment 393 wayne 2009-01-30 16:30:43 UTC
sorry I forgot to post the link to get the beta

http://participatoryculture.org/nightlies/
Comment 394 A. Person 2009-01-30 17:30:24 UTC
Should this work?

$ ./configure --prefix=/usr/local && make
# make install
Comment 395 A. Person 2009-02-01 02:58:21 UTC
Miro 2.0 Release Candidate is out:

http://planet.getmiro.com/

I tried to compile it with:

HOME=/tmp/miro_temp/ ./run.sh

but it failed with:

Writing ./dist/usr/lib64/python2.5/site-packages/miro-2.0_RC1-py2.5.egg-info
/usr/lib64/python2.5/site-packages/gtk-2.0/gtk/__init__.py:72: GtkWarning: could not open display
  warnings.warn(str(e), _gtk.Warning)
PyNotify support disabled on your platform.
location: /usr/lib64/xulrunner-1.9/libxpcom.so 
before 3
/home/marant/miro/Miro-2.0-rc1/platform/gtk-x11/dist/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/persistentwindow.py:43: GtkWarning: gdk_screen_get_root_window: assertion `GDK_IS_SCREEN (screen)' failed
  wclass=gtk.gdk.INPUT_OUTPUT, event_mask=0)
/home/marant/miro/Miro-2.0-rc1/platform/gtk-x11/dist/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/persistentwindow.py:43: GtkWarning: gdk_window_new: assertion `GDK_IS_WINDOW (parent)' failed
  wclass=gtk.gdk.INPUT_OUTPUT, event_mask=0)
Traceback (most recent call last):
  File "dist//usr/bin/miro.real", line 241, in <module>
    startapp()
  File "dist//usr/bin/miro.real", line 188, in startapp
    startup(props_to_set)
  File "dist//usr/bin/miro.real", line 70, in startup
    from miro.plat.frontends.widgets.application import GtkX11Application
  File "/usr/lib64/python2.5/site-packages/miro/plat/frontends/widgets/application.py", line 46, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/application.py", line 46, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/dialogs.py", line 41, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/style.py", line 40, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/imagepool.py", line 41, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/plat/frontends/widgets/widgetset.py", line 36, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/widgetset.py", line 53, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/video.py", line 47, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/persistentwindow.py", line 43, in <module>
RuntimeError: could not create GdkWindow object

Any ideas on how to fix this?
Comment 396 wayne 2009-02-01 06:03:02 UTC
The some of the dependencies on the old ebuilds are wrong. Try this

emerge -C gnome-python-extras
emerge -1 dev-python/gtkmozembed-python

dev-python/gtkmozembed-python is masked you will have to unmask it.

let me know what happens. I very much what this ebuild for gentoo.

(In reply to comment #395)
> Miro 2.0 Release Candidate is out:
> 
> http://planet.getmiro.com/
> 
> I tried to compile it with:
> 
> HOME=/tmp/miro_temp/ ./run.sh
> 
> but it failed with:
> 
> Writing ./dist/usr/lib64/python2.5/site-packages/miro-2.0_RC1-py2.5.egg-info
> /usr/lib64/python2.5/site-packages/gtk-2.0/gtk/__init__.py:72: GtkWarning:
> could not open display
>   warnings.warn(str(e), _gtk.Warning)
> PyNotify support disabled on your platform.
> location: /usr/lib64/xulrunner-1.9/libxpcom.so 
> before 3
> /home/marant/miro/Miro-2.0-rc1/platform/gtk-x11/dist/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/persistentwindow.py:43:
> GtkWarning: gdk_screen_get_root_window: assertion `GDK_IS_SCREEN (screen)'
> failed
>   wclass=gtk.gdk.INPUT_OUTPUT, event_mask=0)
> /home/marant/miro/Miro-2.0-rc1/platform/gtk-x11/dist/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/persistentwindow.py:43:
> GtkWarning: gdk_window_new: assertion `GDK_IS_WINDOW (parent)' failed
>   wclass=gtk.gdk.INPUT_OUTPUT, event_mask=0)
> Traceback (most recent call last):
>   File "dist//usr/bin/miro.real", line 241, in <module>
>     startapp()
>   File "dist//usr/bin/miro.real", line 188, in startapp
>     startup(props_to_set)
>   File "dist//usr/bin/miro.real", line 70, in startup
>     from miro.plat.frontends.widgets.application import GtkX11Application
>   File
> "/usr/lib64/python2.5/site-packages/miro/plat/frontends/widgets/application.py",
> line 46, in <module>
>   File
> "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/application.py",
> line 46, in <module>
>   File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/dialogs.py",
> line 41, in <module>
>   File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/style.py",
> line 40, in <module>
>   File
> "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/imagepool.py", line
> 41, in <module>
>   File
> "/usr/lib64/python2.5/site-packages/miro/plat/frontends/widgets/widgetset.py",
> line 36, in <module>
>   File
> "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/widgetset.py",
> line 53, in <module>
>   File
> "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/video.py", line
> 47, in <module>
>   File
> "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/persistentwindow.py",
> line 43, in <module>
> RuntimeError: could not create GdkWindow object
> 
> Any ideas on how to fix this?
> 

(In reply to comment #395)
> Miro 2.0 Release Candidate is out:
> 
> http://planet.getmiro.com/
> 
> I tried to compile it with:
> 
> HOME=/tmp/miro_temp/ ./run.sh
> 
> but it failed with:
> 
> Writing ./dist/usr/lib64/python2.5/site-packages/miro-2.0_RC1-py2.5.egg-info
> /usr/lib64/python2.5/site-packages/gtk-2.0/gtk/__init__.py:72: GtkWarning:
> could not open display
>   warnings.warn(str(e), _gtk.Warning)
> PyNotify support disabled on your platform.
> location: /usr/lib64/xulrunner-1.9/libxpcom.so 
> before 3
> /home/marant/miro/Miro-2.0-rc1/platform/gtk-x11/dist/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/persistentwindow.py:43:
> GtkWarning: gdk_screen_get_root_window: assertion `GDK_IS_SCREEN (screen)'
> failed
>   wclass=gtk.gdk.INPUT_OUTPUT, event_mask=0)
> /home/marant/miro/Miro-2.0-rc1/platform/gtk-x11/dist/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/persistentwindow.py:43:
> GtkWarning: gdk_window_new: assertion `GDK_IS_WINDOW (parent)' failed
>   wclass=gtk.gdk.INPUT_OUTPUT, event_mask=0)
> Traceback (most recent call last):
>   File "dist//usr/bin/miro.real", line 241, in <module>
>     startapp()
>   File "dist//usr/bin/miro.real", line 188, in startapp
>     startup(props_to_set)
>   File "dist//usr/bin/miro.real", line 70, in startup
>     from miro.plat.frontends.widgets.application import GtkX11Application
>   File
> "/usr/lib64/python2.5/site-packages/miro/plat/frontends/widgets/application.py",
> line 46, in <module>
>   File
> "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/application.py",
> line 46, in <module>
>   File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/dialogs.py",
> line 41, in <module>
>   File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/style.py",
> line 40, in <module>
>   File
> "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/imagepool.py", line
> 41, in <module>
>   File
> "/usr/lib64/python2.5/site-packages/miro/plat/frontends/widgets/widgetset.py",
> line 36, in <module>
>   File
> "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/widgetset.py",
> line 53, in <module>
>   File
> "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/video.py", line
> 47, in <module>
>   File
> "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/persistentwindow.py",
> line 43, in <module>
> RuntimeError: could not create GdkWindow object
> 
> Any ideas on how to fix this?
> 

Comment 397 A. Person 2009-02-01 15:55:35 UTC
Thank you, it looks like it failed at a different point this time:

running install_egg_info
Writing ./dist/usr/lib64/python2.5/site-packages/miro-2.0_RC1-py2.5.egg-info
/usr/lib64/python2.5/site-packages/gtk-2.0/gtk/__init__.py:72: GtkWarning: could not open display
  warnings.warn(str(e), _gtk.Warning)
PyNotify support disabled on your platform.
location: /usr/lib64/xulrunner-1.9/libxpcom.so 
before 3
/home/marant/miro/Miro-2.0-rc1/platform/gtk-x11/dist/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/persistentwindow.py:43: GtkWarning: gdk_screen_get_root_window: assertion `GDK_IS_SCREEN (screen)' failed
  wclass=gtk.gdk.INPUT_OUTPUT, event_mask=0)
/home/marant/miro/Miro-2.0-rc1/platform/gtk-x11/dist/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/persistentwindow.py:43: GtkWarning: gdk_window_new: assertion `GDK_IS_WINDOW (parent)' failed
  wclass=gtk.gdk.INPUT_OUTPUT, event_mask=0)
Traceback (most recent call last):
  File "dist//usr/bin/miro.real", line 241, in <module>
    startapp()
  File "dist//usr/bin/miro.real", line 188, in startapp
    startup(props_to_set)
  File "dist//usr/bin/miro.real", line 70, in startup
    from miro.plat.frontends.widgets.application import GtkX11Application
  File "/usr/lib64/python2.5/site-packages/miro/plat/frontends/widgets/application.py", line 46, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/application.py", line 46, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/dialogs.py", line 41, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/style.py", line 40, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/imagepool.py", line 41, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/plat/frontends/widgets/widgetset.py", line 36, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/widgetset.py", line 53, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/video.py", line 47, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/persistentwindow.py", line 43, in <module>
RuntimeError: could not create GdkWindow object
Comment 398 A. Person 2009-02-01 16:01:32 UTC
Actually it looks like the same spot.
Comment 399 wayne 2009-02-01 18:39:33 UTC
I will work on this more later today. What system are you running?

Linux version 2.6.23-gentoo-r3 (enyawix@enyawix) (gcc version 4.1.2 (Gentoo 4.1.2 p1.1)) #6 PREEMPT Fri Sep 5 14:02:44 CDT 2008

(In reply to comment #398)
> Actually it looks like the same spot.
> 

Comment 400 A. Person 2009-02-01 19:05:18 UTC
Thanks for looking into this.  I'm on amd64, 2.6.26-hardened-r9, gcc-4.1.2.  miro-1.2.8 works great, but the deps in the sunrise ebuild seemed strange.  In package.keywords for miro I ended up with:

media-tv/miro **
>=dev-python/pyrex-0.9.6.4
dev-python/gconf-python
dev-python/gnome-vfs-python
>=dev-python/gnome-python-2.22.1
~dev-python/libgnome-python-2.22.3
~dev-python/libbonobo-python-2.22.3
~dev-python/libgnomecanvas-python-2.22.3

and added at your suggestion:

dev-python/gtkmozembed-python
~dev-python/gnome-python-extras-base-2.19.1
Comment 401 wayne 2009-02-02 05:58:26 UTC
This is is what I have installed for miro on my system. If I missed a dependency please let me know. 

>=dev-python/pyrex			(i have 0.9.8.5)
dev-python/gconf-python			(not on my system)
dev-python/gnome-vfs-python		(not on my system)
>=dev-python/gnome-python		(i have 2.22.0)
~dev-python/libgnome-python		(not on my system)
~dev-python/libbonobo-python		(not on my system)
~dev-python/libgnomecanvas-python	(not on my system)
dev-python/gtkmozembed-python		(i have 2.19.1-r11)
~dev-python/gnome-python-extras-base	(i have 2.19.1)
dev-libs/boost				(i have 1.35.0-r2)
dev-python/dbus-python			(i have 0.71)
net-libs/xulrunner			(i have 1.9.0.5)
media-libs/xine-lib			(i have 1.1.15-r1)
sys-devel/gettext			(i have 0.17)
dev-util/pkgconfig			(i have 0.23)



(In reply to comment #400)
> Thanks for looking into this.  I'm on amd64, 2.6.26-hardened-r9, gcc-4.1.2. 
> miro-1.2.8 works great, but the deps in the sunrise ebuild seemed strange.  In
> package.keywords for miro I ended up with:
> 
> media-tv/miro **
> >=dev-python/pyrex-0.9.6.4
> dev-python/gconf-python
> dev-python/gnome-vfs-python
> >=dev-python/gnome-python-2.22.1
> ~dev-python/libgnome-python-2.22.3
> ~dev-python/libbonobo-python-2.22.3
> ~dev-python/libgnomecanvas-python-2.22.3
> 
> and added at your suggestion:
> 
> dev-python/gtkmozembed-python
> ~dev-python/gnome-python-extras-base-2.19.1
> 

Comment 402 A. Person 2009-02-02 17:20:17 UTC
I've put mine exactly in line with your's except for dbus-python-0.71 which is no longer in portage, but I'm still getting the same build failure.

By the way, all the packages I had installed which you don't were required by the sunrise ebuild for 1.2.8 for some reason.
Comment 403 François Bissey 2009-02-02 23:22:27 UTC
I am starting to get in action on the release candidate as well.
I am on x86 so I may not have the same problems.
Anyway I also installed rb_libtorrent-0.14.1 (it is masked) as if 
you don't have it miro will install its own private copy. Make sure
you build it with USE=python as it is required for miro.
So far my own ./run.sh did compile and run - I got the miro-2.0 
displayed on screen but didn't really test it.
I noted that the following are asked about at some point but may not be
absolute requirement:
 dev-python/gst-python probably a good idea to put in runtime-dep
 dev-python/notify-python should depend on a use flag "notify" I guess.
Works fine with them too.

I get the following error at the start of my build, not fatal but strange:
/usr/lib/python2.5/distutils/extension.py:133: UserWarning: Unknown Extension options: 'runtime_dirs'
  warnings.warn(msg)
The file belongs to python itself.

I have my own opinion on the dependencies of the sunrise ebuild. I have a 
slightly different set in the ebuild I posted in this bug.

@ grant: which version of dev-python/gtkmozembed-python
did you install? I think it is important for it to be 2.19.1-r11.
Comment 404 wayne 2009-02-03 03:16:52 UTC
I have the same warning it must not be that bad. I just checked my system for the software you listed. What I found is listed below.

net-libs/rb_libtorrent    0.13
dev-python/gst-python     0.10.12
dev-python/notify-python  0.1.1 

I also found "python" in my use flags.

I wonder if something in your post prevented grant from building miro?


(In reply to comment #403)
> I am starting to get in action on the release candidate as well.
> I am on x86 so I may not have the same problems.
> Anyway I also installed rb_libtorrent-0.14.1 (it is masked) as if 
> you don't have it miro will install its own private copy. Make sure
> you build it with USE=python as it is required for miro.
> So far my own ./run.sh did compile and run - I got the miro-2.0 
> displayed on screen but didn't really test it.
> I noted that the following are asked about at some point but may not be
> absolute requirement:
>  dev-python/gst-python probably a good idea to put in runtime-dep
>  dev-python/notify-python should depend on a use flag "notify" I guess.
> Works fine with them too.
> 
> I get the following error at the start of my build, not fatal but strange:
> /usr/lib/python2.5/distutils/extension.py:133: UserWarning: Unknown Extension
> options: 'runtime_dirs'
>   warnings.warn(msg)
> The file belongs to python itself.
> 
> I have my own opinion on the dependencies of the sunrise ebuild. I have a 
> slightly different set in the ebuild I posted in this bug.
> 
> @ grant: which version of dev-python/gtkmozembed-python
> did you install? I think it is important for it to be 2.19.1-r11.
> 

Comment 405 A. Person 2009-02-03 03:48:41 UTC
I installed rb_libtorrent-0.14.1, gst-python, and notify-python, and I previously had gtkmozembed-python-2.19.1-r11 installed and the python USE flag set, but I get the same compile failure.
Comment 406 A. Person 2009-02-03 03:53:28 UTC
Actually the error looks slightly different now.  Maybe it's because I switched from miro's rc1 to rc2.

running install_egg_info
Removing ./dist/usr/lib64/python2.5/site-packages/miro-2.0_rc2-py2.5.egg-info
Writing ./dist/usr/lib64/python2.5/site-packages/miro-2.0_rc2-py2.5.egg-info
/usr/lib64/python2.5/site-packages/gtk-2.0/gtk/__init__.py:72: GtkWarning: could not open display
  warnings.warn(str(e), _gtk.Warning)
libnotify-Message: Unable to get session bus: dbus-launch failed to autolaunch D-Bus session: Autolaunch error: X11 initialization failed.

location: /usr/lib64/xulrunner-1.9/libxpcom.so 
before 3
/home/marant/miro/Miro-2.0-rc2/platform/gtk-x11/dist/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/persistentwindow.py:43: GtkWarning: gdk_screen_get_root_window: assertion `GDK_IS_SCREEN (screen)' failed
  wclass=gtk.gdk.INPUT_OUTPUT, event_mask=0)
/home/marant/miro/Miro-2.0-rc2/platform/gtk-x11/dist/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/persistentwindow.py:43: GtkWarning: gdk_window_new: assertion `GDK_IS_WINDOW (parent)' failed
  wclass=gtk.gdk.INPUT_OUTPUT, event_mask=0)
Traceback (most recent call last):
  File "dist//usr/bin/miro.real", line 241, in <module>
    startapp()
  File "dist//usr/bin/miro.real", line 188, in startapp
    startup(props_to_set)
  File "dist//usr/bin/miro.real", line 70, in startup
    from miro.plat.frontends.widgets.application import GtkX11Application
  File "/usr/lib64/python2.5/site-packages/miro/plat/frontends/widgets/application.py", line 46, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/application.py", line 46, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/dialogs.py", line 41, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/style.py", line 40, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/imagepool.py", line 41, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/plat/frontends/widgets/widgetset.py", line 36, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/widgetset.py", line 53, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/video.py", line 47, in <module>
  File "/usr/lib64/python2.5/site-packages/miro/frontends/widgets/gtk/persistentwindow.py", line 43, in <module>
RuntimeError: could not create GdkWindow object
Comment 407 François Bissey 2009-02-03 09:50:09 UTC
(In reply to comment #406)
> Actually the error looks slightly different now.  Maybe it's because I switched
> from miro's rc1 to rc2.
> 
> running install_egg_info
> Removing ./dist/usr/lib64/python2.5/site-packages/miro-2.0_rc2-py2.5.egg-info
> Writing ./dist/usr/lib64/python2.5/site-packages/miro-2.0_rc2-py2.5.egg-info
> /usr/lib64/python2.5/site-packages/gtk-2.0/gtk/__init__.py:72: GtkWarning:
> could not open display
>   warnings.warn(str(e), _gtk.Warning)
> libnotify-Message: Unable to get session bus: dbus-launch failed to autolaunch
> D-Bus session: Autolaunch error: X11 initialization failed.
>
When you look in details it seems to be a very similar error to the one
you got in 2.0-rc1. Let's see do you still have xulrunner-1.8 on this system?
Version of pygtk (is it compiled with the "X" flag?)? Try to rebuild pygtk and see what happens?
Note that it is not a compilation error.
Miro is compiled and the script goes on to try to launch miro and 
falls flat on its face with an error from pygtk.

Actually you run the script as a normal user, not as root in a terminal
launched from a user account, don't you?
Comment 408 François Bissey 2009-02-03 09:55:31 UTC
(In reply to comment #404)
> I have the same warning it must not be that bad. I just checked my system for
> the software you listed. What I found is listed below.
> 
> net-libs/rb_libtorrent    0.13
Can you check if miro use your system rb_libtorrent or if it
build its own?

> 
> I wonder if something in your post prevented grant from building miro?
> 
Can you clarify that a little bit please?
Comment 409 François Bissey 2009-02-03 10:34:45 UTC
Created attachment 180787 [details]
miro-2.0_rc2 ebuild

Just a quick and dirty 2.0-rc2 ebuild based on my own 1.2.8 ebuild
and a few of the things that have been found so far.
Comment 410 A. Person 2009-02-03 15:46:34 UTC
Francois, with your ebuild miro works perfectly.  Thank you very much.  The only thing I would suggest is to remove the message that appears at the end of the ebuild.  It's very old and doesn't pertain any more.

Wow... miro has really come of age.  
Comment 411 A. Person 2009-02-03 17:44:58 UTC
Another thing about the new ebuild is it won't execute if xulrunner-1.8.1.19 is installed, even if xulrunner-1.9.0.5 is installed in a different slot.  Is that correct?
Comment 412 A. Person 2009-02-03 20:10:11 UTC
I think I found a new dependency for the 2.0 ebuild.  I need gnome-python or I get a "No module named gconf" error.  Also imagemagick is required for the preview thumbnails.
Comment 413 François Bissey 2009-02-03 21:48:01 UTC
(In reply to comment #412)
> I think I found a new dependency for the 2.0 ebuild.  I need gnome-python or I
> get a "No module named gconf" error.  Also imagemagick is required for the
> preview thumbnails.
> 

Hi Grant,

I forbid xulrunner-1.8* because it lead to problems for those of
us using gcc-4.3 or at least that was my conclusion as the problem
I experience with miro 1.2.8 disappeared after removing xulrunner-1.8
see comment #384 . Can you tell me what you need xulrunner-1.8 for?
It will eventually be removed as support should have ended upstream.

I should have remembered about imagemagick it has been discussed before
in this thread. As for gnome-python I would have thought it would be pulled
by dev-python/gnome-python-extras-base which is in turn pulled by
dev-python/gtkmozembed-python I wonder if someone has forgotten a dependency
in there. I will have to add it to the ebuild in the meantime.

I think your earlier problems may have been caused by "lib64" and some
other peculiarity of python install on amd64 on gentoo I have seen it happen
before while working on other software (sage).
Comment 414 François Bissey 2009-02-03 21:58:26 UTC
Created attachment 180853 [details]
updated miro-2.0_rc2 ebuild

Updated the dependencies. Probably will have to clean RDEP and DEP
as most RDEP are not needed to build miro.

I just realised that dev-python/gnome-python will soon be split.
Anyone knows in which bit the stuff that we need will end up in?
Comment 415 François Bissey 2009-02-03 22:03:30 UTC
(In reply to comment #414)
> I just realised that dev-python/gnome-python will soon be split.
> Anyone knows in which bit the stuff that we need will end up in?
> 
Never mind I just found it:
dev-python/gconf-python
May have to check if we need any of these as well once we use the split
version:
dev-python/gnome-vfs-python
dev-python/libgnomecanvas-python
dev-python/libbonobo-python
dev-python/libgnome-python
I don't we will need any of these but we never know.
Comment 416 wayne 2009-02-04 02:42:36 UTC
Created attachment 180875 [details]
fixes xulrunner and rb_libtorrent lines in the ebuild

Miro should not have blocked xulrunner and ?rb_libtorrent 0.13 works just fine to build miro.
Comment 417 wayne 2009-02-04 03:29:09 UTC
Created attachment 180879 [details]
adds the dependency patch from  Francois Bissey  and fixes xulrunner and rb_libtorrent dependencies

Grant did you ever get miro working?
Comment 418 François Bissey 2009-02-04 09:31:44 UTC
(In reply to comment #416)
> Created an attachment (id=180875) [edit]
> fixes xulrunner and rb_libtorrent lines in the ebuild
> 
> Miro should not have blocked xulrunner and rb_libtorrent 0.13 works just
> fine to build miro.
>
So you are definite that in that case miro use the system rb_libtorrent?
I stated the reasons I initially blocked xulrunner-1.8 earlier if it is not
relevant anymore you are welcome to it. 

Comment 419 wayne 2009-02-04 13:28:20 UTC
(In reply to comment #418)

Yes I am sure xulrunner-1.9 is ok I and rb_libtorrent 0.13 is what is on my system and it works fine. I used miro about two hours. the current ebuild will not allow xulrunner-1.8
 
> (In reply to comment #416)
> > Created an attachment (id=180875) [edit]
> > fixes xulrunner and rb_libtorrent lines in the ebuild
> > 
> > Miro should not have blocked xulrunner and rb_libtorrent 0.13 works just
> > fine to build miro.
> >
> So you are definite that in that case miro use the system rb_libtorrent?
> I stated the reasons I initially blocked xulrunner-1.8 earlier if it is not
> relevant anymore you are welcome to it. 
> 

Comment 420 A. Person 2009-02-04 16:21:15 UTC
To answer your questions, Miro is working perfectly and is awesome.  I need xulrunner-1.8 for epiphany, yelp, and mplayerplug-in.  Thanks for updating the ebuild guys.  Are one of you in charge of the sunrise ebuild?
Comment 421 A. Person 2009-02-04 22:02:57 UTC
I tried the latest ebuild and it's working great.
Comment 422 A. Person 2009-02-04 22:41:30 UTC
I spoke too soon.  After getting all the deps right, trying to re-emerge miro I get:

 * ERROR: media-tv/miro-2.0_rc2-r1 failed.
 * Call stack:
 *                ebuild.sh, line   49:  Called pkg_setup
 *   miro-2.0_rc2-r1.ebuild, line   50:  Called built_with_use 'net-libs/rb_libtorrent' 'python'
 *            eutils.eclass, line 1740:  Called die
 * The specific snippet of code:
 *   					die)   die "$PKG does not actually support the $1 USE flag!";;
 *  The die message:
 *   net-libs/rb_libtorrent-0.13 does not actually support the python USE flag!
Comment 423 wayne 2009-02-05 00:32:41 UTC
(In reply to comment #422)

Try USE="berkbd python sqlite" emerge -ND1 miro

> I spoke too soon.  After getting all the deps right, trying to re-emerge miro I
> get:
> 
>  * ERROR: media-tv/miro-2.0_rc2-r1 failed.
>  * Call stack:
>  *                ebuild.sh, line   49:  Called pkg_setup
>  *   miro-2.0_rc2-r1.ebuild, line   50:  Called built_with_use
> 'net-libs/rb_libtorrent' 'python'
>  *            eutils.eclass, line 1740:  Called die
>  * The specific snippet of code:
>  *                                      die)   die "$PKG does not actually
> support the $1 USE flag!";;
>  *  The die message:
>  *   net-libs/rb_libtorrent-0.13 does not actually support the python USE flag!
> 

Comment 424 François Bissey 2009-02-05 00:41:05 UTC
(In reply to comment #422)
> I spoke too soon.  After getting all the deps right, trying to re-emerge miro I
> get:
> 
>  * ERROR: media-tv/miro-2.0_rc2-r1 failed.
>  * Call stack:
>  *                ebuild.sh, line   49:  Called pkg_setup
>  *   miro-2.0_rc2-r1.ebuild, line   50:  Called built_with_use
> 'net-libs/rb_libtorrent' 'python'
>  *            eutils.eclass, line 1740:  Called die
>  * The specific snippet of code:
>  *                                      die)   die "$PKG does not actually
> support the $1 USE flag!";;
>  *  The die message:
>  *   net-libs/rb_libtorrent-0.13 does not actually support the python USE flag!
> 
the ebuild for rb_itorrent-0.13 doesn't have a python use flag!
And of course my original ebuild check for it.
I am not sure if t is included in 0.13.1 or not.
By default for 0.13 the python binding are built I think, so for
that version the check is not necessary.

Comment 425 wayne 2009-02-05 03:22:22 UTC
(In reply to comment #424)

I created the bug. Your ebuild had 

>=net-libs/rb_libtorrent-0.14.1

I changed the ebuild because miro will work with 0.13 and 0.14.1 is still ~amd64 ~x86.

The check is needed for rb_libtorrent-0.14.1 

but not rb_libtorrent-0.13

> (In reply to comment #422)
> > I spoke too soon.  After getting all the deps right, trying to re-emerge miro I
> > get:
> > 
> >  * ERROR: media-tv/miro-2.0_rc2-r1 failed.
> >  * Call stack:
> >  *                ebuild.sh, line   49:  Called pkg_setup
> >  *   miro-2.0_rc2-r1.ebuild, line   50:  Called built_with_use
> > 'net-libs/rb_libtorrent' 'python'
> >  *            eutils.eclass, line 1740:  Called die
> >  * The specific snippet of code:
> >  *                                      die)   die "$PKG does not actually
> > support the $1 USE flag!";;
> >  *  The die message:
> >  *   net-libs/rb_libtorrent-0.13 does not actually support the python USE flag!
> > 
> the ebuild for rb_itorrent-0.13 doesn't have a python use flag!
> And of course my original ebuild check for it.
> I am not sure if t is included in 0.13.1 or not.
> By default for 0.13 the python binding are built I think, so for
> that version the check is not necessary.
> 

Comment 426 wayne 2009-02-05 04:14:37 UTC
Created attachment 181000 [details, diff]
The rb_itorrent python check is only for 0.14.1 now

(In reply to comment #424)

Now that the issue is fixed what do we do with the ebuild? Do you think one of the overlays would host this? The sunrise guys did not want to work with us.
Comment 427 wayne 2009-02-05 04:26:34 UTC
Created attachment 181001 [details, diff]
syntax fix for the rb_itorrent python check patch

please look this ebuild over.
Comment 428 A. Person 2009-02-05 05:25:58 UTC
I haven't had a chance to try the latest ebuild above, but all of a sudden I'm getting the following error trying to start miro after a reboot.  It's strange because I don't get the error on a different Gentoo machine after a reboot.  Both machines have boost-1.34.1-r2 and rb_libtorrent-0.13.  I'll try the latest ebuild tomorrow just in case.

$ miro
Traceback (most recent call last):
  File "/usr/bin/miro.real", line 56, in <module>
    from miro import singleclick
  File "//usr/lib64/python2.5/site-packages/miro/singleclick.py", line 49, in <module>
    from miro import item
  File "//usr/lib64/python2.5/site-packages/miro/item.py", line 46, in <module>
    from miro.database import DDBObject, ObjectNotFoundError
  File "database.pyx", line 47, in portable.database
ImportError: /usr/lib64/python2.5/site-packages/miro/fasttypes.so: undefined symbol: _ZN5boost6python9converter8registry6insertEPFPvP7_objectEPFvS5_PNS1_30rvalue_from_python_stage1_dataEENS0_9type_infoEPFPK11_typeobjectvE

Sunrise guys won't work with you?  Is it because this is a release candidate?
Comment 429 François Bissey 2009-02-05 08:33:44 UTC
(In reply to comment #427)
> Created an attachment (id=181001) [edit]
> syntax fix for the rb_itorrent python check patch
> 
> please look this ebuild over. 
> 

Looks fine now. I almost immediately realised what the problem was
but didn't have enough time to do anything else than pointing it out.

The only thing is we probably want to future proof it a little bit
and change the version test of rb_libtorrent from "=" to ">=".
If the flag is removed (unlikely) we'll deal with it.

Do the sunrise guys want an EAPI=2 ebuild for the use flag test?
Comment 430 A. Person 2009-02-05 15:52:50 UTC
My latest error above has disappeared after re-emerging miro with the new ebuild.  I think I just needed to re-emerge miro and I couldn't because of the rb_libtorrent python USE flag issue.  I still think that info at the end of the ebuild should be removed.  I was the one who wrote it originally and it no longer applies.
Comment 431 wayne 2009-02-05 20:44:06 UTC
(In reply to comment #429)

rb_itorrent reads >=net-libs/rb_libtorrent-0.13 now

The sunrise guys want EAPI=2 and and many other things. I asked for code example to learn from, but no one had a link.

> (In reply to comment #427)
> > Created an attachment (id=181001) [edit]
> > syntax fix for the rb_itorrent python check patch
> > 
> > please look this ebuild over. 
> > 
> 
> Looks fine now. I almost immediately realised what the problem was
> but didn't have enough time to do anything else than pointing it out.
> 
> The only thing is we probably want to future proof it a little bit
> and change the version test of rb_libtorrent from "=" to ">=".
> If the flag is removed (unlikely) we'll deal with it.
> 
> Do the sunrise guys want an EAPI=2 ebuild for the use flag test?
> 

Comment 432 François Bissey 2009-02-05 21:25:55 UTC
(In reply to comment #431)
> (In reply to comment #429)
> 
> rb_itorrent reads >=net-libs/rb_libtorrent-0.13 now
> 
That one too. When I wrote my comment I was thinking:
if has_version "=net-libs/rb_libtorrent-0.14.1" &&
should become:
if has_version ">=net-libs/rb_libtorrent-0.14.1" &&

For EAPI=2 a good start is the original document although
its true a nice web page as there is EAPI=0 would be nice.
http://dev.gentoo.org/~ferdy/pms/pms-eapi-2-approved-2008-09-25.pdf
Comment 433 thewtex 2009-02-07 07:20:23 UTC
Created attachment 181221 [details]
various fixes

updates to EAPI=2
description fix
keywords fix ( should be ~amd64 )
pkg_postinst removal based on recommendation by Grant

This ebuild can also be found in my funtoo fork here http://github.com/thewtex/portage/tree/thewtex
Comment 434 François Bissey 2009-02-07 08:32:48 UTC
Created attachment 181225 [details]
yet more tweaking for this rc2 ebuild

Thanks for the EAPI=2 ebuild and fixes.
I just future proofed it a little bit more for the upcoming 
splitting of gnome-python.
Comment 435 wayne 2009-02-08 06:55:57 UTC
Miro stoped working after emerge --sync; emerge -uD today. should dev-python/bsddb3 be added to the ebuild? I found the link below on google when miro stoped working.

http://www.getmiro.com/forum/comments.php?DiscussionID=381
Comment 436 François Bissey 2009-02-08 08:53:04 UTC
(In reply to comment #435)
> Miro stoped working after emerge --sync; emerge -uD today. should
> dev-python/bsddb3 be added to the ebuild? I found the link below on google when
> miro stoped working.
> 
> http://www.getmiro.com/forum/comments.php?DiscussionID=381
> 
Why would it be needed all of a sudden? On the other hand something may need
to be rebuilt after the update (revdep-rebuild) including miro.

When you start miro from the command line what is the error message?
Comment 437 wayne 2009-02-08 19:45:11 UTC
(In reply to comment #436)

the message was ImportError: No module named _bsddb

installing dev-python/bsddb3 fixed the issue with out rebuilding miro

The description reads "Python bindings for BerkeleyDB"

was this recnttly removed from python?
Comment 438 François Bissey 2009-02-08 22:47:11 UTC
(In reply to comment #437)
> (In reply to comment #436)
> 
> the message was ImportError: No module named _bsddb
> 
> installing dev-python/bsddb3 fixed the issue with out rebuilding miro
> 
> The description reads "Python bindings for BerkeleyDB"
> 
> was this recnttly removed from python?
> 
What version of python and which useflags are used?
Furthermore would it be a bother to have a list of what has
been updated, added and rebuild during this particular update?
(End of the file /var/log/emerge.log)

Comment 439 Benjamin Lannoy 2009-02-10 08:08:56 UTC
I try the last ebuild, but I have this message when I launch miro :

$ miro
location: /usr/lib64/xulrunner-1.9/libxpcom.so 
before 3
2009-02-10 09:03:52,871 INFO     Starting up Miro
2009-02-10 09:03:52,872 INFO     Version:    2.0-rc2
2009-02-10 09:03:52,880 INFO     OS:         Linux 2.6.28-gentoo-r1 x86_64
2009-02-10 09:03:52,881 INFO     Revision:   https://svn.participatoryculture.org/svn/dtv/tags/Miro-2.0-rc2/tv/resources - 9116
2009-02-10 09:03:52,882 INFO     Builder:    root@desktop
2009-02-10 09:03:52,883 INFO     Build Time: 1234252396.68
2009-02-10 09:03:52,883 INFO     Starting event loop thread
2009-02-10 09:03:52,894 INFO     Restoring database...
2009-02-10 09:03:52,895 INFO     Python version:    2.5.4 (r254:67916, Jan 24 2009, 11:30:41) 
[GCC 4.3.2]
2009-02-10 09:03:52,903 INFO     Connecting to /home/benjamin01/.miro/sqlitedb
2009-02-10 09:03:52,903 INFO     Gtk+ version:      (2, 14, 7)
2009-02-10 09:03:52,904 INFO     PyGObject version: (2, 16, 0)
2009-02-10 09:03:52,904 INFO     PyGtk version:     (2, 14, 0)
2009-02-10 09:03:52,905 INFO     Language:          [('LANG', 'fr_FR.UTF-8')]
2009-02-10 09:03:52,905 INFO     set_renderer: trying to add gstreamerrenderer
2009-02-10 09:03:53,330 INFO     GStreamer version: GStreamer 0.10.21
2009-02-10 09:03:53,481 INFO     GStreamer videosink: gconfvideosink
2009-02-10 09:03:53,487 INFO     GStreamer audiosink: gconfaudiosink
2009-02-10 09:03:53,598 INFO     set_renderer: successfully loaded gstreamerrenderer
2009-02-10 09:03:53,763 TIMING   Database load slow: 0.860
2009-02-10 09:03:53,764 INFO     Database size on disk (in bytes): 608256
2009-02-10 09:03:53,764 INFO     Database object count: 90
2009-02-10 09:03:53,897 TIMING   idle (finish startup) too slow (1.012 secs)
2009-02-10 09:03:53,898 INFO     Checking movies directory '/home/user/Movies/Miro/'...
2009-02-10 09:03:54,483 WARNING  Error downloading guide: <class 'miro.httpclient.UnexpectedStatusCode'>: Erreur: Erreur HTTP -- Mauvais code statut: 407
2009-02-10 09:03:54,486 WARNING  Error downloading guide: <class 'miro.httpclient.SSLConnectionError'>: Ne peut se connecter -- Erreur de connexion SSL
Comment 440 François Bissey 2009-02-10 09:31:38 UTC
(In reply to comment #439)
> I try the last ebuild, but I have this message when I launch miro :
> 
> $ miro
> location: /usr/lib64/xulrunner-1.9/libxpcom.so 
> before 3
> 2009-02-10 09:03:52,871 INFO     Starting up Miro
> 2009-02-10 09:03:52,872 INFO     Version:    2.0-rc2
> 2009-02-10 09:03:52,880 INFO     OS:         Linux 2.6.28-gentoo-r1 x86_64
> 2009-02-10 09:03:52,881 INFO     Revision:  
> https://svn.participatoryculture.org/svn/dtv/tags/Miro-2.0-rc2/tv/resources -
> 9116
> 2009-02-10 09:03:52,882 INFO     Builder:    root@desktop
> 2009-02-10 09:03:52,883 INFO     Build Time: 1234252396.68
> 2009-02-10 09:03:52,883 INFO     Starting event loop thread
> 2009-02-10 09:03:52,894 INFO     Restoring database...
> 2009-02-10 09:03:52,895 INFO     Python version:    2.5.4 (r254:67916, Jan 24
> 2009, 11:30:41) 
> [GCC 4.3.2]
> 2009-02-10 09:03:52,903 INFO     Connecting to /home/benjamin01/.miro/sqlitedb
> 2009-02-10 09:03:52,903 INFO     Gtk+ version:      (2, 14, 7)
> 2009-02-10 09:03:52,904 INFO     PyGObject version: (2, 16, 0)
> 2009-02-10 09:03:52,904 INFO     PyGtk version:     (2, 14, 0)
> 2009-02-10 09:03:52,905 INFO     Language:          [('LANG', 'fr_FR.UTF-8')]
> 2009-02-10 09:03:52,905 INFO     set_renderer: trying to add gstreamerrenderer
> 2009-02-10 09:03:53,330 INFO     GStreamer version: GStreamer 0.10.21
> 2009-02-10 09:03:53,481 INFO     GStreamer videosink: gconfvideosink
> 2009-02-10 09:03:53,487 INFO     GStreamer audiosink: gconfaudiosink
> 2009-02-10 09:03:53,598 INFO     set_renderer: successfully loaded
> gstreamerrenderer
> 2009-02-10 09:03:53,763 TIMING   Database load slow: 0.860
> 2009-02-10 09:03:53,764 INFO     Database size on disk (in bytes): 608256
> 2009-02-10 09:03:53,764 INFO     Database object count: 90
> 2009-02-10 09:03:53,897 TIMING   idle (finish startup) too slow (1.012 secs)
> 2009-02-10 09:03:53,898 INFO     Checking movies directory
> '/home/user/Movies/Miro/'...
> 2009-02-10 09:03:54,483 WARNING  Error downloading guide: <class
> 'miro.httpclient.UnexpectedStatusCode'>: Erreur: Erreur HTTP -- Mauvais code
> statut: 407
> 2009-02-10 09:03:54,486 WARNING  Error downloading guide: <class
> 'miro.httpclient.SSLConnectionError'>: Ne peut se connecter -- Erreur de
> connexion SSL
> 
OK do you have pyopenssl installed? If not, does installing it solve the 
problem? Good thing I am French too.

Comment 441 Benjamin Lannoy 2009-02-10 09:57:11 UTC
Yes, dev-python/pyopenssl is installed on version 0.8.

I try to re-emerge it, but the problem persists.

Can I try something special thing to help you to fix the problem ?
Comment 442 wayne 2009-02-10 23:46:02 UTC
(In reply to comment #439)

Try revdep-rebuild --library libxpcom.so; emerge -1 dev-python/bsddb3; emerge -1 miro 


> I try the last ebuild, but I have this message when I launch miro :
> 
> $ miro
> location: /usr/lib64/xulrunner-1.9/libxpcom.so 
> before 3
> 2009-02-10 09:03:52,871 INFO     Starting up Miro
> 2009-02-10 09:03:52,872 INFO     Version:    2.0-rc2
> 2009-02-10 09:03:52,880 INFO     OS:         Linux 2.6.28-gentoo-r1 x86_64
> 2009-02-10 09:03:52,881 INFO     Revision:  
> https://svn.participatoryculture.org/svn/dtv/tags/Miro-2.0-rc2/tv/resources -
> 9116
> 2009-02-10 09:03:52,882 INFO     Builder:    root@desktop
> 2009-02-10 09:03:52,883 INFO     Build Time: 1234252396.68
> 2009-02-10 09:03:52,883 INFO     Starting event loop thread
> 2009-02-10 09:03:52,894 INFO     Restoring database...
> 2009-02-10 09:03:52,895 INFO     Python version:    2.5.4 (r254:67916, Jan 24
> 2009, 11:30:41) 
> [GCC 4.3.2]
> 2009-02-10 09:03:52,903 INFO     Connecting to /home/benjamin01/.miro/sqlitedb
> 2009-02-10 09:03:52,903 INFO     Gtk+ version:      (2, 14, 7)
> 2009-02-10 09:03:52,904 INFO     PyGObject version: (2, 16, 0)
> 2009-02-10 09:03:52,904 INFO     PyGtk version:     (2, 14, 0)
> 2009-02-10 09:03:52,905 INFO     Language:          [('LANG', 'fr_FR.UTF-8')]
> 2009-02-10 09:03:52,905 INFO     set_renderer: trying to add gstreamerrenderer
> 2009-02-10 09:03:53,330 INFO     GStreamer version: GStreamer 0.10.21
> 2009-02-10 09:03:53,481 INFO     GStreamer videosink: gconfvideosink
> 2009-02-10 09:03:53,487 INFO     GStreamer audiosink: gconfaudiosink
> 2009-02-10 09:03:53,598 INFO     set_renderer: successfully loaded
> gstreamerrenderer
> 2009-02-10 09:03:53,763 TIMING   Database load slow: 0.860
> 2009-02-10 09:03:53,764 INFO     Database size on disk (in bytes): 608256
> 2009-02-10 09:03:53,764 INFO     Database object count: 90
> 2009-02-10 09:03:53,897 TIMING   idle (finish startup) too slow (1.012 secs)
> 2009-02-10 09:03:53,898 INFO     Checking movies directory
> '/home/user/Movies/Miro/'...
> 2009-02-10 09:03:54,483 WARNING  Error downloading guide: <class
> 'miro.httpclient.UnexpectedStatusCode'>: Erreur: Erreur HTTP -- Mauvais code
> statut: 407
> 2009-02-10 09:03:54,486 WARNING  Error downloading guide: <class
> 'miro.httpclient.SSLConnectionError'>: Ne peut se connecter -- Erreur de
> connexion SSL
> 

Comment 443 Jens Mueller 2009-02-10 23:48:22 UTC
2.0_rc2-r1 works fine for me on amd64
Comment 444 wayne 2009-02-11 00:00:30 UTC
(In reply to comment #443)

What version of python is on your system?

> 2.0_rc2-r1 works fine for me on amd64
> 

Comment 445 Jens Mueller 2009-02-11 00:02:02 UTC
Hmpf, sorry - can't really say because I just updated to dev-lang/python-2.5.2-r7
Comment 446 Jens Mueller 2009-02-11 00:03:50 UTC
Oh, I think it was just a rebuild due to changed use flag specs.

# eix dev-lang/python
[U] dev-lang/python
     Available versions:
        (2.4)   2.4.4-r5 2.4.4-r6 2.4.4-r14 ~2.4.4-r15
        (2.5)   2.5.2-r7 ~2.5.2-r8 ~2.5.4-r2
        (2.6)   [M]~2.6-r5 [M]~2.6.1
        {berkdb bootstrap build cxx doc elibc_uclibc examples gdbm ipv6 ncurses nocxx nothreads readline sqlite ssl threads tk ucs2 wininst xml}
     Installed versions:  2.4.4-r9(2.4)(16:20:56 25.07.2008)(berkdb doc gdbm ipv6 ncurses readline ssl tk -bootstrap -build -elibc_uclibc -examples -nocxx -nothreads -ucs2)
                          2.5.2-r7(2.5)(01:00:42 11.02.2009)(berkdb doc gdbm ipv6 ncurses readline sqlite ssl threads tk xml -build -elibc_uclibc -examples -ucs2 -wininst)
Comment 447 François Bissey 2009-02-11 00:43:33 UTC
(In reply to comment #446)
> Oh, I think it was just a rebuild due to changed use flag specs.
> 
> # eix dev-lang/python
> [U] dev-lang/python
>      Available versions:
>         (2.4)   2.4.4-r5 2.4.4-r6 2.4.4-r14 ~2.4.4-r15
>         (2.5)   2.5.2-r7 ~2.5.2-r8 ~2.5.4-r2
>         (2.6)   [M]~2.6-r5 [M]~2.6.1
>         {berkdb bootstrap build cxx doc elibc_uclibc examples gdbm ipv6 ncurses
> nocxx nothreads readline sqlite ssl threads tk ucs2 wininst xml}
>      Installed versions:  2.4.4-r9(2.4)(16:20:56 25.07.2008)(berkdb doc gdbm
> ipv6 ncurses readline ssl tk -bootstrap -build -elibc_uclibc -examples -nocxx
> -nothreads -ucs2)
>                           2.5.2-r7(2.5)(01:00:42 11.02.2009)(berkdb doc gdbm
> ipv6 ncurses readline sqlite ssl threads tk xml -build -elibc_uclibc -examples
> -ucs2 -wininst)
> 

Wayne, that was why I asked you earlier about your useflags. There is a
berkdb flag (among other useflags) and I think it provides the same 
functionality than bsddb although I am not 100% on that.

I have no real clue on Benjamin problem unless his openssl install is foobar
which can happen. Also does anyone know why miro use ssl (probably https) at
start up, I cannot seem to track this usage on my install (tried to follow 
with strace). Miro has also some debug option to use with gdb but we don't 
have a debug flag, anyone has an idea on how to add this?
Comment 448 DaggyStyle 2009-02-11 07:22:06 UTC
hello, I'm trying to install the 1.28-r1 version, first I'm happy to see that at last miro is not dependent on gnome anymore.

second, the build fails for some reason, here is the output:
building 'miro.libtorrent' extension
creating build/temp.linux-x86_64-2.5/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent
creating build/temp.linux-x86_64-2.5/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src
creating build/temp.linux-x86_64-2.5/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/kademlia
creating build/temp.linux-x86_64-2.5/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/bindings
creating build/temp.linux-x86_64-2.5/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/bindings/python
creating build/temp.linux-x86_64-2.5/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/bindings/python/src
x86_64-pc-linux-gnu-g++ -pthread -DNDEBUG -march=core2 -O2 -pipe -fPIC -I/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include -I/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent -I/usr/include/python2.5 -c -I/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include -I/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent -I/usr/include/python2.5 -c /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/http_tracker_connection.cpp -o build/temp.linux-x86_64-2.5/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/http_tracker_connection.o -Wno-missing-braces -DHAVE_INCLUDE_LIBTORRENT_ASIO____ASIO_HPP=1 -DHAVE_INCLUDE_LIBTORRENT_ASIO_SSL_STREAM_HPP=1 -DHAVE_INCLUDE_LIBTORRENT_ASIO_IP_TCP_HPP=1 -DHAVE_PTHREAD=1 -DTORRENT_USE_OPENSSL=1 -DHAVE_SSL=1 -DNDEBUG=1 -O2 -DAMD64
In file included from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/detail/select_interrupter.hpp:24,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/detail/epoll_reactor.hpp:42,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/impl/io_service.ipp:25,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/io_service.hpp:506,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/basic_io_object.hpp:20,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/basic_socket_acceptor.hpp:20,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/ip/tcp.hpp:20,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/socket.hpp:48,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/tracker_manager.hpp:57,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/http_tracker_connection.cpp:55:
/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/detail/pipe_select_interrupter.hpp: In member function ‘void asio::detail::pipe_select_interrupter::interrupt()’:
/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/detail/pipe_select_interrupter.hpp:64: warning: ignoring return value of ‘ssize_t write(int, const void*, size_t)’, declared with attribute warn_unused_result
x86_64-pc-linux-gnu-g++ -pthread -DNDEBUG -march=core2 -O2 -pipe -fPIC -I/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include -I/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent -I/usr/include/python2.5 -c -I/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include -I/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent -I/usr/include/python2.5 -c /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/socks5_stream.cpp -o build/temp.linux-x86_64-2.5/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/socks5_stream.o -Wno-missing-braces -DHAVE_INCLUDE_LIBTORRENT_ASIO____ASIO_HPP=1 -DHAVE_INCLUDE_LIBTORRENT_ASIO_SSL_STREAM_HPP=1 -DHAVE_INCLUDE_LIBTORRENT_ASIO_IP_TCP_HPP=1 -DHAVE_PTHREAD=1 -DTORRENT_USE_OPENSSL=1 -DHAVE_SSL=1 -DNDEBUG=1 -O2 -DAMD64
In file included from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/detail/select_interrupter.hpp:24,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/detail/epoll_reactor.hpp:42,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/impl/io_service.ipp:25,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/io_service.hpp:506,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/basic_io_object.hpp:20,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/basic_socket_acceptor.hpp:20,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/ip/tcp.hpp:20,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/socket.hpp:48,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/proxy_base.hpp:37,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/socks5_stream.hpp:36,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/socks5_stream.cpp:35:
/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/detail/pipe_select_interrupter.hpp: In member function ‘void asio::detail::pipe_select_interrupter::interrupt()’:
/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/detail/pipe_select_interrupter.hpp:64: warning: ignoring return value of ‘ssize_t write(int, const void*, size_t)’, declared with attribute warn_unused_result
x86_64-pc-linux-gnu-g++ -pthread -DNDEBUG -march=core2 -O2 -pipe -fPIC -I/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include -I/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent -I/usr/include/python2.5 -c -I/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include -I/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent -I/usr/include/python2.5 -c /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/piece_picker.cpp -o build/temp.linux-x86_64-2.5/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/piece_picker.o -Wno-missing-braces -DHAVE_INCLUDE_LIBTORRENT_ASIO____ASIO_HPP=1 -DHAVE_INCLUDE_LIBTORRENT_ASIO_SSL_STREAM_HPP=1 -DHAVE_INCLUDE_LIBTORRENT_ASIO_IP_TCP_HPP=1 -DHAVE_PTHREAD=1 -DTORRENT_USE_OPENSSL=1 -DHAVE_SSL=1 -DNDEBUG=1 -O2 -DAMD64
In file included from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/piece_picker.hpp:50,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/piece_picker.cpp:43:
/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/peer_id.hpp: In constructor ‘libtorrent::big_number::big_number(const std::string&)’:
/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/peer_id.hpp:63: error: ‘memcpy’ is not a member of ‘std’
In file included from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/detail/select_interrupter.hpp:24,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/detail/epoll_reactor.hpp:42,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/impl/io_service.ipp:25,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/io_service.hpp:506,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/basic_io_object.hpp:20,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/basic_socket_acceptor.hpp:20,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/ip/tcp.hpp:20,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/socket.hpp:48,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/piece_picker.hpp:51,
                 from /var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/src/piece_picker.cpp:43:
/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/detail/pipe_select_interrupter.hpp: In member function ‘void asio::detail::pipe_select_interrupter::interrupt()’:
/var/tmp/portage/media-tv/miro-1.2.8-r1/work/Miro-1.2.8/portable/libtorrent/include/libtorrent/asio/detail/pipe_select_interrupter.hpp:64: warning: ignoring return value of ‘ssize_t write(int, const void*, size_t)’, declared with attribute warn_unused_result
error: command 'x86_64-pc-linux-gnu-g++' failed with exit status 1
 *
 * ERROR: media-tv/miro-1.2.8-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2838:  Called distutils_src_compile
 *             environment, line  949:  Called die
 * The specific snippet of code:
 *       ${python} setup.py build "$@" || die "compilation failed"
 *  The die message:
 *   compilation failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-tv/miro-1.2.8-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-tv/miro-1.2.8-r1/temp/environment'.
 * This ebuild is from an overlay named 'Own Portage Overlay': '/usr/local/portage/'
 *

any hints?
Comment 449 François Bissey 2009-02-11 09:51:21 UTC
(In reply to comment #448)
> hello, I'm trying to install the 1.28-r1 version, first I'm happy to see that
> at last miro is not dependent on gnome anymore.
> 
> second, the build fails for some reason, here is the output:
> building 'miro.libtorrent' extension
> creating
<snip>
> 
> any hints?
> 
You are using gcc-4.3 aren't you  :) 
You need to add the gcc-4.3 patch from miro-1.2.6-gcc43.ebuild.tar.gz.
That should solve your problem.
On the other hand we are gearing for the newly released miro-2.0
why do you want to stick 1.2.8?
Comment 450 DaggyStyle 2009-02-11 14:29:12 UTC
(In reply to comment #449)
> (In reply to comment #448)
> > hello, I'm trying to install the 1.28-r1 version, first I'm happy to see that
> > at last miro is not dependent on gnome anymore.
> > 
> > second, the build fails for some reason, here is the output:
> > building 'miro.libtorrent' extension
> > creating
> <snip>
> > 
> > any hints?
> > 
> You are using gcc-4.3 aren't you  :) 
> You need to add the gcc-4.3 patch from miro-1.2.6-gcc43.ebuild.tar.gz.
> That should solve your problem.
> On the other hand we are gearing for the newly released miro-2.0
> why do you want to stick 1.2.8?
> 

thanks for the info, well 2.0 is RC right? I would rather stay is the stable one if I don't have to, btw, surly I'm not the only one that uses gcc 4.3 with 1.28, no one has created a updated ebuild for this isuse?
Comment 451 Henrique Rodrigues 2009-02-11 14:52:45 UTC
(In reply to comment #450)
> thanks for the info, well 2.0 is RC right? I would rather stay is the stable
> one if I don't have to, btw, surly I'm not the only one that uses gcc 4.3 with
> 1.28, no one has created a updated ebuild for this isuse?

Miro 2.0 final was released yesterday, so sticking with 1.x is not a good idea, IMHO.
Comment 452 Benjamin Lannoy 2009-02-11 15:15:45 UTC
(In reply to comment #442)
> (In reply to comment #439)
> 
> Try revdep-rebuild --library libxpcom.so; emerge -1 dev-python/bsddb3; emerge
> -1 miro 

Done.

It's strange, but the problem is not always reproducible. More ore less one time on two.

But Miro can't never be launch.

I try to launch it with debug mode :

$ miro --debug
DEBUGGING MODE.
GNU gdb 6.8
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu"...
(no debugging symbols found)
Function "gdk_x_error" not defined.
Breakpoint 1 (gdk_x_error) pending.
Starting program: /usr/bin/python ./miro.real --sync --debug
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
/usr/bin/python: can't open file './miro.real': [Errno 2] No such file or directory

Program exited with code 02.

(Scuse me for my poor english)
Comment 453 A. Person 2009-02-11 17:03:05 UTC
I get the same error as above when trying to launch 'miro --debug'.  I'd like to run debug mode so I can work on adding Nvidia VDPAU support.  Please let me know if you see any clues.
Comment 454 wayne 2009-02-11 20:18:32 UTC
(In reply to comment #447)

Looks like python changed a good bit around 2.5.*
openssl moved some files around causing some things to break. The openssl printed instructions on how to fix the issue, but some may have missed the notice. I am currently running emerge -e world to fix breakage. revdep-rebuild was just not good enough. 


> (In reply to comment #446)
> > Oh, I think it was just a rebuild due to changed use flag specs.
> > 
> > # eix dev-lang/python
> > [U] dev-lang/python
> >      Available versions:
> >         (2.4)   2.4.4-r5 2.4.4-r6 2.4.4-r14 ~2.4.4-r15
> >         (2.5)   2.5.2-r7 ~2.5.2-r8 ~2.5.4-r2
> >         (2.6)   [M]~2.6-r5 [M]~2.6.1
> >         {berkdb bootstrap build cxx doc elibc_uclibc examples gdbm ipv6 ncurses
> > nocxx nothreads readline sqlite ssl threads tk ucs2 wininst xml}
> >      Installed versions:  2.4.4-r9(2.4)(16:20:56 25.07.2008)(berkdb doc gdbm
> > ipv6 ncurses readline ssl tk -bootstrap -build -elibc_uclibc -examples -nocxx
> > -nothreads -ucs2)
> >                           2.5.2-r7(2.5)(01:00:42 11.02.2009)(berkdb doc gdbm
> > ipv6 ncurses readline sqlite ssl threads tk xml -build -elibc_uclibc -examples
> > -ucs2 -wininst)
> > 
> 
> Wayne, that was why I asked you earlier about your useflags. There is a
> berkdb flag (among other useflags) and I think it provides the same 
> functionality than bsddb although I am not 100% on that.
> 
> I have no real clue on Benjamin problem unless his openssl install is foobar
> which can happen. Also does anyone know why miro use ssl (probably https) at
> start up, I cannot seem to track this usage on my install (tried to follow 
> with strace). Miro has also some debug option to use with gdb but we don't 
> have a debug flag, anyone has an idea on how to add this?
> 

Comment 455 DaggyStyle 2009-02-11 21:53:37 UTC
(In reply to comment #451)
> (In reply to comment #450)
> > thanks for the info, well 2.0 is RC right? I would rather stay is the stable
> > one if I don't have to, btw, surly I'm not the only one that uses gcc 4.3 with
> > 1.28, no one has created a updated ebuild for this isuse?
> 
> Miro 2.0 final was released yesterday, so sticking with 1.x is not a good idea,
> IMHO.
> 
it is a great idea since once again, I have to install gnome in order to get miro when 1.28 don't have to install gnome.

Comment 456 Henrique Rodrigues 2009-02-11 22:15:08 UTC
(In reply to comment #455)
> (In reply to comment #451)
> > (In reply to comment #450)
> > > thanks for the info, well 2.0 is RC right? I would rather stay is the stable
> > > one if I don't have to, btw, surly I'm not the only one that uses gcc 4.3 with
> > > 1.28, no one has created a updated ebuild for this isuse?
> > 
> > Miro 2.0 final was released yesterday, so sticking with 1.x is not a good idea,
> > IMHO.
> > 
> it is a great idea since once again, I have to install gnome in order to get
> miro when 1.28 don't have to install gnome.

What? You don't have to install GNOME. Where did you get that idea? 

Comment 457 DaggyStyle 2009-02-11 22:21:24 UTC
(In reply to comment #456)
> (In reply to comment #455)
> > (In reply to comment #451)
> > > (In reply to comment #450)
> > > > thanks for the info, well 2.0 is RC right? I would rather stay is the stable
> > > > one if I don't have to, btw, surly I'm not the only one that uses gcc 4.3 with
> > > > 1.28, no one has created a updated ebuild for this isuse?
> > > 
> > > Miro 2.0 final was released yesterday, so sticking with 1.x is not a good idea,
> > > IMHO.
> > > 
> > it is a great idea since once again, I have to install gnome in order to get
> > miro when 1.28 don't have to install gnome.
> 
> What? You don't have to install GNOME. Where did you get that idea? 
> 

I've modified the ebuild to support version 2.0 and this is what I get:
[ebuild  N    ] media-tv/miro-2.0-r1  USE="-notify" 0 kB [1]
[ebuild  N    ]  dev-python/gnome-python-2.22.0  USE="-debug -doc -examples" 527 kB [0]
[ebuild  N    ]   gnome-base/libgnomeui-2.22.1  USE="jpeg -debug -doc" 1,417 kB [0]
[ebuild  N    ]    x11-themes/gnome-icon-theme-2.22.0  USE="-debug" 3,581 kB [0]
[ebuild  N    ]     x11-misc/icon-naming-utils-0.8.6  68 kB [0]
[ebuild  N    ]      dev-perl/XML-Simple-2.18  70 kB [0]
[ebuild  N    ]       dev-perl/XML-LibXML-1.66-r1  271 kB [0]
[ebuild  N    ]        dev-perl/XML-LibXML-Common-0.13  13 kB [0]
[ebuild  N    ]       virtual/perl-Test-Simple-0.70  0 kB [0]
[ebuild  N    ]    gnome-base/libbonoboui-2.22.0  USE="X -debug -doc" 983 kB [0]
[ebuild  N    ]     gnome-base/libgnomecanvas-2.20.1.1  USE="X -debug -doc" 570 kB [0]
[ebuild  N    ]      gnome-base/gail-1.22.3  USE="-debug -doc" 659 kB [0]
[ebuild  N    ]     gnome-base/libgnome-2.22.0  USE="esd -debug -doc" 1,375 kB [0]
[ebuild  N    ]      gnome-base/gnome-vfs-2.22.0  USE="acl fam hal samba ssl -avahi -debug -doc -gnutls -ipv6 -kerberos" 1,895 kB [0]
[ebuild  N    ]       gnome-base/gnome-mount-0.8  USE="-debug -nautilus" 494 kB [0]
[ebuild  N    ]        gnome-base/gnome-keyring-2.22.3  USE="hal pam -debug -doc -test" 874 kB [0]
[ebuild  N    ]         dev-libs/libtasn1-1.3  USE="-doc" 0 kB [0]
[ebuild  N    ]       gnome-base/gnome-common-2.20.0  USE="-debug" 63 kB [0]
[ebuild  N    ]   dev-python/pyorbit-2.14.3  USE="-debug" 278 kB [0]
[ebuild  N    ]  dev-python/gst-python-0.10.12  USE="-examples" 462 kB [0]
[ebuild  N    ]   media-libs/gst-plugins-base-0.10.20  USE="nls -debug" 0 kB [0]
[ebuild  N    ]    dev-libs/liboil-0.3.15  USE="-doc" 0 kB [0]
[ebuild  N    ]    media-libs/gstreamer-0.10.20  USE="nls -debug -test" 0 kB [0]
[ebuild  N    ]     dev-libs/check-0.9.5-r1  0 kB [0]
[ebuild  N    ]  net-libs/rb_libtorrent-0.13  USE="-debug" 1,468 kB [0]
[nomerge      ] dev-perl/XML-Simple-2.18  [0]
[ebuild  N    ]  perl-core/Test-Simple-0.70  0 kB [0]
[nomerge      ] gnome-base/libgnomeui-2.22.1  USE="jpeg -debug -doc"  [0]
[nomerge      ]  gnome-base/libgnome-2.22.0  USE="esd -debug -doc"  [0]
[ebuild  N    ]   gnome-base/libbonobo-2.24.0  USE="-debug -doc" 0 kB [0]

Comment 458 DaggyStyle 2009-02-11 22:58:39 UTC
btw, did anyone noticed that last two 2.0 ebuild have no other sections beside the header?
Comment 459 François Bissey 2009-02-12 00:49:10 UTC
(In reply to comment #457)
> (In reply to comment #456)
> > (In reply to comment #455)
> > > (In reply to comment #451)
> > > > (In reply to comment #450)
> > > > > thanks for the info, well 2.0 is RC right? I would rather stay is the stable
> > > > > one if I don't have to, btw, surly I'm not the only one that uses gcc 4.3 with
> > > > > 1.28, no one has created a updated ebuild for this isuse?
> > > > 
> > > > Miro 2.0 final was released yesterday, so sticking with 1.x is not a good idea,
> > > > IMHO.
> > > > 
> > > it is a great idea since once again, I have to install gnome in order to get
> > > miro when 1.28 don't have to install gnome.
> > 
> > What? You don't have to install GNOME. Where did you get that idea? 
> > 
> 
> I've modified the ebuild to support version 2.0 and this is what I get:
> [ebuild  N    ] media-tv/miro-2.0-r1  USE="-notify" 0 kB [1]
> [ebuild  N    ]  dev-python/gnome-python-2.22.0  USE="-debug -doc -examples"
> 527 kB [0]
> [ebuild  N    ]   gnome-base/libgnomeui-2.22.1  USE="jpeg -debug -doc" 1,417 kB
> [0]
> [ebuild  N    ]    x11-themes/gnome-icon-theme-2.22.0  USE="-debug" 3,581 kB
> [0]
That's not all of gnome but unfortunately a few gnome libraries are installed.
It is quite tough to avoid to pull any gnome libraries at all this days.
But it is limited - it will be even more limited when we switch to split
gnome-python.
Historically I had gnome-games installed for a long time on my system it
required a limited set of gnome libraries to work... until gnome-2.18
I think where they started to pull absolutely the whole of gnome (complete
with nautilus, totem and what's not). This is a very small but widely used
subset that is pulled here. Most of which should also have been pulled
in miro-1.2.8 I notice, if it didn't it should have.

About the 1.2.8 for gcc-4.3 I had one but never got around to post it 
(deleted now but would be easy to regenerate if you really want it) and
then I switched to the 2.0_rc series which works out of the box.
Comment 460 François Bissey 2009-02-12 00:51:41 UTC
(In reply to comment #458)
> btw, did anyone noticed that last two 2.0 ebuild have no other sections beside
> the header?
> 

That's perfectly normal - the default distutils eclass does all the
right thing out of the box and there has been no need to tweak anything
so far.
So no src_*****() as the default one do the job.
Comment 461 Reuben Martin 2009-02-12 03:15:39 UTC
Created attachment 181729 [details]
Miro-2.0.1 Ebuild

Update ebuild for 2.0.1
Comment 462 peak eyed 2009-02-12 16:16:39 UTC
Miro-2.0.1 Installation was successful.But running it gave the follwoing error.

Traceback (most recent call last):
  File "/usr/bin/miro.real", line 253, in <module>
    startapp()
  File "/usr/bin/miro.real", line 198, in startapp
    startup(props_to_set)
  File "/usr/bin/miro.real", line 80, in startup
    from miro.plat.frontends.widgets.application import GtkX11Application
  File "//usr/lib/python2.5/site-packages/miro/plat/frontends/widgets/application.py", line 46, in <module>
    from miro.frontends.widgets.application import Application
  File "//usr/lib/python2.5/site-packages/miro/frontends/widgets/application.py", line 46, in <module>
    from miro.frontends.widgets import dialogs
  File "//usr/lib/python2.5/site-packages/miro/frontends/widgets/dialogs.py", line 41, in <module>
    from miro.frontends.widgets import style
  File "//usr/lib/python2.5/site-packages/miro/frontends/widgets/style.py", line 40, in <module>
    from miro.frontends.widgets import imagepool
  File "//usr/lib/python2.5/site-packages/miro/frontends/widgets/imagepool.py", line 41, in <module>
    from miro.plat.frontends.widgets import widgetset
  File "//usr/lib/python2.5/site-packages/miro/plat/frontends/widgets/widgetset.py", line 39, in <module>
    from miro.plat.frontends.widgets import mozprompt
ImportError: libxul.so: cannot open shared object file: No such file or directory
Comment 463 A. Person 2009-02-12 18:31:14 UTC
2.0.1 ebuild working great here.
Comment 464 Reuben Martin 2009-02-13 03:03:29 UTC
Created attachment 181829 [details]
notify -> libnotify

Changed ebuild to use the "libnotify" flag rather than "notify" to conform to the USE flag scheme used in portage proper.
Comment 465 Reuben Martin 2009-02-13 03:12:40 UTC
(In reply to comment #462)

> ImportError: libxul.so: cannot open shared object file: No such file or
> directory
> 

It's not able to find your xulrunner libs.

Mine finds libxul.so, but the lib segfaults for some reason...
Comment 466 peak eyed 2009-02-14 00:00:46 UTC
I messed around a few things and now it is working. Mainly, I guess, cleaning my xulrunner version and then a revdep-rebuild made is work. 
Comment 467 Andree Chea 2009-02-15 07:50:57 UTC
Miro 2.0.1 (from comment #464) is working great on amd64.  I have a few questions though:

1)  Requiring rb_libtorrent is not a problem with me, but I keep seeing source files in the emerge --verbose output referencing a libtorrent within the Miro-2.0.1 workdir.  Does this mean that Miro is ignoring our system rb_libtorrent and using it's internal one?

/var/tmp/portage/media-tv/miro-2.0.1/work/Miro-2.0.1/portable/libtorrent/src/

2)  The ReleaseNotes say that it compiles against rb_libtorrent >= 0.14, but the ebuild allows 0.13 to be installed.  Is this related to #1?

https://develop.participatoryculture.org/trac/democracy/wiki/2.0ReleaseNotes bug 10263

3)  GStreamer isn't required, but when I first started miro, I got errors like "gstreamer not found" and had to change to the Xine renderer in the options manually.  I added a USE flag to the ebuild, but since I got the gstreamer error, I'm not sure if on a new install it would work out and detect Xine:

--- /home/andree/Desktop/miro-2.0.1.ebuild      2009-02-15 00:17:09.073119815 -0700
+++ /usr/local/portage/media-tv/miro/miro-2.0.1.ebuild  2009-02-15 00:19:36.671119571 -0700
@@ -14,7 +14,7 @@

 EAPI="2"

-IUSE="libnotify"
+IUSE="libnotify gstreamer"

 RDEPEND=">=dev-python/pygtk-2.10
        || ( >=dev-lang/python-2.5[berkdb,sqlite]
@@ -29,7 +29,7 @@
        media-libs/xine-lib
        || ( =net-libs/rb_libtorrent-0.13
                >=net-libs/rb_libtorrent-0.14[python] )
-       dev-python/gst-python
+       gstreamer? ( dev-python/gst-python )
        libnotify? ( dev-python/notify-python )"
 DEPEND="${RDEPEND}
        sys-devel/gettext

Comment 468 Steve Herber 2009-02-15 07:52:13 UTC
Created attachment 182101 [details]
initial startup messages showing datbase upgrades

I have been watching this bug for ages and this is my report on the 2.0.1 version on amd64.  I run mostly stable so I had to add /etc/portage/package.keyword entries for:
media-tv/miro
dev-python/gtkmozembed-python
dev-python/pyrex
dev-python/gnome-python-extras-base

I did not enable the libnotify USE flag.  I had installed xulrunner-1.9.0.6-r1.

A simple emerge then worked and the application is running but I do wonder about the database timeout messages.  Now to play with miro, ne democracy, for the first time in ages.  Thanks.
Comment 469 Jasper Jaklofsky 2009-02-15 10:59:03 UTC
Created attachment 182111 [details]
Here is my dump from miro --debug

There's also an error in the /usr/bin/miro. In thebug mode it searches for the file ./miro.real. just remove the ./ and the debugger works.
Comment 470 A. Person 2009-02-17 01:41:17 UTC
(In reply to comment #469)
> There's also an error in the /usr/bin/miro. In thebug mode it searches for the
> file ./miro.real. just remove the ./ and the debugger works.

To get it to work I had to change it to /usr/bin/miro.

Comment 471 Andree Chea 2009-02-18 22:40:16 UTC
(In reply to comment #467)
> Miro 2.0.1 (from comment #464) is working great on amd64.  I have a few
> questions though:

well, in reference to 1 (and 2?), I just tried the hardmasked rb-libtorrent 0.14.1 with python USE flag and the emerge --verbose output definitely says that it was using the system lib torrent.  Are you guys sure that rb-libtorrent-0.13 is being used?  I'm not because I saw 

/var/tmp/portage/media-tv/miro-2.0.1/work/Miro-2.0.1/portable/libtorrent/src/

which I think is the Miro libtorrent library.  I noticed that Miro compiles "really fast" after rb_libtorrent-0.14.1 +python USE flag was installed as well (since it wasn't compiling its own libtorrent).

Ignore my issue #2 and patch.  Even though gstreamer isn't required, the ReleaseNotes page does say that gstreamer is the default (even if not installed?).  It wouldn't be user-friendly if a software didn't work right out of the box.
Comment 472 François Bissey 2009-02-18 22:58:41 UTC
(In reply to comment #471)
> (In reply to comment #467)
> > Miro 2.0.1 (from comment #464) is working great on amd64.  I have a few
> > questions though:
> 
> well, in reference to 1 (and 2?), I just tried the hardmasked rb-libtorrent
> 0.14.1 with python USE flag and the emerge --verbose output definitely says
> that it was using the system lib torrent.  Are you guys sure that
> rb-libtorrent-0.13 is being used?  I'm not because I saw 
> 
> /var/tmp/portage/media-tv/miro-2.0.1/work/Miro-2.0.1/portable/libtorrent/src/
> 
> which I think is the Miro libtorrent library.  I noticed that Miro compiles
> "really fast" after rb_libtorrent-0.14.1 +python USE flag was installed as well
> (since it wasn't compiling its own libtorrent).
> 
I definitely think you are right here is the relevant part of setup.py:
def get_libtorrent_extension(portable_dir):
    libtorrent_installed = False
    try:
        ret = parse_pkg_config("pkg-config", "libtorrent-rasterbar")
        import libtorrent
        if hasattr(libtorrent, "version_minor") and libtorrent.version_minor >= 14:
            libtorrent_installed = True


Notice that it ask for rb_libtorrent version > 14?
Of course miro ship wich rb_libtorrent source in case it is not in the system
your compilation speed up is a clear sign.
Comment 473 wayne 2009-02-22 19:45:01 UTC
Created attachment 182809 [details]
ebuild based on a 2008 stage3 install

I just made some changes based on a new install miro was started "xinit /usr/bin/miro&" This ebuild also adds mp4 sound support.

The "berkdb" use flag can be replaced by adding dev-python/bsddb3 to the miro dependencies. The "berkdb" use flag can with create compile issues with dev-db/mysql.

I realize dev-db/mysql is not needed for miro, but the change could help other gentoo users.
Comment 474 wayne 2009-02-23 04:19:07 UTC
(In reply to comment #472)

rb_libtorrent-0.14.1 is in protage now. Think we should change the ebuild?

> (In reply to comment #471)
> > (In reply to comment #467)
> > > Miro 2.0.1 (from comment #464) is working great on amd64.  I have a few
> > > questions though:
> > 
> > well, in reference to 1 (and 2?), I just tried the hardmasked rb-libtorrent
> > 0.14.1 with python USE flag and the emerge --verbose output definitely says
> > that it was using the system lib torrent.  Are you guys sure that
> > rb-libtorrent-0.13 is being used?  I'm not because I saw 
> > 
> > /var/tmp/portage/media-tv/miro-2.0.1/work/Miro-2.0.1/portable/libtorrent/src/
> > 
> > which I think is the Miro libtorrent library.  I noticed that Miro compiles
> > "really fast" after rb_libtorrent-0.14.1 +python USE flag was installed as well
> > (since it wasn't compiling its own libtorrent).
> > 
> I definitely think you are right here is the relevant part of setup.py:
> def get_libtorrent_extension(portable_dir):
>     libtorrent_installed = False
>     try:
>         ret = parse_pkg_config("pkg-config", "libtorrent-rasterbar")
>         import libtorrent
>         if hasattr(libtorrent, "version_minor") and libtorrent.version_minor >=
> 14:
>             libtorrent_installed = True
> 
> 
> Notice that it ask for rb_libtorrent version > 14?
> Of course miro ship wich rb_libtorrent source in case it is not in the system
> your compilation speed up is a clear sign.
> 

Comment 475 Jesse Adelman 2009-02-23 04:42:43 UTC
Latest ebuild works fine here, with inotify USE flag enabled. I used autounmask to unmask miro and its deps. x86 (stable). Thanks, looks pretty neat! I look forward to full Portage citizenship for Miro soon. :)
Comment 476 A. Person 2009-02-23 15:47:45 UTC
Good news!  There is a patch that makes miro honor --set xine-driver=whatever.  With this patch, miro works with the nvidia vdpau extentions for xine-lib that are being worked on here:

http://www.jusst.de/vdpau

There is an ebuild for a patched xine-lib (with vdpau support) in this thread:

http://forums.gentoo.org/viewtopic.php?p=5501570

Here is the miro patch that makes it work:

http://patch-tracking.debian.net/patch/series/view/miro/1.2.8-1/60_xine_driver.patch

--- platform/gtk-x11/xine/xine_impl.c   2009-02-22 19:23:52.000000000 -0800
+++ platform/gtk-x11/xine/xine_impl.c   2009-02-22 21:03:59.000000000 -0800
@@ -251,14 +251,18 @@ void xineAttach(_Xine* xine, const char*
     vis.user_data = xine;

     /* opening xine output ports */
+    /* Try to use char *driver for video, default to "auto" if NULL */
+    if (!driver)
+           driver = "auto";
+
 #ifdef INCLUDE_XINE_DRIVER_HACK
     miro_using_xv_driver_hack = 0;    /* by default, don't use the hack */
-    xine->videoPort = xine_open_video_driver(xine->xine, "xv",
+    xine->videoPort = xine_open_video_driver(xine->xine, driver,
             XINE_VISUAL_TYPE_X11, (void *)&vis);
     if (!xine->videoPort) {
 #endif

-      xine->videoPort = xine_open_video_driver(xine->xine, "auto",
+      xine->videoPort = xine_open_video_driver(xine->xine, driver,
            XINE_VISUAL_TYPE_X11, (void *)&vis);

Don't forget to launch miro like this:

miro --set xine-driver=vdpau
Comment 477 wayne 2009-02-23 20:55:28 UTC
(In reply to comment #476)

One of your links has "1.2.8" in it. Is that patch for 1.x or 2.x miro? I do not see any point in supporting 1.x when 2.x stable is out? 



> Good news!  There is a patch that makes miro honor --set xine-driver=whatever. 
> With this patch, miro works with the nvidia vdpau extentions for xine-lib that
> are being worked on here:
> 
> http://www.jusst.de/vdpau
> 
> There is an ebuild for a patched xine-lib (with vdpau support) in this thread:
> 
> http://forums.gentoo.org/viewtopic.php?p=5501570
> 
> Here is the miro patch that makes it work:
> 
> http://patch-tracking.debian.net/patch/series/view/miro/1.2.8-1/60_xine_driver.patch
> 
> --- platform/gtk-x11/xine/xine_impl.c   2009-02-22 19:23:52.000000000 -0800
> +++ platform/gtk-x11/xine/xine_impl.c   2009-02-22 21:03:59.000000000 -0800
> @@ -251,14 +251,18 @@ void xineAttach(_Xine* xine, const char*
>      vis.user_data = xine;
> 
>      /* opening xine output ports */
> +    /* Try to use char *driver for video, default to "auto" if NULL */
> +    if (!driver)
> +           driver = "auto";
> +
>  #ifdef INCLUDE_XINE_DRIVER_HACK
>      miro_using_xv_driver_hack = 0;    /* by default, don't use the hack */
> -    xine->videoPort = xine_open_video_driver(xine->xine, "xv",
> +    xine->videoPort = xine_open_video_driver(xine->xine, driver,
>              XINE_VISUAL_TYPE_X11, (void *)&vis);
>      if (!xine->videoPort) {
>  #endif
> 
> -      xine->videoPort = xine_open_video_driver(xine->xine, "auto",
> +      xine->videoPort = xine_open_video_driver(xine->xine, driver,
>             XINE_VISUAL_TYPE_X11, (void *)&vis);
> 
> Don't forget to launch miro like this:
> 
> miro --set xine-driver=vdpau
> 

Comment 478 A. Person 2009-02-24 15:14:07 UTC
The patch works just fine on my 2.0.1.
Comment 479 A. Person 2009-02-26 15:45:47 UTC
Actually, that patch will be included in 2.0.2 anyway.
Comment 480 A. Person 2009-02-27 19:37:47 UTC
Here's a better link to the xine-vdpau ebuild which now works with miro:

http://www.kosunen.fi/gentoo/xine-vdpau/media-libs/xine-lib/
Comment 481 A. Person 2009-03-09 15:33:13 UTC
Renaming works great with 2.0.2.
Comment 482 wayne 2009-03-09 18:28:48 UTC
So why is this not in the tree? five people must be working on this.
Comment 483 thewtex 2009-03-10 13:08:06 UTC
When I try to bump to 2.0.2 I am getting the following error:

>>> Starting src_compile
libtorrent-rasterbar not installed on this system.
using boost_python-mt
using boost_filesystem-mt
using boost_date_time-mt
using boost_thread-mt
Package config error:
pkg-config --list-all outputted the following error:
Package 'poppler-glib' requires 'poppler = 0.8.7' but version of poppler is 0.10.4
Comment 484 François Bissey 2009-03-10 19:34:56 UTC
(In reply to comment #483)
> When I try to bump to 2.0.2 I am getting the following error:
> 
> >>> Starting src_compile
> libtorrent-rasterbar not installed on this system.
> using boost_python-mt
> using boost_filesystem-mt
> using boost_date_time-mt
> using boost_thread-mt
> Package config error:
> pkg-config --list-all outputted the following error:
> Package 'poppler-glib' requires 'poppler = 0.8.7' but version of poppler is
> 0.10.4
> 
he first message is about rb_libtorrent and means that miro will build
using its internal copy (unless they changed the system).
The last one means you didn't finish upgrading the stuff from 
poppler - you need app-text/poppler-bindings-0.10.4 which should have
gone stable at the same time than poppler-0.10.4.

Comment 485 thewtex 2009-03-10 21:08:06 UTC
(In reply to comment #484)
> (In reply to comment #483)
> > When I try to bump to 2.0.2 I am getting the following error:
> > 
> > >>> Starting src_compile
> > libtorrent-rasterbar not installed on this system.
> > using boost_python-mt
> > using boost_filesystem-mt
> > using boost_date_time-mt
> > using boost_thread-mt
> > Package config error:
> > pkg-config --list-all outputted the following error:
> > Package 'poppler-glib' requires 'poppler = 0.8.7' but version of poppler is
> > 0.10.4
> > 
> he first message is about rb_libtorrent and means that miro will build
> using its internal copy (unless they changed the system).
> The last one means you didn't finish upgrading the stuff from 
> poppler - you need app-text/poppler-bindings-0.10.4 which should have
> gone stable at the same time than poppler-0.10.4.

Thanks, Francois.  Your suspicions were right on.  app-text/poppler-bindings did not get upgraded because of a failure in src_test.  Upgrading fixed it.

Comment 486 wayne 2009-03-10 21:17:27 UTC
How do we get added to the list of maintainers for this package? I am willing to help. 
Comment 487 Allen Brooker (AllenJB) 2009-03-11 09:53:11 UTC
For those interested in maintaining this package, look up the Sunrise Overlay[0]. The maintainers of Sunrise should be able to give you some information on proxy maintainership too.

For more information, hop into the #gentoo-sunrise IRC channel on the Freenode network.

[0] http://overlays.gentoo.org/proj/sunrise
Comment 488 Beetle B. 2009-03-15 19:32:22 UTC
Miro was working fine for me until recently. Now it segfaults every time a video ends.

/usr/bin/miro: line 27: 23770 Segmentation fault      miro.real "$@"


I recompiled it, and upgraded to the latest. Still that way. Any ideas?
Comment 489 wayne 2009-03-15 20:02:24 UTC
(In reply to comment #488)

I am having the same issue. I think something in the gentoo system changed to make miro unstable. My debian box is not having this issue. I am starting to wonder of we update gentoo too often. Our bugs are faster moving targets than other linux distros.

> Miro was working fine for me until recently. Now it segfaults every time a
> video ends.
> 
> /usr/bin/miro: line 27: 23770 Segmentation fault      miro.real "$@"
> 
> 
> I recompiled it, and upgraded to the latest. Still that way. Any ideas?
> 

Comment 490 Andree Chea 2009-03-18 22:32:23 UTC
(In reply to comment #489)
> (In reply to comment #488)
> 
> I am having the same issue. I think something in the gentoo system changed to
> make miro unstable. My debian box is not having this issue. I am starting to
> wonder of we update gentoo too often. Our bugs are faster moving targets than
> other linux distros.
> 
> > Miro was working fine for me until recently. Now it segfaults every time a
> > video ends.
> > 
> > /usr/bin/miro: line 27: 23770 Segmentation fault      miro.real "$@"
> > 
> > 
> > I recompiled it, and upgraded to the latest. Still that way. Any ideas?
> > 
> 

I was experiencing this same problem and disabling the xine hack fixed this issue for me.

miro --set xine-xvhack=false

I ran miro with --debug (after editing /usr/bin/miro as mentioned earlier) and it failed on function miro_xine_list_front().  A grep showed that this was in line 105 of platform/gtk-x11/xine/xine-impl.c, and looking at this file, I saw that it was in an #IFDEF XINE_DRIVER_HACK directive - so what if this hack was disabled!  setup.py had a compile-time var, but there was also a runtime variable noted in the comments.  miro --help then lead me to the fix.

My theory is that the hack works with xine-lib-1.1.15, but miro works without hacks with xine-lib-1.1.16 (this was made stable a few weeks ago, which was also when miro started crashing).  I am not sure if we should patch something (could edit setup.py to false or miro.desktop to add the --set, or even /usr/bin/miro)... I personally edited /usr/bin/miro.  It would be interesting to know if miro can run hackless with xine-lib-1.1.15; alternatively (or in addition), we could force a minimum dependency of >=media-libs/xine-lib-1.1.16.  Also would be good to know if anyone is  *without* any problems with xine-lib-1.1.16

Regarding the rb_libtorrent, that line for 0.13 should now be fine in the ebuild since in the 2.0.2 ReleaseNotes page, there is a note that says there is support for both 0.13 and 0.14.
Comment 491 wayne 2009-03-19 01:07:50 UTC
(In reply to comment #490)

I do not see anything in the ebuild that would prevent rb_libtorrent 0.14 but 0.13 is working fine for me. We could force rb_libtorrent 0.14 if you think it is nicer. I also think you are correct about xine-lib.

> (In reply to comment #489)
> > (In reply to comment #488)
> > 
> > I am having the same issue. I think something in the gentoo system changed to
> > make miro unstable. My debian box is not having this issue. I am starting to
> > wonder of we update gentoo too often. Our bugs are faster moving targets than
> > other linux distros.
> > 
> > > Miro was working fine for me until recently. Now it segfaults every time a
> > > video ends.
> > > 
> > > /usr/bin/miro: line 27: 23770 Segmentation fault      miro.real "$@"
> > > 
> > > 
> > > I recompiled it, and upgraded to the latest. Still that way. Any ideas?
> > > 
> > 
> 
> I was experiencing this same problem and disabling the xine hack fixed this
> issue for me.
> 
> miro --set xine-xvhack=false
> 
> I ran miro with --debug (after editing /usr/bin/miro as mentioned earlier) and
> it failed on function miro_xine_list_front().  A grep showed that this was in
> line 105 of platform/gtk-x11/xine/xine-impl.c, and looking at this file, I saw
> that it was in an #IFDEF XINE_DRIVER_HACK directive - so what if this hack was
> disabled!  setup.py had a compile-time var, but there was also a runtime
> variable noted in the comments.  miro --help then lead me to the fix.
> 
> My theory is that the hack works with xine-lib-1.1.15, but miro works without
> hacks with xine-lib-1.1.16 (this was made stable a few weeks ago, which was
> also when miro started crashing).  I am not sure if we should patch something
> (could edit setup.py to false or miro.desktop to add the --set, or even
> /usr/bin/miro)... I personally edited /usr/bin/miro.  It would be interesting
> to know if miro can run hackless with xine-lib-1.1.15; alternatively (or in
> addition), we could force a minimum dependency of >=media-libs/xine-lib-1.1.16.
>  Also would be good to know if anyone is  *without* any problems with
> xine-lib-1.1.16
> 
> Regarding the rb_libtorrent, that line for 0.13 should now be fine in the
> ebuild since in the 2.0.2 ReleaseNotes page, there is a note that says there is
> support for both 0.13 and 0.14.
> 

Comment 492 Andree Chea 2009-03-20 23:34:09 UTC
(In reply to comment #491)
> (In reply to comment #490)
> 
> I do not see anything in the ebuild that would prevent rb_libtorrent 0.14 but
> 0.13 is working fine for me. We could force rb_libtorrent 0.14 if you think it
> is nicer. I also think you are correct about xine-lib.
> 

Nah, I don't think we need to force 0.14 anymore.  With 2.0.1, we were talking about forcing, but with 2.0.2, we should consider this particular issue fixed by upstream. :)
Comment 493 wayne 2009-03-24 05:31:16 UTC
Created attachment 186070 [details]
Enjoy 

Sorry I was away so long. 
Tested using AMD64 
Tue Mar 24 00:30:12 CDT 2009
Comment 494 A. Person 2009-04-01 15:50:43 UTC
After switching from gcc-4.1.2 to gcc-4.3.2, I'm getting a seg fault on startup.  Is anyone else?
Comment 495 wayne 2009-04-01 19:07:30 UTC
(In reply to comment #494)

Just great someone marked sys-devel/gcc-4.3.2-r3 as stable not caring what it will break. Every new version of gcc seems to break something.


> After switching from gcc-4.1.2 to gcc-4.3.2, I'm getting a seg fault on
> startup.  Is anyone else?
> 

Comment 496 Markus Rathgeb 2009-04-01 19:20:35 UTC
But that is mostly not the fault of gcc. In the most cases it is not perfect code that should be corrected.
But this is perhaps a little off-topic.
Comment 497 A. Person 2009-04-01 20:13:26 UTC
wayne, does that mean it's segfaulting for you too?  Is there anything I can try?
Comment 498 thewtex 2009-04-01 20:59:20 UTC
I have not had problems other than the occational crash after a video finishes playing and I have been using gcc 4.3.3.  Make it needs to be re-compiled or some of its dependencies need to be recompiled.
Comment 499 wayne 2009-04-01 21:15:06 UTC
(In reply to comment #497)

I went back to gcc 4.1.2 I do not "need" the newer gcc.

> wayne, does that mean it's segfaulting for you too?  Is there anything I can
> try?
> 

Comment 500 François Bissey 2009-04-01 22:16:25 UTC
(In reply to comment #499)
> (In reply to comment #497)
> 
> I went back to gcc 4.1.2 I do not "need" the newer gcc.
> 
> > wayne, does that mean it's segfaulting for you too?  Is there anything I can
> > try?
> > 
One of the good point of miro-2 is that we didn't have to patch for
gcc-4.3 . Not to say there is no problem but it would be nice if
1)someone could do an install from scratch and confirm it.
2)give a bit more info on your segfault

As for myself I think one of the dependency of miro needs to be recompiled -
voting for boost and rb_libtorrent as an educated guess. 

Comment 501 François Bissey 2009-04-01 22:26:31 UTC
Just kind of answering to myself.
I have just read the stabilisation bug for gcc (bug #264121 ) and
it says that boost-1.35 should be stabilised at the same time.
So I say try that version of boost. There may be other minor changes
in libstdc++ which may mean that you have to recompile stuff.
Comment 502 A. Person 2009-04-01 22:31:59 UTC
I've actually recompiled all of the packages listed in the miro ebuild (including boost-1.35.0-r2) but I still get the segfault.  It happens right after loading xine.
Comment 503 A. Person 2009-04-01 22:33:15 UTC
I've tried recompiling xine-lib and ffmpeg-5 too.
Comment 504 François Bissey 2009-04-01 22:45:45 UTC
(In reply to comment #503)
> I've tried recompiling xine-lib and ffmpeg-5 too.
> 

OK can we have the exact error message and a few things 
before the segfault? Hope they didn't include a broken
patch in gcc-4.3.2-r3... wonder why they choose that one while
everyone is really testing 4.3.3-rx these days.
Comment 505 A. Person 2009-04-02 00:22:40 UTC
OK, this is all the output I get from miro:

$ miro
2009-04-01 17:15:56,442 INFO     Starting up Miro
2009-04-01 17:15:56,443 INFO     Version:    2.0.4
2009-04-01 17:15:56,447 INFO     OS:         Linux 2.6.28-hardened-r6 x86_64
2009-04-01 17:15:56,448 INFO     Revision:   https://svn.participatoryculture.org/svn/dtv/tags/Miro-2.0.4/tv/resources - 9360
2009-04-01 17:15:56,448 INFO     Builder:    root@system
2009-04-01 17:15:56,448 INFO     Build Time: 1238628683.01
2009-04-01 17:15:56,449 INFO     Starting event loop thread
2009-04-01 17:15:56,468 INFO     Restoring database...
2009-04-01 17:15:56,473 INFO     Python version:    2.5.2 (r252:60911, Mar 31 2009, 21:38:48)
[GCC 4.3.2]
2009-04-01 17:15:56,473 INFO     Gtk+ version:      (2, 14, 7)
2009-04-01 17:15:56,473 INFO     PyGObject version: (2, 16, 1)
2009-04-01 17:15:56,473 INFO     PyGtk version:     (2, 14, 0)
2009-04-01 17:15:56,474 INFO     Language:          [('LANG', 'C')]
2009-04-01 17:15:56,474 INFO     set_renderer: trying to add xinerenderer
2009-04-01 17:15:56,476 INFO     Xine version:      1.1.16.2
/usr/bin/miro: line 27:  8661 Segmentation fault      miro.real "$@"

If I run miro --debug, I also get:

Program received signal SIGSEGV, Segmentation fault.
0x00006cf759acb2ed in ?? () from /lib64/ld-linux-x86-64.so.2
Comment 506 wayne 2009-04-02 01:32:22 UTC
(In reply to comment #503)

ffmpeg is not pulled in by the ebuild. Will ffmpeg improve the function of miro? If it will please edit the ebuild.

> I've tried recompiling xine-lib and ffmpeg-5 too.
> 

Comment 507 A. Person 2009-04-02 04:14:49 UTC
wayne, I thought there was an interaction between ffmpeg and xine-lib.  I don't really know how it works.
Comment 508 François Bissey 2009-04-02 09:02:23 UTC
(In reply to comment #507)
> wayne, I thought there was an interaction between ffmpeg and xine-lib.  I don't
> really know how it works.
> 

ffmpeg is an unconditional dependency of xine-lib look at the ebuild:
>=media-video/ffmpeg-0.4.9_p20070129

Grant have you rebuild glibc (and possibly binutils) after upgrading
gcc? What is the version of glibc as well?
Comment 509 A. Person 2009-04-02 14:44:05 UTC
Yes, I've rebuilt both of those.  Any other ideas?
Comment 510 A. Person 2009-04-02 15:48:25 UTC
This seems to have something to do with xine-lib.  I upgraded to xine-lib-1.2 and miro started working, and then I re-emerged miro and I started getting the same segfault again.  I'm downgrading back to xine-lib-1.1 and I'll report back.  Does this sound like a miro or xine-lib issue with gcc-4.3.2?
Comment 511 Beetle B. 2009-04-02 16:21:35 UTC
(In reply to comment #510)
> This seems to have something to do with xine-lib.  I upgraded to xine-lib-1.2
> and miro started working, and then I re-emerged miro and I started getting the
> same segfault again.  I'm downgrading back to xine-lib-1.1 and I'll report
> back.  Does this sound like a miro or xine-lib issue with gcc-4.3.2?

I had the same problem. My gcc is 4.1.2.

I'm suspecting it's either xine-lib, or miro (am leaning more towards a miro problem).

Someone already posted a "fix" (comment 490). Run miro with the following options:

miro --set xine-xvhack=false

OK. Reading again, maybe your problem is different. My problem and what some others had was that it'd load up fine, but crash everytime it finished playing a video. The command above fixed it. You can see if it solves your problem.

Comment 512 A. Person 2009-04-02 17:30:43 UTC
Thanks, I tried that with the same results.

I can't seem to get miro to load again.  Now I either get errors about not finding the xine-lib files, or if I re-emerge miro, it segfaults as before.
Comment 513 A. Person 2009-04-03 02:21:33 UTC
I upgraded from 2.6.28-hardened-r6 to 2.6.28-hardened-r7 and miro started working.  Weird.  Sorry to bug everyone.  Maybe I needed to compile the kernel with gcc-4.3.2.
Comment 514 François Bissey 2009-04-03 10:02:40 UTC
(In reply to comment #513)
> I upgraded from 2.6.28-hardened-r6 to 2.6.28-hardened-r7 and miro started
> working.  Weird.  Sorry to bug everyone.  Maybe I needed to compile the kernel
> with gcc-4.3.2.
> 
That is a weird solution. I just noticed that my own build of miro
default to gstreamer which may be why I and other never had any issue
if it is xine-lib related. All who had problems were using the xine-lib
renderer?
Comment 515 Jeremy MANSON 2009-04-06 21:27:27 UTC
Created attachment 187487 [details]
add missing dependency (bsddb3)
Comment 516 wayne 2009-04-07 01:32:44 UTC
(In reply to comment #515)

(In reply to comment #435)  

I was not sure about bsddb3

I asked about bsddb3 in comment #435

> Created an attachment (id=187487) [edit]
> add missing dependency (bsddb3) 
> 

Comment 517 Steve Dibb (RETIRED) gentoo-dev 2009-04-07 05:39:57 UTC
Well, from my opinion as a user, this thing needs some work before it goes into the tree.  I haven't had much luck with it going without segfaulting after a few moments of use.  That, and I can't get half the features to work -- preview or playback using xine or gstreamer+totem works randomly.

Probably best suited for an overlay, someone feel free to ping me when it makes some more progress and I'll take another look.

(Please note that my experience is completely anecdotal -- may work great for you.   I don't see it as ready to go in the tree, though.)
Comment 518 A. Person 2009-04-08 19:19:50 UTC
bsddb3 doesn't seem to be a dependency.  I'm running miro fine without it.
Comment 519 wayne 2009-04-08 19:45:31 UTC
(In reply to comment #518)

As far as I can tell it is an option.

> bsddb3 doesn't seem to be a dependency.  I'm running miro fine without it.
> 

Comment 520 A. Person 2009-04-11 22:56:03 UTC
miro-2.0.4 is running great for me except it periodically causes the CPU to go to 99% for a few minutes.  Has anyone else seen this?
Comment 521 wayne 2009-04-12 02:16:20 UTC
(In reply to comment #520)

go back to gcc 4.1.2

install bsddb3

rebuild miro

change your miro start command to "miro --set xine-xvhack=false"

miro will be rock stable.

> miro-2.0.4 is running great for me except it periodically causes the CPU to go
> to 99% for a few minutes.  Has anyone else seen this?
> 

Comment 522 A. Person 2009-04-12 16:02:58 UTC
I did all of that except for downgrading gcc and I still have the CPU problem.  I wouldn't be surprised if gcc fixed it but I don't want to downgrade.

Is anyone else on gcc-4.3.2?  Do you have this CPU problem?
Comment 523 wayne 2009-04-12 18:35:30 UTC
(In reply to comment #522)

Look back at Comment  #499

The new gcc made my miro install unusable. It also broke other packages. The new gcc only creates problems and the programs it complies are NOT any faster. 


> I did all of that except for downgrading gcc and I still have the CPU problem. 
> I wouldn't be surprised if gcc fixed it but I don't want to downgrade.
> 
> Is anyone else on gcc-4.3.2?  Do you have this CPU problem?
> 

Comment 524 Henrique Rodrigues 2009-04-12 23:06:04 UTC
(In reply to comment #523)
> The new gcc made my miro install unusable. It also broke other packages. The
> new gcc only creates problems and the programs it complies are NOT any faster. 

I'm sorry, but if Miro doesn't work with the new GCC, then Miro is broken, not GCC. That is one of the reasons why Miro isn't in the Portage tree yet.
Comment 525 A. Person 2009-04-13 16:54:11 UTC
I doubt it's helpful but I always get:

TIMING idle (view tracker update) cumulative is too slow (5.023 secs)

when the CPU is maxing out.
Comment 526 wayne 2009-04-13 18:27:55 UTC
(In reply to comment #525)

I am not that issue, but I am also running low latency kernel patch. I "think" the patch is in the Pro-Audio Gentoo overlay. The new gcc also breaks many sound programs.

> I doubt it's helpful but I always get:
> 
> TIMING idle (view tracker update) cumulative is too slow (5.023 secs)
> 
> when the CPU is maxing out.
> 

Comment 527 wayne 2009-04-29 21:20:33 UTC
Created attachment 189895 [details]
Vercion bump

Mostly a version bump. 

I steel have gcc 4.1.2 because the newer gcc breaks some software I am working on. Someone please test this with the new gcc. 

Miro seems to use bsddb3 when it is installed so I kept it in the ebuild.

Miro seems to be stable without using "miro --set xine-xvhack=false &"
Comment 528 wayne 2009-04-29 21:21:42 UTC
Created attachment 189897 [details]
Vercion bump

Mostly a version bump. 

I steel have gcc 4.1.2 because the newer gcc breaks some software I am working on. Someone please test this with the new gcc. 

Miro seems to use bsddb3 when it is installed so I kept it in the ebuild.

Miro seems to be stable without using "miro --set xine-xvhack=false &"
Comment 529 Tommaso Pasini 2009-05-07 21:01:15 UTC
Miro should depend on media-plugins/gst-plugins-faad, because without it many videos cannot be played anymore (e.g. mp4 videos from youtube).
Comment 530 wayne 2009-05-08 00:48:51 UTC
(In reply to comment #529)
Do you have a video example? media-plugins/gst-plugins-faad is not on my system.

> Miro should depend on media-plugins/gst-plugins-faad, because without it many
> videos cannot be played anymore (e.g. mp4 videos from youtube).
> 

Comment 531 Raphaël Vinot 2009-05-15 00:10:54 UTC
(In reply to comment #530)

to play the TED Talks you will need media-plugins/gst-plugins-faad

> (In reply to comment #529)
> Do you have a video example? media-plugins/gst-plugins-faad is not on my
> system.
> 
> > Miro should depend on media-plugins/gst-plugins-faad, because without it many
> > videos cannot be played anymore (e.g. mp4 videos from youtube).
> > 
> 

Comment 532 Beetle B. 2009-05-15 00:16:42 UTC
> to play the TED Talks you will need media-plugins/gst-plugins-faad

No you don't. At least I don't - I can watch them fine without that package.

I'm suspecting that you probably need one of n packages to play it, and the one you list probably works, but quite likely other packages work as well.

Comment 533 wayne 2009-05-15 02:55:06 UTC
(In reply to comment #532)

TED Talks is my favorite feed. TED works fine for me. media-plugins/gst-plugins-faad is not installed on my computer. 


> > to play the TED Talks you will need media-plugins/gst-plugins-faad
> 
> No you don't. At least I don't - I can watch them fine without that package.
> 
> I'm suspecting that you probably need one of n packages to play it, and the one
> you list probably works, but quite likely other packages work as well.
> 

Comment 534 Raphaël Vinot 2009-05-15 10:24:37 UTC
(In reply to comment #533)

It's pretty strange.
I just tested : 
- emerge -C media-plugins/gst-plugins-faad
- miro => no sound on the tedtalks (and all mp4 files) 
- emerge media-plugins/gst-plugins-faad
- miro => the sound is back 

> (In reply to comment #532)
> 
> TED Talks is my favorite feed. TED works fine for me.
> media-plugins/gst-plugins-faad is not installed on my computer. 
> 
> 
> > > to play the TED Talks you will need media-plugins/gst-plugins-faad
> > 
> > No you don't. At least I don't - I can watch them fine without that package.
> > 
> > I'm suspecting that you probably need one of n packages to play it, and the one
> > you list probably works, but quite likely other packages work as well.
> > 
> 

Comment 535 wayne 2009-05-16 02:59:08 UTC
(In reply to comment #534)

How did you build media-libs/xine-lib?

My setup is

USE="X a52 aac alsa dts dvd gtk ipv6 mad mng modplug musepack nls opengl theora v4l vorbis xcb xv"

I think aac is mp4

> (In reply to comment #533)
> 
> It's pretty strange.
> I just tested : 
> - emerge -C media-plugins/gst-plugins-faad
> - miro => no sound on the tedtalks (and all mp4 files) 
> - emerge media-plugins/gst-plugins-faad
> - miro => the sound is back 
> 
> > (In reply to comment #532)
> > 
> > TED Talks is my favorite feed. TED works fine for me.
> > media-plugins/gst-plugins-faad is not installed on my computer. 
> > 
> > 
> > > > to play the TED Talks you will need media-plugins/gst-plugins-faad
> > > 
> > > No you don't. At least I don't - I can watch them fine without that package.
> > > 
> > > I'm suspecting that you probably need one of n packages to play it, and the one
> > > you list probably works, but quite likely other packages work as well.
> > > 
> > 
> 

Comment 536 Raphaël Vinot 2009-05-16 06:56:11 UTC
(In reply to comment #535)

I build media-libs/xine-lib with aac. 

USE="X a52 aac aalib alsa dts dvd flac gtk ipv6 libcaca mad mng modplug musepack nls opengl pulseaudio samba sdl speex theora truetype v4l vcd vidix vorbis win32codecs xcb xinerama xv xvmc"

> (In reply to comment #534)
> 
> How did you build media-libs/xine-lib?
> 
> My setup is
> 
> USE="X a52 aac alsa dts dvd gtk ipv6 mad mng modplug musepack nls opengl theora
> v4l vorbis xcb xv"
> 
> I think aac is mp4
> 
Comment 537 Beetle B. 2009-05-16 14:18:34 UTC
(In reply to comment #535)
> (In reply to comment #534)
> 
> How did you build media-libs/xine-lib?
> 
> My setup is
> 
> USE="X a52 aac alsa dts dvd gtk ipv6 mad mng modplug musepack nls opengl theora
> v4l vorbis xcb xv"

X a52 aac aalib alsa directfb dts dvd fbcon flac gtk imagemagick ipv6 libcaca mad mng modplug musepack nls opengl oss real samba sdl speex theora truetype v4l vcd vidix vorbis wavpack win32codecs xcb xv
Comment 538 wayne 2009-05-16 15:44:05 UTC
(In reply to comment #537)

Where is the interaction between gstreamer coming from? gstreamer must be in your USE flags. The miro ebuild will not pull gstreamer onto the system. Something in the dependency path of miro must have support for gstreamer.


> (In reply to comment #535)
> > (In reply to comment #534)
> > 
> > How did you build media-libs/xine-lib?
> > 
> > My setup is
> > 
> > USE="X a52 aac alsa dts dvd gtk ipv6 mad mng modplug musepack nls opengl theora
> > v4l vorbis xcb xv"
> 
> X a52 aac aalib alsa directfb dts dvd fbcon flac gtk imagemagick ipv6 libcaca
> mad mng modplug musepack nls opengl oss real samba sdl speex theora truetype
> v4l vcd vidix vorbis wavpack win32codecs xcb xv
> 

Comment 539 wayne 2009-05-23 13:32:31 UTC
(In reply to comment #537)

Open miro go to video in the top menu. Than go into options. Than into playback and select xine. I will add a note in the next ebuild for people who like gstreamer. We could make a gstreamer use flag. I think xine should be the default.   

> (In reply to comment #535)
> > (In reply to comment #534)
> > 
> > How did you build media-libs/xine-lib?
> > 
> > My setup is
> > 
> > USE="X a52 aac alsa dts dvd gtk ipv6 mad mng modplug musepack nls opengl theora
> > v4l vorbis xcb xv"
> 
> X a52 aac aalib alsa directfb dts dvd fbcon flac gtk imagemagick ipv6 libcaca
> mad mng modplug musepack nls opengl oss real samba sdl speex theora truetype
> v4l vcd vidix vorbis wavpack win32codecs xcb xv
> 

Comment 540 wayne 2009-05-23 14:06:24 UTC
Created attachment 192198 [details]
Adds support for gstreamer 

This should close the gstreamer bug/issue. Any one have any bugs/ issues for the ebuild?
Comment 541 georgia_tech_swagger 2009-05-23 19:43:27 UTC
(In reply to comment #524)
> (In reply to comment #523)
> > The new gcc made my miro install unusable. It also broke other packages. The
> > new gcc only creates problems and the programs it complies are NOT any faster. 
> 
> I'm sorry, but if Miro doesn't work with the new GCC, then Miro is broken, not
> GCC. That is one of the reasons why Miro isn't in the Portage tree yet.
> 

I have since moved on to Arch Linux on all my desktops due to issues like this.  And I am able to build Miro SVN in Arch against GCC 4.4.0.   Miro has been around for FOUR YEARS.   And it's very popular.    And it's STILL not in the main tree.   Say it with me now:  W T F?    The common sense solution is putting a half baked Miro in the tree that works for some people ... and continually revving it until it works for all.  That way your end users get the maximum utility possible from Miro.   I mean ... just asking somebody to make sense of the current status of Miro in Gentoo from THIS bug report page is insanity.  

It's stupid crap like this that is at the core of why Gentoo, as a desktop at least, is fading away.

Disclaimer:  I use Gentoo on all my servers... so I'm not a hater.
Comment 542 wayne 2009-05-24 02:48:32 UTC
(In reply to comment #541)

I have asked for miro in the tree many times. If we could vote this would not be an issue. I know the people who want this out number the people blocking this. I have moved all but one computer to debian because of this. 


> (In reply to comment #524)
> > (In reply to comment #523)
> > > The new gcc made my miro install unusable. It also broke other packages. The
> > > new gcc only creates problems and the programs it complies are NOT any faster. 
> > 
> > I'm sorry, but if Miro doesn't work with the new GCC, then Miro is broken, not
> > GCC. That is one of the reasons why Miro isn't in the Portage tree yet.
> > 
> 
> I have since moved on to Arch Linux on all my desktops due to issues like this.
>  And I am able to build Miro SVN in Arch against GCC 4.4.0.   Miro has been
> around for FOUR YEARS.   And it's very popular.    And it's STILL not in the
> main tree.   Say it with me now:  W T F?    The common sense solution is
> putting a half baked Miro in the tree that works for some people ... and
> continually revving it until it works for all.  That way your end users get the
> maximum utility possible from Miro.   I mean ... just asking somebody to make
> sense of the current status of Miro in Gentoo from THIS bug report page is
> insanity.  
> 
> It's stupid crap like this that is at the core of why Gentoo, as a desktop at
> least, is fading away.
> 
> Disclaimer:  I use Gentoo on all my servers... so I'm not a hater.
> 

Comment 543 François Bissey 2009-05-24 03:10:27 UTC
(In reply to comment #542)
> (In reply to comment #541)
> 
> I have asked for miro in the tree many times. If we could vote this would not
> be an issue. I know the people who want this out number the people blocking
> this. I have moved all but one computer to debian because of this. 
> 
I think putting miro in sunrise and working on it there is the right path.
Sunrise is there for that among other thing, hopefully once the biggest wrinkles
have been ironed (compilation and sorting out the real dependencies) it will
be prime time for moving to the tree in my opinion.
I should contribute a bit more than I have in the last few months I'll admit.
I guess one of the problem is the dev are like me - they aren't using it or
that interested in it. I only work on it for my wife and she is happy with
the current install.

I just noticed we have a vote button - note that it matters.
Comment 544 Mitch Harder 2009-05-25 23:02:05 UTC
When building miro-2.0.4.ebuild using the ebuild attachment provided on 2009-05-23 14:06 0000, I found I also had a dependency on sci-libs/cblas-reference.

I tried all combinations of the 'gstreamer' and 'libnotify' USE flags, and still had the same issue.
Comment 545 wayne 2009-05-26 00:15:53 UTC
(In reply to comment #544)

Do you have a complete list of what is needed to get miro working with gstreamer? Once we have gstreamer working I think all the xine dependencies should become an option. That do you think?  

> When building miro-2.0.4.ebuild using the ebuild attachment provided on
> 2009-05-23 14:06 0000, I found I also had a dependency on
> sci-libs/cblas-reference.
> 
> I tried all combinations of the 'gstreamer' and 'libnotify' USE flags, and
> still had the same issue.
> 

Comment 546 wayne 2009-05-28 06:26:27 UTC
Created attachment 192677 [details]
Mostly a dependency cleanup.

This is mostly a dependency cleanup. Fixed and tested libnotify dependencies. Xine support is now a optional USE flag.  The gstreamer USE may not work I have not tested it yet. If the gstreamer USE is not working I will have it fixed this week.

This ebuild was tested 
Thu May 28 01:19:37 CDT 2009
Comment 547 wayne 2009-05-28 18:02:08 UTC
I just tested the new ebuild USE="libnotify gstreamer xine" Every thing seems to work work now. I switched between gstreamer and xine playback with out issue. 

I was unable to find a correlation between Miro and sci-libs/cblas-reference. sci-libs/cblas-reference was not on my system when I compiled Miro and it was not on my system when I tested gstreamer or xine playback.
Comment 548 wayne 2009-06-03 17:47:23 UTC
Created attachment 193427 [details]
fixes for changes made in protage tree sence my last sync

I had not run  emerge --sync in a very long time to prevent chances in gcc

the gstreamer in gentoo is NOT
Comment 549 wayne 2009-06-03 17:54:15 UTC
Created attachment 193432 [details]
fixes for changes made in protage tree sence my last sync

I had not run  emerge --sync in a very long time to prevent chances in gcc

The Gstreamer in Gentoo is NOT the same as the Gstreamer in Debian or Ubuntu. I am thinking about porting the Gstreamer package from Debian. This would also allow us to port other multimedia programs from Debian/Ubuntu.

This is the dependency file from Debian. 

Package: miro
Version: 2.0.4-0pcf1
Architecture: amd64
Maintainer: Will Kahn-Greene <will.guaraldi@pculture.org>
Installed-Size: 3324
Depends: libatk1.0-0 (>= 1.20.0), libboost-python1.37.0 (>= 1.37.0-1), libc6 (>= 2.4), libcairo2 (>= 1.2.4), libfontconfig1 (>= 2.4.0), libfreetype6 (>= 2.2.1), libgcc1 (>= 1:4.1.1), libglib2.0-0 (>= 2.16.0), libgtk2.0-0 (>= 2.16.0), libnspr4-0d (>= 4.7.3-0ubuntu1~), libpango1.0-0 (>= 1.14.0), libstdc++6 (>= 4.1.1), libx11-6, libxine1 (>= 1.1.8), python (<< 2.7), python (>= 2.6), python-support (>= 0.7.1), python-gtk2, python-gnome2, python-gnome2-extras (>= 2.14.0-2), python-glade2, python-dbus, libxine1-plugins, python-gst0.10, gstreamer0.10-plugins-good, gstreamer0.10-plugins-base, gstreamer0.10-x, libgstreamer0.10-0, xulrunner-1.9, miro-data (>= 2.0.4), python-libtorrent, libtorrent-rasterbar2
Recommends: libxine1-ffmpeg
Suggests: gstreamer0.10-plugins-bad, gstreamer0.10-plugins-ugly, gstreamer0.10-ffmpeg, python-notify
Section: net
Priority: optional
Description: GTK+ based RSS video aggregator
 Miro is a platform for Internet television and video.
 It allows you to download and watch videos from RSS feeds (including
 podcasts, video blogs, and BitTorrent feeds).
Comment 550 Henrique Rodrigues 2009-06-03 18:57:36 UTC
(In reply to comment #549)
> The Gstreamer in Gentoo is NOT the same as the Gstreamer in Debian or Ubuntu. 

Can you please expand this statement? It this about different versioning or the packages alltogether?
Comment 551 wayne 2009-06-03 22:07:29 UTC
(In reply to comment #550)

Yes I started miro with a black debian and gentoo system. On the debian system I use the debian dependency list from the file I posted. On the gentoo system I used all the dependencies from the ebuild and the debian dependencies. Miro seems to be very stable on each box, but the Gstreamer back end would not work on the gentoo box.

This could be an issue with package version. I do not know and help would be 
great.

I am trying to get this fixed because their is some talk about making Gstreamer the default back end for miro on the miro chat forums.

> (In reply to comment #549)
> > The Gstreamer in Gentoo is NOT the same as the Gstreamer in Debian or Ubuntu. 
> 
> Can you please expand this statement? It this about different versioning or the
> packages alltogether?
> 

Comment 552 François Bissey 2009-06-04 03:49:53 UTC
(In reply to comment #551)
> (In reply to comment #550)
> 
> Yes I started miro with a black debian and gentoo system. On the debian system
> I use the debian dependency list from the file I posted. On the gentoo system I
> used all the dependencies from the ebuild and the debian dependencies. Miro
> seems to be very stable on each box, but the Gstreamer back end would not work
> on the gentoo box.
> 
> This could be an issue with package version. I do not know and help would be 
> great.
> 
> I am trying to get this fixed because their is some talk about making Gstreamer
> the default back end for miro on the miro chat forums.
> 
Indeed gstreamer on gentoo is probably not the same!
For starter we have splitted all the plugins, so gst-plugins-good only
give you a base package and no plugins. We need to figure out all the 
one that are needed for output by miro. The debian package is probably
all the plugins and is probably too much.
Now more concretely on my system I haven't had any problems playing 
anything so far and I am pretty sure I am using gstreamer.
So here are the plugins that are installed on my system as a starter point:
[I] media-libs/gst-plugins-base
[I] media-libs/gst-plugins-good
[U] media-libs/gst-plugins-ugly
[I] media-plugins/gst-plugins-a52dec
[U] media-plugins/gst-plugins-alsa
[I] media-plugins/gst-plugins-cdparanoia <- probably not useful for miro
[I] media-plugins/gst-plugins-dvdread <- probably not useful for miro
[I] media-plugins/gst-plugins-faad
[I] media-plugins/gst-plugins-ffmpeg
[I] media-plugins/gst-plugins-flac <- probably not useful for miro
[U] media-plugins/gst-plugins-gconf
[I] media-plugins/gst-plugins-jpeg
[I] media-plugins/gst-plugins-lame <- probably not useful for miro
[I] media-plugins/gst-plugins-libpng
[I] media-plugins/gst-plugins-mad
[I] media-plugins/gst-plugins-mpeg2dec
[I] media-plugins/gst-plugins-ogg
[I] media-plugins/gst-plugins-oss <- probably not useful for miro
[I] media-plugins/gst-plugins-pango
[I] media-plugins/gst-plugins-theora
[I] media-plugins/gst-plugins-vorbis
[U] media-plugins/gst-plugins-x
[U] media-plugins/gst-plugins-xvideo

in gentoo-land some of those should really only provided on request by use 
flags.
Comment 553 wayne 2009-06-08 23:43:37 UTC
Work is very crazy now. I will get back to the ebuild soon. Francois Bissey would you be willing to play with the ebuild to see what parts of gstreamer we need? I am working about 70 hours a week now. 
Comment 554 François Bissey 2009-06-09 02:23:24 UTC
(In reply to comment #553)
> Work is very crazy now. I will get back to the ebuild soon. Francois Bissey
> would you be willing to play with the ebuild to see what parts of gstreamer we
> need? I am working about 70 hours a week now. 
> 
Not the best time for me either but I will have a look.
I have some suspicion about some bits that are really needed,
but not sure about some other. I will make a first list but
other people will have to test to see if something is missing
for them. 
Comment 555 Ian Whyman (thev00d00) gentoo-dev 2009-06-10 22:45:05 UTC
I have put a slightly modified ebuild for 2.0.4 in the Sabayon overlay. It emerged fine, however running it for testing I ran into this bug:

http://bugzilla.pculture.org/show_bug.cgi?id=10695

I have also included a nightly miro-2.0.5_pre20090609 ebuild which fixes the aforementioned issue here, so if you have issues with the 2.0.4 version give the nightly a try.

Sabayon Overlay link: http://gitweb.sabayon.org/?p=overlay.git;a=commit;h=564dcf4d2eb7b8e63cbf10b061e80b876fa54af1
Comment 556 François Bissey 2009-06-15 03:03:08 UTC
(In reply to comment #555)
> I have put a slightly modified ebuild for 2.0.4 in the Sabayon overlay. It
> emerged fine, however running it for testing I ran into this bug:
> 
> http://bugzilla.pculture.org/show_bug.cgi?id=10695
> 
> I have also included a nightly miro-2.0.5_pre20090609 ebuild which fixes the
> aforementioned issue here, so if you have issues with the 2.0.4 version give
> the nightly a try.
> 
> Sabayon Overlay link:
> http://gitweb.sabayon.org/?p=overlay.git;a=commit;h=564dcf4d2eb7b8e63cbf10b061e80b876fa54af1
> 
looks fairly similar to what I was planning to include.

I would add gst-plugins-ffmpeg as it can take care of a number 
of useful format and possibly gst-plugins-mad for mp3 although
it is probably already provided by some the other base plugins. 

I am still unconvinced about  bsddb3 I don't know why some people 
seem to need it, that needs to be answered.

cblas-reference should be off for several reason:
One, the original person mentioning it should have done and posted
an "emerge -ptDv miro" (or "world" may be) so we could find what
exactly if something else was requiring it. 
Two, we shouldn't pull cblas-reference directly unless it is an
explicit upstream need. cblas comes in several implementations
and we have a virtual package for it (which by default will
pull cblas-reference but you could use blas-atlas or some other).
So if blas is needed the dependency should be on "virtual/blas",
unless upstream states that a particular implementation is the only one
that works.

So I would like to see the output of "equery d cblas-reference"
from the person who felt the need to include it. If it turns out
to be virtual/blas then the output of "equery d blas". equery is in
the gentoolkit ebuild if you don't have it.
Comment 557 wayne 2009-07-05 20:57:10 UTC
(In reply to comment #556)

I do not remember 100% why bsddb3 is or was needed. bsddb3 may no longer be needed that was very early in Miro development. 

cblas-reference is needed by something in gstreamer not Miro directly. The cblas-reference issue needs to be fixed in one of the gstreamer related ebuilds. For all I know it could have already been fixed.  

Just stopped by to see how things are going. I will remove bsddb3 from my system to see if I still need it. 

> (In reply to comment #555)
> > I have put a slightly modified ebuild for 2.0.4 in the Sabayon overlay. It
> > emerged fine, however running it for testing I ran into this bug:
> > 
> > http://bugzilla.pculture.org/show_bug.cgi?id=10695
> > 
> > I have also included a nightly miro-2.0.5_pre20090609 ebuild which fixes the
> > aforementioned issue here, so if you have issues with the 2.0.4 version give
> > the nightly a try.
> > 
> > Sabayon Overlay link:
> > http://gitweb.sabayon.org/?p=overlay.git;a=commit;h=564dcf4d2eb7b8e63cbf10b061e80b876fa54af1
> > 
> looks fairly similar to what I was planning to include.
> 
> I would add gst-plugins-ffmpeg as it can take care of a number 
> of useful format and possibly gst-plugins-mad for mp3 although
> it is probably already provided by some the other base plugins. 
> 
> I am still unconvinced about  bsddb3 I don't know why some people 
> seem to need it, that needs to be answered.
> 
> cblas-reference should be off for several reason:
> One, the original person mentioning it should have done and posted
> an "emerge -ptDv miro" (or "world" may be) so we could find what
> exactly if something else was requiring it. 
> Two, we shouldn't pull cblas-reference directly unless it is an
> explicit upstream need. cblas comes in several implementations
> and we have a virtual package for it (which by default will
> pull cblas-reference but you could use blas-atlas or some other).
> So if blas is needed the dependency should be on "virtual/blas",
> unless upstream states that a particular implementation is the only one
> that works.
> 
> So I would like to see the output of "equery d cblas-reference"
> from the person who felt the need to include it. If it turns out
> to be virtual/blas then the output of "equery d blas". equery is in
> the gentoolkit ebuild if you don't have it.
> 

Comment 558 François Bissey 2009-07-15 11:09:22 UTC
(In reply to comment #557)
> (In reply to comment #556)
> 
> I do not remember 100% why bsddb3 is or was needed. bsddb3 may no longer be
> needed that was very early in Miro development. 
>

OK.
 
> cblas-reference is needed by something in gstreamer not Miro directly. The
> cblas-reference issue needs to be fixed in one of the gstreamer related
> ebuilds. For all I know it could have already been fixed.  
> 

I just checked gstreamer upstream and no part of it mention/detect
cblas. A library for which gstreamer has a plugin could still need it,
but it would need to be fixed there - not in miro. ie a bug opened for
the ebuild in question. I still have trouble thinking of a codec that 
would need linear algebra.
Comment 559 wayne 2009-07-30 23:05:39 UTC
Miro 2.5 is out :) 
Comment 560 wayne 2009-08-04 03:43:08 UTC
Created attachment 200099 [details]
Version bump with no changes.

miro-2.5.2.ebuild

Version bump with no changes.

Someone want to work on the gstreamer USE?

Tested Mon Aug  3 22:42:13 CDT 2009
USE="xine"
Comment 561 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-08-18 20:36:21 UTC
*** Bug 281966 has been marked as a duplicate of this bug. ***
Comment 562 Saphirus 2009-08-18 21:05:39 UTC
Created attachment 201645 [details]
removed dev-python/bsddb3 dependency, included src_prepare(), src_compile()

I didn't see any src_perpare() or src_compile() in the last version bump, and there were some unnecessary dependencies. Namely, dev-python/bsddb3.
Comment 563 Saphirus 2009-08-18 21:59:48 UTC
Created attachment 201648 [details]
fixed minor typing error in dependencies
Comment 564 wayne 2009-08-19 06:46:50 UTC
I remember needing bsddb3. when did this change?
Comment 565 Saphirus 2009-08-19 19:19:55 UTC
(In reply to comment #564)
> I remember needing bsddb3. when did this change?
> 

Reading the distributor's website, I found no reference to it and I installed it on my system without bsddb3 installed. It's running perfectly stable with no issues, so I feel this dependency is no longer valid.
Comment 566 wayne 2009-08-20 02:46:39 UTC
(In reply to comment #565)

I see this package is listed maintainer wanted. Will you volunteer? I am willing to help I think others would help as well. The dependencies for the gstreamer back end still need to be ironed out. I use xine so I have not messed with it.

> (In reply to comment #564)
> > I remember needing bsddb3. when did this change?
> > 
> 
> Reading the distributor's website, I found no reference to it and I installed
> it on my system without bsddb3 installed. It's running perfectly stable with no
> issues, so I feel this dependency is no longer valid.
> 

Comment 567 Saphirus 2009-08-20 04:37:52 UTC
(In reply to comment #566)
> (In reply to comment #565)
> 
> I see this package is listed maintainer wanted. Will you volunteer? I am
> willing to help I think others would help as well. The dependencies for the
> gstreamer back end still need to be ironed out. I use xine so I have not messed
> with it.

Sure, I'll volunteer for that position, also, I gave a slightly more thorough look, and it seems that now instead of using bsddb3, sqlite is preferred. Is there some official place I should volunteer for this one or what? I'm perfectly willing to work on this, just a tad new to gentoo's bugzilla.
Comment 568 wayne 2009-08-20 14:25:44 UTC
(In reply to comment #567)

Cool am also new at trying to get things into portage. This project to get miro into portage is three years old. I think all we need is someone to volunteer to maintain this to get it into portage.

Knowing the dependency is bsddb3 or sqlite may help in the future if a user has to resolve a software conflict. I do not know if portage is that smart yet, but I think one day it will.

> (In reply to comment #566)
> > (In reply to comment #565)
> > 
> > I see this package is listed maintainer wanted. Will you volunteer? I am
> > willing to help I think others would help as well. The dependencies for the
> > gstreamer back end still need to be ironed out. I use xine so I have not messed
> > with it.
> 
> Sure, I'll volunteer for that position, also, I gave a slightly more thorough
> look, and it seems that now instead of using bsddb3, sqlite is preferred. Is
> there some official place I should volunteer for this one or what? I'm
> perfectly willing to work on this, just a tad new to gentoo's bugzilla.
> 

Comment 569 Saphirus 2009-08-21 01:39:45 UTC
Created attachment 201830 [details]
added USE-flags for gstreamer plugins, fixed minor syntax errors

Added 12 flags for gstreamer plugins, (a52, alsa, ffmpeg, flac, mad, theora, v4l, v4l2, vorbis, x264, xv and wavpack) fixed a few trailing white spaces and partially rewrote pkg_postinst().
Comment 570 wayne 2009-08-21 04:38:28 UTC
Created attachment 201834 [details]
Cleaned up gstreamer and xine dependency warning

Now ebuild will worn the gstreamer or xine use flag most be selected before the build starts instead of after the build completes.

What use flags are needed to play a TED pod cast using the gstreamer back end? The ebuild should suggest something basic if the gstreamer back end is selected.
Comment 571 wayne 2009-08-21 04:59:34 UTC
(In reply to comment #569)

The trailing white spaces were for my eyes. I do not see as well as I would like to.

> Created an attachment (id=201830) [edit]
> added USE-flags for gstreamer plugins, fixed minor syntax errors
> 
> Added 12 flags for gstreamer plugins, (a52, alsa, ffmpeg, flac, mad, theora,
> v4l, v4l2, vorbis, x264, xv and wavpack) fixed a few trailing white spaces and
> partially rewrote pkg_postinst(). 
> 

Comment 572 Saphirus 2009-08-24 00:57:56 UTC
Created attachment 202097 [details]
more gstremer fixes

I had not previously realized ALL of the video rendering was done through gst-plugins-ffmpeg, so that has been appropriately changed. Again, this only really impacts those who use gstreamer.
Comment 573 wayne 2009-08-24 02:01:48 UTC
(In reply to comment #572)

Considering most linux users use alsa I think media-plugins/gst-plugins-alsa should be installed by default if the gstreamer USE flag is selected. How do you feel about this?
 
> Created an attachment (id=202097) [edit]
> more gstremer fixes
> 
> I had not previously realized ALL of the video rendering was done through
> gst-plugins-ffmpeg, so that has been appropriately changed. Again, this only
> really impacts those who use gstreamer.
> 

Comment 574 Saphirus 2009-08-24 02:32:32 UTC
(In reply to comment #573)
> 
> Considering most linux users use alsa I think media-plugins/gst-plugins-alsa
> should be installed by default if the gstreamer USE flag is selected. How do
> you feel about this?

"emerge -a gstreamer" returns:
[ebuild   R   ] media-libs/gstreamer-0.10.24  USE="nls -test" 0 kB

Sure, most who use alsa will have it specified in their make.conf USE flags, but when emerging gstreamer, there are no USE flags to automatically bring in plugins, so that's up to us.
Comment 575 Saphirus 2009-08-24 02:35:57 UTC
(In reply to comment #574)
> (In reply to comment #573)
> > 
> > Considering most linux users use alsa I think media-plugins/gst-plugins-alsa
> > should be installed by default if the gstreamer USE flag is selected. How do
> > you feel about this?
> 
Also, upon re-reading, I think I slightly misunderstood. I suppose we could install gst-plugins-alsa by default, but most who use ALSA have it specified within their make.conf. I suppose I could go either way on that one, also, sorry about the first reply of random.

Comment 576 François Bissey 2009-08-24 02:51:59 UTC
(In reply to comment #573)
> (In reply to comment #572)
> 
> Considering most linux users use alsa I think media-plugins/gst-plugins-alsa
> should be installed by default if the gstreamer USE flag is selected. How do
> you feel about this?
> 
That's an interesting point. Do we need direct access to alsa? You would
think if it was needed, gst-plugins-alsa would be depended on by most other
plugins that needs to send stuff to the sound card? Anyone wants to try and 
remove their gst-plugins-alsa to see if it still works?
I don't think miro should depend directly on boost as it is a dep of rb-libtorrent, xul-runner needs to be 1.9 (hopefully it won't matter very
soon - last rites for 1.8 comming soon I believe).
Similarly I am not sure we need to depend directly on xorg-server, need
to look that up, there is a virtual/x11. It probably should be used.
Comment 577 wayne 2009-08-24 03:14:22 UTC
(In reply to comment #576)

The xorg-server dependency was based on a empty system with only miro and its dependencies installed. The idea was to be able to start miro from the command line with xinit /usr/bin/miro&

> (In reply to comment #573)
> > (In reply to comment #572)
> > 
> > Considering most linux users use alsa I think media-plugins/gst-plugins-alsa
> > should be installed by default if the gstreamer USE flag is selected. How do
> > you feel about this?
> > 
> That's an interesting point. Do we need direct access to alsa? You would
> think if it was needed, gst-plugins-alsa would be depended on by most other
> plugins that needs to send stuff to the sound card? Anyone wants to try and 
> remove their gst-plugins-alsa to see if it still works?
> I don't think miro should depend directly on boost as it is a dep of
> rb-libtorrent, xul-runner needs to be 1.9 (hopefully it won't matter very
> soon - last rites for 1.8 comming soon I believe).
> Similarly I am not sure we need to depend directly on xorg-server, need
> to look that up, there is a virtual/x11. It probably should be used.
> 

Comment 578 Saphirus 2009-08-24 03:22:21 UTC
(In reply to comment #576)
I just tried unmerging gst-plugins-alsa and yes, we do in fact need it if the
user is using alsa for their sound card. As for boost, if we're going to change
that, might as well do that after xul-runner removes it as a dep, if that
happens. Also, I did an "emerge -s x11" and did not see any package called "virtual/x11"
Comment 579 wayne 2009-08-24 05:11:26 UTC
the gstreamer system being split into use flags will create issues for non gstreamer users. The ebuild wants to rebuild media-video/ffmpeg with x264 because theora is in my USE flags.

This will upset non gstreamer users.
Comment 580 Saphirus 2009-08-24 05:39:49 UTC
(In reply to comment #579)
> the gstreamer system being split into use flags will create issues for non
> gstreamer users. The ebuild wants to rebuild media-video/ffmpeg with x264
> because theora is in my USE flags.

Well, come to think of it, given Miro already claims to play every media format, we could just nest every plugin and whatnot under the "gstreamer?" section.
Comment 581 Saphirus 2009-08-24 05:55:00 UTC
Created attachment 202112 [details]
bothers xine-uses a whole lot less

Maybe I'm generating too much traffic on this one, but yeah, this one's much nicer with gstreamer, just assumes all the necessary plugins might as well be present, and avoids bothering those with -gstreamer and +xine selected with packages and plugins useless to them!
Comment 582 François Bissey 2009-08-24 09:09:55 UTC
(In reply to comment #578)
> (In reply to comment #576)
> I just tried unmerging gst-plugins-alsa and yes, we do in fact need it if the
> user is using alsa for their sound card. As for boost, if we're going to change
> that, might as well do that after xul-runner removes it as a dep, if that
> happens. Also, I did an "emerge -s x11" and did not see any package called
> "virtual/x11"
> 

It was an old style virtual (new virtual are separate ebuild, old style
were provided by a special keyword in an ebuild providing the functionality).
It seems to have been dropped some time ago. I still have on my system which 
is why I mentioned it - looks like it is cruft.
Not completely sure what is the proper way to handle that nowadays.

As for boost - as far as I can tell it is not needed for xulrunner and if it
was then it would need to be in xulrunner R/DEPEND variable.
The boost dependency you have here is a leftover of the time when we needed
to use the rb_libtorrent shipped with miro rather than the system one.
Now that we are using the system rb_litorrent, boost will be pulled as
a dependency of rb_libtorrent. Since rb_libtorrent is non conditional
boost will be pulled by it automatically.
Comment 583 wayne 2009-08-25 02:16:55 UTC
Created attachment 202218 [details]
Smarter ebuild

The ebuild will worn you need to select a backend.

If you do not select a backend the ebuild will stop of you.

The ebuild is now more selective about want is logged.
Comment 584 wayne 2009-08-25 02:23:35 UTC
Created attachment 202219 [details]
fix for pkg_setup() {

Fix for USE flag check
Comment 585 Florian Knodt 2009-08-25 20:03:14 UTC
Created attachment 202280 [details]
wayne s version with working gstreamer

There was a typo inside the last ebuild (#584) preventing gstreamer to be detected. I've attached a corrected version.
Comment 586 wayne 2009-08-26 02:23:45 UTC
Comment on attachment 202219 [details]
fix for pkg_setup() {

Use the Florian Knodt ebuild it is nicer.
Comment 587 wayne 2009-08-27 03:42:18 UTC
RDEPEND=">=net-libs/rb_libtorrent-0.14[python]"

Is wrong I have 0.13 on my system and it works just fine. Who did the version bump?
Comment 588 wayne 2009-08-27 14:33:50 UTC
Created attachment 202405 [details]
Ebuild clean up

Replaced

media-plugins/gst-plugins-ffmpeg
media-plugins/gst-plugins-flac
media-plugins/gst-plugins-vorbis
media-plugins/gst-plugins-mad
media-plugins/gst-plugins-ogg
media-plugins/gst-plugins-alsa

with

media-plugins/gst-plugins-meta[alsa ffmpeg flac mad ogg vorbis]

and make ebuild more readable
Comment 589 wayne 2009-08-28 02:39:12 UTC
Created attachment 202447 [details]
gstreamer fix

Sorry made the new gstreamer code in a rush. Just fixed
Comment 590 thewtex 2009-08-28 16:39:50 UTC
Created attachment 202518 [details]
USE flag deps, default ebuild functions

the gst-plugins-meta package dependency is good, but the USE syntax is wrong and the shouldn't be required anyway-- it should be up to the user what USE they want.  

src_unpack and src_install do not have to be specified -- the defaults will be used

I'm not sure what is going on in src_prepare, but it does not work so it was removed too
Comment 591 wayne 2009-08-29 06:16:00 UTC
(In reply to comment #590)

What are your goals for thus ebuild? 

I had the goal of making the ebuild easy to use for n00bs.

Be able the play the most common podcast out of the box. TED, and Natural Graphic come to mind first.

> Created an attachment (id=202518) [edit]
> USE flag deps, default ebuild functions
> 
> the gst-plugins-meta package dependency is good, but the USE syntax is wrong
> and the shouldn't be required anyway-- it should be up to the user what USE
> they want.  
> 
> src_unpack and src_install do not have to be specified -- the defaults will be
> used
> 
> I'm not sure what is going on in src_prepare, but it does not work so it was
> removed too
> 

Comment 592 thewtex 2009-08-30 03:35:07 UTC
(In reply to comment #591)
> (In reply to comment #590)
> 
> What are your goals for thus ebuild? 
>

Give the user choice with sane defaults.
 
> I had the goal of making the ebuild easy to use for n00bs.
> 
> Be able the play the most common podcast out of the box. TED, and Natural
> Graphic come to mind first.
> 

The way to do that is not with USE dependencies.  Have the USE dependencies there is bad for two reasons.  First, its says, "this package needs to but installed with the following dependencies and these dependecies MUST be enabled, or it will not work."  This is not true.  I think there are more intricate USE dependencies coming in EAPI 3 and maybe 4.  Second, it takes choice away from the user on what USE they can have installed.

If you want different default USE, then it should be changed in the gst-media-plugins package or the desktop profile.

Comment 593 Henrique Rodrigues 2009-08-30 09:47:53 UTC
A good compromise would be to display information after the package is installed, to say what USE flags are recommended for gst-media-plugins.
Comment 594 Dominique Michel 2009-08-30 12:40:28 UTC
I get the following with thewtex ebuild:

Package config error:
pkg-config --list-all outputted the following error:
Package ming was not found in the pkg-config search path.
Perhaps you should add the directory containing `ming.pc'
to the PKG_CONFIG_PATH environment variable
Package 'ming', required by 'Autotrace', not found

# emerge -vp ming

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] media-libs/ming-0.4.0_rc2  USE="perl python (-php)" 0 kB

# locate ming.pc
/usr/lib64/pkgconfig/libming.pc


After making a symlink /usr/lib64/pkgconfig/ming.pc to /usr/lib64/pkgconfig/libming.pc, I get another error:

Package config error:
pkg-config --list-all outputted the following error:
Failed to open '/usr/lib64/pkgconfig/lapack.pc': No such file or directory
Failed to open '/usr/lib64/pkgconfig/blas.pc': No such file or directory

After merging lapack, which have blas as depend, miro compiled fine. It is running now. Do, this is a missing depend on lapack into the ebuild.

For the first error about ming, I guess that this is a problem for upstream.
Comment 595 wayne 2009-08-30 14:37:14 UTC
(In reply to comment #593)

Yes we need to do something the changes to gst-media-plugins breaks the ebuild for n00b users. I am thinking about adding USE a flag called gst-podcast. The USE would select all needed flags for most common podcast.

What user would knowingly select USE flags that would break his or her favorite podcast?

I consider the thewtex ebuild broken for that reason.    

> A good compromise would be to display information after the package is
> installed, to say what USE flags are recommended for gst-media-plugins.
> 

Comment 596 wayne 2009-08-30 18:21:24 UTC
(In reply to comment #594)

The thewtex ebuild seems to be a problem child. I am not having any of the issues you listed. media-libs/ming is not on my system. The issue must be new to his ebuild. 

I also see no reason to make gstreamer hard to use.

  
> I get the following with thewtex ebuild:
> 
> Package config error:
> pkg-config --list-all outputted the following error:
> Package ming was not found in the pkg-config search path.
> Perhaps you should add the directory containing `ming.pc'
> to the PKG_CONFIG_PATH environment variable
> Package 'ming', required by 'Autotrace', not found
> 
> # emerge -vp ming
> 
> These are the packages that would be merged, in order:
> 
> Calculating dependencies... done!
> [ebuild   R   ] media-libs/ming-0.4.0_rc2  USE="perl python (-php)" 0 kB
> 
> # locate ming.pc
> /usr/lib64/pkgconfig/libming.pc
> 
> 
> After making a symlink /usr/lib64/pkgconfig/ming.pc to
> /usr/lib64/pkgconfig/libming.pc, I get another error:
> 
> Package config error:
> pkg-config --list-all outputted the following error:
> Failed to open '/usr/lib64/pkgconfig/lapack.pc': No such file or directory
> Failed to open '/usr/lib64/pkgconfig/blas.pc': No such file or directory
> 
> After merging lapack, which have blas as depend, miro compiled fine. It is
> running now. Do, this is a missing depend on lapack into the ebuild.
> 
> For the first error about ming, I guess that this is a problem for upstream.
> 

Comment 597 Dominique Michel 2009-08-30 21:09:19 UTC
(In reply to comment #596)
> (In reply to comment #594)
> I am not having any of the
> issues you listed. media-libs/ming is not on my system. The issue must be new
> to his ebuild. 
> 
I get the following with your ebuild:

# emerge -a miro

These are the packages that would be merged, in order:

Calculating dependencies |

!!! Invalid or corrupt dependency specification: 

invalid atom: 'media-plugins/gst-plugins-meta[alsa'

('ebuild', '/', 'media-tv/miro-2.5.2', 'merge')

>=dev-python/pycairo-1.8 >=dev-python/pygtk-2.10 >=net-libs/rb_libtorrent-0.14[python] >=net-libs/xulrunner-1.8 >=dev-lang/python-2.4.4[sqlite,ssl] >=dev-python/pygobject-2.0 >=dev-python/pyrex-0.9.6.4 >=dev-python/pysqlite-2.3.5 dev-libs/boost dev-python/dbus-python >=dev-python/gtkmozembed-python-2.19.1-r11 dev-python/gconf-python dev-python/gnome-vfs-python x11-base/xorg-server media-gfx/imagemagick libnotify? ( dev-python/notify-python dev-libs/poppler-glib ) gstreamer? ( >=media-libs/gstreamer-0.10 dev-python/gst-python media-plugins/gst-plugins-meta[alsa ffmpeg flac mad ogg vorbis] media-video/ffmpeg[theora,x264,xvid] media-plugins/gst-plugins-wavpack ) xine? ( media-libs/xine-lib[aac] ) sys-devel/gettext dev-util/pkgconfig virtual/python

This package can not be installed. Please notify the 'media-
tv/miro-2.5.2' package maintainer about this problem.
... done!

############
And with your ebuild modified by Florian Knodt:

Package config error:
pkg-config --list-all outputted the following error:
Package ming was not found in the pkg-config search path.
Perhaps you should add the directory containing `ming.pc'
to the PKG_CONFIG_PATH environment variable
Package 'ming', required by 'Autotrace', not found

Same error than with thewtex ebuild, and same workaround with a symlink.


> I also see no reason to make gstreamer hard to use.
It just work on my system. I installed all of gstreamer it was a long time ago. For me, the essential thing is that the audio work with jackd.
> 
> 
> > # locate ming.pc
> > /usr/lib64/pkgconfig/libming.pc
> > 
> > 
> > After making a symlink /usr/lib64/pkgconfig/ming.pc to
> > /usr/lib64/pkgconfig/libming.pc, I get another error:
> > 
> > Package config error:
> > pkg-config --list-all outputted the following error:
> > Failed to open '/usr/lib64/pkgconfig/lapack.pc': No such file or directory
> > Failed to open '/usr/lib64/pkgconfig/blas.pc': No such file or directory
> > 
> > After merging lapack, which have blas as depend, miro compiled fine. It is
> > running now. Do, this is a missing depend on lapack into the ebuild.
> > 
> > For the first error about ming, I guess that this is a problem for upstream.
> > 
> 
This is definitly a problem when ming is installed. And I will not remove it and break my system.

I try to install from the sources following the indication on the following link, and get the same error. Same workaround with the symlink.

Another problem is the lapack-blas DEPEND. From  https://develop.participatoryculture.org/trac/democracy/wiki/GTKX11BuildDocs we can read:
"Miro's requirements are as such:
...
FIXME - fill in other requirements here!"
Comment 598 François Bissey 2009-08-30 21:17:18 UTC
(In reply to comment #594)
> I get the following with thewtex ebuild:
> 
> Package config error:
> pkg-config --list-all outputted the following error:
> Package ming was not found in the pkg-config search path.
> Perhaps you should add the directory containing `ming.pc'
> to the PKG_CONFIG_PATH environment variable
> Package 'ming', required by 'Autotrace', not found
> 
> # emerge -vp ming
> 
> These are the packages that would be merged, in order:
> 
> Calculating dependencies... done!
> [ebuild   R   ] media-libs/ming-0.4.0_rc2  USE="perl python (-php)" 0 kB
> 
> # locate ming.pc
> /usr/lib64/pkgconfig/libming.pc
> 
> 
> After making a symlink /usr/lib64/pkgconfig/ming.pc to
> /usr/lib64/pkgconfig/libming.pc, I get another error:
> 
> Package config error:
> pkg-config --list-all outputted the following error:
> Failed to open '/usr/lib64/pkgconfig/lapack.pc': No such file or directory
> Failed to open '/usr/lib64/pkgconfig/blas.pc': No such file or directory
> 
> After merging lapack, which have blas as depend, miro compiled fine. It is
> running now. Do, this is a missing depend on lapack into the ebuild.
> 
> For the first error about ming, I guess that this is a problem for upstream.
> 
That's interesting we had some issues with some people requiring a blas
implementation.
I'd like to know what on your system requires ming: "equery d ming"
or more accurately in fact autotrace since ming is required by it.
I'd really like to know which of the miro dependencies in that ebuild
triggers that.
Other than that the bug should be filled on autotrace. I may check it.
For the lapack and blas problem, have you all of the following:
virtual/lapack
app-admin/eselect-lapack
virtual/cblas
app-admin/eselect-cblas
once the eselect modules are installed you can make sure that lapack
and cblas (or blas) are correctly selected.
Comment 599 wayne 2009-08-30 21:30:24 UTC
(In reply to comment #597)

gstreamer is not currently on my system. I will test and fix the gstreamer use.


> (In reply to comment #596)
> > (In reply to comment #594)
> > I am not having any of the
> > issues you listed. media-libs/ming is not on my system. The issue must be new
> > to his ebuild. 
> > 
> I get the following with your ebuild:
> 
> # emerge -a miro
> 
> These are the packages that would be merged, in order:
> 
> Calculating dependencies |
> 
> !!! Invalid or corrupt dependency specification: 
> 
> invalid atom: 'media-plugins/gst-plugins-meta[alsa'
> 
> ('ebuild', '/', 'media-tv/miro-2.5.2', 'merge')
> 
> >=dev-python/pycairo-1.8 >=dev-python/pygtk-2.10 >=net-libs/rb_libtorrent-0.14[python] >=net-libs/xulrunner-1.8 >=dev-lang/python-2.4.4[sqlite,ssl] >=dev-python/pygobject-2.0 >=dev-python/pyrex-0.9.6.4 >=dev-python/pysqlite-2.3.5 dev-libs/boost dev-python/dbus-python >=dev-python/gtkmozembed-python-2.19.1-r11 dev-python/gconf-python dev-python/gnome-vfs-python x11-base/xorg-server media-gfx/imagemagick libnotify? ( dev-python/notify-python dev-libs/poppler-glib ) gstreamer? ( >=media-libs/gstreamer-0.10 dev-python/gst-python media-plugins/gst-plugins-meta[alsa ffmpeg flac mad ogg vorbis] media-video/ffmpeg[theora,x264,xvid] media-plugins/gst-plugins-wavpack ) xine? ( media-libs/xine-lib[aac] ) sys-devel/gettext dev-util/pkgconfig virtual/python
> 
> This package can not be installed. Please notify the 'media-
> tv/miro-2.5.2' package maintainer about this problem.
> ... done!
> 
> ############
> And with your ebuild modified by Florian Knodt:
> 
> Package config error:
> pkg-config --list-all outputted the following error:
> Package ming was not found in the pkg-config search path.
> Perhaps you should add the directory containing `ming.pc'
> to the PKG_CONFIG_PATH environment variable
> Package 'ming', required by 'Autotrace', not found
> 
> Same error than with thewtex ebuild, and same workaround with a symlink.
> 
> 
> > I also see no reason to make gstreamer hard to use.
> It just work on my system. I installed all of gstreamer it was a long time ago.
> For me, the essential thing is that the audio work with jackd.
> > 
> > 
> > > # locate ming.pc
> > > /usr/lib64/pkgconfig/libming.pc
> > > 
> > > 
> > > After making a symlink /usr/lib64/pkgconfig/ming.pc to
> > > /usr/lib64/pkgconfig/libming.pc, I get another error:
> > > 
> > > Package config error:
> > > pkg-config --list-all outputted the following error:
> > > Failed to open '/usr/lib64/pkgconfig/lapack.pc': No such file or directory
> > > Failed to open '/usr/lib64/pkgconfig/blas.pc': No such file or directory
> > > 
> > > After merging lapack, which have blas as depend, miro compiled fine. It is
> > > running now. Do, this is a missing depend on lapack into the ebuild.
> > > 
> > > For the first error about ming, I guess that this is a problem for upstream.
> > > 
> > 
> This is definitly a problem when ming is installed. And I will not remove it
> and break my system.
> 
> I try to install from the sources following the indication on the following
> link, and get the same error. Same workaround with the symlink.
> 
> Another problem is the lapack-blas DEPEND. From 
> https://develop.participatoryculture.org/trac/democracy/wiki/GTKX11BuildDocs we
> can read:
> "Miro's requirements are as such:
> ...
> FIXME - fill in other requirements here!"
> 

Comment 600 François Bissey 2009-08-30 22:11:20 UTC
(In reply to comment #595)
> (In reply to comment #593)
> 
> Yes we need to do something the changes to gst-media-plugins breaks the ebuild
> for n00b users. I am thinking about adding USE a flag called gst-podcast. The
> USE would select all needed flags for most common podcast.
> 
> What user would knowingly select USE flags that would break his or her favorite
> podcast?
> 
> I consider the thewtex ebuild broken for that reason.    
> 
> > A good compromise would be to display information after the package is
> > installed, to say what USE flags are recommended for gst-media-plugins.
> > 
> 
After careful thinking I will side with thewtex on that one. You
select your own use flags for a reason.
That being said an einfo output in pkg_postinst or even in pkg_setup
explaining to the users what flags to select for what kind of output
is desirable. 
The prime example of why the alternative approach is wrong is the alsa
discussion we had earlier. Some people may be using oss and have no 
desire to alsa and yet you force it on them.
On a proper setup people will have selected either alsa or oss in their
use flags and the appropriate stuff will be pulled. 
Gentoo is about choice as much as possible, and possibly learning. I don't
say we should make it difficult for n00b, but if they are here it is to learn 
how to use Gentoo. I am afraid that Gentoo is not quite a turnkey system
like ubuntu, may be someday.
Comment 601 wayne 2009-08-30 22:17:38 UTC
Created attachment 202746 [details]
more gstreamer fixes 

Thanks for letting me know gstreamer was broken. 

I am working on a hack for media-libs/ming. Would it be a bad idea to make the ebuild create a symlink if media-libs/ming is on the system?
Comment 602 François Bissey 2009-08-30 22:43:07 UTC
(In reply to comment #601)
> 
> I am working on a hack for media-libs/ming. Would it be a bad idea to make the
> ebuild create a symlink if media-libs/ming is on the system?  
> 
I think it would be. Not to mention it probably would violate the sandbox
anyway. If ming is automagically detected it should be fixed in the detection
code:
http://www.gentoo.org/proj/en/qa/automagic.xml
Of course it is not the easy option.
Comment 603 wayne 2009-08-30 22:49:40 UTC
Created attachment 202748 [details]
more choices for experienced gstreamer users

I am still working on a hack for media-libs/ming
Comment 604 François Bissey 2009-08-30 22:51:07 UTC
Comment on attachment 176853 [details]
miro-1.2.8 ebuild working with xul-runner-1.9

clean up - sorry for the noise
Comment 605 Dominique Michel 2009-08-30 23:05:06 UTC
(In reply to comment #598)
> (In reply to comment #594)
> > After making a symlink /usr/lib64/pkgconfig/ming.pc to
> > /usr/lib64/pkgconfig/libming.pc, I get another error:
> > 
> > Package config error:
> > pkg-config --list-all outputted the following error:
> > Failed to open '/usr/lib64/pkgconfig/lapack.pc': No such file or directory
> > Failed to open '/usr/lib64/pkgconfig/blas.pc': No such file or directory
> > 
> > After merging lapack, which have blas as depend, miro compiled fine. It is
> > running now. Do, this is a missing depend on lapack into the ebuild.
> > 
> > For the first error about ming, I guess that this is a problem for upstream.
> > 
> That's interesting we had some issues with some people requiring a blas
> implementation.

Blas and lapack. As blas is a depend for lapack, it is enough to install lapack.

> For the lapack and blas problem, have you all of the following:
> virtual/lapack
> app-admin/eselect-lapack
> virtual/cblas
> app-admin/eselect-cblas
> once the eselect modules are installed you can make sure that lapack
> and cblas (or blas) are correctly selected.
> 

Yes, but they are depend for miro, so 
DEPEND='virtual/lapack'
must be included into the ebuild.
Comment 606 François Bissey 2009-08-30 23:15:48 UTC
(In reply to comment #605)
> 
> Yes, but they are depend for miro, so 
> DEPEND='virtual/lapack'
> must be included into the ebuild.
> 
I am still shocked that they are. I cannot think of what in miro
itself would require it. I will have to dig into the configuration code.
If it is indeed required adding the virtual/lapack to DEPEND is indeed 
correct.
Comment 607 Dominique Michel 2009-08-30 23:29:02 UTC
(In reply to comment #606)
> (In reply to comment #605)
> > 
> > Yes, but they are depend for miro, so 
> > DEPEND='virtual/lapack'
> > must be included into the ebuild.
> > 
> I am still shocked that they are. 

Me too, it would be much better to have an USE flag for that if possible.
Comment 608 Dominique Michel 2009-08-30 23:47:42 UTC
(In reply to comment #607)
> (In reply to comment #606)
> > (In reply to comment #605)
> > > 
> > > Yes, but they are depend for miro, so 
> > > DEPEND='virtual/lapack'
> > > must be included into the ebuild.
> > > 
> > I am still shocked that they are. 
> 
> Me too, it would be much better to have an USE flag for that if possible.
> 

It turn out to be a problem into my system. If I run the command that miro's install script is running, with an additional grep:

pkg-config --list-all |grep blas
Failed to open '/usr/lib64/pkgconfig/lapack.pc': No such file or directory
cblas                            cblas - GSL C Implementation of the Basic Linear Algebra Subprograms
Failed to open '/usr/lib64/pkgconfig/blas.pc': No such file or directory

I must investigate it. 2 clues for now: 1) I don't need blas and lapack and I have no idea why pkgconfig want them. 2) I need them and sometime was going wrong the last time I udated my system. Both are looking very strange to me.
Comment 609 Dominique Michel 2009-08-30 23:50:22 UTC
(In reply to comment #608)
> (In reply to comment #607)
> > (In reply to comment #606)
> > > (In reply to comment #605)

> 
> It turn out to be a problem into my system. If I run the command that miro's
> install script is running, with an additional grep:
> 

Sorry, I forget to say that this is after unmerging blas, blas-reference, lapacl and lapack-reference.
Comment 610 thewtex 2009-08-31 15:02:23 UTC
(In reply to comment #609)
> (In reply to comment #608)
> > (In reply to comment #607)
> > > (In reply to comment #606)
> > > > (In reply to comment #605)
> 
> > 
> > It turn out to be a problem into my system. If I run the command that miro's
> > install script is running, with an additional grep:
> > 
> 
> Sorry, I forget to say that this is after unmerging blas, blas-reference,
> lapacl and lapack-reference.
> 
I also find it very doubtful that miro requires blas/lapack.  Some things to look out for:  The package config modules are probably generated by app-admin/eselect-blas, app-admin/eselect-cblas, app-admin/eselect-lapack, so if you want to get ride of them, you'll need to unmerge those too.  There was a new eselect that was recently placed in the tree


Comment 611 Dominique Michel 2009-09-01 20:21:36 UTC
(In reply to comment #610)
> (In reply to comment #609)
> > (In reply to comment #608)
> > > (In reply to comment #607)
> > > > (In reply to comment #606)
> > > > > (In reply to comment #605)
> > 
> > > 
> > > It turn out to be a problem into my system. If I run the command that miro's
> > > install script is running, with an additional grep:
> > > 
> > 
> > Sorry, I forget to say that this is after unmerging blas, blas-reference,
> > lapacl and lapack-reference.
> > 
> I also find it very doubtful that miro requires blas/lapack.  Some things to
> look out for:  The package config modules are probably generated by
> app-admin/eselect-blas, app-admin/eselect-cblas, app-admin/eselect-lapack, so
> if you want to get ride of them, you'll need to unmerge those too.  There was a
> new eselect that was recently placed in the tree
> 

OK, I found something. First, I removed gsl and get another error (the same, but with one more failed file):

pkg-config --list-all outputted the following error:
Failed to open '/usr/lib64/pkgconfig/cblas.pc': No such file or directory
Failed to open '/usr/lib64/pkgconfig/lapack.pc': No such file or directory
Failed to open '/usr/lib64/pkgconfig/blas.pc': No such file or directory

Those files are symlinks to non existing files:
../blas/reference/blas.pc
../blas/gsl/cblas.pc
../lapack/reference/lapack.pc

After removing those broken symlinks, this problem is gone and the ebuild is working fine.
Comment 612 wayne 2009-09-02 00:44:33 UTC
Created attachment 202924 [details]
pkg_postinst() {  clean up

The dbus ebuild tells you how to set it up.
revdep-rebuild should adress this the media-plugins/gst-plugins-meta ewarn.


83,87d82
<       ebeep 5
<       ewarn "The dbus service must be installed and running for this package to work"
<       einfo
<       ewarn "Remember to emerge media-plugins/gst-plugins-meta after installing"
<       ewarn "a new gstreamer plugin."
Comment 613 François Bissey 2009-09-02 09:51:51 UTC
(In reply to comment #611)
> OK, I found something. First, I removed gsl and get another error (the same,
> but with one more failed file):
> 
> pkg-config --list-all outputted the following error:
> Failed to open '/usr/lib64/pkgconfig/cblas.pc': No such file or directory
> Failed to open '/usr/lib64/pkgconfig/lapack.pc': No such file or directory
> Failed to open '/usr/lib64/pkgconfig/blas.pc': No such file or directory
> 
> Those files are symlinks to non existing files:
> ../blas/reference/blas.pc
> ../blas/gsl/cblas.pc
> ../lapack/reference/lapack.pc
> 
> After removing those broken symlinks, this problem is gone and the ebuild is
> working fine.
> 

Good. I greped the sources for blas and lapack and didn't find
anything in code (a comment "blast" and a breton translation).

I also greped for ming....
Once I remove "assuming", "resuming", "timing" and so on I
have no match either. Same thing for autotrace, so I assume 
your need for that was a fluke.
Comment 614 Dominique Michel 2009-09-02 17:22:37 UTC
I found the reason of the ming problem. See http://bugs.gentoo.org/show_bug.cgi?id=283534
Comment 615 François Bissey 2009-09-09 02:06:59 UTC
I finally made the jump and tried miro-2.5.2.ebuild for real.
Failure ensue....
After analysis of the problem, I believe the current dependency
on pysqlite should be changed from:
>=dev-python/pysqlite-2.3.5
to
( >=dev-python/pysqlite-2.3.5 || dev-lang/python[sqlite] )
I had numerous issues with miro database which I never had before.
So I immediately suspected pysqlite for two reasons:
1) it was pulled on my system by miro-2.5.2 and was not there before.
2) downgrading miro to the previous working version didn't result
in a working miro - the same problem happened.

Removal of pysqlite and rebuilding miro solved the problem - 
so I believe pysqlite and python[sqlite] shouldn't be installed at the
same time. It is certainly detrimental to miro.
Comment 616 François Bissey 2009-09-09 02:14:00 UTC
I've just noticed that we already have python[sqlite] in there.
Am I the only one to see database problems with pysqlite and
python[sqlite] installed at the same time?
Comment 617 wayne 2009-09-09 02:22:58 UTC
(In reply to comment #616)

I use Miro every day and I see issues as well. An example is double entries of videos. bsddb3 Miro did not have this issue. 
   
> I've just noticed that we already have python[sqlite] in there.
> Am I the only one to see database problems with pysqlite and
> python[sqlite] installed at the same time?
> 

Comment 618 François Bissey 2009-09-09 02:35:26 UTC
(In reply to comment #617)
> (In reply to comment #616)
> 
> I use Miro every day and I see issues as well. An example is double entries of
> videos. bsddb3 Miro did not have this issue. 
> 
Double entries is not bad. I get flat out not starting and
when it start problems with connecting to the database suggesting 
that my disk is full (1.3GB is free) and then it has to be killed
as it refuses to quit. Other than that it seems to work.
Anyway removing pysqlite and rebuilding solved my problem so there
may be a number of issues about databases. Do you still have bsddb3
installed on your system?
I also realised that my suggested syntax for the change is wrong, we had
the choice between pysqlite and python[sqlite] in an earlier ebuild
(miro-2.0* I think) how come it was removed?
Comment 619 wayne 2009-09-09 02:48:52 UTC
(In reply to comment #618)

I read something about the disk is full issue on the miro page. That is a know issue I wish I remembered where I saw it.

looking at issues like pysqlite and python[sqlite] I think we should talk more about changes before we make them. I know our change log would be a mess if we had one.

Choice between pysqlite and python[sqlite] sounds nice no reason to remove options. 

> (In reply to comment #617)
> > (In reply to comment #616)
> > 
> > I use Miro every day and I see issues as well. An example is double entries of
> > videos. bsddb3 Miro did not have this issue. 
> > 
> Double entries is not bad. I get flat out not starting and
> when it start problems with connecting to the database suggesting 
> that my disk is full (1.3GB is free) and then it has to be killed
> as it refuses to quit. Other than that it seems to work.
> Anyway removing pysqlite and rebuilding solved my problem so there
> may be a number of issues about databases. Do you still have bsddb3
> installed on your system?
> I also realised that my suggested syntax for the change is wrong, we had
> the choice between pysqlite and python[sqlite] in an earlier ebuild
> (miro-2.0* I think) how come it was removed?
> 

Comment 620 Beetle B. 2009-09-09 03:27:00 UTC
(In reply to comment #618)
> Double entries is not bad. I get flat out not starting and
> when it start problems with connecting to the database suggesting 
> that my disk is full (1.3GB is free) and then it has to be killed
> as it refuses to quit. Other than that it seems to work.

A number of issues can give an erroneous disk full message. Here's one that cropped up with 2.5.2:

http://bugzilla.pculture.org/show_bug.cgi?id=12031

There are other bugs that give this error message, if that link isn't the one creating the problem for you.

Comment 621 François Bissey 2009-09-09 11:28:29 UTC
(In reply to comment #620)
> (In reply to comment #618)
> > Double entries is not bad. I get flat out not starting and
> > when it start problems with connecting to the database suggesting 
> > that my disk is full (1.3GB is free) and then it has to be killed
> > as it refuses to quit. Other than that it seems to work.
> 
> A number of issues can give an erroneous disk full message. Here's one that
> cropped up with 2.5.2:
> 
> http://bugzilla.pculture.org/show_bug.cgi?id=12031
> 
> There are other bugs that give this error message, if that link isn't the one
> creating the problem for you.
> 
Doesn't look like mine. Anyway like I said removing pysqlite solve my problems.
Downgrading didn't.
The most striking thing is it wouldn't quit:
2009-09-09 00:03:31,714 INFO     Shutting down Downloader...
2009-09-09 00:03:31,736 INFO     Closing Database...
2009-09-09 00:03:31,736 INFO     failed() called; generating crash report.
2009-09-09 00:03:31,760 INFO     ----- CRASH REPORT (DANGER CAN HAPPEN) -----
2009-09-09 00:03:31,761 INFO     App:        Miro
Publisher:  Participatory Culture Foundation
Platform:   gtk-x11
Python:     2.5.4 (r254:67916, Aug 24 2009, 21:18:10)  [GCC 4.3.3]
Py Path:    ['/usr/bin', '/usr/lib/python2.5/site-packages/gst-0.10', '/usr/bin', '/usr/lib/python25.zip', '/usr/lib/python2.5', '
/usr/lib/python2.5/plat-linux2', '/usr/lib/python2.5/lib-tk', '/usr/lib/python2.5/lib-dynload', '/usr/lib/portage/pym', '/usr/lib/
python2.5/site-packages', '/usr/lib/python2.5/site-packages/Numeric', '/usr/lib/python2.5/site-packages/PIL', '/usr/lib/python2.5/
site-packages/gtk-2.0', '/usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode']
Version:    2.0.1
Serial:     20090209000
Revision:   https://svn.participatoryculture.org/svn/dtv/tags/Miro-2.0.1/tv/resources - 9185
Builder:    root@vrooom
Build Time: 1252321722.36
Time:       Wed Sep  9 00:03:31 2009
When:       Running: <miro.dl_daemon.command.ShutDownResponseCommand instance at 0x8f93fac>

Exception
---------
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/miro/trapcall.py", line 42, in trap_call
    function(*args, **kwargs)
  File "/usr/lib/python2.5/site-packages/miro/dl_daemon/daemon.py", line 180, in runCommand
    comm.action()
  File "/usr/lib/python2.5/site-packages/miro/dl_daemon/command.py", line 116, in action
    self.daemon.shutdownResponse()
  File "/usr/lib/python2.5/site-packages/miro/dl_daemon/daemon.py", line 282, in shutdownResponse
    self.shutdown_callback()
  File "/usr/lib/python2.5/site-packages/miro/controller.py", line 82, in downloaderShutdown
    app.db.liveStorage.close()
  File "/usr/lib/python2.5/site-packages/miro/storedatabase.py", line 1259, in close
    self.cursor.execute("VACUUM")
ProgrammingError: Cannot operate on a closed cursor.

Call stack
----------
  File "/usr/lib/python2.5/site-packages/miro/trapcall.py", line 42, in trap_call
    function(*args, **kwargs)
  File "/usr/lib/python2.5/site-packages/miro/httpclient.py", line 186, in trap_call
    return trapcall.time_trap_call("Calling %s on %s" % (function, object), function, *args, **kwargs)
  File "/usr/lib/python2.5/site-packages/miro/trapcall.py", line 42, in trap_call
    function(*args, **kwargs)
  File "/usr/lib/python2.5/site-packages/miro/trapcall.py", line 47, in trap_call
    signals.system.failed_exn(when)

Threads
-------
Current: Event Loop
Active:
 - MainThread
 - Movie Data Thread [Daemon]
 - ThreadPool - 0 [Daemon]
 - Event Loop
 - ThreadPool - 2 [Daemon]
 - ThreadPool - 1 [Daemon]

2009-09-09 00:03:31,762 INFO     ----- END OF CRASH REPORT -----
==========

"cannot operate on a closed cursor"? what does that mean?

In other arising: 
1) Does anyone know if miro is python 2.6 or even 3.* compatible now?
2) has anyone tried miro with xurunner-1.9.1 .x (firefox-3.5)
Comment 622 Dominique Michel 2009-09-09 16:44:42 UTC
(In reply to comment #621)
> (In reply to comment #620)
> > (In reply to comment #618)
> 1) Does anyone know if miro is python 2.6 or even 3.* compatible now?

Python 2.6.2 here on ~amd64

> 2) has anyone tried miro with xurunner-1.9.1 .x (firefox-3.5)

It work fine with firefox-3.5.2
 

Comment 623 thewtex 2009-09-10 07:17:05 UTC
Created attachment 203662 [details]
fix python[sqlite] pysqlite conflict
Comment 624 Pacho Ramos gentoo-dev 2009-09-28 09:25:05 UTC
Maybe would be interesting submit it to sunrise overlay to allow users to simply emerge it after adding that overlay ;-) (current version in sunrise is old) 

Thanks
Comment 625 Tommaso Pasini 2009-10-06 15:52:48 UTC
I'm commenting here because I'm not sure a bugreport about an ebuild not even in the overlays is acceptable :-)

Miro 2.5.2 has a hidden dependency on xine-lib: I used it without a problem until today, when I realized only tracker had it (xine-lib I mean) as a dependency; re-emerged tracker and removed xine-lib, revdep-rebuild told me miro needed to be rebuilt. This is what I get:

>>> Emerging (1 of 1) media-tv/miro-2.5.2 from local
 * Miro-2.5.2.tar.gz RMD160 SHA1 SHA256 size ;-) ... [ ok ]
 * checking ebuild checksums ;-) ... [ ok ]
 * checking auxfile checksums ;-) ... [ ok ]
 * checking miscfile checksums ;-) ... [ ok ]
 * 
 * It is important to note that Miro needs a backend for video playback
 * The gstreamer or xine USE flag must be selected for this package to work
 * Both may be selected at the same time
>>> Unpacking source...
>>> Unpacking Miro-2.5.2.tar.gz to /var/tmp/portage/media-tv/miro-2.5.2/work
>>> Source unpacked in /var/tmp/portage/media-tv/miro-2.5.2/work
>>> Preparing source in /var/tmp/portage/media-tv/miro-2.5.2/work/Miro-2.5.2/platform/gtk-x11 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/media-tv/miro-2.5.2/work/Miro-2.5.2/platform/gtk-x11 ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/media-tv/miro-2.5.2/work/Miro-2.5.2/platform/gtk-x11 ...
python setup.py build
/usr/lib/python2.6/site-packages/Pyrex/Compiler/Errors.py:17: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  self.message = message
Using boost_python-mt
libtorrent-rasterbar (0.13 or later) and python bindings are installed--using system version.

Trying to figure out xpcom_lib, gtkmozembed_lib, and xulrunner_19 values....
using xpcom_lib:  'libxul'
using gtkmozembed_lib:  'libxul'
using xulrunner19:  True

Trying to figure out xpcom_runtime_path value....
using xpcom_runtime_path:  ''

Trying to figure out mozilla_lib_path value....
using mozilla_lib_path:  '/usr/lib/xulrunner-devel-1.9.1.3/lib'
/usr/lib/python2.6/distutils/extension.py:133: UserWarning: Unknown Extension options: 'runtime_dirs'
  warnings.warn(msg)
Traceback (most recent call last):
  File "setup.py", line 618, in <module>
    'libxine pygtk-2.0 gtk+-2.0 glib-2.0 gthread-2.0')
  File "setup.py", line 279, in parse_pkg_config
    output = get_command_output(commandLine).strip()
  File "setup.py", line 251, in get_command_output
    raise RuntimeError("%s outputted the following error:\n%s" % (cmd, stderr))
RuntimeError: pkg-config --cflags --libs libxine pygtk-2.0 gtk+-2.0 glib-2.0 gthread-2.0 outputted the following error:
Package libxine was not found in the pkg-config search path.
Perhaps you should add the directory containing `libxine.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libxine' found

The ebuild is the last one posted here. A quick look at the files seems to show that it's impossible to build miro without xine-lib, unless a patch is filed.

To reproduce:
emerge -C xine-lib
USE=-xine emerge -1 miro
Comment 626 wayne 2009-10-07 01:36:54 UTC
(In reply to comment #625)

What you are reporting in NOT a bug. Miro needs a backend. You must select the the gstreamer or xine backend. I see you did not read to error message. At the end on the build it tells you how to switch between the two.

I could see this coming. thewtex Now do you get my point? People do not like to read.  If you keep gstreamer the way it is we will constantly get bug reports like his.

I will merge my work with the work of thewtex. I will try harder to idiot proof the ebuild.    


> I'm commenting here because I'm not sure a bugreport about an ebuild not even
> in the overlays is acceptable :-)
> 
> Miro 2.5.2 has a hidden dependency on xine-lib: I used it without a problem
> until today, when I realized only tracker had it (xine-lib I mean) as a
> dependency; re-emerged tracker and removed xine-lib, revdep-rebuild told me
> miro needed to be rebuilt. This is what I get:
> 
> >>> Emerging (1 of 1) media-tv/miro-2.5.2 from local
>  * Miro-2.5.2.tar.gz RMD160 SHA1 SHA256 size ;-) ... [ ok ]
>  * checking ebuild checksums ;-) ... [ ok ]
>  * checking auxfile checksums ;-) ... [ ok ]
>  * checking miscfile checksums ;-) ... [ ok ]
>  * 
>  * It is important to note that Miro needs a backend for video playback
>  * The gstreamer or xine USE flag must be selected for this package to work
>  * Both may be selected at the same time
> >>> Unpacking source...
> >>> Unpacking Miro-2.5.2.tar.gz to /var/tmp/portage/media-tv/miro-2.5.2/work
> >>> Source unpacked in /var/tmp/portage/media-tv/miro-2.5.2/work
> >>> Preparing source in /var/tmp/portage/media-tv/miro-2.5.2/work/Miro-2.5.2/platform/gtk-x11 ...
> >>> Source prepared.
> >>> Configuring source in /var/tmp/portage/media-tv/miro-2.5.2/work/Miro-2.5.2/platform/gtk-x11 ...
> >>> Source configured.
> >>> Compiling source in /var/tmp/portage/media-tv/miro-2.5.2/work/Miro-2.5.2/platform/gtk-x11 ...
> python setup.py build
> /usr/lib/python2.6/site-packages/Pyrex/Compiler/Errors.py:17:
> DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
>   self.message = message
> Using boost_python-mt
> libtorrent-rasterbar (0.13 or later) and python bindings are installed--using
> system version.
> 
> Trying to figure out xpcom_lib, gtkmozembed_lib, and xulrunner_19 values....
> using xpcom_lib:  'libxul'
> using gtkmozembed_lib:  'libxul'
> using xulrunner19:  True
> 
> Trying to figure out xpcom_runtime_path value....
> using xpcom_runtime_path:  ''
> 
> Trying to figure out mozilla_lib_path value....
> using mozilla_lib_path:  '/usr/lib/xulrunner-devel-1.9.1.3/lib'
> /usr/lib/python2.6/distutils/extension.py:133: UserWarning: Unknown Extension
> options: 'runtime_dirs'
>   warnings.warn(msg)
> Traceback (most recent call last):
>   File "setup.py", line 618, in <module>
>     'libxine pygtk-2.0 gtk+-2.0 glib-2.0 gthread-2.0')
>   File "setup.py", line 279, in parse_pkg_config
>     output = get_command_output(commandLine).strip()
>   File "setup.py", line 251, in get_command_output
>     raise RuntimeError("%s outputted the following error:\n%s" % (cmd, stderr))
> RuntimeError: pkg-config --cflags --libs libxine pygtk-2.0 gtk+-2.0 glib-2.0
> gthread-2.0 outputted the following error:
> Package libxine was not found in the pkg-config search path.
> Perhaps you should add the directory containing `libxine.pc'
> to the PKG_CONFIG_PATH environment variable
> No package 'libxine' found
> 
> The ebuild is the last one posted here. A quick look at the files seems to show
> that it's impossible to build miro without xine-lib, unless a patch is filed.
> 
> To reproduce:
> emerge -C xine-lib
> USE=-xine emerge -1 miro
> 

Comment 627 wayne 2009-10-07 01:46:07 UTC
(In reply to comment #625)
You are looking for 
USE="gstreamer" emerge -1 miro    or    USE="gstreamer-easy" emerge -1 miro 

USE="gstreamer-easy" is a n00b flag only in my ebuild it pulls in all the this you need to make gstreamer work correctly.

gstreamer is a export flag that assumes you know what you are doing. I may rename it gstreamer-export


> I'm commenting here because I'm not sure a bugreport about an ebuild not even
> in the overlays is acceptable :-)
> 
> Miro 2.5.2 has a hidden dependency on xine-lib: I used it without a problem
> until today, when I realized only tracker had it (xine-lib I mean) as a
> dependency; re-emerged tracker and removed xine-lib, revdep-rebuild told me
> miro needed to be rebuilt. This is what I get:
> 
> >>> Emerging (1 of 1) media-tv/miro-2.5.2 from local
>  * Miro-2.5.2.tar.gz RMD160 SHA1 SHA256 size ;-) ... [ ok ]
>  * checking ebuild checksums ;-) ... [ ok ]
>  * checking auxfile checksums ;-) ... [ ok ]
>  * checking miscfile checksums ;-) ... [ ok ]
>  * 
>  * It is important to note that Miro needs a backend for video playback
>  * The gstreamer or xine USE flag must be selected for this package to work
>  * Both may be selected at the same time
> >>> Unpacking source...
> >>> Unpacking Miro-2.5.2.tar.gz to /var/tmp/portage/media-tv/miro-2.5.2/work
> >>> Source unpacked in /var/tmp/portage/media-tv/miro-2.5.2/work
> >>> Preparing source in /var/tmp/portage/media-tv/miro-2.5.2/work/Miro-2.5.2/platform/gtk-x11 ...
> >>> Source prepared.
> >>> Configuring source in /var/tmp/portage/media-tv/miro-2.5.2/work/Miro-2.5.2/platform/gtk-x11 ...
> >>> Source configured.
> >>> Compiling source in /var/tmp/portage/media-tv/miro-2.5.2/work/Miro-2.5.2/platform/gtk-x11 ...
> python setup.py build
> /usr/lib/python2.6/site-packages/Pyrex/Compiler/Errors.py:17:
> DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
>   self.message = message
> Using boost_python-mt
> libtorrent-rasterbar (0.13 or later) and python bindings are installed--using
> system version.
> 
> Trying to figure out xpcom_lib, gtkmozembed_lib, and xulrunner_19 values....
> using xpcom_lib:  'libxul'
> using gtkmozembed_lib:  'libxul'
> using xulrunner19:  True
> 
> Trying to figure out xpcom_runtime_path value....
> using xpcom_runtime_path:  ''
> 
> Trying to figure out mozilla_lib_path value....
> using mozilla_lib_path:  '/usr/lib/xulrunner-devel-1.9.1.3/lib'
> /usr/lib/python2.6/distutils/extension.py:133: UserWarning: Unknown Extension
> options: 'runtime_dirs'
>   warnings.warn(msg)
> Traceback (most recent call last):
>   File "setup.py", line 618, in <module>
>     'libxine pygtk-2.0 gtk+-2.0 glib-2.0 gthread-2.0')
>   File "setup.py", line 279, in parse_pkg_config
>     output = get_command_output(commandLine).strip()
>   File "setup.py", line 251, in get_command_output
>     raise RuntimeError("%s outputted the following error:\n%s" % (cmd, stderr))
> RuntimeError: pkg-config --cflags --libs libxine pygtk-2.0 gtk+-2.0 glib-2.0
> gthread-2.0 outputted the following error:
> Package libxine was not found in the pkg-config search path.
> Perhaps you should add the directory containing `libxine.pc'
> to the PKG_CONFIG_PATH environment variable
> No package 'libxine' found
> 
> The ebuild is the last one posted here. A quick look at the files seems to show
> that it's impossible to build miro without xine-lib, unless a patch is filed.
> 
> To reproduce:
> emerge -C xine-lib
> USE=-xine emerge -1 miro
> 

Comment 628 thewtex 2009-10-07 04:11:25 UTC
(In reply to comment #626)
> (In reply to comment #625)
> 
> What you are reporting in NOT a bug. Miro needs a backend. You must select the
> the gstreamer or xine backend. I see you did not read to error message. At the
> end on the build it tells you how to switch between the two.
> 
> I could see this coming. thewtex Now do you get my point? People do not like to
> read.  If you keep gstreamer the way it is we will constantly get bug reports
> like his.
> 

No people are not all idiots, and their freedom should not compromised and messy hacks should not be put into place because we assume them to be.  Windows and Ubuntu do that and it does not work out well.

> > Traceback (most recent call last):
> >   File "setup.py", line 618, in <module>
> >     'libxine pygtk-2.0 gtk+-2.0 glib-2.0 gthread-2.0')
> >   File "setup.py", line 279, in parse_pkg_config
> >     output = get_command_output(commandLine).strip()
> >   File "setup.py", line 251, in get_command_output
> >     raise RuntimeError("%s outputted the following error:\n%s" % (cmd, stderr))
> > RuntimeError: pkg-config --cflags --libs libxine pygtk-2.0 gtk+-2.0 glib-2.0
> > gthread-2.0 outputted the following error:
> > Package libxine was not found in the pkg-config search path.
> > Perhaps you should add the directory containing `libxine.pc'
> > to the PKG_CONFIG_PATH environment variable
> > No package 'libxine' found
> > 

This is a bug, but I don't have the time to dig out where.  If he was not using the gstreamer or xine flag, then the ebuild should have died in pkg_setup.  Probably some options need to be passed into setup.py to specify the backend or setup.py needs to be fixed.  I use xine myself.
Comment 629 wayne 2009-10-07 04:22:57 UTC
(In reply to comment #628)


> To reproduce:
> emerge -C xine-lib
> USE=-xine emerge -1 miro

Looks like he tried to build without a backend.

He did not say anything about selecting the gstreamer USE

> (In reply to comment #626)
> > (In reply to comment #625)
> > 
> > What you are reporting in NOT a bug. Miro needs a backend. You must select the
> > the gstreamer or xine backend. I see you did not read to error message. At the
> > end on the build it tells you how to switch between the two.
> > 
> > I could see this coming. thewtex Now do you get my point? People do not like to
> > read.  If you keep gstreamer the way it is we will constantly get bug reports
> > like his.
> > 
> 
> No people are not all idiots, and their freedom should not compromised and
> messy hacks should not be put into place because we assume them to be.  Windows
> and Ubuntu do that and it does not work out well.
> 
> > > Traceback (most recent call last):
> > >   File "setup.py", line 618, in <module>
> > >     'libxine pygtk-2.0 gtk+-2.0 glib-2.0 gthread-2.0')
> > >   File "setup.py", line 279, in parse_pkg_config
> > >     output = get_command_output(commandLine).strip()
> > >   File "setup.py", line 251, in get_command_output
> > >     raise RuntimeError("%s outputted the following error:\n%s" % (cmd, stderr))
> > > RuntimeError: pkg-config --cflags --libs libxine pygtk-2.0 gtk+-2.0 glib-2.0
> > > gthread-2.0 outputted the following error:
> > > Package libxine was not found in the pkg-config search path.
> > > Perhaps you should add the directory containing `libxine.pc'
> > > to the PKG_CONFIG_PATH environment variable
> > > No package 'libxine' found
> > > 
> 
> This is a bug, but I don't have the time to dig out where.  If he was not using
> the gstreamer or xine flag, then the ebuild should have died in pkg_setup. 
> Probably some options need to be passed into setup.py to specify the backend or
> setup.py needs to be fixed.  I use xine myself.
> 

Comment 630 wayne 2009-10-07 04:50:28 UTC
(In reply to comment #628)

You make a good point how did he get past pkg_setup? Looking at his example he did not have a backend unless gstreamer is in his make.conf



> (In reply to comment #626)
> > (In reply to comment #625)
> > 
> > What you are reporting in NOT a bug. Miro needs a backend. You must select the
> > the gstreamer or xine backend. I see you did not read to error message. At the
> > end on the build it tells you how to switch between the two.
> > 
> > I could see this coming. thewtex Now do you get my point? People do not like to
> > read.  If you keep gstreamer the way it is we will constantly get bug reports
> > like his.
> > 
> 
> No people are not all idiots, and their freedom should not compromised and
> messy hacks should not be put into place because we assume them to be.  Windows
> and Ubuntu do that and it does not work out well.
> 
> > > Traceback (most recent call last):
> > >   File "setup.py", line 618, in <module>
> > >     'libxine pygtk-2.0 gtk+-2.0 glib-2.0 gthread-2.0')
> > >   File "setup.py", line 279, in parse_pkg_config
> > >     output = get_command_output(commandLine).strip()
> > >   File "setup.py", line 251, in get_command_output
> > >     raise RuntimeError("%s outputted the following error:\n%s" % (cmd, stderr))
> > > RuntimeError: pkg-config --cflags --libs libxine pygtk-2.0 gtk+-2.0 glib-2.0
> > > gthread-2.0 outputted the following error:
> > > Package libxine was not found in the pkg-config search path.
> > > Perhaps you should add the directory containing `libxine.pc'
> > > to the PKG_CONFIG_PATH environment variable
> > > No package 'libxine' found
> > > 
> 
> This is a bug, but I don't have the time to dig out where.  If he was not using
> the gstreamer or xine flag, then the ebuild should have died in pkg_setup. 
> Probably some options need to be passed into setup.py to specify the backend or
> setup.py needs to be fixed.  I use xine myself.
> 

Comment 631 Tommaso Pasini 2009-10-07 12:21:36 UTC
(In reply to comment #626)
> (In reply to comment #625)
> 
> What you are reporting in NOT a bug. Miro needs a backend. You must select the
> the gstreamer or xine backend. I see you did not read to error message. At the
> end on the build it tells you how to switch between the two.
> 
> I could see this coming. thewtex Now do you get my point? People do not like to
> read.  If you keep gstreamer the way it is we will constantly get bug reports
> like his.
> 
> I will merge my work with the work of thewtex. I will try harder to idiot proof
> the ebuild.    
> 
> 
> > I'm commenting here because I'm not sure a bugreport about an ebuild not even
> > in the overlays is acceptable :-)
> > 
> > Miro 2.5.2 has a hidden dependency on xine-lib: I used it without a problem
> > until today, when I realized only tracker had it (xine-lib I mean) as a
> > dependency; re-emerged tracker and removed xine-lib, revdep-rebuild told me
> > miro needed to be rebuilt. This is what I get:
> > 
> > >>> Emerging (1 of 1) media-tv/miro-2.5.2 from local
> >  * Miro-2.5.2.tar.gz RMD160 SHA1 SHA256 size ;-) ... [ ok ]
> >  * checking ebuild checksums ;-) ... [ ok ]
> >  * checking auxfile checksums ;-) ... [ ok ]
> >  * checking miscfile checksums ;-) ... [ ok ]
> >  * 
> >  * It is important to note that Miro needs a backend for video playback
> >  * The gstreamer or xine USE flag must be selected for this package to work
> >  * Both may be selected at the same time
> > >>> Unpacking source...
> > >>> Unpacking Miro-2.5.2.tar.gz to /var/tmp/portage/media-tv/miro-2.5.2/work
> > >>> Source unpacked in /var/tmp/portage/media-tv/miro-2.5.2/work
> > >>> Preparing source in /var/tmp/portage/media-tv/miro-2.5.2/work/Miro-2.5.2/platform/gtk-x11 ...
> > >>> Source prepared.
> > >>> Configuring source in /var/tmp/portage/media-tv/miro-2.5.2/work/Miro-2.5.2/platform/gtk-x11 ...
> > >>> Source configured.
> > >>> Compiling source in /var/tmp/portage/media-tv/miro-2.5.2/work/Miro-2.5.2/platform/gtk-x11 ...
> > python setup.py build
> > /usr/lib/python2.6/site-packages/Pyrex/Compiler/Errors.py:17:
> > DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
> >   self.message = message
> > Using boost_python-mt
> > libtorrent-rasterbar (0.13 or later) and python bindings are installed--using
> > system version.
> > 
> > Trying to figure out xpcom_lib, gtkmozembed_lib, and xulrunner_19 values....
> > using xpcom_lib:  'libxul'
> > using gtkmozembed_lib:  'libxul'
> > using xulrunner19:  True
> > 
> > Trying to figure out xpcom_runtime_path value....
> > using xpcom_runtime_path:  ''
> > 
> > Trying to figure out mozilla_lib_path value....
> > using mozilla_lib_path:  '/usr/lib/xulrunner-devel-1.9.1.3/lib'
> > /usr/lib/python2.6/distutils/extension.py:133: UserWarning: Unknown Extension
> > options: 'runtime_dirs'
> >   warnings.warn(msg)
> > Traceback (most recent call last):
> >   File "setup.py", line 618, in <module>
> >     'libxine pygtk-2.0 gtk+-2.0 glib-2.0 gthread-2.0')
> >   File "setup.py", line 279, in parse_pkg_config
> >     output = get_command_output(commandLine).strip()
> >   File "setup.py", line 251, in get_command_output
> >     raise RuntimeError("%s outputted the following error:\n%s" % (cmd, stderr))
> > RuntimeError: pkg-config --cflags --libs libxine pygtk-2.0 gtk+-2.0 glib-2.0
> > gthread-2.0 outputted the following error:
> > Package libxine was not found in the pkg-config search path.
> > Perhaps you should add the directory containing `libxine.pc'
> > to the PKG_CONFIG_PATH environment variable
> > No package 'libxine' found
> > 
> > The ebuild is the last one posted here. A quick look at the files seems to show
> > that it's impossible to build miro without xine-lib, unless a patch is filed.
> > 
> > To reproduce:
> > emerge -C xine-lib
> > USE=-xine emerge -1 miro
> > 
> 

Gstreamer IS selected, but thank you for saying I'm idiot instead of asking.
Comment 632 A. Person 2009-10-26 22:47:02 UTC
miro-2.5.3 is segfaulting for me all of a sudden.  Does anyone have it working with a fully updated system?
Comment 633 A. Person 2009-10-27 00:21:37 UTC
Nevermind.  Hardened issue.
Comment 634 wayne 2009-10-27 01:11:18 UTC
(In reply to comment #631)

Sorry man I jumped the gun. I was trying very hard for a plug and play ebuild that just works.

> (In reply to comment #626)
> > (In reply to comment #625)
> > 
> > What you are reporting in NOT a bug. Miro needs a backend. You must select the
> > the gstreamer or xine backend. I see you did not read to error message. At the
> > end on the build it tells you how to switch between the two.
> > 
> > I could see this coming. thewtex Now do you get my point? People do not like to
> > read.  If you keep gstreamer the way it is we will constantly get bug reports
> > like his.
> > 
> > I will merge my work with the work of thewtex. I will try harder to idiot proof
> > the ebuild.    
> > 
> > 
> > > I'm commenting here because I'm not sure a bugreport about an ebuild not even
> > > in the overlays is acceptable :-)
> > > 
> > > Miro 2.5.2 has a hidden dependency on xine-lib: I used it without a problem
> > > until today, when I realized only tracker had it (xine-lib I mean) as a
> > > dependency; re-emerged tracker and removed xine-lib, revdep-rebuild told me
> > > miro needed to be rebuilt. This is what I get:
> > > 
> > > >>> Emerging (1 of 1) media-tv/miro-2.5.2 from local
> > >  * Miro-2.5.2.tar.gz RMD160 SHA1 SHA256 size ;-) ... [ ok ]
> > >  * checking ebuild checksums ;-) ... [ ok ]
> > >  * checking auxfile checksums ;-) ... [ ok ]
> > >  * checking miscfile checksums ;-) ... [ ok ]
> > >  * 
> > >  * It is important to note that Miro needs a backend for video playback
> > >  * The gstreamer or xine USE flag must be selected for this package to work
> > >  * Both may be selected at the same time
> > > >>> Unpacking source...
> > > >>> Unpacking Miro-2.5.2.tar.gz to /var/tmp/portage/media-tv/miro-2.5.2/work
> > > >>> Source unpacked in /var/tmp/portage/media-tv/miro-2.5.2/work
> > > >>> Preparing source in /var/tmp/portage/media-tv/miro-2.5.2/work/Miro-2.5.2/platform/gtk-x11 ...
> > > >>> Source prepared.
> > > >>> Configuring source in /var/tmp/portage/media-tv/miro-2.5.2/work/Miro-2.5.2/platform/gtk-x11 ...
> > > >>> Source configured.
> > > >>> Compiling source in /var/tmp/portage/media-tv/miro-2.5.2/work/Miro-2.5.2/platform/gtk-x11 ...
> > > python setup.py build
> > > /usr/lib/python2.6/site-packages/Pyrex/Compiler/Errors.py:17:
> > > DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
> > >   self.message = message
> > > Using boost_python-mt
> > > libtorrent-rasterbar (0.13 or later) and python bindings are installed--using
> > > system version.
> > > 
> > > Trying to figure out xpcom_lib, gtkmozembed_lib, and xulrunner_19 values....
> > > using xpcom_lib:  'libxul'
> > > using gtkmozembed_lib:  'libxul'
> > > using xulrunner19:  True
> > > 
> > > Trying to figure out xpcom_runtime_path value....
> > > using xpcom_runtime_path:  ''
> > > 
> > > Trying to figure out mozilla_lib_path value....
> > > using mozilla_lib_path:  '/usr/lib/xulrunner-devel-1.9.1.3/lib'
> > > /usr/lib/python2.6/distutils/extension.py:133: UserWarning: Unknown Extension
> > > options: 'runtime_dirs'
> > >   warnings.warn(msg)
> > > Traceback (most recent call last):
> > >   File "setup.py", line 618, in <module>
> > >     'libxine pygtk-2.0 gtk+-2.0 glib-2.0 gthread-2.0')
> > >   File "setup.py", line 279, in parse_pkg_config
> > >     output = get_command_output(commandLine).strip()
> > >   File "setup.py", line 251, in get_command_output
> > >     raise RuntimeError("%s outputted the following error:\n%s" % (cmd, stderr))
> > > RuntimeError: pkg-config --cflags --libs libxine pygtk-2.0 gtk+-2.0 glib-2.0
> > > gthread-2.0 outputted the following error:
> > > Package libxine was not found in the pkg-config search path.
> > > Perhaps you should add the directory containing `libxine.pc'
> > > to the PKG_CONFIG_PATH environment variable
> > > No package 'libxine' found
> > > 
> > > The ebuild is the last one posted here. A quick look at the files seems to show
> > > that it's impossible to build miro without xine-lib, unless a patch is filed.
> > > 
> > > To reproduce:
> > > emerge -C xine-lib
> > > USE=-xine emerge -1 miro
> > > 
> > 
> 
> Gstreamer IS selected, but thank you for saying I'm idiot instead of asking.
> 

Comment 635 A. Person 2009-10-27 15:43:47 UTC
miro-2.5.3 won't download unless I change:

MY_P="${P/m/M}"

to:

MY_P="${P}"
Comment 636 wayne 2009-10-28 02:15:47 UTC
Created attachment 208473 [details]
miro 2.5.3 ebuild with some fixes
Comment 637 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-10-28 08:54:21 UTC
Reassigning bug to myself, i'm going to add the package to the tree soon.
Comment 638 wayne 2009-10-28 21:39:36 UTC
(In reply to comment #637)
 
Thanks gentoo is getting Miro :)

> Reassigning bug to myself, i'm going to add the package to the tree soon.
> 
Comment 639 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-10-30 08:36:53 UTC
miro is now in the tree.
It's not keyworded for amd64 so if you want this keyword, open another bug.
For anything else, report another bug too (do not use this bug).

Hope you will enjoy :)
Comment 640 Anton Bolshakov 2009-10-30 08:53:47 UTC
It was the longest bug report I ever reported ;-) 

Duration calculation results:

From and including: Thursday, April 27, 2006 at 7:21:00 PM
To, but not including : Friday, October 30, 2009 at 8:36:53 AM

The duration is 1281 days, 13 hours, 15 minutes and 53 seconds

Or 3 years, 6 months, 2 days, 13 hours, 15 minutes, 53 seconds

Alternative time units
1281 days, 13 hours, 15 minutes and 53 seconds can be converted to one of these units:

    * 110,726,153 seconds
    * 1,845,435 minutes (rounded down)
    * 30,757 hours (rounded down)
    * 183 weeks 

Just for LOL.
Thanks everyone.
Comment 641 Jorge Vargas 2009-10-30 16:48:42 UTC
(In reply to comment #640)
> It was the longest bug report I ever reported ;-) 
> Or 3 years, 6 months, 2 days, 13 hours, 15 minutes, 53 seconds
> 
Wow 3 years ago  sat down to write this as my first ebuild and it's not finally in the tree. I'm not sure if I should be happy or sad.
Comment 642 wayne 2009-10-30 23:47:29 UTC
 (In reply to comment #641)
the new ebuild is complete crap! Xine is not even an option. You have to google to make gstreamer work. I am creating a site to fork this POS ebuild. Many people worked very hard on that ebuild and most of the work is missing. I could have cried when I tried to use the ebuild.  

> (In reply to comment #640)
> > It was the longest bug report I ever reported ;-) 
> > Or 3 years, 6 months, 2 days, 13 hours, 15 minutes, 53 seconds
> > 
> Wow 3 years ago  sat down to write this as my first ebuild and it's not finally
> in the tree. I'm not sure if I should be happy or sad.
> 

Comment 643 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-10-31 21:32:33 UTC
(In reply to comment #642)
>  (In reply to comment #641)
> the new ebuild is complete crap! Xine is not even an option. You have to google
> to make gstreamer work. I am creating a site to fork this POS ebuild. Many
> people worked very hard on that ebuild and most of the work is missing. I could
> have cried when I tried to use the ebuild.  
> 

First of all, thanks for your kindness.
Xine isn't a real option. Xine is not mandatory to run miro but you can't install miro without xine. I've contacted upstream about that and they know it's an issue. I don't have the time to fix that for them at the moment. The only real solution was to set xine as an option in RDEPEND... Not really clear for the user even useful.
For gstreamer, be more explicit.

By the way, if you have an issue with an ebuild you can report a bug or send an email...
Comment 644 Jesse Adelman 2009-10-31 22:24:53 UTC
(In reply to comment #643)
> (In reply to comment #642)
> >  (In reply to comment #641)
> > the new ebuild is complete crap! Xine is not even an option. You have to google
> > to make gstreamer work. I am creating a site to fork this POS ebuild. Many
> > people worked very hard on that ebuild and most of the work is missing. I could
> > have cried when I tried to use the ebuild.  
> > 
> 
> First of all, thanks for your kindness.
> Xine isn't a real option. Xine is not mandatory to run miro but you can't
> install miro without xine. I've contacted upstream about that and they know
> it's an issue. I don't have the time to fix that for them at the moment. The
> only real solution was to set xine as an option in RDEPEND... Not really clear
> for the user even useful.
> For gstreamer, be more explicit.
> 
> By the way, if you have an issue with an ebuild you can report a bug or send an
> email...
> 

I was just a watcher on this bug. Volkmar, while the poster you are replying to was a bit crude and very direct, I think that he is showing the emotion that others may feel. What you did wasn't kind, either. If my volunteer work was done in the absence of available Gentoo "official" developer volunteers and was just completely ignored, after years of efforts, I'd be sad too. And probably not inclined to ever try to pitch in again.

If there was some objection to the work provided by "outside" volunteers, perhaps it would be nice of Gentoo to just slam the door early, rather than waiting years to show people their work isn't wanted, without so much as a thank you or other acknowledgment of their (perhaps misguided?) efforts when Gentoo wasn't moving. Couldn't this bug have been an avenue for developer recruitment rather than a slap in the face?
Comment 645 Jasper Jaklofsky 2010-04-05 08:52:18 UTC
Hi, is someone working on an ebuild for miro 3.0?
Comment 646 Alex Bennee 2010-04-05 10:48:15 UTC
(In reply to comment #645)
> Hi, is someone working on an ebuild for miro 3.0?

I have tried a simple version bump but the result was a non-working Miro. It currently seems to hang on start-up when running for the src repo so it might be there is a new dependency that isn't working quite right. 

Anyway as this bug is closed I suggest you subscribe to:

http://bugs.gentoo.org/show_bug.cgi?id=312459

Which is the bump request.

Comment 647 Walter White 2011-03-16 15:00:12 UTC
Please bump miro to support 3.5.1.


Walter